; --------------------------------------------------
; Fast and Accurate Motorola 68000 Emulation Library
; FAME X86 version 2.2 (11-03-2010)
; Oscar Orallo Pelaez
; Assembly file generated on Mar 12 2011 17:35:50
; --------------------------------------------------
; Generation options:
; - Code generation format ELF32 (Linux)
; - Stack calling convention
; - Fetch-decode-execute loop inlined
; - CPU address bus width (24 bits)
; - Program counter bit width (24 bits)
; - Emulate dummy reads (OFF)
; - Emulate undocumented behaviour (ON)
; - Single memory address space
; - Emulate group 0 error exceptions (OFF)
; - Prefix of API function identifiers: m68k
; - Accurate timing emulation (ON)
; - Direct mapping for memory management (12 bits)
; - Keep track of executed CPU clocks (ON)
; - Use running state indicator in execinfo (OFF)
; - Emulate trace mode exception (ON)
; - CPU clocks spent in IRQ processing (ON)
; - Check for address exceptions in branches (ON)
; - Bypass TAS writeback (OFF)
; - Memory accesses involving two memory regions (OFF)
; - Check IRQ activation after changes in SR (OFF)
; - Declare CPU context as global variable (ON)
; --------------------------------------------------
global __io_cycle_counter
section .data
times ($$-$)&7 db 0
global _m68kcontext
_m68kcontext:
contextbegin:
__fetch                dd 0
__readbyte             dd 0
__readword             dd 0
__writebyte            dd 0
__writeword            dd 0
__s_fetch              dd 0
__s_readbyte           dd 0
__s_readword           dd 0
__s_writebyte          dd 0
__s_writeword          dd 0
__u_fetch              dd 0
__u_readbyte           dd 0
__u_readword           dd 0
__u_writebyte          dd 0
__u_writeword          dd 0
__resethandler         dd 0
__iackhandler          dd 0
__icusthandler         dd 0
__reg:
__dreg                 dd 0,0,0,0,0,0,0,0
__areg                 dd 0,0,0,0,0,0,0
__a7                   dd 0
__asp                  dd 0
__pc                   dd 0
__cycles_counter       dd 0
__interrupts           db 0,0,0,0,0,0,0,0
__sr                   dw 0
__execinfo             dw 0
contextend:
__cycles_needed        dd 0
__fetch_bank           dw 0
__xflag                db 0
__g0_spec_info     db 0
__io_cycle_counter     dd 0
__io_fetchbase         dd 0
__io_fetchbased_pc     dd 0
__access_address       dd 0
__tmp_int_level        dd 0
__fetch_vector         dd __sfmhtbl, __srwmhtbl
__fetch_idx            dd 0
__readbyte_idx         dd 0
__readword_idx         dd 0
__writebyte_idx        dd 0
__writeword_idx        dd 0
__excep_ptr        dd 0
__inst_reg         dw 0
__filler2          dw 0
section .text
bits 32
cpu 386
top:
global m68k_init
m68k_init:
push esi
push edi
mov edi,__jmptbl
mov esi,__jmptblcomp
.decomp:
lodsd
mov ecx,eax
and eax,0FFFFFFh
shr ecx,24
add eax,top
inc ecx
.jloop:
mov [edi],eax
add edi,byte 4
dec ecx
jnz short .jloop
cmp edi,__jmptbl+262144
jne short .decomp
pop edi
pop esi
xor eax,eax
ret
global m68k_emulate
m68k_emulate:
mov eax,[esp+4]
push ebp
push ebx
push esi
push edi
mov [__excep_ptr],esp
mov [__cycles_needed],eax
lea edi,[eax-1]
xor ebx,ebx
mov esi,[__pc]
mov al,[__sr]
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
or byte[__execinfo],1
call basefunction
add esi,ebp
test byte[__execinfo],0xA
jnz short execloop
int_check:
movsx cx,byte [__interrupts]
or cl,1
bsr cx,cx
mov ch,cl
mov cl,[__sr+1]
and cl,7
cmp ch,cl
ja flush_int
test byte[__execinfo],0x8
jnz short trace_excep
test_trace:
test byte[__sr+1],80h
jz short execloop
trace_excep:
and byte[__execinfo],7fh
or byte[__execinfo],8
mov [__cycles_needed],edi
xor edi,edi
add [__cycles_needed],byte 1
test byte[__execinfo],80h
jz short execloop
mov edi,-1
jmp short execexit
execloop:
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
flush_int:
and byte[__execinfo],7fh
call flush_interrupts
call basefunction
add esi,ebp
sub edi,byte 44
jns short execloop
xor ecx,ecx
execexit:
test byte[__execinfo],0x8
jz short cont_execexit
mov edi,[__cycles_needed]
dec edi
and byte[__execinfo],0xF7
or byte[__execinfo],0x10
mov edx,24h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln0
call basefunction
ln0:
add esi,ebp
sub edi,byte 34
jns short execloop
xor ecx,ecx
cont_execexit:
sub esi,ebp
btr ax,8
adc al,al
or ah,[__xflag]
rol ah,4
and ah,1Ch
or al,ah
mov [__sr],al
mov [__pc],esi
inc edi
mov edx,[__cycles_needed]
sub edx,edi
mov eax,ecx
add [__cycles_counter],edx
and byte[__execinfo],0FEh
mov dword[__cycles_needed],0
pop edi
pop esi
pop ebx
pop ebp
ret
exec_bounderror:
or ecx,-1
jmp execexit
global m68k_reset
m68k_reset:
xor eax,eax
test byte[__execinfo],1
jz short .checksfmm
mov al,1
ret
.checksfmm:
cmp dword[__s_fetch],eax
jne short .setup
mov al,2
ret
.setup:
mov [__execinfo],ax
mov [__interrupts],al
push esi
push ebp
xor ebp,ebp
mov cl,16
mov esi,4
mov eax,__reg
.cl_reg:
mov [eax],ebp
add eax,esi
dec cl
jnz short .cl_reg
mov [__asp],ebp
mov word[__sr],2700h
mov [__fetch_idx],dword __sfmhtbl
mov [__readbyte_idx],dword __srbmhtbl
mov [__readword_idx],dword __srwmhtbl
mov [__writebyte_idx],dword __swbmhtbl
mov [__writeword_idx],dword __swwmhtbl
xor esi,esi
call basefunction
add esi,ebp
mov eax,[esi]
rol eax,16
mov [__a7],eax
add esi,4
mov eax,[esi]
rol eax,16
mov [__pc],eax
xor eax,eax
pop ebp
pop esi
ret
global m68k_raise_irq
m68k_raise_irq:
push edx
mov eax,[esp+8]
mov edx,[esp+12]
and eax, byte 7
jz short .badinput
cmp edx,255
jg short .badinput
cmp edx,byte -2
jl short .badinput
jne short .notspurious
mov edx,18h
.notspurious:
test edx,edx
jns short .notauto
lea edx,[eax+18h]
.notauto:
mov cl,al
mov ah,1
shl ah,cl
test [__interrupts],ah
jnz short .failure
or [__interrupts],ah
xor ah,ah
mov [__interrupts+eax],dl
test byte[__execinfo],80h
jz short .notstopped
mov cl,[__sr+1]
and cl,7
cmp al,7
sete ah
add al,ah
cmp al,cl
setbe cl
shl cl,7
and byte[__execinfo],7Fh
or byte[__execinfo],cl
.notstopped:
pop edx
xor eax,eax
ret
.badinput:
pop edx
mov eax,-2
ret
.failure:
pop edx
mov eax,-1
ret
global m68k_lower_irq
m68k_lower_irq:
mov eax,[esp+4]
cmp eax,byte 6
ja short .badlevel
test eax,eax
jz short .badlevel
mov cl,al
mov ah,1
shl ah,cl
test [__interrupts],ah
jz short .failstat
not ah
and [__interrupts],ah
xor eax,eax
ret
.failstat:
mov eax,-1
ret
.badlevel:
mov eax,-2
ret
global m68k_get_irq_vector
m68k_get_irq_vector:
mov eax,[esp+4]
and eax, byte 7
jz short .badlev
mov cl,al
mov ah,1
shl ah,cl
test [__interrupts],ah
jz short .notraised
xor ah,ah
mov cl,[__interrupts+eax]
mov al,cl
ret
.notraised:
mov eax,-1
ret
.badlev:
mov eax,-2
ret
global m68k_change_irq_vector
m68k_change_irq_vector:
push edx
mov eax,[esp+8]
mov edx,[esp+12]
and eax,byte 7
jz short .badin
mov cl,al
mov ah,1
shl ah,cl
test [__interrupts],ah
jz short .nraised
cmp edx,255
jg short .badin
cmp edx,byte -2
jl short .badin
jne short .notspur
mov edx,18h
.notspur:
test edx,edx
jns short .notaut
lea edx,[eax+18h]
.notaut:
xor ah,ah
mov [__interrupts+eax],dl
pop edx
xor al,al
ret
.nraised:
pop edx
mov eax,-1
ret
.badin:
pop edx
mov eax,-2
ret
global m68k_get_context_size
m68k_get_context_size:
mov eax,contextend-contextbegin
ret
global m68k_get_context
m68k_get_context:
push esi
push edi
cld
mov ecx,contextend-contextbegin
shr ecx,2
mov edi,[esp+12]
mov esi,contextbegin
rep movsd
pop edi
pop esi
xor eax,eax
ret
global m68k_set_context
m68k_set_context:
push esi
push edi
cld
mov ecx,contextend-contextbegin
shr ecx,2
mov esi,[esp+12]
mov edi,contextbegin
rep movsd
mov ecx,20480
mov eax,__sfmhtbl
xor edi,edi
mov edx,4
.dirty_idx:
mov [eax],edi
add eax,edx
dec ecx
jnz short .dirty_idx
mov edx,__sfmhtbl
mov eax,[__s_fetch]
.begincmm0:
cmp dword [eax],byte -1
je short .endcmm0
mov esi,[eax]
mov ecx,[eax+4]
shr esi,12
shr ecx,12
sub ecx,esi
inc ecx
shl esi,2
mov edi,edx
add edi,esi
rep stosd
add eax,byte 12
jmp short .begincmm0
.endcmm0:
mov edx,__srbmhtbl
mov eax,[__s_readbyte]
.begincmm1:
cmp dword [eax],byte -1
je short .endcmm1
mov esi,[eax]
mov ecx,[eax+4]
shr esi,12
shr ecx,12
sub ecx,esi
inc ecx
shl esi,2
mov edi,edx
add edi,esi
rep stosd
add eax,byte 16
jmp short .begincmm1
.endcmm1:
mov edx,__srwmhtbl
mov eax,[__s_readword]
.begincmm2:
cmp dword [eax],byte -1
je short .endcmm2
mov esi,[eax]
mov ecx,[eax+4]
shr esi,12
shr ecx,12
sub ecx,esi
inc ecx
shl esi,2
mov edi,edx
add edi,esi
rep stosd
add eax,byte 16
jmp short .begincmm2
.endcmm2:
mov edx,__swbmhtbl
mov eax,[__s_writebyte]
.begincmm3:
cmp dword [eax],byte -1
je short .endcmm3
mov esi,[eax]
mov ecx,[eax+4]
shr esi,12
shr ecx,12
sub ecx,esi
inc ecx
shl esi,2
mov edi,edx
add edi,esi
rep stosd
add eax,byte 16
jmp short .begincmm3
.endcmm3:
mov edx,__swwmhtbl
mov eax,[__s_writeword]
.begincmm4:
cmp dword [eax],byte -1
je short .endcmm4
mov esi,[eax]
mov ecx,[eax+4]
shr esi,12
shr ecx,12
sub ecx,esi
inc ecx
shl esi,2
mov edi,edx
add edi,esi
rep stosd
add eax,byte 16
jmp short .begincmm4
.endcmm4:
pop edi
pop esi
xor eax,eax
ret
global m68k_get_register
m68k_get_register:
mov eax,[esp+4]
cmp eax,byte 17
ja short .cont_get_funct
cmp eax,byte 16
ja short m68k_get_pc
mov eax,[__reg+eax*4]
ret
.cont_get_funct:
cmp eax,byte 18
jne short .inv_idx
xor eax,eax
mov ax,word[__sr]
ret
.inv_idx:
or eax,-1
ret
global m68k_get_pc
m68k_get_pc:
test byte[__execinfo],1
jnz short .live
mov eax,[__pc]
ret
.live:
mov eax,[__io_fetchbased_pc]
sub eax,[__io_fetchbase]
ret
global m68k_set_register
m68k_set_register:
push edx
mov eax,[esp+8]
mov edx,[esp+12]
cmp eax,byte 17
ja short .cont_set
cmp eax,byte 16
ja short .set_pc
mov [__reg+eax*4],edx
pop edx
xor eax,eax
ret
.set_pc:
and edx,16777215
test byte[__execinfo],1
jnz short .cpulive
mov [__pc],edx
pop edx
xor eax,eax
ret
.cpulive:
add edx,[__io_fetchbase]
mov [__io_fetchbased_pc],edx
pop edx
xor eax,eax
ret
.cont_set:
cmp eax,byte 18
jne short .inv_idx
mov [__sr],dx
pop edx
xor eax,eax
ret
.inv_idx:
pop edx
or eax,-1
ret
global m68k_fetch
m68k_fetch:
push edx
mov eax,[esp+8]
mov edx,[esp+12]
and edx,3
push eax
shr eax,12
mov ecx,[__fetch_vector+edx*4]
mov ecx,[ecx+eax*4]
pop eax
test ecx,ecx
jz short .outofrange
test dl,1
jz short .base_prg
jmp short .base_dat
.outofrange:
pop edx
or eax,-1
ret
.base_prg:
add eax,[ecx+8]
movzx eax,word[eax]
pop edx
ret
.base_dat:
test dword[ecx+8],0xFFFFFFFF
jnz short .callio
add eax,[ecx+12]
movzx eax,word[eax]
pop edx
ret
.callio:
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop edx
ret
global m68k_get_cycles_counter
m68k_get_cycles_counter:
mov eax,[__cycles_needed]
test byte[__execinfo],1
jz short .cpuidle
sub eax,[__io_cycle_counter]
sub eax,1
.cpuidle:
add eax,[__cycles_counter]
ret
global m68k_control_cycles_counter
m68k_control_cycles_counter:
mov eax,[esp+4]
test eax,eax
jnz short m68k_trip_cycles_counter
jmp short m68k_get_cycles_counter
global m68k_trip_cycles_counter
m68k_trip_cycles_counter:
mov eax,[__cycles_needed]
test byte[__execinfo],1
jz short .cpuidle
sub eax,[__io_cycle_counter]
.cpuidle:
add [__cycles_counter],eax
test byte[__execinfo],1
jz short .cpuidle2
mov eax,[__io_cycle_counter]
.cpuidle2:
mov [__cycles_needed],eax
mov eax,[__cycles_counter]
mov dword[__cycles_counter],0
ret
global m68k_release_timeslice
m68k_release_timeslice:
test byte[__execinfo],1
jz short .cpuidle
mov dword[__io_cycle_counter],0
ret
.cpuidle:
ret
global m68k_stop_emulating
m68k_stop_emulating:
test byte[__execinfo],1
jz short .cpuidle
mov eax,[__io_cycle_counter]
sub [__cycles_needed],eax
mov dword[__io_cycle_counter],0
.cpuidle:
ret
global m68k_add_cycles
m68k_add_cycles:
mov eax,[esp+4]
test byte[__execinfo],1
jz short .cpuidle
sub [__io_cycle_counter],eax
ret
.cpuidle:
add [__cycles_counter],eax
ret
global m68k_release_cycles
m68k_release_cycles:
mov eax,[esp+4]
test byte[__execinfo],1
jz short .cpuidle
sub [__io_cycle_counter],eax
ret
.cpuidle:
sub [__cycles_counter],eax
ret
global m68k_get_cpu_state
m68k_get_cpu_state:
xor eax,eax
mov ax,[__execinfo]
ret
times ($$-$)&15 db 0
basefunction:
and esi,16777215
mov ecx,esi
shr ecx,12
mov ebp,[__fetch_idx]
mov [__fetch_bank],cx
mov ecx,[ebp+ecx*4]
test ecx,ecx
jz short .outofrange
mov ebp,[ecx+8]
ret
.outofrange:
xor ebp,ebp
sub edi,[__cycles_needed]
mov dword[__cycles_needed],0
or byte[__execinfo],2
ret
times ($$-$)&15 db 0
decode_ext:
push eax
xor edx,edx
mov dx,[esi]
movsx eax,dl
add esi,byte 2
shr edx,12
mov edx,[__reg+edx*4]
jc short .long
movsx edx,dx
.long:
add edx,eax
pop eax
ret
times ($$-$)&15 db 0
readmemorybyte:
mov [__access_address],edx
and edx,16777215
shr edx,12
mov ecx,[__readbyte_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz readb_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz short readb_callio
add edx,[ecx+12]
xor edx,byte 1
mov cl,[edx]
mov edx,[__access_address]
ret
readb_callio:
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
push edx
call dword[ecx+8]
add esp,byte 4
mov ecx,eax
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
ret
readb_outofrange:
or ecx,byte -1
mov edx,[__access_address]
ret
times ($$-$)&15 db 0
readmemoryword:
mov [__access_address],edx
and edx,16777215
shr edx,12
mov ecx,[__readword_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz readw_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz short readw_callio
add edx,[ecx+12]
mov cx,[edx]
mov edx,[__access_address]
ret
readw_callio:
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
push edx
call dword[ecx+8]
add esp,byte 4
mov ecx,eax
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
ret
readw_outofrange:
or ecx,byte -1
mov edx,[__access_address]
ret
times ($$-$)&15 db 0
readmemorydword:
mov [__access_address],edx
and edx,16777215
shr edx,12
mov ecx,[__readword_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz readw_outofrange
readl_call:
test dword[ecx+8],0FFFFFFFFh
jnz short readl_callio
add edx,byte 2
cmp edx,[ecx+4]
ja short readl_split
add edx,[ecx+12]
mov ecx,[edx-2]
rol ecx,16
mov edx,[__access_address]
ret
readl_split:
add edx,[ecx+12]
mov cx,[edx-2]
shl ecx,16
push ecx
mov edx,[__access_address]
add edx,byte 2
and edx,16777215
push edx
shr edx,12
mov ecx,[__readword_idx]
mov ecx,[ecx+edx*4]
test ecx,ecx
jz readw_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz short readlower_callio
pop edx
add edx,[ecx+12]
xor ecx,ecx
mov cx,[edx]
pop edx
or ecx,edx
mov edx,[__access_address]
ret
readlower_callio:
mov edx,[__access_address]
ret
readl_callio:
add edx,byte 2
cmp edx,[ecx+4]
ja short readl_iosplit
sub edx,byte 2
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
push edx
push ecx
push edx
call dword[ecx+8]
add esp,byte 4
pop ecx
xchg eax,[esp]
add eax,byte 2
push eax
call dword[ecx+8]
add esp,byte 4
pop ecx
shl ecx,16
mov cx,ax
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
ret
readl_iosplit:
sub edx,byte 2
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
push edx
call dword[ecx+8]
add esp,byte 4
mov ecx,eax
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
ret
times ($$-$)&15 db 0
writememorybyte:
writememorydecbyte:
mov [__access_address],edx
push ecx
and edx,16777215
shr edx,12
mov ecx,[__writebyte_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz writeb_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz short writeb_callio
add edx,[ecx+12]
xor edx,byte 1
pop ecx
mov [edx],cl
mov edx,[__access_address]
ret
writeb_callio:
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
mov eax,edx
xor edx,edx
mov dl,[esp+8]
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
pop ecx
ret
writeb_outofrange:
mov edx,[__access_address]
or ecx,byte -1
ret
times ($$-$)&15 db 0
writememoryword:
writememorydecword:
mov [__access_address],edx
push ecx
and edx,16777215
shr edx,12
mov ecx,[__writeword_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz writew_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz short writew_callio
add edx,[ecx+12]
pop ecx
mov [edx],cx
mov edx,[__access_address]
ret
writew_callio:
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
mov eax,edx
xor edx,edx
mov dx,[esp+8]
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
pop ecx
ret
writew_outofrange:
mov edx,[__access_address]
or ecx,byte -1
ret
times ($$-$)&15 db 0
writememorydword:
mov [__access_address],edx
push ecx
and edx,16777215
shr edx,12
mov ecx,[__writeword_idx]
mov ecx,[ecx+edx*4]
mov edx,[__access_address]
and edx,16777215
test ecx,ecx
jz writew_outofrange
writel_call:
test dword[ecx+8],0FFFFFFFFh
jnz short writel_callio
add edx,byte 2
cmp edx,[ecx+4]
ja near writel_split
add edx,[ecx+12]
pop ecx
rol ecx,16
mov [edx-2],ecx
rol ecx,16
mov edx,[__access_address]
ret
writel_callio:
add edx,byte 2
cmp edx,[ecx+4]
ja short writel_iosplit
sub edx,byte 2
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
mov eax,edx
xor edx,edx
mov dx,word[esp+10]
push ecx
push eax
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ecx
add eax,byte 2
xor edx,edx
mov dx,word[esp+8]
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
pop ecx
ret
writel_iosplit:
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
sub edx, byte 2
mov eax,edx
xor edx,edx
mov dx,word[esp+8]
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
jmp short writel_split_2nd
writel_split:
add edx,[ecx+12]
mov cx,[esp+2]
mov [edx-2],cx
writel_split_2nd:
mov edx,[__access_address]
add edx,byte 2
and edx,16777215
push edx
shr edx,12
mov ecx,[__writeword_idx]
mov ecx,[ecx+edx*4]
test ecx,ecx
jz writew_outofrange
test dword[ecx+8],0FFFFFFFFh
jnz writelower_callio
pop edx
add edx,[ecx+12]
mov cx,[esp]
mov [edx],cx
mov edx,[__access_address]
pop ecx
ret
writelower_callio:
pop edx
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
mov eax,edx
xor edx,edx
mov dx,word[esp+10]
push edx
push eax
call dword[ecx+8]
add esp,byte 8
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
mov edx,[__access_address]
pop ecx
ret
times ($$-$)&15 db 0
writememorydecdword:
add edx,byte 2
call writememoryword
sub edx,byte 2
rol ecx,16
call writememoryword
rol ecx,16
ret
times ($$-$)&15 db 0
group_0_exception:
test byte[__execinfo],2
jz short .excflow
or byte[__execinfo],4
sub edi,50
jmp execexit
.excflow:
or byte[__execinfo],2
and byte[__execinfo],7Fh
sub edi,50
call readmemorydword
push ecx
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
push ecx
test byte[__sr+1],20h
jnz short ln1
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
or byte[__sr+1],20h
ln1:
and byte[__sr+1],27h
test byte[__execinfo],20h
jz short .bus_error
mov ecx,esi
sub ecx,ebp
.bus_error:
mov ecx,[__io_fetchbased_pc]
sub ecx,[__io_fetchbase]
mov edx,[__a7]
sub edx,byte 4
call writememorydword
pop ecx
sub edx,byte 2
call writememoryword
mov cx,word [__inst_reg]
sub edx,byte 2
call writememoryword
mov ecx,ebx
sub edx,byte 4
call writememorydword
xor ch,ch
mov cl,byte[__g0_spec_info]
sub edx,byte 2
call writememoryword
mov [__a7],edx
pop esi
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln2
call basefunction
ln2:
add esi,ebp
test edi,edi
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
times ($$-$)&15 db 0
group_1_exception:
group_2_exception:
mov ecx,[__icusthandler]
test ecx,ecx
jz short .vect_except
test dword[ecx+edx],0FFFFFFFFh
jz short .vect_except
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
mov eax,edx
shr eax,2
push eax
call dword[ecx+edx]
add esp,byte 4
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
sub esi,ebp
ret
.vect_except:
call readmemorydword
push ecx
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
push ecx
test byte[__sr+1],20h
jnz short ln3
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
or byte[__sr+1],20h
ln3:
and byte[__sr+1],27h
mov ecx,esi
sub ecx,ebp
mov edx,[__a7]
sub edx,byte 4
call writememorydword
pop ecx
sub edx,byte 2
call writememoryword
mov [__a7],edx
pop esi
ret
times ($$-$)&15 db 0
privilege_violation:
sub esi,byte 2
mov edx,20h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln4
call basefunction
ln4:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
times ($$-$)&15 db 0
flush_interrupts:
sub esi,ebp
xor ebp,ebp
mov edx,7
mov cl,80h
mov ch,[__sr+1]
and ch,7
.loop:
test [__interrupts],cl
jz short .noint
mov [__tmp_int_level], dl
not cl
and [__interrupts],cl
mov dl,[__interrupts+edx]
shl edx,2
call group_1_exception
and [__sr+1], byte 0F8h
mov dl, [__tmp_int_level]
or [__sr+1], dl
test dword[__iackhandler],0FFFFFFFFh
jz short .intdone
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
push edx
call dword[__iackhandler]
add esp,byte 4
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
jmp short .intdone
.noint:
dec dl
jz short .intdone
shr cl,1
cmp dl,ch
jg .loop
.intdone:
ret
; Opcodes 0000 - 0007
K000:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
or [__dreg+ebx*4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0010 - 0017
K010:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0018 - 001F
K018:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0020 - 0027
K020:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0028 - 002F
K028:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0030 - 0037
K030:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0038
K038:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0039
K039:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 003C
K03C:
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
or cl,[esi]
add esi,byte 2
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0040 - 0047
K040:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
or [__dreg+ebx*4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0050 - 0057
K050:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0058 - 005F
K058:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0060 - 0067
K060:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0068 - 006F
K068:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0070 - 0077
K070:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0078
K078:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0079
K079:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 007C
K07C:
test byte[__sr+1],20h
jz privilege_violation
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
or cx,[esi]
add esi,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln5
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln5:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0080 - 0087
K080:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+ebx*4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0090 - 0097
K090:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0098 - 009F
K098:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 00A0 - 00A7
K0A0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 00A8 - 00AF
K0A8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 00B0 - 00B7
K0B0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 00B8
K0B8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 00B9
K0B9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0100 - 0107
K100:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln7
and ah,0BFh
jmp short ln8
ln7:
or ah,40h
ln8:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0108 - 010F
K108:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+0],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0110 - 0117
K110:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln9
and ah,0BFh
jmp short ln10
ln9:
or ah,40h
ln10:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0118 - 011F
K118:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln11
and ah,0BFh
jmp short ln12
ln11:
or ah,40h
ln12:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0120 - 0127
K120:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln13
and ah,0BFh
jmp short ln14
ln13:
or ah,40h
ln14:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0128 - 012F
K128:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln15
and ah,0BFh
jmp short ln16
ln15:
or ah,40h
ln16:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0130 - 0137
K130:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln17
and ah,0BFh
jmp short ln18
ln17:
or ah,40h
ln18:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0138
K138:
mov cl,byte[__dreg+0]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln19
and ah,0BFh
jmp short ln20
ln19:
or ah,40h
ln20:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0139
K139:
mov cl,byte[__dreg+0]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln21
and ah,0BFh
jmp short ln22
ln21:
or ah,40h
ln22:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 013A
K13A:
mov cl,byte[__dreg+0]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln23
and ah,0BFh
jmp short ln24
ln23:
or ah,40h
ln24:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 013B
K13B:
mov cl,byte[__dreg+0]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln25
and ah,0BFh
jmp short ln26
ln25:
or ah,40h
ln26:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 013C
K13C:
mov cl,byte[__dreg+0]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln27
and ah,0BFh
jmp short ln28
ln27:
or ah,40h
ln28:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0140 - 0147
K140:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln29
and ah,0BFh
jmp short ln30
ln29:
or ah,40h
ln30:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0148 - 014F
K148:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+0],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0150 - 0157
K150:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln31
and ah,0BFh
jmp short ln32
ln31:
or ah,40h
ln32:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0158 - 015F
K158:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln33
and ah,0BFh
jmp short ln34
ln33:
or ah,40h
ln34:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0160 - 0167
K160:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln35
and ah,0BFh
jmp short ln36
ln35:
or ah,40h
ln36:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0168 - 016F
K168:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln37
and ah,0BFh
jmp short ln38
ln37:
or ah,40h
ln38:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0170 - 0177
K170:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln39
and ah,0BFh
jmp short ln40
ln39:
or ah,40h
ln40:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0178
K178:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln41
and ah,0BFh
jmp short ln42
ln41:
or ah,40h
ln42:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0179
K179:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln43
and ah,0BFh
jmp short ln44
ln43:
or ah,40h
ln44:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0180 - 0187
K180:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln45
and ah,0BFh
jmp short ln46
ln45:
or ah,40h
ln46:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0188 - 018F
K188:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+0]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0190 - 0197
K190:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln47
and ah,0BFh
jmp short ln48
ln47:
or ah,40h
ln48:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0198 - 019F
K198:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln49
and ah,0BFh
jmp short ln50
ln49:
or ah,40h
ln50:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01A0 - 01A7
K1A0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln51
and ah,0BFh
jmp short ln52
ln51:
or ah,40h
ln52:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01A8 - 01AF
K1A8:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln53
and ah,0BFh
jmp short ln54
ln53:
or ah,40h
ln54:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01B0 - 01B7
K1B0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln55
and ah,0BFh
jmp short ln56
ln55:
or ah,40h
ln56:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 01B8
K1B8:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln57
and ah,0BFh
jmp short ln58
ln57:
or ah,40h
ln58:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 01B9
K1B9:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln59
and ah,0BFh
jmp short ln60
ln59:
or ah,40h
ln60:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01C0 - 01C7
K1C0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln61
and ah,0BFh
jmp short ln62
ln61:
or ah,40h
ln62:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01C8 - 01CF
K1C8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+0]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01D0 - 01D7
K1D0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln63
and ah,0BFh
jmp short ln64
ln63:
or ah,40h
ln64:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01D8 - 01DF
K1D8:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln65
and ah,0BFh
jmp short ln66
ln65:
or ah,40h
ln66:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01E0 - 01E7
K1E0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln67
and ah,0BFh
jmp short ln68
ln67:
or ah,40h
ln68:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01E8 - 01EF
K1E8:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln69
and ah,0BFh
jmp short ln70
ln69:
or ah,40h
ln70:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 01F0 - 01F7
K1F0:
mov cl,byte[__dreg+0]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln71
and ah,0BFh
jmp short ln72
ln71:
or ah,40h
ln72:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 01F8
K1F8:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln73
and ah,0BFh
jmp short ln74
ln73:
or ah,40h
ln74:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 01F9
K1F9:
mov cl,byte[__dreg+0]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln75
and ah,0BFh
jmp short ln76
ln75:
or ah,40h
ln76:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0200 - 0207
K200:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
and [__dreg+ebx*4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0210 - 0217
K210:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0218 - 021F
K218:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0220 - 0227
K220:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0228 - 022F
K228:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0230 - 0237
K230:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0238
K238:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0239
K239:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 023C
K23C:
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
and cl,[esi]
add esi,byte 2
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0240 - 0247
K240:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
and [__dreg+ebx*4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0250 - 0257
K250:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0258 - 025F
K258:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0260 - 0267
K260:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0268 - 026F
K268:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0270 - 0277
K270:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0278
K278:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0279
K279:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 027C
K27C:
test byte[__sr+1],20h
jz privilege_violation
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
and cx,[esi]
add esi,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln77
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln77:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0280 - 0287
K280:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+ebx*4],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0290 - 0297
K290:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0298 - 029F
K298:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 02A0 - 02A7
K2A0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 02A8 - 02AF
K2A8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 02B0 - 02B7
K2B0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 02B8
K2B8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 02B9
K2B9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0300 - 0307
K300:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln79
and ah,0BFh
jmp short ln80
ln79:
or ah,40h
ln80:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0308 - 030F
K308:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+4],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0310 - 0317
K310:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln81
and ah,0BFh
jmp short ln82
ln81:
or ah,40h
ln82:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0318 - 031F
K318:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln83
and ah,0BFh
jmp short ln84
ln83:
or ah,40h
ln84:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0320 - 0327
K320:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln85
and ah,0BFh
jmp short ln86
ln85:
or ah,40h
ln86:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0328 - 032F
K328:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln87
and ah,0BFh
jmp short ln88
ln87:
or ah,40h
ln88:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0330 - 0337
K330:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln89
and ah,0BFh
jmp short ln90
ln89:
or ah,40h
ln90:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0338
K338:
mov cl,byte[__dreg+4]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln91
and ah,0BFh
jmp short ln92
ln91:
or ah,40h
ln92:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0339
K339:
mov cl,byte[__dreg+4]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln93
and ah,0BFh
jmp short ln94
ln93:
or ah,40h
ln94:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 033A
K33A:
mov cl,byte[__dreg+4]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln95
and ah,0BFh
jmp short ln96
ln95:
or ah,40h
ln96:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 033B
K33B:
mov cl,byte[__dreg+4]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln97
and ah,0BFh
jmp short ln98
ln97:
or ah,40h
ln98:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 033C
K33C:
mov cl,byte[__dreg+4]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln99
and ah,0BFh
jmp short ln100
ln99:
or ah,40h
ln100:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0340 - 0347
K340:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln101
and ah,0BFh
jmp short ln102
ln101:
or ah,40h
ln102:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0348 - 034F
K348:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+4],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0350 - 0357
K350:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln103
and ah,0BFh
jmp short ln104
ln103:
or ah,40h
ln104:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0358 - 035F
K358:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln105
and ah,0BFh
jmp short ln106
ln105:
or ah,40h
ln106:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0360 - 0367
K360:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln107
and ah,0BFh
jmp short ln108
ln107:
or ah,40h
ln108:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0368 - 036F
K368:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln109
and ah,0BFh
jmp short ln110
ln109:
or ah,40h
ln110:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0370 - 0377
K370:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln111
and ah,0BFh
jmp short ln112
ln111:
or ah,40h
ln112:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0378
K378:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln113
and ah,0BFh
jmp short ln114
ln113:
or ah,40h
ln114:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0379
K379:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln115
and ah,0BFh
jmp short ln116
ln115:
or ah,40h
ln116:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0380 - 0387
K380:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln117
and ah,0BFh
jmp short ln118
ln117:
or ah,40h
ln118:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0388 - 038F
K388:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+4]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0390 - 0397
K390:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln119
and ah,0BFh
jmp short ln120
ln119:
or ah,40h
ln120:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0398 - 039F
K398:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln121
and ah,0BFh
jmp short ln122
ln121:
or ah,40h
ln122:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03A0 - 03A7
K3A0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln123
and ah,0BFh
jmp short ln124
ln123:
or ah,40h
ln124:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03A8 - 03AF
K3A8:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln125
and ah,0BFh
jmp short ln126
ln125:
or ah,40h
ln126:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03B0 - 03B7
K3B0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln127
and ah,0BFh
jmp short ln128
ln127:
or ah,40h
ln128:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 03B8
K3B8:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln129
and ah,0BFh
jmp short ln130
ln129:
or ah,40h
ln130:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 03B9
K3B9:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln131
and ah,0BFh
jmp short ln132
ln131:
or ah,40h
ln132:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03C0 - 03C7
K3C0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln133
and ah,0BFh
jmp short ln134
ln133:
or ah,40h
ln134:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03C8 - 03CF
K3C8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+4]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03D0 - 03D7
K3D0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln135
and ah,0BFh
jmp short ln136
ln135:
or ah,40h
ln136:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03D8 - 03DF
K3D8:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln137
and ah,0BFh
jmp short ln138
ln137:
or ah,40h
ln138:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03E0 - 03E7
K3E0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln139
and ah,0BFh
jmp short ln140
ln139:
or ah,40h
ln140:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03E8 - 03EF
K3E8:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln141
and ah,0BFh
jmp short ln142
ln141:
or ah,40h
ln142:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 03F0 - 03F7
K3F0:
mov cl,byte[__dreg+4]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln143
and ah,0BFh
jmp short ln144
ln143:
or ah,40h
ln144:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 03F8
K3F8:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln145
and ah,0BFh
jmp short ln146
ln145:
or ah,40h
ln146:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 03F9
K3F9:
mov cl,byte[__dreg+4]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln147
and ah,0BFh
jmp short ln148
ln147:
or ah,40h
ln148:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0400 - 0407
K400:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
sub [__dreg+ebx*4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0410 - 0417
K410:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0418 - 041F
K418:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0420 - 0427
K420:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0428 - 042F
K428:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0430 - 0437
K430:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0438
K438:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0439
K439:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0440 - 0447
K440:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
sub [__dreg+ebx*4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0450 - 0457
K450:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0458 - 045F
K458:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0460 - 0467
K460:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0468 - 046F
K468:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0470 - 0477
K470:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0478
K478:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0479
K479:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0480 - 0487
K480:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+ebx*4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0490 - 0497
K490:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0498 - 049F
K498:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 04A0 - 04A7
K4A0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 04A8 - 04AF
K4A8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 04B0 - 04B7
K4B0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 04B8
K4B8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 04B9
K4B9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0500 - 0507
K500:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln149
and ah,0BFh
jmp short ln150
ln149:
or ah,40h
ln150:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0508 - 050F
K508:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+8],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0510 - 0517
K510:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln151
and ah,0BFh
jmp short ln152
ln151:
or ah,40h
ln152:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0518 - 051F
K518:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln153
and ah,0BFh
jmp short ln154
ln153:
or ah,40h
ln154:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0520 - 0527
K520:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln155
and ah,0BFh
jmp short ln156
ln155:
or ah,40h
ln156:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0528 - 052F
K528:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln157
and ah,0BFh
jmp short ln158
ln157:
or ah,40h
ln158:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0530 - 0537
K530:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln159
and ah,0BFh
jmp short ln160
ln159:
or ah,40h
ln160:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0538
K538:
mov cl,byte[__dreg+8]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln161
and ah,0BFh
jmp short ln162
ln161:
or ah,40h
ln162:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0539
K539:
mov cl,byte[__dreg+8]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln163
and ah,0BFh
jmp short ln164
ln163:
or ah,40h
ln164:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 053A
K53A:
mov cl,byte[__dreg+8]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln165
and ah,0BFh
jmp short ln166
ln165:
or ah,40h
ln166:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 053B
K53B:
mov cl,byte[__dreg+8]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln167
and ah,0BFh
jmp short ln168
ln167:
or ah,40h
ln168:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 053C
K53C:
mov cl,byte[__dreg+8]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln169
and ah,0BFh
jmp short ln170
ln169:
or ah,40h
ln170:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0540 - 0547
K540:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln171
and ah,0BFh
jmp short ln172
ln171:
or ah,40h
ln172:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0548 - 054F
K548:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+8],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0550 - 0557
K550:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln173
and ah,0BFh
jmp short ln174
ln173:
or ah,40h
ln174:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0558 - 055F
K558:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln175
and ah,0BFh
jmp short ln176
ln175:
or ah,40h
ln176:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0560 - 0567
K560:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln177
and ah,0BFh
jmp short ln178
ln177:
or ah,40h
ln178:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0568 - 056F
K568:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln179
and ah,0BFh
jmp short ln180
ln179:
or ah,40h
ln180:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0570 - 0577
K570:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln181
and ah,0BFh
jmp short ln182
ln181:
or ah,40h
ln182:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0578
K578:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln183
and ah,0BFh
jmp short ln184
ln183:
or ah,40h
ln184:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0579
K579:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln185
and ah,0BFh
jmp short ln186
ln185:
or ah,40h
ln186:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0580 - 0587
K580:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln187
and ah,0BFh
jmp short ln188
ln187:
or ah,40h
ln188:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0588 - 058F
K588:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+8]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0590 - 0597
K590:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln189
and ah,0BFh
jmp short ln190
ln189:
or ah,40h
ln190:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0598 - 059F
K598:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln191
and ah,0BFh
jmp short ln192
ln191:
or ah,40h
ln192:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05A0 - 05A7
K5A0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln193
and ah,0BFh
jmp short ln194
ln193:
or ah,40h
ln194:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05A8 - 05AF
K5A8:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln195
and ah,0BFh
jmp short ln196
ln195:
or ah,40h
ln196:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05B0 - 05B7
K5B0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln197
and ah,0BFh
jmp short ln198
ln197:
or ah,40h
ln198:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 05B8
K5B8:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln199
and ah,0BFh
jmp short ln200
ln199:
or ah,40h
ln200:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 05B9
K5B9:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln201
and ah,0BFh
jmp short ln202
ln201:
or ah,40h
ln202:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05C0 - 05C7
K5C0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln203
and ah,0BFh
jmp short ln204
ln203:
or ah,40h
ln204:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05C8 - 05CF
K5C8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+8]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05D0 - 05D7
K5D0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln205
and ah,0BFh
jmp short ln206
ln205:
or ah,40h
ln206:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05D8 - 05DF
K5D8:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln207
and ah,0BFh
jmp short ln208
ln207:
or ah,40h
ln208:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05E0 - 05E7
K5E0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln209
and ah,0BFh
jmp short ln210
ln209:
or ah,40h
ln210:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05E8 - 05EF
K5E8:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln211
and ah,0BFh
jmp short ln212
ln211:
or ah,40h
ln212:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 05F0 - 05F7
K5F0:
mov cl,byte[__dreg+8]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln213
and ah,0BFh
jmp short ln214
ln213:
or ah,40h
ln214:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 05F8
K5F8:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln215
and ah,0BFh
jmp short ln216
ln215:
or ah,40h
ln216:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 05F9
K5F9:
mov cl,byte[__dreg+8]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln217
and ah,0BFh
jmp short ln218
ln217:
or ah,40h
ln218:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0600 - 0607
K600:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
add [__dreg+ebx*4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0610 - 0617
K610:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0618 - 061F
K618:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0620 - 0627
K620:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0628 - 062F
K628:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0630 - 0637
K630:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0638
K638:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0639
K639:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0640 - 0647
K640:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
add [__dreg+ebx*4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0650 - 0657
K650:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0658 - 065F
K658:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0660 - 0667
K660:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0668 - 066F
K668:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0670 - 0677
K670:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0678
K678:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0679
K679:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememoryword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0680 - 0687
K680:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+ebx*4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0690 - 0697
K690:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0698 - 069F
K698:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 06A0 - 06A7
K6A0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 06A8 - 06AF
K6A8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 06B0 - 06B7
K6B0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 06B8
K6B8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 06B9
K6B9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[esp]
setc [__xflag]
lahf
seto al
add esp,byte 4
call writememorydword
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0700 - 0707
K700:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln219
and ah,0BFh
jmp short ln220
ln219:
or ah,40h
ln220:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0708 - 070F
K708:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+12],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0710 - 0717
K710:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln221
and ah,0BFh
jmp short ln222
ln221:
or ah,40h
ln222:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0718 - 071F
K718:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln223
and ah,0BFh
jmp short ln224
ln223:
or ah,40h
ln224:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0720 - 0727
K720:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln225
and ah,0BFh
jmp short ln226
ln225:
or ah,40h
ln226:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0728 - 072F
K728:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln227
and ah,0BFh
jmp short ln228
ln227:
or ah,40h
ln228:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0730 - 0737
K730:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln229
and ah,0BFh
jmp short ln230
ln229:
or ah,40h
ln230:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0738
K738:
mov cl,byte[__dreg+12]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln231
and ah,0BFh
jmp short ln232
ln231:
or ah,40h
ln232:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0739
K739:
mov cl,byte[__dreg+12]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln233
and ah,0BFh
jmp short ln234
ln233:
or ah,40h
ln234:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 073A
K73A:
mov cl,byte[__dreg+12]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln235
and ah,0BFh
jmp short ln236
ln235:
or ah,40h
ln236:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 073B
K73B:
mov cl,byte[__dreg+12]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln237
and ah,0BFh
jmp short ln238
ln237:
or ah,40h
ln238:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 073C
K73C:
mov cl,byte[__dreg+12]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln239
and ah,0BFh
jmp short ln240
ln239:
or ah,40h
ln240:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0740 - 0747
K740:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln241
and ah,0BFh
jmp short ln242
ln241:
or ah,40h
ln242:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0748 - 074F
K748:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+12],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0750 - 0757
K750:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln243
and ah,0BFh
jmp short ln244
ln243:
or ah,40h
ln244:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0758 - 075F
K758:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln245
and ah,0BFh
jmp short ln246
ln245:
or ah,40h
ln246:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0760 - 0767
K760:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln247
and ah,0BFh
jmp short ln248
ln247:
or ah,40h
ln248:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0768 - 076F
K768:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln249
and ah,0BFh
jmp short ln250
ln249:
or ah,40h
ln250:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0770 - 0777
K770:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln251
and ah,0BFh
jmp short ln252
ln251:
or ah,40h
ln252:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0778
K778:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln253
and ah,0BFh
jmp short ln254
ln253:
or ah,40h
ln254:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0779
K779:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln255
and ah,0BFh
jmp short ln256
ln255:
or ah,40h
ln256:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0780 - 0787
K780:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln257
and ah,0BFh
jmp short ln258
ln257:
or ah,40h
ln258:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0788 - 078F
K788:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+12]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0790 - 0797
K790:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln259
and ah,0BFh
jmp short ln260
ln259:
or ah,40h
ln260:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0798 - 079F
K798:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln261
and ah,0BFh
jmp short ln262
ln261:
or ah,40h
ln262:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07A0 - 07A7
K7A0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln263
and ah,0BFh
jmp short ln264
ln263:
or ah,40h
ln264:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07A8 - 07AF
K7A8:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln265
and ah,0BFh
jmp short ln266
ln265:
or ah,40h
ln266:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07B0 - 07B7
K7B0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln267
and ah,0BFh
jmp short ln268
ln267:
or ah,40h
ln268:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 07B8
K7B8:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln269
and ah,0BFh
jmp short ln270
ln269:
or ah,40h
ln270:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 07B9
K7B9:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln271
and ah,0BFh
jmp short ln272
ln271:
or ah,40h
ln272:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07C0 - 07C7
K7C0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln273
and ah,0BFh
jmp short ln274
ln273:
or ah,40h
ln274:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07C8 - 07CF
K7C8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+12]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07D0 - 07D7
K7D0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln275
and ah,0BFh
jmp short ln276
ln275:
or ah,40h
ln276:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07D8 - 07DF
K7D8:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln277
and ah,0BFh
jmp short ln278
ln277:
or ah,40h
ln278:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07E0 - 07E7
K7E0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln279
and ah,0BFh
jmp short ln280
ln279:
or ah,40h
ln280:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07E8 - 07EF
K7E8:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln281
and ah,0BFh
jmp short ln282
ln281:
or ah,40h
ln282:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 07F0 - 07F7
K7F0:
mov cl,byte[__dreg+12]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln283
and ah,0BFh
jmp short ln284
ln283:
or ah,40h
ln284:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 07F8
K7F8:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln285
and ah,0BFh
jmp short ln286
ln285:
or ah,40h
ln286:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 07F9
K7F9:
mov cl,byte[__dreg+12]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln287
and ah,0BFh
jmp short ln288
ln287:
or ah,40h
ln288:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0800 - 0807
K800:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln289
and ah,0BFh
jmp short ln290
ln289:
or ah,40h
ln290:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0810 - 0817
K810:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln291
and ah,0BFh
jmp short ln292
ln291:
or ah,40h
ln292:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0818 - 081F
K818:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln293
and ah,0BFh
jmp short ln294
ln293:
or ah,40h
ln294:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0820 - 0827
K820:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln295
and ah,0BFh
jmp short ln296
ln295:
or ah,40h
ln296:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0828 - 082F
K828:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln297
and ah,0BFh
jmp short ln298
ln297:
or ah,40h
ln298:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0830 - 0837
K830:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln299
and ah,0BFh
jmp short ln300
ln299:
or ah,40h
ln300:
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0838
K838:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln301
and ah,0BFh
jmp short ln302
ln301:
or ah,40h
ln302:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0839
K839:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln303
and ah,0BFh
jmp short ln304
ln303:
or ah,40h
ln304:
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 083A
K83A:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln305
and ah,0BFh
jmp short ln306
ln305:
or ah,40h
ln306:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 083B
K83B:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln307
and ah,0BFh
jmp short ln308
ln307:
or ah,40h
ln308:
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 083C
K83C:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln309
and ah,0BFh
jmp short ln310
ln309:
or ah,40h
ln310:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0840 - 0847
K840:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln311
and ah,0BFh
jmp short ln312
ln311:
or ah,40h
ln312:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0850 - 0857
K850:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln313
and ah,0BFh
jmp short ln314
ln313:
or ah,40h
ln314:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0858 - 085F
K858:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln315
and ah,0BFh
jmp short ln316
ln315:
or ah,40h
ln316:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0860 - 0867
K860:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln317
and ah,0BFh
jmp short ln318
ln317:
or ah,40h
ln318:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0868 - 086F
K868:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln319
and ah,0BFh
jmp short ln320
ln319:
or ah,40h
ln320:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0870 - 0877
K870:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln321
and ah,0BFh
jmp short ln322
ln321:
or ah,40h
ln322:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0878
K878:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln323
and ah,0BFh
jmp short ln324
ln323:
or ah,40h
ln324:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0879
K879:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln325
and ah,0BFh
jmp short ln326
ln325:
or ah,40h
ln326:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0880 - 0887
K880:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln327
and ah,0BFh
jmp short ln328
ln327:
or ah,40h
ln328:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0890 - 0897
K890:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln329
and ah,0BFh
jmp short ln330
ln329:
or ah,40h
ln330:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0898 - 089F
K898:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln331
and ah,0BFh
jmp short ln332
ln331:
or ah,40h
ln332:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08A0 - 08A7
K8A0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln333
and ah,0BFh
jmp short ln334
ln333:
or ah,40h
ln334:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08A8 - 08AF
K8A8:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln335
and ah,0BFh
jmp short ln336
ln335:
or ah,40h
ln336:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08B0 - 08B7
K8B0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln337
and ah,0BFh
jmp short ln338
ln337:
or ah,40h
ln338:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 08B8
K8B8:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln339
and ah,0BFh
jmp short ln340
ln339:
or ah,40h
ln340:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 08B9
K8B9:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln341
and ah,0BFh
jmp short ln342
ln341:
or ah,40h
ln342:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08C0 - 08C7
K8C0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln343
and ah,0BFh
jmp short ln344
ln343:
or ah,40h
ln344:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08D0 - 08D7
K8D0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln345
and ah,0BFh
jmp short ln346
ln345:
or ah,40h
ln346:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08D8 - 08DF
K8D8:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln347
and ah,0BFh
jmp short ln348
ln347:
or ah,40h
ln348:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08E0 - 08E7
K8E0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln349
and ah,0BFh
jmp short ln350
ln349:
or ah,40h
ln350:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08E8 - 08EF
K8E8:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln351
and ah,0BFh
jmp short ln352
ln351:
or ah,40h
ln352:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 08F0 - 08F7
K8F0:
mov cl,[esi]
add esi,byte 2
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln353
and ah,0BFh
jmp short ln354
ln353:
or ah,40h
ln354:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 08F8
K8F8:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln355
and ah,0BFh
jmp short ln356
ln355:
or ah,40h
ln356:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 08F9
K8F9:
mov cl,[esi]
add esi,byte 2
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln357
and ah,0BFh
jmp short ln358
ln357:
or ah,40h
ln358:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0900 - 0907
K900:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln359
and ah,0BFh
jmp short ln360
ln359:
or ah,40h
ln360:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0908 - 090F
K908:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+16],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0910 - 0917
K910:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln361
and ah,0BFh
jmp short ln362
ln361:
or ah,40h
ln362:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0918 - 091F
K918:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln363
and ah,0BFh
jmp short ln364
ln363:
or ah,40h
ln364:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0920 - 0927
K920:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln365
and ah,0BFh
jmp short ln366
ln365:
or ah,40h
ln366:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0928 - 092F
K928:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln367
and ah,0BFh
jmp short ln368
ln367:
or ah,40h
ln368:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0930 - 0937
K930:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln369
and ah,0BFh
jmp short ln370
ln369:
or ah,40h
ln370:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0938
K938:
mov cl,byte[__dreg+16]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln371
and ah,0BFh
jmp short ln372
ln371:
or ah,40h
ln372:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0939
K939:
mov cl,byte[__dreg+16]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln373
and ah,0BFh
jmp short ln374
ln373:
or ah,40h
ln374:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 093A
K93A:
mov cl,byte[__dreg+16]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln375
and ah,0BFh
jmp short ln376
ln375:
or ah,40h
ln376:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 093B
K93B:
mov cl,byte[__dreg+16]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln377
and ah,0BFh
jmp short ln378
ln377:
or ah,40h
ln378:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 093C
K93C:
mov cl,byte[__dreg+16]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln379
and ah,0BFh
jmp short ln380
ln379:
or ah,40h
ln380:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0940 - 0947
K940:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln381
and ah,0BFh
jmp short ln382
ln381:
or ah,40h
ln382:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0948 - 094F
K948:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+16],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0950 - 0957
K950:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln383
and ah,0BFh
jmp short ln384
ln383:
or ah,40h
ln384:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0958 - 095F
K958:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln385
and ah,0BFh
jmp short ln386
ln385:
or ah,40h
ln386:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0960 - 0967
K960:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln387
and ah,0BFh
jmp short ln388
ln387:
or ah,40h
ln388:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0968 - 096F
K968:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln389
and ah,0BFh
jmp short ln390
ln389:
or ah,40h
ln390:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0970 - 0977
K970:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln391
and ah,0BFh
jmp short ln392
ln391:
or ah,40h
ln392:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0978
K978:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln393
and ah,0BFh
jmp short ln394
ln393:
or ah,40h
ln394:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0979
K979:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln395
and ah,0BFh
jmp short ln396
ln395:
or ah,40h
ln396:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0980 - 0987
K980:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln397
and ah,0BFh
jmp short ln398
ln397:
or ah,40h
ln398:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0988 - 098F
K988:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+16]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0990 - 0997
K990:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln399
and ah,0BFh
jmp short ln400
ln399:
or ah,40h
ln400:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0998 - 099F
K998:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln401
and ah,0BFh
jmp short ln402
ln401:
or ah,40h
ln402:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09A0 - 09A7
K9A0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln403
and ah,0BFh
jmp short ln404
ln403:
or ah,40h
ln404:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09A8 - 09AF
K9A8:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln405
and ah,0BFh
jmp short ln406
ln405:
or ah,40h
ln406:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09B0 - 09B7
K9B0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln407
and ah,0BFh
jmp short ln408
ln407:
or ah,40h
ln408:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 09B8
K9B8:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln409
and ah,0BFh
jmp short ln410
ln409:
or ah,40h
ln410:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 09B9
K9B9:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln411
and ah,0BFh
jmp short ln412
ln411:
or ah,40h
ln412:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09C0 - 09C7
K9C0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln413
and ah,0BFh
jmp short ln414
ln413:
or ah,40h
ln414:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09C8 - 09CF
K9C8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+16]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09D0 - 09D7
K9D0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln415
and ah,0BFh
jmp short ln416
ln415:
or ah,40h
ln416:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09D8 - 09DF
K9D8:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln417
and ah,0BFh
jmp short ln418
ln417:
or ah,40h
ln418:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09E0 - 09E7
K9E0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln419
and ah,0BFh
jmp short ln420
ln419:
or ah,40h
ln420:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09E8 - 09EF
K9E8:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln421
and ah,0BFh
jmp short ln422
ln421:
or ah,40h
ln422:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 09F0 - 09F7
K9F0:
mov cl,byte[__dreg+16]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln423
and ah,0BFh
jmp short ln424
ln423:
or ah,40h
ln424:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 09F8
K9F8:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln425
and ah,0BFh
jmp short ln426
ln425:
or ah,40h
ln426:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 09F9
K9F9:
mov cl,byte[__dreg+16]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln427
and ah,0BFh
jmp short ln428
ln427:
or ah,40h
ln428:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A00 - 0A07
KA00:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
xor [__dreg+ebx*4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A10 - 0A17
KA10:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A18 - 0A1F
KA18:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A20 - 0A27
KA20:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A28 - 0A2F
KA28:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A30 - 0A37
KA30:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A38
KA38:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A39
KA39:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[esp]
lahf
xor al,al
add esp,byte 4
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A3C
KA3C:
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
xor cl,[esi]
add esi,byte 2
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A40 - 0A47
KA40:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
xor [__dreg+ebx*4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A50 - 0A57
KA50:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A58 - 0A5F
KA58:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A60 - 0A67
KA60:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A68 - 0A6F
KA68:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A70 - 0A77
KA70:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A78
KA78:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A79
KA79:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[esp]
lahf
xor al,al
add esp,byte 4
call writememoryword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0A7C
KA7C:
test byte[__sr+1],20h
jz privilege_violation
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
xor cx,[esi]
add esi,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln429
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln429:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A80 - 0A87
KA80:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
xor [__dreg+ebx*4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A90 - 0A97
KA90:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0A98 - 0A9F
KA98:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0AA0 - 0AA7
KAA0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0AA8 - 0AAF
KAA8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0AB0 - 0AB7
KAB0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0AB8
KAB8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0AB9
KAB9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[esp]
lahf
xor al,al
add esp,byte 4
call writememorydword
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B00 - 0B07
KB00:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln431
and ah,0BFh
jmp short ln432
ln431:
or ah,40h
ln432:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B08 - 0B0F
KB08:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+20],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B10 - 0B17
KB10:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln433
and ah,0BFh
jmp short ln434
ln433:
or ah,40h
ln434:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B18 - 0B1F
KB18:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln435
and ah,0BFh
jmp short ln436
ln435:
or ah,40h
ln436:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B20 - 0B27
KB20:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln437
and ah,0BFh
jmp short ln438
ln437:
or ah,40h
ln438:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B28 - 0B2F
KB28:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln439
and ah,0BFh
jmp short ln440
ln439:
or ah,40h
ln440:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B30 - 0B37
KB30:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln441
and ah,0BFh
jmp short ln442
ln441:
or ah,40h
ln442:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B38
KB38:
mov cl,byte[__dreg+20]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln443
and ah,0BFh
jmp short ln444
ln443:
or ah,40h
ln444:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B39
KB39:
mov cl,byte[__dreg+20]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln445
and ah,0BFh
jmp short ln446
ln445:
or ah,40h
ln446:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B3A
KB3A:
mov cl,byte[__dreg+20]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln447
and ah,0BFh
jmp short ln448
ln447:
or ah,40h
ln448:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B3B
KB3B:
mov cl,byte[__dreg+20]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln449
and ah,0BFh
jmp short ln450
ln449:
or ah,40h
ln450:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B3C
KB3C:
mov cl,byte[__dreg+20]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln451
and ah,0BFh
jmp short ln452
ln451:
or ah,40h
ln452:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B40 - 0B47
KB40:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln453
and ah,0BFh
jmp short ln454
ln453:
or ah,40h
ln454:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B48 - 0B4F
KB48:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+20],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B50 - 0B57
KB50:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln455
and ah,0BFh
jmp short ln456
ln455:
or ah,40h
ln456:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B58 - 0B5F
KB58:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln457
and ah,0BFh
jmp short ln458
ln457:
or ah,40h
ln458:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B60 - 0B67
KB60:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln459
and ah,0BFh
jmp short ln460
ln459:
or ah,40h
ln460:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B68 - 0B6F
KB68:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln461
and ah,0BFh
jmp short ln462
ln461:
or ah,40h
ln462:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B70 - 0B77
KB70:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln463
and ah,0BFh
jmp short ln464
ln463:
or ah,40h
ln464:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B78
KB78:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln465
and ah,0BFh
jmp short ln466
ln465:
or ah,40h
ln466:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0B79
KB79:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln467
and ah,0BFh
jmp short ln468
ln467:
or ah,40h
ln468:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B80 - 0B87
KB80:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln469
and ah,0BFh
jmp short ln470
ln469:
or ah,40h
ln470:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B88 - 0B8F
KB88:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+20]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B90 - 0B97
KB90:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln471
and ah,0BFh
jmp short ln472
ln471:
or ah,40h
ln472:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0B98 - 0B9F
KB98:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln473
and ah,0BFh
jmp short ln474
ln473:
or ah,40h
ln474:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BA0 - 0BA7
KBA0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln475
and ah,0BFh
jmp short ln476
ln475:
or ah,40h
ln476:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BA8 - 0BAF
KBA8:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln477
and ah,0BFh
jmp short ln478
ln477:
or ah,40h
ln478:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BB0 - 0BB7
KBB0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln479
and ah,0BFh
jmp short ln480
ln479:
or ah,40h
ln480:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0BB8
KBB8:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln481
and ah,0BFh
jmp short ln482
ln481:
or ah,40h
ln482:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0BB9
KBB9:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln483
and ah,0BFh
jmp short ln484
ln483:
or ah,40h
ln484:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BC0 - 0BC7
KBC0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln485
and ah,0BFh
jmp short ln486
ln485:
or ah,40h
ln486:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BC8 - 0BCF
KBC8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+20]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BD0 - 0BD7
KBD0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln487
and ah,0BFh
jmp short ln488
ln487:
or ah,40h
ln488:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BD8 - 0BDF
KBD8:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln489
and ah,0BFh
jmp short ln490
ln489:
or ah,40h
ln490:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BE0 - 0BE7
KBE0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln491
and ah,0BFh
jmp short ln492
ln491:
or ah,40h
ln492:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BE8 - 0BEF
KBE8:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln493
and ah,0BFh
jmp short ln494
ln493:
or ah,40h
ln494:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0BF0 - 0BF7
KBF0:
mov cl,byte[__dreg+20]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln495
and ah,0BFh
jmp short ln496
ln495:
or ah,40h
ln496:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0BF8
KBF8:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln497
and ah,0BFh
jmp short ln498
ln497:
or ah,40h
ln498:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0BF9
KBF9:
mov cl,byte[__dreg+20]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln499
and ah,0BFh
jmp short ln500
ln499:
or ah,40h
ln500:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C00 - 0C07
KC00:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
cmp [__dreg+ebx*4],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C10 - 0C17
KC10:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C18 - 0C1F
KC18:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C20 - 0C27
KC20:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C28 - 0C2F
KC28:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C30 - 0C37
KC30:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0C38
KC38:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0C39
KC39:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp cl,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C40 - 0C47
KC40:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
cmp [__dreg+ebx*4],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C50 - 0C57
KC50:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C58 - 0C5F
KC58:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C60 - 0C67
KC60:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C68 - 0C6F
KC68:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C70 - 0C77
KC70:
and ebx,byte 7
mov cx,[esi]
add esi,byte 2
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0C78
KC78:
mov cx,[esi]
add esi,byte 2
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0C79
KC79:
mov cx,[esi]
add esi,byte 2
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp cx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C80 - 0C87
KC80:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+ebx*4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C90 - 0C97
KC90:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0C98 - 0C9F
KC98:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0CA0 - 0CA7
KCA0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0CA8 - 0CAF
KCA8:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0CB0 - 0CB7
KCB0:
and ebx,byte 7
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0CB8
KCB8:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0CB9
KCB9:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp ecx,[esp]
lahf
seto al
add esp,byte 4
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D00 - 0D07
KD00:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln501
and ah,0BFh
jmp short ln502
ln501:
or ah,40h
ln502:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D08 - 0D0F
KD08:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+24],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D10 - 0D17
KD10:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln503
and ah,0BFh
jmp short ln504
ln503:
or ah,40h
ln504:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D18 - 0D1F
KD18:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln505
and ah,0BFh
jmp short ln506
ln505:
or ah,40h
ln506:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D20 - 0D27
KD20:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln507
and ah,0BFh
jmp short ln508
ln507:
or ah,40h
ln508:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D28 - 0D2F
KD28:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln509
and ah,0BFh
jmp short ln510
ln509:
or ah,40h
ln510:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D30 - 0D37
KD30:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln511
and ah,0BFh
jmp short ln512
ln511:
or ah,40h
ln512:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D38
KD38:
mov cl,byte[__dreg+24]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln513
and ah,0BFh
jmp short ln514
ln513:
or ah,40h
ln514:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D39
KD39:
mov cl,byte[__dreg+24]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln515
and ah,0BFh
jmp short ln516
ln515:
or ah,40h
ln516:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D3A
KD3A:
mov cl,byte[__dreg+24]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln517
and ah,0BFh
jmp short ln518
ln517:
or ah,40h
ln518:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D3B
KD3B:
mov cl,byte[__dreg+24]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln519
and ah,0BFh
jmp short ln520
ln519:
or ah,40h
ln520:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D3C
KD3C:
mov cl,byte[__dreg+24]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln521
and ah,0BFh
jmp short ln522
ln521:
or ah,40h
ln522:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D40 - 0D47
KD40:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln523
and ah,0BFh
jmp short ln524
ln523:
or ah,40h
ln524:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D48 - 0D4F
KD48:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+24],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D50 - 0D57
KD50:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln525
and ah,0BFh
jmp short ln526
ln525:
or ah,40h
ln526:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D58 - 0D5F
KD58:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln527
and ah,0BFh
jmp short ln528
ln527:
or ah,40h
ln528:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D60 - 0D67
KD60:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln529
and ah,0BFh
jmp short ln530
ln529:
or ah,40h
ln530:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D68 - 0D6F
KD68:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln531
and ah,0BFh
jmp short ln532
ln531:
or ah,40h
ln532:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D70 - 0D77
KD70:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln533
and ah,0BFh
jmp short ln534
ln533:
or ah,40h
ln534:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D78
KD78:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln535
and ah,0BFh
jmp short ln536
ln535:
or ah,40h
ln536:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0D79
KD79:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln537
and ah,0BFh
jmp short ln538
ln537:
or ah,40h
ln538:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D80 - 0D87
KD80:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln539
and ah,0BFh
jmp short ln540
ln539:
or ah,40h
ln540:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D88 - 0D8F
KD88:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+24]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D90 - 0D97
KD90:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln541
and ah,0BFh
jmp short ln542
ln541:
or ah,40h
ln542:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0D98 - 0D9F
KD98:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln543
and ah,0BFh
jmp short ln544
ln543:
or ah,40h
ln544:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DA0 - 0DA7
KDA0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln545
and ah,0BFh
jmp short ln546
ln545:
or ah,40h
ln546:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DA8 - 0DAF
KDA8:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln547
and ah,0BFh
jmp short ln548
ln547:
or ah,40h
ln548:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DB0 - 0DB7
KDB0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln549
and ah,0BFh
jmp short ln550
ln549:
or ah,40h
ln550:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0DB8
KDB8:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln551
and ah,0BFh
jmp short ln552
ln551:
or ah,40h
ln552:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0DB9
KDB9:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln553
and ah,0BFh
jmp short ln554
ln553:
or ah,40h
ln554:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DC0 - 0DC7
KDC0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln555
and ah,0BFh
jmp short ln556
ln555:
or ah,40h
ln556:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DC8 - 0DCF
KDC8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+24]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DD0 - 0DD7
KDD0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln557
and ah,0BFh
jmp short ln558
ln557:
or ah,40h
ln558:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DD8 - 0DDF
KDD8:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln559
and ah,0BFh
jmp short ln560
ln559:
or ah,40h
ln560:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DE0 - 0DE7
KDE0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln561
and ah,0BFh
jmp short ln562
ln561:
or ah,40h
ln562:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DE8 - 0DEF
KDE8:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln563
and ah,0BFh
jmp short ln564
ln563:
or ah,40h
ln564:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0DF0 - 0DF7
KDF0:
mov cl,byte[__dreg+24]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln565
and ah,0BFh
jmp short ln566
ln565:
or ah,40h
ln566:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0DF8
KDF8:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln567
and ah,0BFh
jmp short ln568
ln567:
or ah,40h
ln568:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0DF9
KDF9:
mov cl,byte[__dreg+24]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln569
and ah,0BFh
jmp short ln570
ln569:
or ah,40h
ln570:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F00 - 0F07
KF00:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
test [__dreg+ebx*4],edx
jz short ln571
and ah,0BFh
jmp short ln572
ln571:
or ah,40h
ln572:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F08 - 0F0F
KF08:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+28],bx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F10 - 0F17
KF10:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln573
and ah,0BFh
jmp short ln574
ln573:
or ah,40h
ln574:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F18 - 0F1F
KF18:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln575
and ah,0BFh
jmp short ln576
ln575:
or ah,40h
ln576:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F20 - 0F27
KF20:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
push ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln577
and ah,0BFh
jmp short ln578
ln577:
or ah,40h
ln578:
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F28 - 0F2F
KF28:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln579
and ah,0BFh
jmp short ln580
ln579:
or ah,40h
ln580:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F30 - 0F37
KF30:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
push ecx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln581
and ah,0BFh
jmp short ln582
ln581:
or ah,40h
ln582:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F38
KF38:
mov cl,byte[__dreg+28]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln583
and ah,0BFh
jmp short ln584
ln583:
or ah,40h
ln584:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F39
KF39:
mov cl,byte[__dreg+28]
and ecx,byte 7
push ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln585
and ah,0BFh
jmp short ln586
ln585:
or ah,40h
ln586:
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F3A
KF3A:
mov cl,byte[__dreg+28]
and ecx,byte 7
push ecx
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln587
and ah,0BFh
jmp short ln588
ln587:
or ah,40h
ln588:
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F3B
KF3B:
mov cl,byte[__dreg+28]
and ecx,byte 7
push ecx
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln589
and ah,0BFh
jmp short ln590
ln589:
or ah,40h
ln590:
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F3C
KF3C:
mov cl,byte[__dreg+28]
and ecx,byte 7
push ecx
mov cx,[esi]
add esi,byte 2
mov edx,ecx
pop ecx
inc cl
shr dl,cl
jnc short ln591
and ah,0BFh
jmp short ln592
ln591:
or ah,40h
ln592:
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F40 - 0F47
KF40:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln593
and ah,0BFh
jmp short ln594
ln593:
or ah,40h
ln594:
xor ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F48 - 0F4F
KF48:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
add edx,byte 2
shl ebx,16
call readmemorybyte
mov bh,cl
add edx,byte 2
call readmemorybyte
mov bl,cl
mov [__dreg+28],ebx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F50 - 0F57
KF50:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln595
and ah,0BFh
jmp short ln596
ln595:
or ah,40h
ln596:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F58 - 0F5F
KF58:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln597
and ah,0BFh
jmp short ln598
ln597:
or ah,40h
ln598:
xor cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F60 - 0F67
KF60:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln599
and ah,0BFh
jmp short ln600
ln599:
or ah,40h
ln600:
xor cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F68 - 0F6F
KF68:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln601
and ah,0BFh
jmp short ln602
ln601:
or ah,40h
ln602:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F70 - 0F77
KF70:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln603
and ah,0BFh
jmp short ln604
ln603:
or ah,40h
ln604:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F78
KF78:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln605
and ah,0BFh
jmp short ln606
ln605:
or ah,40h
ln606:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0F79
KF79:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln607
and ah,0BFh
jmp short ln608
ln607:
or ah,40h
ln608:
xor cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F80 - 0F87
KF80:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln609
and ah,0BFh
jmp short ln610
ln609:
or ah,40h
ln610:
not edx
and ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F88 - 0F8F
KF88:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+28]
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F90 - 0F97
KF90:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln611
and ah,0BFh
jmp short ln612
ln611:
or ah,40h
ln612:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0F98 - 0F9F
KF98:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln613
and ah,0BFh
jmp short ln614
ln613:
or ah,40h
ln614:
not dl
and cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FA0 - 0FA7
KFA0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln615
and ah,0BFh
jmp short ln616
ln615:
or ah,40h
ln616:
not dl
and cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FA8 - 0FAF
KFA8:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln617
and ah,0BFh
jmp short ln618
ln617:
or ah,40h
ln618:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FB0 - 0FB7
KFB0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln619
and ah,0BFh
jmp short ln620
ln619:
or ah,40h
ln620:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0FB8
KFB8:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln621
and ah,0BFh
jmp short ln622
ln621:
or ah,40h
ln622:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0FB9
KFB9:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln623
and ah,0BFh
jmp short ln624
ln623:
or ah,40h
ln624:
not dl
and cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FC0 - 0FC7
KFC0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 31
mov edx,1
shl edx,cl
mov ecx,[__dreg+ebx*4]
test ecx,edx
jz short ln625
and ah,0BFh
jmp short ln626
ln625:
or ah,40h
ln626:
or ecx,edx
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FC8 - 0FCF
KFC8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ebx,[__dreg+28]
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
add edx,byte 2
rol ebx,16
mov cl,bh
call writememorybyte
add edx,byte 2
mov cl,bl
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FD0 - 0FD7
KFD0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln627
and ah,0BFh
jmp short ln628
ln627:
or ah,40h
ln628:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FD8 - 0FDF
KFD8:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln629
and ah,0BFh
jmp short ln630
ln629:
or ah,40h
ln630:
or cl,dl
pop edx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FE0 - 0FE7
KFE0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln631
and ah,0BFh
jmp short ln632
ln631:
or ah,40h
ln632:
or cl,dl
pop edx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FE8 - 0FEF
KFE8:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln633
and ah,0BFh
jmp short ln634
ln633:
or ah,40h
ln634:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 0FF0 - 0FF7
KFF0:
mov cl,byte[__dreg+28]
and ebx,byte 7
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln635
and ah,0BFh
jmp short ln636
ln635:
or ah,40h
ln636:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0FF8
KFF8:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln637
and ah,0BFh
jmp short ln638
ln637:
or ah,40h
ln638:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 0FF9
KFF9:
mov cl,byte[__dreg+28]
and ecx,byte 7
mov dl,1
shl dl,cl
push edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xchg edx,[esp]
test cl,dl
jz short ln639
and ah,0BFh
jmp short ln640
ln639:
or ah,40h
ln640:
or cl,dl
pop edx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1000 - 1007
L000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1008 - 100F
L008:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1010 - 1017
L010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1018 - 101F
L018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1020 - 1027
L020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1028 - 102F
L028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1030 - 1037
L030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1038
L038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1039
L039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 103A
L03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 103B
L03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 103C
L03C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+0],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1080 - 1087
L080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1088 - 108F
L088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1090 - 1097
L090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1098 - 109F
L098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10A0 - 10A7
L0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10A8 - 10AF
L0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10B0 - 10B7
L0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10B8
L0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10B9
L0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10BA
L0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10BB
L0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10BC
L0BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10C0 - 10C7
L0C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10C8 - 10CF
L0C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10D0 - 10D7
L0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10D8 - 10DF
L0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10E0 - 10E7
L0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10E8 - 10EF
L0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 10F0 - 10F7
L0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10F8
L0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10F9
L0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10FA
L0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10FB
L0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 10FC
L0FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
call writememorybyte
inc edx
mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1100 - 1107
L100:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1108 - 110F
L108:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1110 - 1117
L110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1118 - 111F
L118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1120 - 1127
L120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1128 - 112F
L128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1130 - 1137
L130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1138
L138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1139
L139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 113A
L13A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 113B
L13B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 113C
L13C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
dec edx
call writememorydecbyte

mov [__areg+0],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1140 - 1147
L140:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1148 - 114F
L148:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1150 - 1157
L150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1158 - 115F
L158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1160 - 1167
L160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1168 - 116F
L168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1170 - 1177
L170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1178
L178:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1179
L179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 117A
L17A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 117B
L17B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 117C
L17C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1180 - 1187
L180:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1188 - 118F
L188:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1190 - 1197
L190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1198 - 119F
L198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11A0 - 11A7
L1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11A8 - 11AF
L1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11B0 - 11B7
L1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11B8
L1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11B9
L1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11BA
L1BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11BB
L1BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11BC
L1BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+0]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11C0 - 11C7
L1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11C8 - 11CF
L1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11D0 - 11D7
L1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11D8 - 11DF
L1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11E0 - 11E7
L1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11E8 - 11EF
L1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 11F0 - 11F7
L1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11F8
L1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11F9
L1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11FA
L1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11FB
L1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 11FC
L1FC:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1200 - 1207
L200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1208 - 120F
L208:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1210 - 1217
L210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1218 - 121F
L218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1220 - 1227
L220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1228 - 122F
L228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1230 - 1237
L230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1238
L238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1239
L239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 123A
L23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 123B
L23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 123C
L23C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+4],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1280 - 1287
L280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1288 - 128F
L288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1290 - 1297
L290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1298 - 129F
L298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12A0 - 12A7
L2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12A8 - 12AF
L2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12B0 - 12B7
L2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12B8
L2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12B9
L2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12BA
L2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12BB
L2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12BC
L2BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12C0 - 12C7
L2C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12C8 - 12CF
L2C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12D0 - 12D7
L2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12D8 - 12DF
L2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12E0 - 12E7
L2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12E8 - 12EF
L2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 12F0 - 12F7
L2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12F8
L2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12F9
L2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12FA
L2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12FB
L2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 12FC
L2FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
call writememorybyte
inc edx
mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1300 - 1307
L300:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1308 - 130F
L308:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1310 - 1317
L310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1318 - 131F
L318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1320 - 1327
L320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1328 - 132F
L328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1330 - 1337
L330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1338
L338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1339
L339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 133A
L33A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 133B
L33B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 133C
L33C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
dec edx
call writememorydecbyte

mov [__areg+4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1340 - 1347
L340:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1348 - 134F
L348:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1350 - 1357
L350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1358 - 135F
L358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1360 - 1367
L360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1368 - 136F
L368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1370 - 1377
L370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1378
L378:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1379
L379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 137A
L37A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 137B
L37B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 137C
L37C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1380 - 1387
L380:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1388 - 138F
L388:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1390 - 1397
L390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1398 - 139F
L398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13A0 - 13A7
L3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13A8 - 13AF
L3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13B0 - 13B7
L3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13B8
L3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13B9
L3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13BA
L3BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13BB
L3BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13BC
L3BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+4]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13C0 - 13C7
L3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13C8 - 13CF
L3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13D0 - 13D7
L3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13D8 - 13DF
L3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13E0 - 13E7
L3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13E8 - 13EF
L3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 13F0 - 13F7
L3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13F8
L3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13F9
L3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13FA
L3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13FB
L3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 13FC
L3FC:
mov cx,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1400 - 1407
L400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1408 - 140F
L408:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1410 - 1417
L410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1418 - 141F
L418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1420 - 1427
L420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1428 - 142F
L428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1430 - 1437
L430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1438
L438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1439
L439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 143A
L43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 143B
L43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 143C
L43C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+8],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1480 - 1487
L480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1488 - 148F
L488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1490 - 1497
L490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1498 - 149F
L498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14A0 - 14A7
L4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14A8 - 14AF
L4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14B0 - 14B7
L4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14B8
L4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14B9
L4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14BA
L4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14BB
L4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14BC
L4BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14C0 - 14C7
L4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14C8 - 14CF
L4C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14D0 - 14D7
L4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14D8 - 14DF
L4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14E0 - 14E7
L4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14E8 - 14EF
L4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 14F0 - 14F7
L4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14F8
L4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14F9
L4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14FA
L4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14FB
L4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 14FC
L4FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
call writememorybyte
inc edx
mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1500 - 1507
L500:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1508 - 150F
L508:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1510 - 1517
L510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1518 - 151F
L518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1520 - 1527
L520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1528 - 152F
L528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1530 - 1537
L530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1538
L538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1539
L539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 153A
L53A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 153B
L53B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 153C
L53C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
dec edx
call writememorydecbyte

mov [__areg+8],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1540 - 1547
L540:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1548 - 154F
L548:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1550 - 1557
L550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1558 - 155F
L558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1560 - 1567
L560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1568 - 156F
L568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1570 - 1577
L570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1578
L578:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1579
L579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 157A
L57A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 157B
L57B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 157C
L57C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1580 - 1587
L580:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1588 - 158F
L588:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1590 - 1597
L590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1598 - 159F
L598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 15A0 - 15A7
L5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 15A8 - 15AF
L5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 15B0 - 15B7
L5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 15B8
L5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 15B9
L5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 15BA
L5BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 15BB
L5BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 15BC
L5BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+8]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1600 - 1607
L600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1608 - 160F
L608:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1610 - 1617
L610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1618 - 161F
L618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1620 - 1627
L620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1628 - 162F
L628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1630 - 1637
L630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1638
L638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1639
L639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 163A
L63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 163B
L63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 163C
L63C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+12],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1680 - 1687
L680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1688 - 168F
L688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1690 - 1697
L690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1698 - 169F
L698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16A0 - 16A7
L6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16A8 - 16AF
L6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16B0 - 16B7
L6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16B8
L6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16B9
L6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16BA
L6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16BB
L6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16BC
L6BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16C0 - 16C7
L6C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16C8 - 16CF
L6C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16D0 - 16D7
L6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16D8 - 16DF
L6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16E0 - 16E7
L6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16E8 - 16EF
L6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 16F0 - 16F7
L6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16F8
L6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16F9
L6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16FA
L6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16FB
L6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 16FC
L6FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
call writememorybyte
inc edx
mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1700 - 1707
L700:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1708 - 170F
L708:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1710 - 1717
L710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1718 - 171F
L718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1720 - 1727
L720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1728 - 172F
L728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1730 - 1737
L730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1738
L738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1739
L739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 173A
L73A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 173B
L73B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 173C
L73C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
dec edx
call writememorydecbyte

mov [__areg+12],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1740 - 1747
L740:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1748 - 174F
L748:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1750 - 1757
L750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1758 - 175F
L758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1760 - 1767
L760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1768 - 176F
L768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1770 - 1777
L770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1778
L778:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1779
L779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 177A
L77A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 177B
L77B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 177C
L77C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1780 - 1787
L780:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1788 - 178F
L788:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1790 - 1797
L790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1798 - 179F
L798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 17A0 - 17A7
L7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 17A8 - 17AF
L7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 17B0 - 17B7
L7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 17B8
L7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 17B9
L7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 17BA
L7BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 17BB
L7BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 17BC
L7BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+12]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1800 - 1807
L800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1808 - 180F
L808:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1810 - 1817
L810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1818 - 181F
L818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1820 - 1827
L820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1828 - 182F
L828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1830 - 1837
L830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1838
L838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1839
L839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 183A
L83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 183B
L83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 183C
L83C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+16],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1880 - 1887
L880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1888 - 188F
L888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1890 - 1897
L890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1898 - 189F
L898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18A0 - 18A7
L8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18A8 - 18AF
L8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18B0 - 18B7
L8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18B8
L8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18B9
L8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18BA
L8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18BB
L8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18BC
L8BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18C0 - 18C7
L8C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18C8 - 18CF
L8C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18D0 - 18D7
L8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18D8 - 18DF
L8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18E0 - 18E7
L8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18E8 - 18EF
L8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 18F0 - 18F7
L8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18F8
L8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18F9
L8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18FA
L8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18FB
L8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 18FC
L8FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
call writememorybyte
inc edx
mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1900 - 1907
L900:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1908 - 190F
L908:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1910 - 1917
L910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1918 - 191F
L918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1920 - 1927
L920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1928 - 192F
L928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1930 - 1937
L930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1938
L938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1939
L939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 193A
L93A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 193B
L93B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 193C
L93C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
dec edx
call writememorydecbyte

mov [__areg+16],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1940 - 1947
L940:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1948 - 194F
L948:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1950 - 1957
L950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1958 - 195F
L958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1960 - 1967
L960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1968 - 196F
L968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1970 - 1977
L970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1978
L978:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1979
L979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 197A
L97A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 197B
L97B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 197C
L97C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1980 - 1987
L980:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1988 - 198F
L988:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1990 - 1997
L990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1998 - 199F
L998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 19A0 - 19A7
L9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 19A8 - 19AF
L9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 19B0 - 19B7
L9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 19B8
L9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 19B9
L9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 19BA
L9BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 19BB
L9BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 19BC
L9BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+16]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A00 - 1A07
LA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A08 - 1A0F
LA08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A10 - 1A17
LA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A18 - 1A1F
LA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A20 - 1A27
LA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A28 - 1A2F
LA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A30 - 1A37
LA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1A38
LA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1A39
LA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1A3A
LA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1A3B
LA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1A3C
LA3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+20],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A80 - 1A87
LA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A88 - 1A8F
LA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A90 - 1A97
LA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1A98 - 1A9F
LA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AA0 - 1AA7
LAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AA8 - 1AAF
LAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AB0 - 1AB7
LAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AB8
LAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AB9
LAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1ABA
LABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1ABB
LABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1ABC
LABC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AC0 - 1AC7
LAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AC8 - 1ACF
LAC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AD0 - 1AD7
LAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AD8 - 1ADF
LAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AE0 - 1AE7
LAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AE8 - 1AEF
LAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1AF0 - 1AF7
LAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AF8
LAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AF9
LAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AFA
LAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AFB
LAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1AFC
LAFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
call writememorybyte
inc edx
mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B00 - 1B07
LB00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B08 - 1B0F
LB08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B10 - 1B17
LB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B18 - 1B1F
LB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B20 - 1B27
LB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B28 - 1B2F
LB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B30 - 1B37
LB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B38
LB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B39
LB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B3A
LB3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B3B
LB3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B3C
LB3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
dec edx
call writememorydecbyte

mov [__areg+20],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B40 - 1B47
LB40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B48 - 1B4F
LB48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B50 - 1B57
LB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B58 - 1B5F
LB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B60 - 1B67
LB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B68 - 1B6F
LB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B70 - 1B77
LB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B78
LB78:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B79
LB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B7A
LB7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B7B
LB7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1B7C
LB7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B80 - 1B87
LB80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B88 - 1B8F
LB88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B90 - 1B97
LB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1B98 - 1B9F
LB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1BA0 - 1BA7
LBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1BA8 - 1BAF
LBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1BB0 - 1BB7
LBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1BB8
LBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1BB9
LBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1BBA
LBBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1BBB
LBBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1BBC
LBBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+20]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C00 - 1C07
LC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C08 - 1C0F
LC08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C10 - 1C17
LC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C18 - 1C1F
LC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C20 - 1C27
LC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C28 - 1C2F
LC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C30 - 1C37
LC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1C38
LC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1C39
LC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1C3A
LC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1C3B
LC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1C3C
LC3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+24],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C80 - 1C87
LC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C88 - 1C8F
LC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C90 - 1C97
LC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1C98 - 1C9F
LC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CA0 - 1CA7
LCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CA8 - 1CAF
LCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CB0 - 1CB7
LCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CB8
LCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CB9
LCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CBA
LCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CBB
LCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CBC
LCBC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CC0 - 1CC7
LCC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CC8 - 1CCF
LCC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CD0 - 1CD7
LCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CD8 - 1CDF
LCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CE0 - 1CE7
LCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CE8 - 1CEF
LCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1CF0 - 1CF7
LCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CF8
LCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CF9
LCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CFA
LCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CFB
LCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1CFC
LCFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
call writememorybyte
inc edx
mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D00 - 1D07
LD00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D08 - 1D0F
LD08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D10 - 1D17
LD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D18 - 1D1F
LD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D20 - 1D27
LD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D28 - 1D2F
LD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D30 - 1D37
LD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D38
LD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D39
LD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D3A
LD3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D3B
LD3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D3C
LD3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
dec edx
call writememorydecbyte

mov [__areg+24],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D40 - 1D47
LD40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D48 - 1D4F
LD48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D50 - 1D57
LD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D58 - 1D5F
LD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D60 - 1D67
LD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D68 - 1D6F
LD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D70 - 1D77
LD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D78
LD78:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D79
LD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D7A
LD7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D7B
LD7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1D7C
LD7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D80 - 1D87
LD80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D88 - 1D8F
LD88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D90 - 1D97
LD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1D98 - 1D9F
LD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1DA0 - 1DA7
LDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1DA8 - 1DAF
LDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1DB0 - 1DB7
LDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1DB8
LDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1DB9
LDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1DBA
LDBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1DBB
LDBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1DBC
LDBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+24]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E00 - 1E07
LE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E08 - 1E0F
LE08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E10 - 1E17
LE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E18 - 1E1F
LE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E20 - 1E27
LE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E28 - 1E2F
LE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E30 - 1E37
LE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1E38
LE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1E39
LE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1E3A
LE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1E3B
LE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1E3C
LE3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+28],cl
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E80 - 1E87
LE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E88 - 1E8F
LE88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E90 - 1E97
LE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1E98 - 1E9F
LE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EA0 - 1EA7
LEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EA8 - 1EAF
LEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EB0 - 1EB7
LEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EB8
LEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EB9
LEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EBA
LEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EBB
LEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EBC
LEBC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EC0 - 1EC7
LEC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EC8 - 1ECF
LEC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1ED0 - 1ED7
LED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1ED8 - 1EDF
LED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EE0 - 1EE7
LEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EE8 - 1EEF
LEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1EF0 - 1EF7
LEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EF8
LEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EF9
LEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EFA
LEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EFB
LEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1EFC
LEFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
call writememorybyte
add edx,byte 2
mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F00 - 1F07
LF00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F08 - 1F0F
LF08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F10 - 1F17
LF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F18 - 1F1F
LF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F20 - 1F27
LF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F28 - 1F2F
LF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F30 - 1F37
LF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F38
LF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F39
LF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F3A
LF3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F3B
LF3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F3C
LF3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecbyte

mov [__areg+28],edx
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F40 - 1F47
LF40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F48 - 1F4F
LF48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F50 - 1F57
LF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F58 - 1F5F
LF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F60 - 1F67
LF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F68 - 1F6F
LF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F70 - 1F77
LF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F78
LF78:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F79
LF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F7A
LF7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F7B
LF7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1F7C
LF7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F80 - 1F87
LF80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F88 - 1F8F
LF88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F90 - 1F97
LF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1F98 - 1F9F
LF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1FA0 - 1FA7
LFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1FA8 - 1FAF
LFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 1FB0 - 1FB7
LFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1FB8
LFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1FB9
LFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1FBA
LFBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1FBB
LFBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 1FBC
LFBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+28]
call writememorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2000 - 2007
M000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2008 - 200F
M008:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2010 - 2017
M010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2018 - 201F
M018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2020 - 2027
M020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2028 - 202F
M028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2030 - 2037
M030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2038
M038:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2039
M039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 203A
M03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 203B
M03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 203C
M03C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+0],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2040 - 2047
M040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+0],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2048 - 204F
M048:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+0],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2050 - 2057
M050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2058 - 205F
M058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2060 - 2067
M060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2068 - 206F
M068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2070 - 2077
M070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2078
M078:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2079
M079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 207A
M07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 207B
M07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 207C
M07C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2080 - 2087
M080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2088 - 208F
M088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2090 - 2097
M090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2098 - 209F
M098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20A0 - 20A7
M0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20A8 - 20AF
M0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20B0 - 20B7
M0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20B8
M0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20B9
M0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20BA
M0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20BB
M0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20BC
M0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20C0 - 20C7
M0C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20C8 - 20CF
M0C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20D0 - 20D7
M0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20D8 - 20DF
M0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20E0 - 20E7
M0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20E8 - 20EF
M0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 20F0 - 20F7
M0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20F8
M0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20F9
M0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20FA
M0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20FB
M0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 20FC
M0FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+0]
call writememorydword
add edx,byte 4
mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2100 - 2107
M100:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2108 - 210F
M108:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2110 - 2117
M110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2118 - 211F
M118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2120 - 2127
M120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2128 - 212F
M128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2130 - 2137
M130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2138
M138:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2139
M139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 213A
M13A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 213B
M13B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 213C
M13C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+0]
sub edx,byte 4
call writememorydecdword

mov [__areg+0],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2140 - 2147
M140:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2148 - 214F
M148:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2150 - 2157
M150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2158 - 215F
M158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2160 - 2167
M160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2168 - 216F
M168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2170 - 2177
M170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2178
M178:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2179
M179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 217A
M17A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 217B
M17B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 217C
M17C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2180 - 2187
M180:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2188 - 218F
M188:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2190 - 2197
M190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2198 - 219F
M198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21A0 - 21A7
M1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21A8 - 21AF
M1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21B0 - 21B7
M1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21B8
M1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21B9
M1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21BA
M1BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21BB
M1BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21BC
M1BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+0]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21C0 - 21C7
M1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21C8 - 21CF
M1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21D0 - 21D7
M1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21D8 - 21DF
M1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21E0 - 21E7
M1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21E8 - 21EF
M1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 21F0 - 21F7
M1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21F8
M1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21F9
M1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21FA
M1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21FB
M1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 21FC
M1FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2200 - 2207
M200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2208 - 220F
M208:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2210 - 2217
M210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2218 - 221F
M218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2220 - 2227
M220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2228 - 222F
M228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2230 - 2237
M230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2238
M238:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2239
M239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 223A
M23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 223B
M23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 223C
M23C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2240 - 2247
M240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+4],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2248 - 224F
M248:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+4],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2250 - 2257
M250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2258 - 225F
M258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2260 - 2267
M260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2268 - 226F
M268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2270 - 2277
M270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2278
M278:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2279
M279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 227A
M27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 227B
M27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 227C
M27C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2280 - 2287
M280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2288 - 228F
M288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2290 - 2297
M290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2298 - 229F
M298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22A0 - 22A7
M2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22A8 - 22AF
M2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22B0 - 22B7
M2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22B8
M2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22B9
M2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22BA
M2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22BB
M2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22BC
M2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22C0 - 22C7
M2C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22C8 - 22CF
M2C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22D0 - 22D7
M2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22D8 - 22DF
M2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22E0 - 22E7
M2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22E8 - 22EF
M2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 22F0 - 22F7
M2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22F8
M2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22F9
M2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22FA
M2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22FB
M2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 22FC
M2FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+4]
call writememorydword
add edx,byte 4
mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2300 - 2307
M300:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2308 - 230F
M308:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2310 - 2317
M310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2318 - 231F
M318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2320 - 2327
M320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2328 - 232F
M328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2330 - 2337
M330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2338
M338:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2339
M339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 233A
M33A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 233B
M33B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 233C
M33C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+4]
sub edx,byte 4
call writememorydecdword

mov [__areg+4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2340 - 2347
M340:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2348 - 234F
M348:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2350 - 2357
M350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2358 - 235F
M358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2360 - 2367
M360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2368 - 236F
M368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2370 - 2377
M370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2378
M378:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2379
M379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 237A
M37A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 237B
M37B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 237C
M37C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2380 - 2387
M380:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2388 - 238F
M388:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2390 - 2397
M390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2398 - 239F
M398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23A0 - 23A7
M3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23A8 - 23AF
M3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23B0 - 23B7
M3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23B8
M3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23B9
M3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23BA
M3BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23BB
M3BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23BC
M3BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+4]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23C0 - 23C7
M3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23C8 - 23CF
M3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23D0 - 23D7
M3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23D8 - 23DF
M3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23E0 - 23E7
M3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23E8 - 23EF
M3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 23F0 - 23F7
M3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23F8
M3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23F9
M3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 36
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23FA
M3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23FB
M3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 23FC
M3FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2400 - 2407
M400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2408 - 240F
M408:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2410 - 2417
M410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2418 - 241F
M418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2420 - 2427
M420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2428 - 242F
M428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2430 - 2437
M430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2438
M438:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2439
M439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 243A
M43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 243B
M43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 243C
M43C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+8],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2440 - 2447
M440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+8],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2448 - 244F
M448:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+8],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2450 - 2457
M450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2458 - 245F
M458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2460 - 2467
M460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2468 - 246F
M468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2470 - 2477
M470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2478
M478:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2479
M479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 247A
M47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 247B
M47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 247C
M47C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2480 - 2487
M480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2488 - 248F
M488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2490 - 2497
M490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2498 - 249F
M498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24A0 - 24A7
M4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24A8 - 24AF
M4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24B0 - 24B7
M4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24B8
M4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24B9
M4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24BA
M4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24BB
M4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24BC
M4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24C0 - 24C7
M4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24C8 - 24CF
M4C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24D0 - 24D7
M4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24D8 - 24DF
M4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24E0 - 24E7
M4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24E8 - 24EF
M4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 24F0 - 24F7
M4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24F8
M4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24F9
M4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24FA
M4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24FB
M4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 24FC
M4FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+8]
call writememorydword
add edx,byte 4
mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2500 - 2507
M500:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2508 - 250F
M508:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2510 - 2517
M510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2518 - 251F
M518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2520 - 2527
M520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2528 - 252F
M528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2530 - 2537
M530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2538
M538:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2539
M539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 253A
M53A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 253B
M53B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 253C
M53C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+8]
sub edx,byte 4
call writememorydecdword

mov [__areg+8],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2540 - 2547
M540:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2548 - 254F
M548:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2550 - 2557
M550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2558 - 255F
M558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2560 - 2567
M560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2568 - 256F
M568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2570 - 2577
M570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2578
M578:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2579
M579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 257A
M57A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 257B
M57B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 257C
M57C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2580 - 2587
M580:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2588 - 258F
M588:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2590 - 2597
M590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2598 - 259F
M598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 25A0 - 25A7
M5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 25A8 - 25AF
M5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 25B0 - 25B7
M5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 25B8
M5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 25B9
M5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 25BA
M5BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 25BB
M5BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 25BC
M5BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+8]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2600 - 2607
M600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2608 - 260F
M608:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2610 - 2617
M610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2618 - 261F
M618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2620 - 2627
M620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2628 - 262F
M628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2630 - 2637
M630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2638
M638:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2639
M639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 263A
M63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 263B
M63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 263C
M63C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+12],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2640 - 2647
M640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+12],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2648 - 264F
M648:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+12],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2650 - 2657
M650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2658 - 265F
M658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2660 - 2667
M660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2668 - 266F
M668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2670 - 2677
M670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2678
M678:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2679
M679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 267A
M67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 267B
M67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 267C
M67C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2680 - 2687
M680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2688 - 268F
M688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2690 - 2697
M690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2698 - 269F
M698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26A0 - 26A7
M6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26A8 - 26AF
M6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26B0 - 26B7
M6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26B8
M6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26B9
M6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26BA
M6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26BB
M6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26BC
M6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26C0 - 26C7
M6C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26C8 - 26CF
M6C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26D0 - 26D7
M6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26D8 - 26DF
M6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26E0 - 26E7
M6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26E8 - 26EF
M6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 26F0 - 26F7
M6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26F8
M6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26F9
M6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26FA
M6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26FB
M6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 26FC
M6FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+12]
call writememorydword
add edx,byte 4
mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2700 - 2707
M700:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2708 - 270F
M708:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2710 - 2717
M710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2718 - 271F
M718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2720 - 2727
M720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2728 - 272F
M728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2730 - 2737
M730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2738
M738:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2739
M739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 273A
M73A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 273B
M73B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 273C
M73C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+12]
sub edx,byte 4
call writememorydecdword

mov [__areg+12],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2740 - 2747
M740:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2748 - 274F
M748:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2750 - 2757
M750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2758 - 275F
M758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2760 - 2767
M760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2768 - 276F
M768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2770 - 2777
M770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2778
M778:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2779
M779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 277A
M77A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 277B
M77B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 277C
M77C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2780 - 2787
M780:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2788 - 278F
M788:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2790 - 2797
M790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2798 - 279F
M798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 27A0 - 27A7
M7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 27A8 - 27AF
M7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 27B0 - 27B7
M7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 27B8
M7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 27B9
M7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 27BA
M7BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 27BB
M7BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 27BC
M7BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+12]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2800 - 2807
M800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2808 - 280F
M808:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2810 - 2817
M810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2818 - 281F
M818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2820 - 2827
M820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2828 - 282F
M828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2830 - 2837
M830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2838
M838:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2839
M839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 283A
M83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 283B
M83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 283C
M83C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+16],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2840 - 2847
M840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+16],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2848 - 284F
M848:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+16],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2850 - 2857
M850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2858 - 285F
M858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2860 - 2867
M860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2868 - 286F
M868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2870 - 2877
M870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2878
M878:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2879
M879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 287A
M87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 287B
M87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 287C
M87C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2880 - 2887
M880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2888 - 288F
M888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2890 - 2897
M890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2898 - 289F
M898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28A0 - 28A7
M8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28A8 - 28AF
M8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28B0 - 28B7
M8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28B8
M8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28B9
M8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28BA
M8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28BB
M8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28BC
M8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28C0 - 28C7
M8C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28C8 - 28CF
M8C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28D0 - 28D7
M8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28D8 - 28DF
M8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28E0 - 28E7
M8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28E8 - 28EF
M8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 28F0 - 28F7
M8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28F8
M8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28F9
M8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28FA
M8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28FB
M8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 28FC
M8FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+16]
call writememorydword
add edx,byte 4
mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2900 - 2907
M900:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2908 - 290F
M908:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2910 - 2917
M910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2918 - 291F
M918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2920 - 2927
M920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2928 - 292F
M928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2930 - 2937
M930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2938
M938:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2939
M939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 293A
M93A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 293B
M93B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 293C
M93C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+16]
sub edx,byte 4
call writememorydecdword

mov [__areg+16],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2940 - 2947
M940:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2948 - 294F
M948:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2950 - 2957
M950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2958 - 295F
M958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2960 - 2967
M960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2968 - 296F
M968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2970 - 2977
M970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2978
M978:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2979
M979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 297A
M97A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 297B
M97B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 297C
M97C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2980 - 2987
M980:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2988 - 298F
M988:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2990 - 2997
M990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2998 - 299F
M998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 29A0 - 29A7
M9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 29A8 - 29AF
M9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 29B0 - 29B7
M9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 29B8
M9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 29B9
M9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 29BA
M9BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 29BB
M9BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 29BC
M9BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+16]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A00 - 2A07
MA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A08 - 2A0F
MA08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A10 - 2A17
MA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A18 - 2A1F
MA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A20 - 2A27
MA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A28 - 2A2F
MA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A30 - 2A37
MA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A38
MA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A39
MA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A3A
MA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A3B
MA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A3C
MA3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+20],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A40 - 2A47
MA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+20],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A48 - 2A4F
MA48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+20],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A50 - 2A57
MA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A58 - 2A5F
MA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A60 - 2A67
MA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A68 - 2A6F
MA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A70 - 2A77
MA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A78
MA78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A79
MA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A7A
MA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A7B
MA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2A7C
MA7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A80 - 2A87
MA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A88 - 2A8F
MA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A90 - 2A97
MA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2A98 - 2A9F
MA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AA0 - 2AA7
MAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AA8 - 2AAF
MAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AB0 - 2AB7
MAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AB8
MAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AB9
MAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2ABA
MABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2ABB
MABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2ABC
MABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AC0 - 2AC7
MAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AC8 - 2ACF
MAC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AD0 - 2AD7
MAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AD8 - 2ADF
MAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AE0 - 2AE7
MAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AE8 - 2AEF
MAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2AF0 - 2AF7
MAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AF8
MAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AF9
MAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AFA
MAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AFB
MAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2AFC
MAFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+20]
call writememorydword
add edx,byte 4
mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B00 - 2B07
MB00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B08 - 2B0F
MB08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B10 - 2B17
MB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B18 - 2B1F
MB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B20 - 2B27
MB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B28 - 2B2F
MB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B30 - 2B37
MB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B38
MB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B39
MB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B3A
MB3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B3B
MB3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B3C
MB3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+20]
sub edx,byte 4
call writememorydecdword

mov [__areg+20],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B40 - 2B47
MB40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B48 - 2B4F
MB48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B50 - 2B57
MB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B58 - 2B5F
MB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B60 - 2B67
MB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B68 - 2B6F
MB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B70 - 2B77
MB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B78
MB78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B79
MB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B7A
MB7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B7B
MB7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2B7C
MB7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B80 - 2B87
MB80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B88 - 2B8F
MB88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B90 - 2B97
MB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2B98 - 2B9F
MB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2BA0 - 2BA7
MBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2BA8 - 2BAF
MBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2BB0 - 2BB7
MBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2BB8
MBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2BB9
MBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2BBA
MBBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2BBB
MBBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2BBC
MBBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+20]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C00 - 2C07
MC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C08 - 2C0F
MC08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C10 - 2C17
MC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C18 - 2C1F
MC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C20 - 2C27
MC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C28 - 2C2F
MC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C30 - 2C37
MC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C38
MC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C39
MC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C3A
MC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C3B
MC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C3C
MC3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+24],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C40 - 2C47
MC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+24],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C48 - 2C4F
MC48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+24],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C50 - 2C57
MC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C58 - 2C5F
MC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C60 - 2C67
MC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C68 - 2C6F
MC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C70 - 2C77
MC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C78
MC78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C79
MC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C7A
MC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C7B
MC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2C7C
MC7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C80 - 2C87
MC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C88 - 2C8F
MC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C90 - 2C97
MC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2C98 - 2C9F
MC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CA0 - 2CA7
MCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CA8 - 2CAF
MCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CB0 - 2CB7
MCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CB8
MCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CB9
MCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CBA
MCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CBB
MCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CBC
MCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CC0 - 2CC7
MCC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CC8 - 2CCF
MCC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CD0 - 2CD7
MCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CD8 - 2CDF
MCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CE0 - 2CE7
MCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CE8 - 2CEF
MCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2CF0 - 2CF7
MCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CF8
MCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CF9
MCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CFA
MCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CFB
MCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2CFC
MCFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+24]
call writememorydword
add edx,byte 4
mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D00 - 2D07
MD00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D08 - 2D0F
MD08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D10 - 2D17
MD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D18 - 2D1F
MD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D20 - 2D27
MD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D28 - 2D2F
MD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D30 - 2D37
MD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D38
MD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D39
MD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D3A
MD3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D3B
MD3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D3C
MD3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+24]
sub edx,byte 4
call writememorydecdword

mov [__areg+24],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D40 - 2D47
MD40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D48 - 2D4F
MD48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D50 - 2D57
MD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D58 - 2D5F
MD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D60 - 2D67
MD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D68 - 2D6F
MD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D70 - 2D77
MD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D78
MD78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D79
MD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D7A
MD7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D7B
MD7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2D7C
MD7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D80 - 2D87
MD80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D88 - 2D8F
MD88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D90 - 2D97
MD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2D98 - 2D9F
MD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2DA0 - 2DA7
MDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2DA8 - 2DAF
MDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2DB0 - 2DB7
MDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2DB8
MDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2DB9
MDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2DBA
MDBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2DBB
MDBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2DBC
MDBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+24]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E00 - 2E07
ME00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E08 - 2E0F
ME08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E10 - 2E17
ME10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E18 - 2E1F
ME18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E20 - 2E27
ME20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E28 - 2E2F
ME28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E30 - 2E37
ME30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E38
ME38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E39
ME39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E3A
ME3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E3B
ME3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E3C
ME3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__dreg+28],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E40 - 2E47
ME40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__areg+28],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E48 - 2E4F
ME48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__areg+28],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E50 - 2E57
ME50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E58 - 2E5F
ME58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E60 - 2E67
ME60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E68 - 2E6F
ME68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E70 - 2E77
ME70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E78
ME78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E79
ME79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E7A
ME7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E7B
ME7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2E7C
ME7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E80 - 2E87
ME80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E88 - 2E8F
ME88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E90 - 2E97
ME90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2E98 - 2E9F
ME98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EA0 - 2EA7
MEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EA8 - 2EAF
MEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EB0 - 2EB7
MEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EB8
MEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EB9
MEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EBA
MEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EBB
MEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EBC
MEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EC0 - 2EC7
MEC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EC8 - 2ECF
MEC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2ED0 - 2ED7
MED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2ED8 - 2EDF
MED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EE0 - 2EE7
MEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EE8 - 2EEF
MEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2EF0 - 2EF7
MEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EF8
MEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EF9
MEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EFA
MEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EFB
MEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2EFC
MEFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+28]
call writememorydword
add edx,byte 4
mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F00 - 2F07
MF00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F08 - 2F0F
MF08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F10 - 2F17
MF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F18 - 2F1F
MF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F20 - 2F27
MF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F28 - 2F2F
MF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F30 - 2F37
MF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F38
MF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F39
MF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F3A
MF3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F3B
MF3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F3C
MF3C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
mov edx,[__areg+28]
sub edx,byte 4
call writememorydecdword

mov [__areg+28],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F40 - 2F47
MF40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F48 - 2F4F
MF48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F50 - 2F57
MF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F58 - 2F5F
MF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F60 - 2F67
MF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F68 - 2F6F
MF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F70 - 2F77
MF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F78
MF78:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F79
MF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F7A
MF7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F7B
MF7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2F7C
MF7C:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F80 - 2F87
MF80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F88 - 2F8F
MF88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F90 - 2F97
MF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2F98 - 2F9F
MF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2FA0 - 2FA7
MFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2FA8 - 2FAF
MFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 2FB0 - 2FB7
MFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2FB8
MFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2FB9
MFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2FBA
MFBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2FBB
MFBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 32
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 2FBC
MFBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
call decode_ext
add edx,[__areg+28]
call writememorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3000 - 3007
N000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3008 - 300F
N008:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3010 - 3017
N010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3018 - 301F
N018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3020 - 3027
N020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3028 - 302F
N028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3030 - 3037
N030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3038
N038:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3039
N039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 303A
N03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 303B
N03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 303C
N03C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+0],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3040 - 3047
N040:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+0],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3048 - 304F
N048:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+0],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3050 - 3057
N050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3058 - 305F
N058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3060 - 3067
N060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+0],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3068 - 306F
N068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3070 - 3077
N070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3078
N078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3079
N079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 307A
N07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 307B
N07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 307C
N07C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3080 - 3087
N080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3088 - 308F
N088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3090 - 3097
N090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3098 - 309F
N098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30A0 - 30A7
N0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30A8 - 30AF
N0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30B0 - 30B7
N0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30B8
N0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30B9
N0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30BA
N0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30BB
N0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30BC
N0BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30C0 - 30C7
N0C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30C8 - 30CF
N0C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30D0 - 30D7
N0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30D8 - 30DF
N0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30E0 - 30E7
N0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30E8 - 30EF
N0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 30F0 - 30F7
N0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30F8
N0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30F9
N0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30FA
N0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30FB
N0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 30FC
N0FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
call writememoryword
add edx,byte 2
mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3100 - 3107
N100:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3108 - 310F
N108:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3110 - 3117
N110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3118 - 311F
N118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3120 - 3127
N120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3128 - 312F
N128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3130 - 3137
N130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3138
N138:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3139
N139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 313A
N13A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 313B
N13B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 313C
N13C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+0]
sub edx,byte 2
call writememorydecword

mov [__areg+0],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3140 - 3147
N140:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3148 - 314F
N148:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3150 - 3157
N150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3158 - 315F
N158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3160 - 3167
N160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3168 - 316F
N168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3170 - 3177
N170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3178
N178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3179
N179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 317A
N17A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 317B
N17B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 317C
N17C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3180 - 3187
N180:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3188 - 318F
N188:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3190 - 3197
N190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3198 - 319F
N198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31A0 - 31A7
N1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31A8 - 31AF
N1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31B0 - 31B7
N1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31B8
N1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31B9
N1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31BA
N1BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31BB
N1BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31BC
N1BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+0]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31C0 - 31C7
N1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31C8 - 31CF
N1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31D0 - 31D7
N1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31D8 - 31DF
N1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31E0 - 31E7
N1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31E8 - 31EF
N1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 31F0 - 31F7
N1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31F8
N1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31F9
N1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31FA
N1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31FB
N1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 31FC
N1FC:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3200 - 3207
N200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3208 - 320F
N208:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3210 - 3217
N210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3218 - 321F
N218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3220 - 3227
N220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3228 - 322F
N228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3230 - 3237
N230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3238
N238:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3239
N239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 323A
N23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 323B
N23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 323C
N23C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3240 - 3247
N240:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+4],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3248 - 324F
N248:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+4],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3250 - 3257
N250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3258 - 325F
N258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3260 - 3267
N260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+4],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3268 - 326F
N268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3270 - 3277
N270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3278
N278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3279
N279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 327A
N27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 327B
N27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 327C
N27C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3280 - 3287
N280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3288 - 328F
N288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3290 - 3297
N290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3298 - 329F
N298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32A0 - 32A7
N2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32A8 - 32AF
N2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32B0 - 32B7
N2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32B8
N2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32B9
N2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32BA
N2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32BB
N2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32BC
N2BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32C0 - 32C7
N2C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32C8 - 32CF
N2C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32D0 - 32D7
N2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32D8 - 32DF
N2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32E0 - 32E7
N2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32E8 - 32EF
N2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 32F0 - 32F7
N2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32F8
N2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32F9
N2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32FA
N2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32FB
N2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 32FC
N2FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
call writememoryword
add edx,byte 2
mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3300 - 3307
N300:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3308 - 330F
N308:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3310 - 3317
N310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3318 - 331F
N318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3320 - 3327
N320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3328 - 332F
N328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3330 - 3337
N330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3338
N338:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3339
N339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 333A
N33A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 333B
N33B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 333C
N33C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+4]
sub edx,byte 2
call writememorydecword

mov [__areg+4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3340 - 3347
N340:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3348 - 334F
N348:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3350 - 3357
N350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3358 - 335F
N358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3360 - 3367
N360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3368 - 336F
N368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3370 - 3377
N370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3378
N378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3379
N379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 337A
N37A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 337B
N37B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 337C
N37C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3380 - 3387
N380:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3388 - 338F
N388:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3390 - 3397
N390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3398 - 339F
N398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33A0 - 33A7
N3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33A8 - 33AF
N3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33B0 - 33B7
N3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33B8
N3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33B9
N3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33BA
N3BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33BB
N3BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33BC
N3BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+4]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33C0 - 33C7
N3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33C8 - 33CF
N3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33D0 - 33D7
N3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33D8 - 33DF
N3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33E0 - 33E7
N3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33E8 - 33EF
N3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 33F0 - 33F7
N3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33F8
N3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33F9
N3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33FA
N3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33FB
N3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 33FC
N3FC:
mov cx,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3400 - 3407
N400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3408 - 340F
N408:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3410 - 3417
N410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3418 - 341F
N418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3420 - 3427
N420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3428 - 342F
N428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3430 - 3437
N430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3438
N438:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3439
N439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 343A
N43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 343B
N43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 343C
N43C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+8],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3440 - 3447
N440:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+8],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3448 - 344F
N448:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+8],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3450 - 3457
N450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3458 - 345F
N458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3460 - 3467
N460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+8],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3468 - 346F
N468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3470 - 3477
N470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3478
N478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3479
N479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 347A
N47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 347B
N47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 347C
N47C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3480 - 3487
N480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3488 - 348F
N488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3490 - 3497
N490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3498 - 349F
N498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34A0 - 34A7
N4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34A8 - 34AF
N4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34B0 - 34B7
N4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34B8
N4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34B9
N4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34BA
N4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34BB
N4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34BC
N4BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34C0 - 34C7
N4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34C8 - 34CF
N4C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34D0 - 34D7
N4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34D8 - 34DF
N4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34E0 - 34E7
N4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34E8 - 34EF
N4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 34F0 - 34F7
N4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34F8
N4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34F9
N4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34FA
N4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34FB
N4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 34FC
N4FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
call writememoryword
add edx,byte 2
mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3500 - 3507
N500:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3508 - 350F
N508:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3510 - 3517
N510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3518 - 351F
N518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3520 - 3527
N520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3528 - 352F
N528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3530 - 3537
N530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3538
N538:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3539
N539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 353A
N53A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 353B
N53B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 353C
N53C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+8]
sub edx,byte 2
call writememorydecword

mov [__areg+8],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3540 - 3547
N540:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3548 - 354F
N548:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3550 - 3557
N550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3558 - 355F
N558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3560 - 3567
N560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3568 - 356F
N568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3570 - 3577
N570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3578
N578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3579
N579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 357A
N57A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 357B
N57B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 357C
N57C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3580 - 3587
N580:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3588 - 358F
N588:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3590 - 3597
N590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3598 - 359F
N598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 35A0 - 35A7
N5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 35A8 - 35AF
N5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 35B0 - 35B7
N5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 35B8
N5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 35B9
N5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 35BA
N5BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 35BB
N5BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 35BC
N5BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+8]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3600 - 3607
N600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3608 - 360F
N608:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3610 - 3617
N610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3618 - 361F
N618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3620 - 3627
N620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3628 - 362F
N628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3630 - 3637
N630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3638
N638:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3639
N639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 363A
N63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 363B
N63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 363C
N63C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+12],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3640 - 3647
N640:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+12],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3648 - 364F
N648:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+12],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3650 - 3657
N650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3658 - 365F
N658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3660 - 3667
N660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+12],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3668 - 366F
N668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3670 - 3677
N670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3678
N678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3679
N679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 367A
N67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 367B
N67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 367C
N67C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3680 - 3687
N680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3688 - 368F
N688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3690 - 3697
N690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3698 - 369F
N698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36A0 - 36A7
N6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36A8 - 36AF
N6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36B0 - 36B7
N6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36B8
N6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36B9
N6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36BA
N6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36BB
N6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36BC
N6BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36C0 - 36C7
N6C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36C8 - 36CF
N6C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36D0 - 36D7
N6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36D8 - 36DF
N6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36E0 - 36E7
N6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36E8 - 36EF
N6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 36F0 - 36F7
N6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36F8
N6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36F9
N6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36FA
N6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36FB
N6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 36FC
N6FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
call writememoryword
add edx,byte 2
mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3700 - 3707
N700:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3708 - 370F
N708:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3710 - 3717
N710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3718 - 371F
N718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3720 - 3727
N720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3728 - 372F
N728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3730 - 3737
N730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3738
N738:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3739
N739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 373A
N73A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 373B
N73B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 373C
N73C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+12]
sub edx,byte 2
call writememorydecword

mov [__areg+12],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3740 - 3747
N740:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3748 - 374F
N748:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3750 - 3757
N750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3758 - 375F
N758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3760 - 3767
N760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3768 - 376F
N768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3770 - 3777
N770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3778
N778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3779
N779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 377A
N77A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 377B
N77B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 377C
N77C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3780 - 3787
N780:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3788 - 378F
N788:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3790 - 3797
N790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3798 - 379F
N798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 37A0 - 37A7
N7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 37A8 - 37AF
N7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 37B0 - 37B7
N7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 37B8
N7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 37B9
N7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 37BA
N7BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 37BB
N7BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 37BC
N7BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+12]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3800 - 3807
N800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3808 - 380F
N808:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3810 - 3817
N810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3818 - 381F
N818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3820 - 3827
N820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3828 - 382F
N828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3830 - 3837
N830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3838
N838:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3839
N839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 383A
N83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 383B
N83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 383C
N83C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+16],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3840 - 3847
N840:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+16],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3848 - 384F
N848:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+16],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3850 - 3857
N850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3858 - 385F
N858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3860 - 3867
N860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+16],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3868 - 386F
N868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3870 - 3877
N870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3878
N878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3879
N879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 387A
N87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 387B
N87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 387C
N87C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3880 - 3887
N880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3888 - 388F
N888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3890 - 3897
N890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3898 - 389F
N898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38A0 - 38A7
N8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38A8 - 38AF
N8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38B0 - 38B7
N8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38B8
N8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38B9
N8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38BA
N8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38BB
N8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38BC
N8BC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38C0 - 38C7
N8C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38C8 - 38CF
N8C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38D0 - 38D7
N8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38D8 - 38DF
N8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38E0 - 38E7
N8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38E8 - 38EF
N8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 38F0 - 38F7
N8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38F8
N8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38F9
N8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38FA
N8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38FB
N8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 38FC
N8FC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
call writememoryword
add edx,byte 2
mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3900 - 3907
N900:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3908 - 390F
N908:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3910 - 3917
N910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3918 - 391F
N918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3920 - 3927
N920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3928 - 392F
N928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3930 - 3937
N930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3938
N938:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3939
N939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 393A
N93A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 393B
N93B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 393C
N93C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+16]
sub edx,byte 2
call writememorydecword

mov [__areg+16],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3940 - 3947
N940:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3948 - 394F
N948:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3950 - 3957
N950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3958 - 395F
N958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3960 - 3967
N960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3968 - 396F
N968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3970 - 3977
N970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3978
N978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3979
N979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 397A
N97A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 397B
N97B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 397C
N97C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3980 - 3987
N980:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3988 - 398F
N988:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3990 - 3997
N990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3998 - 399F
N998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 39A0 - 39A7
N9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 39A8 - 39AF
N9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 39B0 - 39B7
N9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 39B8
N9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 39B9
N9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 39BA
N9BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 39BB
N9BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 39BC
N9BC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+16]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A00 - 3A07
NA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A08 - 3A0F
NA08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A10 - 3A17
NA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A18 - 3A1F
NA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A20 - 3A27
NA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A28 - 3A2F
NA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A30 - 3A37
NA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A38
NA38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A39
NA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A3A
NA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A3B
NA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A3C
NA3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+20],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A40 - 3A47
NA40:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+20],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A48 - 3A4F
NA48:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+20],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A50 - 3A57
NA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A58 - 3A5F
NA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A60 - 3A67
NA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+20],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A68 - 3A6F
NA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A70 - 3A77
NA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A78
NA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A79
NA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A7A
NA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A7B
NA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3A7C
NA7C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A80 - 3A87
NA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A88 - 3A8F
NA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A90 - 3A97
NA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3A98 - 3A9F
NA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AA0 - 3AA7
NAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AA8 - 3AAF
NAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AB0 - 3AB7
NAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AB8
NAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AB9
NAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3ABA
NABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3ABB
NABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3ABC
NABC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AC0 - 3AC7
NAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AC8 - 3ACF
NAC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AD0 - 3AD7
NAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AD8 - 3ADF
NAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AE0 - 3AE7
NAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AE8 - 3AEF
NAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3AF0 - 3AF7
NAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AF8
NAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AF9
NAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AFA
NAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AFB
NAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3AFC
NAFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
call writememoryword
add edx,byte 2
mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B00 - 3B07
NB00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B08 - 3B0F
NB08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B10 - 3B17
NB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B18 - 3B1F
NB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B20 - 3B27
NB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B28 - 3B2F
NB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B30 - 3B37
NB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B38
NB38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B39
NB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B3A
NB3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B3B
NB3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B3C
NB3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+20]
sub edx,byte 2
call writememorydecword

mov [__areg+20],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B40 - 3B47
NB40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B48 - 3B4F
NB48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B50 - 3B57
NB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B58 - 3B5F
NB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B60 - 3B67
NB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B68 - 3B6F
NB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B70 - 3B77
NB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B78
NB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B79
NB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B7A
NB7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B7B
NB7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3B7C
NB7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B80 - 3B87
NB80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B88 - 3B8F
NB88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B90 - 3B97
NB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3B98 - 3B9F
NB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3BA0 - 3BA7
NBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3BA8 - 3BAF
NBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3BB0 - 3BB7
NBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3BB8
NBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3BB9
NBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3BBA
NBBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3BBB
NBBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3BBC
NBBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+20]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C00 - 3C07
NC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C08 - 3C0F
NC08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C10 - 3C17
NC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C18 - 3C1F
NC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C20 - 3C27
NC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C28 - 3C2F
NC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C30 - 3C37
NC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C38
NC38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C39
NC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C3A
NC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C3B
NC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C3C
NC3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+24],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C40 - 3C47
NC40:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+24],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C48 - 3C4F
NC48:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+24],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C50 - 3C57
NC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C58 - 3C5F
NC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C60 - 3C67
NC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+24],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C68 - 3C6F
NC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C70 - 3C77
NC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C78
NC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C79
NC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C7A
NC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C7B
NC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3C7C
NC7C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C80 - 3C87
NC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C88 - 3C8F
NC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C90 - 3C97
NC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3C98 - 3C9F
NC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CA0 - 3CA7
NCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CA8 - 3CAF
NCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CB0 - 3CB7
NCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CB8
NCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CB9
NCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CBA
NCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CBB
NCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CBC
NCBC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CC0 - 3CC7
NCC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CC8 - 3CCF
NCC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CD0 - 3CD7
NCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CD8 - 3CDF
NCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CE0 - 3CE7
NCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CE8 - 3CEF
NCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3CF0 - 3CF7
NCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CF8
NCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CF9
NCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CFA
NCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CFB
NCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3CFC
NCFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
call writememoryword
add edx,byte 2
mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D00 - 3D07
ND00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D08 - 3D0F
ND08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D10 - 3D17
ND10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D18 - 3D1F
ND18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D20 - 3D27
ND20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D28 - 3D2F
ND28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D30 - 3D37
ND30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D38
ND38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D39
ND39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D3A
ND3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D3B
ND3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D3C
ND3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+24]
sub edx,byte 2
call writememorydecword

mov [__areg+24],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D40 - 3D47
ND40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D48 - 3D4F
ND48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D50 - 3D57
ND50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D58 - 3D5F
ND58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D60 - 3D67
ND60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D68 - 3D6F
ND68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D70 - 3D77
ND70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D78
ND78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D79
ND79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D7A
ND7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D7B
ND7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3D7C
ND7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D80 - 3D87
ND80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D88 - 3D8F
ND88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D90 - 3D97
ND90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3D98 - 3D9F
ND98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3DA0 - 3DA7
NDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3DA8 - 3DAF
NDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3DB0 - 3DB7
NDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3DB8
NDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3DB9
NDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3DBA
NDBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3DBB
NDBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3DBC
NDBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+24]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E00 - 3E07
NE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E08 - 3E0F
NE08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E10 - 3E17
NE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E18 - 3E1F
NE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E20 - 3E27
NE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E28 - 3E2F
NE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E30 - 3E37
NE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E38
NE38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E39
NE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E3A
NE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E3B
NE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E3C
NE3C:
mov cx,[esi]
add esi,byte 2
mov [__dreg+28],cx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E40 - 3E47
NE40:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__areg+28],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E48 - 3E4F
NE48:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
mov [__areg+28],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E50 - 3E57
NE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E58 - 3E5F
NE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
mov [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E60 - 3E67
NE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
mov [__areg+28],ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E68 - 3E6F
NE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E70 - 3E77
NE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E78
NE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E79
NE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E7A
NE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E7B
NE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3E7C
NE7C:
movsx ecx,word [esi]
add esi,byte 2
mov [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E80 - 3E87
NE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E88 - 3E8F
NE88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E90 - 3E97
NE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3E98 - 3E9F
NE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EA0 - 3EA7
NEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EA8 - 3EAF
NEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EB0 - 3EB7
NEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EB8
NEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EB9
NEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EBA
NEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EBB
NEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EBC
NEBC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EC0 - 3EC7
NEC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EC8 - 3ECF
NEC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3ED0 - 3ED7
NED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3ED8 - 3EDF
NED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EE0 - 3EE7
NEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EE8 - 3EEF
NEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3EF0 - 3EF7
NEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EF8
NEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EF9
NEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EFA
NEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EFB
NEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3EFC
NEFC:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
call writememoryword
add edx,byte 2
mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F00 - 3F07
NF00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F08 - 3F0F
NF08:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F10 - 3F17
NF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F18 - 3F1F
NF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F20 - 3F27
NF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F28 - 3F2F
NF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F30 - 3F37
NF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F38
NF38:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F39
NF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F3A
NF3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F3B
NF3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F3C
NF3C:
mov cx,[esi]
add esi,byte 2
mov edx,[__areg+28]
sub edx,byte 2
call writememorydecword

mov [__areg+28],edx
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F40 - 3F47
NF40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F48 - 3F4F
NF48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F50 - 3F57
NF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F58 - 3F5F
NF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F60 - 3F67
NF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F68 - 3F6F
NF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F70 - 3F77
NF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F78
NF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F79
NF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F7A
NF7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F7B
NF7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3F7C
NF7C:
mov cx,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F80 - 3F87
NF80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F88 - 3F8F
NF88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F90 - 3F97
NF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3F98 - 3F9F
NF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3FA0 - 3FA7
NFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3FA8 - 3FAF
NFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 3FB0 - 3FB7
NFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3FB8
NFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3FB9
NFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3FBA
NFBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3FBB
NFBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 3FBC
NFBC:
mov cx,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+28]
call writememoryword
test cx,cx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4000 - 4007
O000:
and ebx,byte 7
xor cl,cl
shr byte[__xflag],1
sbb cl,[__dreg+ebx*4]
mov dl,ah
lahf
seto al
setc [__xflag]
jnz short ln641
or dl,0BFh
and ah,dl
ln641:
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4010 - 4017
O010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln642
or bl,0BFh
and ah,bl
ln642:
pop ebx
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4018 - 401F
O018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln643
or bl,0BFh
and ah,bl
ln643:
pop ebx
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4020 - 4027
O020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln644
or bl,0BFh
and ah,bl
ln644:
pop ebx
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4028 - 402F
O028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln645
or bl,0BFh
and ah,bl
ln645:
pop ebx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4030 - 4037
O030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln646
or bl,0BFh
and ah,bl
ln646:
pop ebx
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4038
O038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln647
or bl,0BFh
and ah,bl
ln647:
pop ebx
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4039
O039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
push ebx
xor bl,bl
shr byte[__xflag],1
sbb bl,cl
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln648
or bl,0BFh
and ah,bl
ln648:
pop ebx
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4040 - 4047
O040:
and ebx,byte 7
xor cx,cx
shr byte[__xflag],1
sbb cx,[__dreg+ebx*4]
mov dl,ah
lahf
seto al
setc [__xflag]
jnz short ln649
or dl,0BFh
and ah,dl
ln649:
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4050 - 4057
O050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln650
or bl,0BFh
and ah,bl
ln650:
pop ebx
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4058 - 405F
O058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln651
or bl,0BFh
and ah,bl
ln651:
pop ebx
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4060 - 4067
O060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln652
or bl,0BFh
and ah,bl
ln652:
pop ebx
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4068 - 406F
O068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln653
or bl,0BFh
and ah,bl
ln653:
pop ebx
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4070 - 4077
O070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln654
or bl,0BFh
and ah,bl
ln654:
pop ebx
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4078
O078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln655
or bl,0BFh
and ah,bl
ln655:
pop ebx
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4079
O079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
push ebx
xor bx,bx
shr byte[__xflag],1
sbb bx,cx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln656
or bl,0BFh
and ah,bl
ln656:
pop ebx
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4080 - 4087
O080:
and ebx,byte 7
xor ecx,ecx
shr byte[__xflag],1
sbb ecx,[__dreg+ebx*4]
mov dl,ah
lahf
seto al
setc [__xflag]
jnz short ln657
or dl,0BFh
and ah,dl
ln657:
mov [__dreg+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4090 - 4097
O090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln658
or bl,0BFh
and ah,bl
ln658:
pop ebx
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4098 - 409F
O098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln659
or bl,0BFh
and ah,bl
ln659:
pop ebx
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40A0 - 40A7
O0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln660
or bl,0BFh
and ah,bl
ln660:
pop ebx
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40A8 - 40AF
O0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln661
or bl,0BFh
and ah,bl
ln661:
pop ebx
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40B0 - 40B7
O0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln662
or bl,0BFh
and ah,bl
ln662:
pop ebx
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 40B8
O0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln663
or bl,0BFh
and ah,bl
ln663:
pop ebx
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 40B9
O0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
push ebx
xor ebx,ebx
shr byte[__xflag],1
sbb ebx,ecx
mov ecx,ebx
mov bl,ah
lahf
seto al
setc [__xflag]
jnz short ln664
or bl,0BFh
and ah,bl
ln664:
pop ebx
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40C0 - 40C7
O0C0:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
mov [__dreg+ebx*4],cx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40D0 - 40D7
O0D0:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
mov edx,[__areg+ebx*4]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40D8 - 40DF
O0D8:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
mov edx,[__areg+ebx*4]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40E0 - 40E7
O0E0:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
mov edx,[__areg+ebx*4]
sub edx,byte 2
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40E8 - 40EF
O0E8:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 40F0 - 40F7
O0F0:
and ebx,byte 7
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
call decode_ext
add edx,[__areg+ebx*4]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 40F8
O0F8:
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
movsx edx,word [esi]
add esi,byte 2
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 40F9
O0F9:
mov cx,ax
btr cx,8
adc cl,cl
or ch,[__xflag]
rol ch,4
and ch,1Ch
or cl,ch
mov ch,[__sr+1]
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4180 - 4187
O180:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn665
cmp word[__dreg+0],cx
jg short ln665
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn665:
or ah,80h
ln665:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln666
call basefunction
ln666:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4190 - 4197
O190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn667
cmp word[__dreg+0],cx
jg short ln667
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn667:
or ah,80h
ln667:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln668
call basefunction
ln668:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4198 - 419F
O198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn669
cmp word[__dreg+0],cx
jg short ln669
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn669:
or ah,80h
ln669:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln670
call basefunction
ln670:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41A0 - 41A7
O1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn671
cmp word[__dreg+0],cx
jg short ln671
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn671:
or ah,80h
ln671:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln672
call basefunction
ln672:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41A8 - 41AF
O1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn673
cmp word[__dreg+0],cx
jg short ln673
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn673:
or ah,80h
ln673:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln674
call basefunction
ln674:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41B0 - 41B7
O1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn675
cmp word[__dreg+0],cx
jg short ln675
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn675:
or ah,80h
ln675:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln676
call basefunction
ln676:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41B8
O1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn677
cmp word[__dreg+0],cx
jg short ln677
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn677:
or ah,80h
ln677:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln678
call basefunction
ln678:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41B9
O1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn679
cmp word[__dreg+0],cx
jg short ln679
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn679:
or ah,80h
ln679:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln680
call basefunction
ln680:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41BA
O1BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn681
cmp word[__dreg+0],cx
jg short ln681
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn681:
or ah,80h
ln681:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln682
call basefunction
ln682:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41BB
O1BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn683
cmp word[__dreg+0],cx
jg short ln683
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn683:
or ah,80h
ln683:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln684
call basefunction
ln684:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41BC
O1BC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+0]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+0],word 0
jl short setn685
cmp word[__dreg+0],cx
jg short ln685
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn685:
or ah,80h
ln685:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln686
call basefunction
ln686:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41D0 - 41D7
O1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+0],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41E8 - 41EF
O1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+0],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 41F0 - 41F7
O1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+0],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41F8
O1F8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+0],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41F9
O1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+0],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41FA
O1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+0],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 41FB
O1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+0],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4200 - 4207
O200:
and ebx,byte 7
xor ecx,ecx
mov [__dreg+ebx*4],cl
mov ax,4000h
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4210 - 4217
O210:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememorybyte
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4218 - 421F
O218:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4220 - 4227
O220:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4228 - 422F
O228:
and ebx,byte 7
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
mov ax,4000h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4230 - 4237
O230:
and ebx,byte 7
xor ecx,ecx
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
mov ax,4000h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4238
O238:
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
mov ax,4000h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4239
O239:
xor ecx,ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
mov ax,4000h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4240 - 4247
O240:
and ebx,byte 7
xor ecx,ecx
mov [__dreg+ebx*4],cx
mov ax,4000h
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4250 - 4257
O250:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememoryword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4258 - 425F
O258:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4260 - 4267
O260:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
sub edx,byte 2
call writememoryword

mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4268 - 426F
O268:
and ebx,byte 7
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememoryword
mov ax,4000h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4270 - 4277
O270:
and ebx,byte 7
xor ecx,ecx
call decode_ext
add edx,[__areg+ebx*4]
call writememoryword
mov ax,4000h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4278
O278:
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
call writememoryword
mov ax,4000h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4279
O279:
xor ecx,ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememoryword
mov ax,4000h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4280 - 4287
O280:
and ebx,byte 7
xor ecx,ecx
mov [__dreg+ebx*4],ecx
mov ax,4000h
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4290 - 4297
O290:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememorydword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4298 - 429F
O298:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 42A0 - 42A7
O2A0:
and ebx,byte 7
xor ecx,ecx
mov edx,[__areg+ebx*4]
sub edx,byte 4
call writememorydword

mov [__areg+ebx*4],edx
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 42A8 - 42AF
O2A8:
and ebx,byte 7
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorydword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 42B0 - 42B7
O2B0:
and ebx,byte 7
xor ecx,ecx
call decode_ext
add edx,[__areg+ebx*4]
call writememorydword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 42B8
O2B8:
xor ecx,ecx
movsx edx,word [esi]
add esi,byte 2
call writememorydword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 42B9
O2B9:
xor ecx,ecx
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorydword
mov ax,4000h
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4380 - 4387
O380:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn687
cmp word[__dreg+4],cx
jg short ln687
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn687:
or ah,80h
ln687:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln688
call basefunction
ln688:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4390 - 4397
O390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn689
cmp word[__dreg+4],cx
jg short ln689
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn689:
or ah,80h
ln689:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln690
call basefunction
ln690:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4398 - 439F
O398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn691
cmp word[__dreg+4],cx
jg short ln691
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn691:
or ah,80h
ln691:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln692
call basefunction
ln692:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43A0 - 43A7
O3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn693
cmp word[__dreg+4],cx
jg short ln693
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn693:
or ah,80h
ln693:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln694
call basefunction
ln694:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43A8 - 43AF
O3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn695
cmp word[__dreg+4],cx
jg short ln695
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn695:
or ah,80h
ln695:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln696
call basefunction
ln696:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43B0 - 43B7
O3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn697
cmp word[__dreg+4],cx
jg short ln697
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn697:
or ah,80h
ln697:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln698
call basefunction
ln698:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43B8
O3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn699
cmp word[__dreg+4],cx
jg short ln699
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn699:
or ah,80h
ln699:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln700
call basefunction
ln700:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43B9
O3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn701
cmp word[__dreg+4],cx
jg short ln701
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn701:
or ah,80h
ln701:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln702
call basefunction
ln702:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43BA
O3BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn703
cmp word[__dreg+4],cx
jg short ln703
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn703:
or ah,80h
ln703:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln704
call basefunction
ln704:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43BB
O3BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn705
cmp word[__dreg+4],cx
jg short ln705
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn705:
or ah,80h
ln705:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln706
call basefunction
ln706:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43BC
O3BC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+4]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+4],word 0
jl short setn707
cmp word[__dreg+4],cx
jg short ln707
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn707:
or ah,80h
ln707:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln708
call basefunction
ln708:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43D0 - 43D7
O3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+4],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43E8 - 43EF
O3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 43F0 - 43F7
O3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43F8
O3F8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43F9
O3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43FA
O3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 43FB
O3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4400 - 4407
O400:
and ebx,byte 7
neg byte[__dreg+ebx*4]
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4410 - 4417
O410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4418 - 441F
O418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4420 - 4427
O420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4428 - 442F
O428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4430 - 4437
O430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4438
O438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4439
O439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
neg cl
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4440 - 4447
O440:
and ebx,byte 7
neg word[__dreg+ebx*4]
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4450 - 4457
O450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4458 - 445F
O458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4460 - 4467
O460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4468 - 446F
O468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4470 - 4477
O470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4478
O478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4479
O479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
neg cx
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4480 - 4487
O480:
and ebx,byte 7
neg dword[__dreg+ebx*4]
lahf
seto al
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4490 - 4497
O490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4498 - 449F
O498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44A0 - 44A7
O4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44A8 - 44AF
O4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44B0 - 44B7
O4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44B8
O4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44B9
O4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
neg ecx
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44C0 - 44C7
O4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44D0 - 44D7
O4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44D8 - 44DF
O4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44E0 - 44E7
O4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44E8 - 44EF
O4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 44F0 - 44F7
O4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44F8
O4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44F9
O4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44FA
O4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44FB
O4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 44FC
O4FC:
mov cx,[esi]
add esi,byte 2
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4580 - 4587
O580:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn709
cmp word[__dreg+8],cx
jg short ln709
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn709:
or ah,80h
ln709:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln710
call basefunction
ln710:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4590 - 4597
O590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn711
cmp word[__dreg+8],cx
jg short ln711
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn711:
or ah,80h
ln711:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln712
call basefunction
ln712:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4598 - 459F
O598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn713
cmp word[__dreg+8],cx
jg short ln713
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn713:
or ah,80h
ln713:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln714
call basefunction
ln714:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45A0 - 45A7
O5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn715
cmp word[__dreg+8],cx
jg short ln715
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn715:
or ah,80h
ln715:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln716
call basefunction
ln716:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45A8 - 45AF
O5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn717
cmp word[__dreg+8],cx
jg short ln717
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn717:
or ah,80h
ln717:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln718
call basefunction
ln718:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45B0 - 45B7
O5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn719
cmp word[__dreg+8],cx
jg short ln719
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn719:
or ah,80h
ln719:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln720
call basefunction
ln720:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45B8
O5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn721
cmp word[__dreg+8],cx
jg short ln721
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn721:
or ah,80h
ln721:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln722
call basefunction
ln722:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45B9
O5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn723
cmp word[__dreg+8],cx
jg short ln723
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn723:
or ah,80h
ln723:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln724
call basefunction
ln724:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45BA
O5BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn725
cmp word[__dreg+8],cx
jg short ln725
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn725:
or ah,80h
ln725:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln726
call basefunction
ln726:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45BB
O5BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn727
cmp word[__dreg+8],cx
jg short ln727
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn727:
or ah,80h
ln727:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln728
call basefunction
ln728:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45BC
O5BC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+8]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+8],word 0
jl short setn729
cmp word[__dreg+8],cx
jg short ln729
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn729:
or ah,80h
ln729:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln730
call basefunction
ln730:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45D0 - 45D7
O5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+8],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45E8 - 45EF
O5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+8],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 45F0 - 45F7
O5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+8],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45F8
O5F8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+8],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45F9
O5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+8],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45FA
O5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+8],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 45FB
O5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+8],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4600 - 4607
O600:
and ebx,byte 7
xor byte[__dreg+ebx*4],byte -1
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4610 - 4617
O610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4618 - 461F
O618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4620 - 4627
O620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4628 - 462F
O628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4630 - 4637
O630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4638
O638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4639
O639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,byte -1
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4640 - 4647
O640:
and ebx,byte 7
xor word[__dreg+ebx*4],byte -1
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4650 - 4657
O650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4658 - 465F
O658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4660 - 4667
O660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4668 - 466F
O668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4670 - 4677
O670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4678
O678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4679
O679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,byte -1
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4680 - 4687
O680:
and ebx,byte 7
xor dword[__dreg+ebx*4],byte -1
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4690 - 4697
O690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4698 - 469F
O698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46A0 - 46A7
O6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46A8 - 46AF
O6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46B0 - 46B7
O6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46B8
O6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46B9
O6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,byte -1
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46C0 - 46C7
O6C0:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln731
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln731:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 12
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46D0 - 46D7
O6D0:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln733
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln733:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46D8 - 46DF
O6D8:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln735
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln735:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46E0 - 46E7
O6E0:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln737
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln737:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 18
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46E8 - 46EF
O6E8:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln739
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln739:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 46F0 - 46F7
O6F0:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln741
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln741:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 22
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46F8
O6F8:
test byte[__sr+1],20h
jz privilege_violation
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln743
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln743:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46F9
O6F9:
test byte[__sr+1],20h
jz privilege_violation
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln745
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln745:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 24
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46FA
O6FA:
test byte[__sr+1],20h
jz privilege_violation
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln747
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln747:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46FB
O6FB:
test byte[__sr+1],20h
jz privilege_violation
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln749
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln749:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 22
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 46FC
O6FC:
test byte[__sr+1],20h
jz privilege_violation
mov cx,[esi]
add esi,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln751
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln751:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
sub edi,byte 16
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4780 - 4787
O780:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn753
cmp word[__dreg+12],cx
jg short ln753
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn753:
or ah,80h
ln753:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln754
call basefunction
ln754:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4790 - 4797
O790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn755
cmp word[__dreg+12],cx
jg short ln755
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn755:
or ah,80h
ln755:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln756
call basefunction
ln756:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4798 - 479F
O798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn757
cmp word[__dreg+12],cx
jg short ln757
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn757:
or ah,80h
ln757:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln758
call basefunction
ln758:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47A0 - 47A7
O7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn759
cmp word[__dreg+12],cx
jg short ln759
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn759:
or ah,80h
ln759:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln760
call basefunction
ln760:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47A8 - 47AF
O7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn761
cmp word[__dreg+12],cx
jg short ln761
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn761:
or ah,80h
ln761:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln762
call basefunction
ln762:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47B0 - 47B7
O7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn763
cmp word[__dreg+12],cx
jg short ln763
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn763:
or ah,80h
ln763:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln764
call basefunction
ln764:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47B8
O7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn765
cmp word[__dreg+12],cx
jg short ln765
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn765:
or ah,80h
ln765:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln766
call basefunction
ln766:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47B9
O7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn767
cmp word[__dreg+12],cx
jg short ln767
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn767:
or ah,80h
ln767:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln768
call basefunction
ln768:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47BA
O7BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn769
cmp word[__dreg+12],cx
jg short ln769
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn769:
or ah,80h
ln769:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln770
call basefunction
ln770:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47BB
O7BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn771
cmp word[__dreg+12],cx
jg short ln771
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn771:
or ah,80h
ln771:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln772
call basefunction
ln772:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47BC
O7BC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+12]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+12],word 0
jl short setn773
cmp word[__dreg+12],cx
jg short ln773
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn773:
or ah,80h
ln773:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln774
call basefunction
ln774:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47D0 - 47D7
O7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+12],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47E8 - 47EF
O7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+12],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 47F0 - 47F7
O7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+12],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47F8
O7F8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+12],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47F9
O7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+12],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47FA
O7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+12],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 47FB
O7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+12],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4800 - 4807
O800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln775
or ch,0BFh
and ah,ch
ln775:
mov bh,al
test al,al
jns short ln776
xor al,al
jmp short ln777
ln776:
test cl,cl
sets al
ln777:
mov cl,bh
xor bh,bh
mov [__dreg+ebx*4],cl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4810 - 4817
O810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln778
or ch,0BFh
and ah,ch
ln778:
mov bh,al
test al,al
jns short ln779
xor al,al
jmp short ln780
ln779:
test cl,cl
sets al
ln780:
mov cl,bh
xor bh,bh
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4818 - 481F
O818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln781
or ch,0BFh
and ah,ch
ln781:
mov bh,al
test al,al
jns short ln782
xor al,al
jmp short ln783
ln782:
test cl,cl
sets al
ln783:
mov cl,bh
xor bh,bh
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4820 - 4827
O820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln784
or ch,0BFh
and ah,ch
ln784:
mov bh,al
test al,al
jns short ln785
xor al,al
jmp short ln786
ln785:
test cl,cl
sets al
ln786:
mov cl,bh
xor bh,bh
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4828 - 482F
O828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln787
or ch,0BFh
and ah,ch
ln787:
mov bh,al
test al,al
jns short ln788
xor al,al
jmp short ln789
ln788:
test cl,cl
sets al
ln789:
mov cl,bh
xor bh,bh
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4830 - 4837
O830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln790
or ch,0BFh
and ah,ch
ln790:
mov bh,al
test al,al
jns short ln791
xor al,al
jmp short ln792
ln791:
test cl,cl
sets al
ln792:
mov cl,bh
xor bh,bh
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4838
O838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln793
or ch,0BFh
and ah,ch
ln793:
mov bh,al
test al,al
jns short ln794
xor al,al
jmp short ln795
ln794:
test cl,cl
sets al
ln795:
mov cl,bh
xor bh,bh
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4839
O839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor al,al
mov ch,ah
shr byte[__xflag],1
sbb al,cl
mov cl,al
das
lahf
setc [__xflag]
jnz short ln796
or ch,0BFh
and ah,ch
ln796:
mov bh,al
test al,al
jns short ln797
xor al,al
jmp short ln798
ln797:
test cl,cl
sets al
ln798:
mov cl,bh
xor bh,bh
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4840 - 4847
O840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
rol ecx,16
mov [__dreg+ebx*4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4850 - 4857
O850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4868 - 486F
O868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4870 - 4877
O870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4878
O878:
movsx edx,word [esi]
add esi,byte 2
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4879
O879:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 487A
O87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 487B
O87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov ecx,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4880 - 4887
O880:
and ebx,byte 7
movsx cx,byte[__dreg+ebx*4]
mov [__dreg+ebx*4],cx
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4890 - 4897
O890:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
xor ebx,ebx
ln799:
shr ax,1
jnc short ln800
mov ecx,[__reg+ebx]
call writememoryword
add edx,byte 2
sub edi,byte 4
ln800:
add bl,byte 4
test bl,byte 64
jz short ln799
pop eax
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48A0 - 48A7
O8A0:
and ebx,byte 7
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
push ebx
mov ebx,60
ln801:
shr ax,1
jnc short ln802
mov ecx,[__reg+ebx]
sub edx,byte 2
sub edi,byte 4
call writememoryword
ln802:
sub ebx,byte 4
jns short ln801
pop ebx
pop eax
mov [__areg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48A8 - 48AF
O8A8:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
xor ebx,ebx
ln803:
shr ax,1
jnc short ln804
mov ecx,[__reg+ebx]
call writememoryword
add edx,byte 2
sub edi,byte 4
ln804:
add bl,byte 4
test bl,byte 64
jz short ln803
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48B0 - 48B7
O8B0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+ebx*4]
xor ebx,ebx
ln805:
shr ax,1
jnc short ln806
mov ecx,[__reg+ebx]
call writememoryword
add edx,byte 2
sub edi,byte 4
ln806:
add bl,byte 4
test bl,byte 64
jz short ln805
pop eax
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 48B8
O8B8:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
xor ebx,ebx
ln807:
shr ax,1
jnc short ln808
mov ecx,[__reg+ebx]
call writememoryword
add edx,byte 2
sub edi,byte 4
ln808:
add bl,byte 4
test bl,byte 64
jz short ln807
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 48B9
O8B9:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
xor ebx,ebx
ln809:
shr ax,1
jnc short ln810
mov ecx,[__reg+ebx]
call writememoryword
add edx,byte 2
sub edi,byte 4
ln810:
add bl,byte 4
test bl,byte 64
jz short ln809
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48C0 - 48C7
O8C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
mov [__dreg+ebx*4],ecx
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48D0 - 48D7
O8D0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
xor ebx,ebx
ln811:
shr ax,1
jnc short ln812
mov ecx,[__reg+ebx]
call writememorydword
add edx,byte 4
sub edi,byte 8
ln812:
add bl,byte 4
test bl,byte 64
jz short ln811
pop eax
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48E0 - 48E7
O8E0:
and ebx,byte 7
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
push ebx
mov ebx,60
ln813:
shr ax,1
jnc short ln814
mov ecx,[__reg+ebx]
sub edx,byte 4
sub edi,byte 8
call writememorydecdword
ln814:
sub ebx,byte 4
jns short ln813
pop ebx
pop eax
mov [__areg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48E8 - 48EF
O8E8:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
xor ebx,ebx
ln815:
shr ax,1
jnc short ln816
mov ecx,[__reg+ebx]
call writememorydword
add edx,byte 4
sub edi,byte 8
ln816:
add bl,byte 4
test bl,byte 64
jz short ln815
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 48F0 - 48F7
O8F0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+ebx*4]
xor ebx,ebx
ln817:
shr ax,1
jnc short ln818
mov ecx,[__reg+ebx]
call writememorydword
add edx,byte 4
sub edi,byte 8
ln818:
add bl,byte 4
test bl,byte 64
jz short ln817
pop eax
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 48F8
O8F8:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
xor ebx,ebx
ln819:
shr ax,1
jnc short ln820
mov ecx,[__reg+ebx]
call writememorydword
add edx,byte 4
sub edi,byte 8
ln820:
add bl,byte 4
test bl,byte 64
jz short ln819
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 48F9
O8F9:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
xor ebx,ebx
ln821:
shr ax,1
jnc short ln822
mov ecx,[__reg+ebx]
call writememorydword
add edx,byte 4
sub edi,byte 8
ln822:
add bl,byte 4
test bl,byte 64
jz short ln821
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4980 - 4987
O980:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn823
cmp word[__dreg+16],cx
jg short ln823
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn823:
or ah,80h
ln823:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln824
call basefunction
ln824:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4990 - 4997
O990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn825
cmp word[__dreg+16],cx
jg short ln825
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn825:
or ah,80h
ln825:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln826
call basefunction
ln826:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4998 - 499F
O998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn827
cmp word[__dreg+16],cx
jg short ln827
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn827:
or ah,80h
ln827:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln828
call basefunction
ln828:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49A0 - 49A7
O9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn829
cmp word[__dreg+16],cx
jg short ln829
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn829:
or ah,80h
ln829:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln830
call basefunction
ln830:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49A8 - 49AF
O9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn831
cmp word[__dreg+16],cx
jg short ln831
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn831:
or ah,80h
ln831:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln832
call basefunction
ln832:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49B0 - 49B7
O9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn833
cmp word[__dreg+16],cx
jg short ln833
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn833:
or ah,80h
ln833:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln834
call basefunction
ln834:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49B8
O9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn835
cmp word[__dreg+16],cx
jg short ln835
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn835:
or ah,80h
ln835:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln836
call basefunction
ln836:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49B9
O9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn837
cmp word[__dreg+16],cx
jg short ln837
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn837:
or ah,80h
ln837:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln838
call basefunction
ln838:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49BA
O9BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn839
cmp word[__dreg+16],cx
jg short ln839
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn839:
or ah,80h
ln839:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln840
call basefunction
ln840:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49BB
O9BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn841
cmp word[__dreg+16],cx
jg short ln841
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn841:
or ah,80h
ln841:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln842
call basefunction
ln842:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49BC
O9BC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+16]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+16],word 0
jl short setn843
cmp word[__dreg+16],cx
jg short ln843
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn843:
or ah,80h
ln843:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln844
call basefunction
ln844:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49D0 - 49D7
O9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+16],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49E8 - 49EF
O9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+16],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 49F0 - 49F7
O9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+16],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49F8
O9F8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+16],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49F9
O9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+16],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49FA
O9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+16],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 49FB
O9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+16],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A00 - 4A07
OA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A10 - 4A17
OA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A18 - 4A1F
OA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A20 - 4A27
OA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
test cl,cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A28 - 4A2F
OA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A30 - 4A37
OA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4A38
OA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4A39
OA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
test cl,cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A40 - 4A47
OA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A50 - 4A57
OA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A58 - 4A5F
OA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A60 - 4A67
OA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A68 - 4A6F
OA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A70 - 4A77
OA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4A78
OA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4A79
OA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A80 - 4A87
OA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A90 - 4A97
OA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4A98 - 4A9F
OA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AA0 - 4AA7
OAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
test ecx,ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AA8 - 4AAF
OAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AB0 - 4AB7
OAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AB8
OAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AB9
OAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
test ecx,ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AC0 - 4AC7
OAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
or cl,80h
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AD0 - 4AD7
OAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AD8 - 4ADF
OAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AE0 - 4AE7
OAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AE8 - 4AEF
OAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4AF0 - 4AF7
OAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AF8
OAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AF9
OAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
test cl,cl
lahf
xor al,al
or cl,80h
call writememorybyte
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AFA
OAFA:
r_illegal:
sub esi,byte 2
mov edx,10h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln845
call basefunction
ln845:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AFB
OAFB:
sub esi,byte 2
mov edx,10h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln846
call basefunction
ln846:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4AFC
OAFC:
sub esi,byte 2
mov edx,10h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln847
call basefunction
ln847:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4B80 - 4B87
OB80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn848
cmp word[__dreg+20],cx
jg short ln848
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn848:
or ah,80h
ln848:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln849
call basefunction
ln849:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4B90 - 4B97
OB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn850
cmp word[__dreg+20],cx
jg short ln850
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn850:
or ah,80h
ln850:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln851
call basefunction
ln851:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4B98 - 4B9F
OB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn852
cmp word[__dreg+20],cx
jg short ln852
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn852:
or ah,80h
ln852:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln853
call basefunction
ln853:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BA0 - 4BA7
OBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn854
cmp word[__dreg+20],cx
jg short ln854
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn854:
or ah,80h
ln854:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln855
call basefunction
ln855:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BA8 - 4BAF
OBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn856
cmp word[__dreg+20],cx
jg short ln856
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn856:
or ah,80h
ln856:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln857
call basefunction
ln857:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BB0 - 4BB7
OBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn858
cmp word[__dreg+20],cx
jg short ln858
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn858:
or ah,80h
ln858:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln859
call basefunction
ln859:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BB8
OBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn860
cmp word[__dreg+20],cx
jg short ln860
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn860:
or ah,80h
ln860:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln861
call basefunction
ln861:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BB9
OBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn862
cmp word[__dreg+20],cx
jg short ln862
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn862:
or ah,80h
ln862:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln863
call basefunction
ln863:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BBA
OBBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn864
cmp word[__dreg+20],cx
jg short ln864
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn864:
or ah,80h
ln864:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln865
call basefunction
ln865:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BBB
OBBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn866
cmp word[__dreg+20],cx
jg short ln866
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn866:
or ah,80h
ln866:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln867
call basefunction
ln867:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BBC
OBBC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+20]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+20],word 0
jl short setn868
cmp word[__dreg+20],cx
jg short ln868
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn868:
or ah,80h
ln868:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln869
call basefunction
ln869:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BD0 - 4BD7
OBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+20],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BE8 - 4BEF
OBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+20],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4BF0 - 4BF7
OBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+20],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BF8
OBF8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+20],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BF9
OBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+20],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BFA
OBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+20],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4BFB
OBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+20],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4C90 - 4C97
OC90:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
xor ebx,ebx
ln870:
shr ax,1
jnc short ln871
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln871:
add bl,byte 4
test bl,byte 64
jz short ln870
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4C98 - 4C9F
OC98:
and ebx,byte 7
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
push ebx
xor ebx,ebx
ln872:
shr ax,1
jnc short ln873
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln873:
add ebx,byte 4
test bl,byte 64
jz short ln872
pop ebx
pop eax
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CA8 - 4CAF
OCA8:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
xor ebx,ebx
ln874:
shr ax,1
jnc short ln875
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln875:
add bl,byte 4
test bl,byte 64
jz short ln874
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CB0 - 4CB7
OCB0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+ebx*4]
xor ebx,ebx
ln876:
shr ax,1
jnc short ln877
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln877:
add bl,byte 4
test bl,byte 64
jz short ln876
pop eax
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CB8
OCB8:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
xor ebx,ebx
ln878:
shr ax,1
jnc short ln879
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln879:
add bl,byte 4
test bl,byte 64
jz short ln878
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CB9
OCB9:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
xor ebx,ebx
ln880:
shr ax,1
jnc short ln881
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln881:
add bl,byte 4
test bl,byte 64
jz short ln880
pop eax
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CBA
OCBA:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
xor ebx,ebx
ln882:
shr ax,1
jnc short ln883
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln883:
add bl,byte 4
test bl,byte 64
jz short ln882
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CBB
OCBB:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
xor ebx,ebx
ln884:
shr ax,1
jnc short ln885
call readmemoryword
movsx ecx,cx
mov [__reg+ebx],ecx
add edx,byte 2
sub edi,byte 4
ln885:
add bl,byte 4
test bl,byte 64
jz short ln884
pop eax
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CD0 - 4CD7
OCD0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
xor ebx,ebx
ln886:
shr ax,1
jnc short ln887
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln887:
add bl,byte 4
test bl,byte 64
jz short ln886
pop eax
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CD8 - 4CDF
OCD8:
and ebx,byte 7
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[__areg+ebx*4]
push ebx
xor ebx,ebx
ln888:
shr ax,1
jnc short ln889
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln889:
add ebx,byte 4
test bl,byte 64
jz short ln888
pop ebx
pop eax
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CE8 - 4CEF
OCE8:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
xor ebx,ebx
ln890:
shr ax,1
jnc short ln891
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln891:
add bl,byte 4
test bl,byte 64
jz short ln890
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4CF0 - 4CF7
OCF0:
push eax
and ebx,byte 7
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,[__areg+ebx*4]
xor ebx,ebx
ln892:
shr ax,1
jnc short ln893
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln893:
add bl,byte 4
test bl,byte 64
jz short ln892
pop eax
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CF8
OCF8:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add esi,byte 2
xor ebx,ebx
ln894:
shr ax,1
jnc short ln895
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln895:
add bl,byte 4
test bl,byte 64
jz short ln894
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CF9
OCF9:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
mov edx,[esi]
add esi,byte 4
rol edx,16
xor ebx,ebx
ln896:
shr ax,1
jnc short ln897
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln897:
add bl,byte 4
test bl,byte 64
jz short ln896
pop eax
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CFA
OCFA:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
xor ebx,ebx
ln898:
shr ax,1
jnc short ln899
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln899:
add bl,byte 4
test bl,byte 64
jz short ln898
pop eax
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4CFB
OCFB:
push eax
xor eax,eax
mov ax,[esi]
add esi,byte 2
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
xor ebx,ebx
ln900:
shr ax,1
jnc short ln901
call readmemorydword
mov [__reg+ebx],ecx
add edx,byte 4
sub edi,byte 8
ln901:
add bl,byte 4
test bl,byte 64
jz short ln900
pop eax
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4D80 - 4D87
OD80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn902
cmp word[__dreg+24],cx
jg short ln902
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn902:
or ah,80h
ln902:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln903
call basefunction
ln903:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4D90 - 4D97
OD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn904
cmp word[__dreg+24],cx
jg short ln904
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn904:
or ah,80h
ln904:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln905
call basefunction
ln905:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4D98 - 4D9F
OD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn906
cmp word[__dreg+24],cx
jg short ln906
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn906:
or ah,80h
ln906:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln907
call basefunction
ln907:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DA0 - 4DA7
ODA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn908
cmp word[__dreg+24],cx
jg short ln908
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn908:
or ah,80h
ln908:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln909
call basefunction
ln909:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DA8 - 4DAF
ODA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn910
cmp word[__dreg+24],cx
jg short ln910
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn910:
or ah,80h
ln910:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln911
call basefunction
ln911:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DB0 - 4DB7
ODB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn912
cmp word[__dreg+24],cx
jg short ln912
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn912:
or ah,80h
ln912:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln913
call basefunction
ln913:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DB8
ODB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn914
cmp word[__dreg+24],cx
jg short ln914
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn914:
or ah,80h
ln914:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln915
call basefunction
ln915:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DB9
ODB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn916
cmp word[__dreg+24],cx
jg short ln916
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn916:
or ah,80h
ln916:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln917
call basefunction
ln917:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DBA
ODBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn918
cmp word[__dreg+24],cx
jg short ln918
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn918:
or ah,80h
ln918:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln919
call basefunction
ln919:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DBB
ODBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn920
cmp word[__dreg+24],cx
jg short ln920
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn920:
or ah,80h
ln920:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln921
call basefunction
ln921:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DBC
ODBC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+24]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+24],word 0
jl short setn922
cmp word[__dreg+24],cx
jg short ln922
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn922:
or ah,80h
ln922:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln923
call basefunction
ln923:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DD0 - 4DD7
ODD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+24],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DE8 - 4DEF
ODE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+24],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4DF0 - 4DF7
ODF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+24],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DF8
ODF8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+24],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DF9
ODF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+24],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DFA
ODFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+24],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4DFB
ODFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+24],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E40 - 4E4F
OE40:
and ebx,byte 0Fh
lea edx,[80h+ebx*4]
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln924
call basefunction
ln924:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E50 - 4E57
OE50:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
mov ecx,[__a7]
mov [__areg+ebx*4],ecx
movsx edx,word [esi]
add ecx,edx
mov [__a7],ecx
add esi,byte 2
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E58 - 4E5F
OE58:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__a7],ecx
mov edx,[__areg+28]
call readmemorydword
add edx,byte 4
mov [__areg+28],edx
mov [__areg+ebx*4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E60 - 4E67
OE60:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov ecx,[__areg+ebx*4]
mov [__asp],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E68 - 4E6F
OE68:
test byte[__sr+1],20h
jz privilege_violation
and ebx,byte 7
mov ecx,[__asp]
mov [__areg+ebx*4],ecx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E70
OE70:
test byte[__sr+1],20h
jz privilege_violation
mov ecx,[__resethandler]
test ecx,ecx
jz short .r_done
mov [__io_cycle_counter],edi
mov [__io_fetchbase],ebp
mov [__io_fetchbased_pc],esi
push ebx
push eax
call ecx
pop eax
pop ebx
mov edi,[__io_cycle_counter]
mov ebp,[__io_fetchbase]
mov esi,[__io_fetchbased_pc]
.r_done:
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E71
OE71:
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E72
OE72:
test byte[__sr+1],20h
jz privilege_violation
mov cx,[esi]
add esi,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln925
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln925:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
or byte[__execinfo],80h
sub edi,byte 4
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
mov edi,-1
jmp near execexit
; Opcode 4E73
OE73:
test byte[__sr+1],20h
jz privilege_violation
mov edx,[__a7]
call readmemoryword
add edx,byte 2
push ecx
mov cl,[__sr+1]
and cx,2020h
xor ch,cl
jz short ln927
mov ecx,[__a7]
xchg ecx,[__asp]
mov [__a7],ecx
ln927:
pop ecx
mov [__sr+1],ch
and byte[__sr+1],0A7h
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
test ch,20h
setz cl
movzx ecx,cl
lea ecx,[__a7+ecx*4]
add dword[ecx],byte 6
call readmemorydword
and byte[__execinfo],0E5h
and ecx,16777215
mov esi,ecx
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln929
call basefunction
ln929:
add esi,ebp
sub edi,byte 20
test edi,edi
js near execexit
test byte[__sr+1],80h
jnz near trace_excep
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E75
OE75:
mov edx,[__areg+28]
call readmemorydword
add edx,byte 4
mov [__areg+28],edx
and ecx,16777215
mov esi,ecx
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln930
call basefunction
ln930:
add esi,ebp
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E76
OE76:
test al,1
jnz short ln931
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln931:
mov edx,1Ch
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln932
call basefunction
ln932:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4E77
OE77:
mov edx,[__areg+28]
call readmemoryword
add edx,byte 2
mov [__areg+28],edx
mov al,cl
shl ax,6
shl ah,5
sets [__xflag]
shr al,7
adc ah,ah
mov edx,[__areg+28]
call readmemorydword
add edx,byte 4
mov [__areg+28],edx
and ecx,16777215
mov esi,ecx
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln933
call basefunction
ln933:
add esi,ebp
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4E90 - 4E97
OE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln934
call basefunction
ln934:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4EA8 - 4EAF
OEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln935
call basefunction
ln935:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4EB0 - 4EB7
OEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln936
call basefunction
ln936:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EB8
OEB8:
movsx edx,word [esi]
add esi,byte 2
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln937
call basefunction
ln937:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EB9
OEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln938
call basefunction
ln938:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EBA
OEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln939
call basefunction
ln939:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EBB
OEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov ecx,esi
sub ecx,ebp
push ecx
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln940
call basefunction
ln940:
add esi,ebp
pop ecx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4ED0 - 4ED7
OED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln941
call basefunction
ln941:
add esi,ebp
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4EE8 - 4EEF
OEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln942
call basefunction
ln942:
add esi,ebp
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4EF0 - 4EF7
OEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln943
call basefunction
ln943:
add esi,ebp
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EF8
OEF8:
movsx edx,word [esi]
add esi,byte 2
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln944
call basefunction
ln944:
add esi,ebp
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EF9
OEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln945
call basefunction
ln945:
add esi,ebp
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EFA
OEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln946
call basefunction
ln946:
add esi,ebp
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4EFB
OEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
and edx,16777215
mov esi,edx
shr edx,12
cmp dx,word[__fetch_bank]
je short ln947
call basefunction
ln947:
add esi,ebp
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4F80 - 4F87
OF80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn948
cmp word[__dreg+28],cx
jg short ln948
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn948:
or ah,80h
ln948:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln949
call basefunction
ln949:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4F90 - 4F97
OF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn950
cmp word[__dreg+28],cx
jg short ln950
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn950:
or ah,80h
ln950:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln951
call basefunction
ln951:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4F98 - 4F9F
OF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn952
cmp word[__dreg+28],cx
jg short ln952
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn952:
or ah,80h
ln952:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln953
call basefunction
ln953:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FA0 - 4FA7
OFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn954
cmp word[__dreg+28],cx
jg short ln954
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn954:
or ah,80h
ln954:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln955
call basefunction
ln955:
add esi,ebp
sub edi,byte 56
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FA8 - 4FAF
OFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn956
cmp word[__dreg+28],cx
jg short ln956
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn956:
or ah,80h
ln956:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln957
call basefunction
ln957:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FB0 - 4FB7
OFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn958
cmp word[__dreg+28],cx
jg short ln958
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn958:
or ah,80h
ln958:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln959
call basefunction
ln959:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FB8
OFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn960
cmp word[__dreg+28],cx
jg short ln960
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn960:
or ah,80h
ln960:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln961
call basefunction
ln961:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FB9
OFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn962
cmp word[__dreg+28],cx
jg short ln962
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn962:
or ah,80h
ln962:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln963
call basefunction
ln963:
add esi,ebp
sub edi,byte 62
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FBA
OFBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn964
cmp word[__dreg+28],cx
jg short ln964
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn964:
or ah,80h
ln964:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln965
call basefunction
ln965:
add esi,ebp
sub edi,byte 58
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FBB
OFBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn966
cmp word[__dreg+28],cx
jg short ln966
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn966:
or ah,80h
ln966:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln967
call basefunction
ln967:
add esi,ebp
sub edi,byte 60
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FBC
OFBC:
mov cx,[esi]
add esi,byte 2
xor al,al
mov bx,word[__dreg+28]
test bx,bx
setz ah
shr ah,6
cmp word[__dreg+28],word 0
jl short setn968
cmp word[__dreg+28],cx
jg short ln968
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
setn968:
or ah,80h
ln968:
mov edx,18h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln969
call basefunction
ln969:
add esi,ebp
sub edi,byte 54
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FD0 - 4FD7
OFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
mov [__areg+28],edx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FE8 - 4FEF
OFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
mov [__areg+28],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 4FF0 - 4FF7
OFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
mov [__areg+28],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FF8
OFF8:
movsx edx,word [esi]
add esi,byte 2
mov [__areg+28],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FF9
OFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
mov [__areg+28],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FFA
OFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
mov [__areg+28],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 4FFB
OFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
mov [__areg+28],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5000 - 5007
P000:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5008 - 500F
P008:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5010 - 5017
P010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5018 - 501F
P018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5020 - 5027
P020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5028 - 502F
P028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5030 - 5037
P030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5038
P038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5039
P039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5040 - 5047
P040:
and ebx,byte 7
add word[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5048 - 504F
P048:
and ebx,byte 7
add dword[__areg+ebx*4],byte 8
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5050 - 5057
P050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5058 - 505F
P058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5060 - 5067
P060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5068 - 506F
P068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5070 - 5077
P070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5078
P078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5079
P079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5080 - 5087
P080:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5088 - 508F
P088:
and ebx,byte 7
add dword[__areg+ebx*4],byte 8
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5090 - 5097
P090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5098 - 509F
P098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50A0 - 50A7
P0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50A8 - 50AF
P0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50B0 - 50B7
P0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 50B8
P0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 50B9
P0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50C0 - 50C7
P0C0:
and ebx,byte 7
mov cl,255
mov [__dreg+ebx*4],cl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50C8 - 50CF
P0C8:
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50D0 - 50D7
P0D0:
and ebx,byte 7
mov cl,255
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50D8 - 50DF
P0D8:
and ebx,byte 7
mov cl,255
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50E0 - 50E7
P0E0:
and ebx,byte 7
mov cl,255
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50E8 - 50EF
P0E8:
and ebx,byte 7
mov cl,255
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 50F0 - 50F7
P0F0:
and ebx,byte 7
mov cl,255
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 50F8
P0F8:
mov cl,255
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 50F9
P0F9:
mov cl,255
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5100 - 5107
P100:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5108 - 510F
P108:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5110 - 5117
P110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5118 - 511F
P118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5120 - 5127
P120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5128 - 512F
P128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5130 - 5137
P130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5138
P138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5139
P139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 8
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5140 - 5147
P140:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5148 - 514F
P148:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 8
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5150 - 5157
P150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5158 - 515F
P158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5160 - 5167
P160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5168 - 516F
P168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5170 - 5177
P170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5178
P178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5179
P179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 8
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5180 - 5187
P180:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 8
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5188 - 518F
P188:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 8
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5190 - 5197
P190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5198 - 519F
P198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51A0 - 51A7
P1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51A8 - 51AF
P1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51B0 - 51B7
P1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 51B8
P1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 51B9
P1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 8
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51C0 - 51C7
P1C0:
and ebx,byte 7
mov cl,0
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51C8 - 51CF
P1C8:
r_dbra:
and ebx,byte 7
sub word[__dreg+ebx*4],1
jnc near r_bra_w
add esi,byte 2
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51D0 - 51D7
P1D0:
and ebx,byte 7
mov cl,0
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51D8 - 51DF
P1D8:
and ebx,byte 7
mov cl,0
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51E0 - 51E7
P1E0:
and ebx,byte 7
mov cl,0
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51E8 - 51EF
P1E8:
and ebx,byte 7
mov cl,0
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 51F0 - 51F7
P1F0:
and ebx,byte 7
mov cl,0
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 51F8
P1F8:
mov cl,0
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 51F9
P1F9:
mov cl,0
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5200 - 5207
P200:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5208 - 520F
P208:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5210 - 5217
P210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5218 - 521F
P218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5220 - 5227
P220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5228 - 522F
P228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5230 - 5237
P230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5238
P238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5239
P239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5240 - 5247
P240:
and ebx,byte 7
add word[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5248 - 524F
P248:
and ebx,byte 7
add dword[__areg+ebx*4],byte 1
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5250 - 5257
P250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5258 - 525F
P258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5260 - 5267
P260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5268 - 526F
P268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5270 - 5277
P270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5278
P278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5279
P279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5280 - 5287
P280:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5288 - 528F
P288:
and ebx,byte 7
add dword[__areg+ebx*4],byte 1
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5290 - 5297
P290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5298 - 529F
P298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52A0 - 52A7
P2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52A8 - 52AF
P2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52B0 - 52B7
P2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 52B8
P2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 52B9
P2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52C0 - 52C7
P2C0:
and ebx,byte 7
xor ecx,ecx
test ah,41h
setz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52C8 - 52CF
P2C8:
test ah,41h
jnz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52D0 - 52D7
P2D0:
and ebx,byte 7
test ah,41h
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52D8 - 52DF
P2D8:
and ebx,byte 7
test ah,41h
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52E0 - 52E7
P2E0:
and ebx,byte 7
test ah,41h
setz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52E8 - 52EF
P2E8:
and ebx,byte 7
test ah,41h
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 52F0 - 52F7
P2F0:
and ebx,byte 7
test ah,41h
setz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 52F8
P2F8:
test ah,41h
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 52F9
P2F9:
test ah,41h
setz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5300 - 5307
P300:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5308 - 530F
P308:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5310 - 5317
P310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5318 - 531F
P318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5320 - 5327
P320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5328 - 532F
P328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5330 - 5337
P330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5338
P338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5339
P339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 1
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5340 - 5347
P340:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5348 - 534F
P348:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 1
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5350 - 5357
P350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5358 - 535F
P358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5360 - 5367
P360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5368 - 536F
P368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5370 - 5377
P370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5378
P378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5379
P379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 1
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5380 - 5387
P380:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 1
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5388 - 538F
P388:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 1
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5390 - 5397
P390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5398 - 539F
P398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53A0 - 53A7
P3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53A8 - 53AF
P3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53B0 - 53B7
P3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 53B8
P3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 53B9
P3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 1
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53C0 - 53C7
P3C0:
and ebx,byte 7
xor ecx,ecx
test ah,41h
setnz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53C8 - 53CF
P3C8:
test ah,41h
jz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53D0 - 53D7
P3D0:
and ebx,byte 7
test ah,41h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53D8 - 53DF
P3D8:
and ebx,byte 7
test ah,41h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53E0 - 53E7
P3E0:
and ebx,byte 7
test ah,41h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53E8 - 53EF
P3E8:
and ebx,byte 7
test ah,41h
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 53F0 - 53F7
P3F0:
and ebx,byte 7
test ah,41h
setnz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 53F8
P3F8:
test ah,41h
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 53F9
P3F9:
test ah,41h
setnz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5400 - 5407
P400:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5408 - 540F
P408:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5410 - 5417
P410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5418 - 541F
P418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5420 - 5427
P420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5428 - 542F
P428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5430 - 5437
P430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5438
P438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5439
P439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5440 - 5447
P440:
and ebx,byte 7
add word[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5448 - 544F
P448:
and ebx,byte 7
add dword[__areg+ebx*4],byte 2
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5450 - 5457
P450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5458 - 545F
P458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5460 - 5467
P460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5468 - 546F
P468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5470 - 5477
P470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5478
P478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5479
P479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5480 - 5487
P480:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5488 - 548F
P488:
and ebx,byte 7
add dword[__areg+ebx*4],byte 2
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5490 - 5497
P490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5498 - 549F
P498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54A0 - 54A7
P4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54A8 - 54AF
P4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54B0 - 54B7
P4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 54B8
P4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 54B9
P4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54C0 - 54C7
P4C0:
and ebx,byte 7
xor ecx,ecx
test ah,1
setz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54C8 - 54CF
P4C8:
test ah,1
jnz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54D0 - 54D7
P4D0:
and ebx,byte 7
test ah,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54D8 - 54DF
P4D8:
and ebx,byte 7
test ah,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54E0 - 54E7
P4E0:
and ebx,byte 7
test ah,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54E8 - 54EF
P4E8:
and ebx,byte 7
test ah,1
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 54F0 - 54F7
P4F0:
and ebx,byte 7
test ah,1
setz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 54F8
P4F8:
test ah,1
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 54F9
P4F9:
test ah,1
setz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5500 - 5507
P500:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5508 - 550F
P508:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5510 - 5517
P510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5518 - 551F
P518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5520 - 5527
P520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5528 - 552F
P528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5530 - 5537
P530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5538
P538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5539
P539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 2
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5540 - 5547
P540:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5548 - 554F
P548:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 2
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5550 - 5557
P550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5558 - 555F
P558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5560 - 5567
P560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5568 - 556F
P568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5570 - 5577
P570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5578
P578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5579
P579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 2
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5580 - 5587
P580:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 2
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5588 - 558F
P588:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 2
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5590 - 5597
P590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5598 - 559F
P598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55A0 - 55A7
P5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55A8 - 55AF
P5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55B0 - 55B7
P5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 55B8
P5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 55B9
P5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 2
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55C0 - 55C7
P5C0:
and ebx,byte 7
xor ecx,ecx
test ah,1
setnz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55C8 - 55CF
P5C8:
test ah,1
jz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55D0 - 55D7
P5D0:
and ebx,byte 7
test ah,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55D8 - 55DF
P5D8:
and ebx,byte 7
test ah,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55E0 - 55E7
P5E0:
and ebx,byte 7
test ah,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55E8 - 55EF
P5E8:
and ebx,byte 7
test ah,1
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 55F0 - 55F7
P5F0:
and ebx,byte 7
test ah,1
setnz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 55F8
P5F8:
test ah,1
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 55F9
P5F9:
test ah,1
setnz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5600 - 5607
P600:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5608 - 560F
P608:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5610 - 5617
P610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5618 - 561F
P618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5620 - 5627
P620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5628 - 562F
P628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5630 - 5637
P630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5638
P638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5639
P639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5640 - 5647
P640:
and ebx,byte 7
add word[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5648 - 564F
P648:
and ebx,byte 7
add dword[__areg+ebx*4],byte 3
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5650 - 5657
P650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5658 - 565F
P658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5660 - 5667
P660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5668 - 566F
P668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5670 - 5677
P670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5678
P678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5679
P679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5680 - 5687
P680:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5688 - 568F
P688:
and ebx,byte 7
add dword[__areg+ebx*4],byte 3
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5690 - 5697
P690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5698 - 569F
P698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56A0 - 56A7
P6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56A8 - 56AF
P6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56B0 - 56B7
P6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 56B8
P6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 56B9
P6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56C0 - 56C7
P6C0:
and ebx,byte 7
xor ecx,ecx
test ah,40h
setz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56C8 - 56CF
P6C8:
test ah,40h
jnz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56D0 - 56D7
P6D0:
and ebx,byte 7
test ah,40h
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56D8 - 56DF
P6D8:
and ebx,byte 7
test ah,40h
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56E0 - 56E7
P6E0:
and ebx,byte 7
test ah,40h
setz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56E8 - 56EF
P6E8:
and ebx,byte 7
test ah,40h
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 56F0 - 56F7
P6F0:
and ebx,byte 7
test ah,40h
setz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 56F8
P6F8:
test ah,40h
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 56F9
P6F9:
test ah,40h
setz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5700 - 5707
P700:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5708 - 570F
P708:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5710 - 5717
P710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5718 - 571F
P718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5720 - 5727
P720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5728 - 572F
P728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5730 - 5737
P730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5738
P738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5739
P739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 3
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5740 - 5747
P740:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5748 - 574F
P748:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 3
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5750 - 5757
P750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5758 - 575F
P758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5760 - 5767
P760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5768 - 576F
P768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5770 - 5777
P770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5778
P778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5779
P779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 3
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5780 - 5787
P780:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 3
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5788 - 578F
P788:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 3
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5790 - 5797
P790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5798 - 579F
P798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57A0 - 57A7
P7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57A8 - 57AF
P7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57B0 - 57B7
P7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 57B8
P7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 57B9
P7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 3
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57C0 - 57C7
P7C0:
and ebx,byte 7
xor ecx,ecx
test ah,40h
setnz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57C8 - 57CF
P7C8:
test ah,40h
jz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57D0 - 57D7
P7D0:
and ebx,byte 7
test ah,40h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57D8 - 57DF
P7D8:
and ebx,byte 7
test ah,40h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57E0 - 57E7
P7E0:
and ebx,byte 7
test ah,40h
setnz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57E8 - 57EF
P7E8:
and ebx,byte 7
test ah,40h
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 57F0 - 57F7
P7F0:
and ebx,byte 7
test ah,40h
setnz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 57F8
P7F8:
test ah,40h
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 57F9
P7F9:
test ah,40h
setnz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5800 - 5807
P800:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5808 - 580F
P808:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5810 - 5817
P810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5818 - 581F
P818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5820 - 5827
P820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5828 - 582F
P828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5830 - 5837
P830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5838
P838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5839
P839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5840 - 5847
P840:
and ebx,byte 7
add word[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5848 - 584F
P848:
and ebx,byte 7
add dword[__areg+ebx*4],byte 4
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5850 - 5857
P850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5858 - 585F
P858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5860 - 5867
P860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5868 - 586F
P868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5870 - 5877
P870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5878
P878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5879
P879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5880 - 5887
P880:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5888 - 588F
P888:
and ebx,byte 7
add dword[__areg+ebx*4],byte 4
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5890 - 5897
P890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5898 - 589F
P898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58A0 - 58A7
P8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58A8 - 58AF
P8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58B0 - 58B7
P8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 58B8
P8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 58B9
P8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58C0 - 58C7
P8C0:
and ebx,byte 7
xor ecx,ecx
test al,1
setz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58C8 - 58CF
P8C8:
test al,1
jnz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58D0 - 58D7
P8D0:
and ebx,byte 7
test al,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58D8 - 58DF
P8D8:
and ebx,byte 7
test al,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58E0 - 58E7
P8E0:
and ebx,byte 7
test al,1
setz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58E8 - 58EF
P8E8:
and ebx,byte 7
test al,1
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 58F0 - 58F7
P8F0:
and ebx,byte 7
test al,1
setz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 58F8
P8F8:
test al,1
setz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 58F9
P8F9:
test al,1
setz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5900 - 5907
P900:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5908 - 590F
P908:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5910 - 5917
P910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5918 - 591F
P918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5920 - 5927
P920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5928 - 592F
P928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5930 - 5937
P930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5938
P938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5939
P939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 4
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5940 - 5947
P940:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5948 - 594F
P948:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 4
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5950 - 5957
P950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5958 - 595F
P958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5960 - 5967
P960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5968 - 596F
P968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5970 - 5977
P970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5978
P978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5979
P979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 4
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5980 - 5987
P980:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 4
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5988 - 598F
P988:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 4
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5990 - 5997
P990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5998 - 599F
P998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59A0 - 59A7
P9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59A8 - 59AF
P9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59B0 - 59B7
P9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 59B8
P9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 59B9
P9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 4
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59C0 - 59C7
P9C0:
and ebx,byte 7
xor ecx,ecx
test al,1
setnz cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59C8 - 59CF
P9C8:
test al,1
jz near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59D0 - 59D7
P9D0:
and ebx,byte 7
test al,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59D8 - 59DF
P9D8:
and ebx,byte 7
test al,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59E0 - 59E7
P9E0:
and ebx,byte 7
test al,1
setnz cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59E8 - 59EF
P9E8:
and ebx,byte 7
test al,1
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 59F0 - 59F7
P9F0:
and ebx,byte 7
test al,1
setnz cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 59F8
P9F8:
test al,1
setnz cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 59F9
P9F9:
test al,1
setnz cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A00 - 5A07
PA00:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A08 - 5A0F
PA08:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A10 - 5A17
PA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A18 - 5A1F
PA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A20 - 5A27
PA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A28 - 5A2F
PA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A30 - 5A37
PA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5A38
PA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5A39
PA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A40 - 5A47
PA40:
and ebx,byte 7
add word[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A48 - 5A4F
PA48:
and ebx,byte 7
add dword[__areg+ebx*4],byte 5
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A50 - 5A57
PA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A58 - 5A5F
PA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A60 - 5A67
PA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A68 - 5A6F
PA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A70 - 5A77
PA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5A78
PA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5A79
PA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A80 - 5A87
PA80:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A88 - 5A8F
PA88:
and ebx,byte 7
add dword[__areg+ebx*4],byte 5
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A90 - 5A97
PA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5A98 - 5A9F
PA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AA0 - 5AA7
PAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AA8 - 5AAF
PAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AB0 - 5AB7
PAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5AB8
PAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5AB9
PAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AC0 - 5AC7
PAC0:
and ebx,byte 7
xor ecx,ecx
test ah,ah
setns cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AC8 - 5ACF
PAC8:
test ah,ah
js near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AD0 - 5AD7
PAD0:
and ebx,byte 7
test ah,ah
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AD8 - 5ADF
PAD8:
and ebx,byte 7
test ah,ah
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AE0 - 5AE7
PAE0:
and ebx,byte 7
test ah,ah
setns cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AE8 - 5AEF
PAE8:
and ebx,byte 7
test ah,ah
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5AF0 - 5AF7
PAF0:
and ebx,byte 7
test ah,ah
setns cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5AF8
PAF8:
test ah,ah
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5AF9
PAF9:
test ah,ah
setns cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B00 - 5B07
PB00:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B08 - 5B0F
PB08:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B10 - 5B17
PB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B18 - 5B1F
PB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B20 - 5B27
PB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B28 - 5B2F
PB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B30 - 5B37
PB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5B38
PB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5B39
PB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 5
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B40 - 5B47
PB40:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B48 - 5B4F
PB48:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 5
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B50 - 5B57
PB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B58 - 5B5F
PB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B60 - 5B67
PB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B68 - 5B6F
PB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B70 - 5B77
PB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5B78
PB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5B79
PB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 5
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B80 - 5B87
PB80:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 5
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B88 - 5B8F
PB88:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 5
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B90 - 5B97
PB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5B98 - 5B9F
PB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BA0 - 5BA7
PBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BA8 - 5BAF
PBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BB0 - 5BB7
PBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5BB8
PBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5BB9
PBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 5
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BC0 - 5BC7
PBC0:
and ebx,byte 7
xor ecx,ecx
test ah,ah
sets cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BC8 - 5BCF
PBC8:
test ah,ah
jns near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BD0 - 5BD7
PBD0:
and ebx,byte 7
test ah,ah
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BD8 - 5BDF
PBD8:
and ebx,byte 7
test ah,ah
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BE0 - 5BE7
PBE0:
and ebx,byte 7
test ah,ah
sets cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BE8 - 5BEF
PBE8:
and ebx,byte 7
test ah,ah
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5BF0 - 5BF7
PBF0:
and ebx,byte 7
test ah,ah
sets cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5BF8
PBF8:
test ah,ah
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5BF9
PBF9:
test ah,ah
sets cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C00 - 5C07
PC00:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C08 - 5C0F
PC08:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C10 - 5C17
PC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C18 - 5C1F
PC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C20 - 5C27
PC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C28 - 5C2F
PC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C30 - 5C37
PC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5C38
PC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5C39
PC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C40 - 5C47
PC40:
and ebx,byte 7
add word[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C48 - 5C4F
PC48:
and ebx,byte 7
add dword[__areg+ebx*4],byte 6
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C50 - 5C57
PC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C58 - 5C5F
PC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C60 - 5C67
PC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C68 - 5C6F
PC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C70 - 5C77
PC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5C78
PC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5C79
PC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C80 - 5C87
PC80:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C88 - 5C8F
PC88:
and ebx,byte 7
add dword[__areg+ebx*4],byte 6
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C90 - 5C97
PC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5C98 - 5C9F
PC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CA0 - 5CA7
PCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CA8 - 5CAF
PCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CB0 - 5CB7
PCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5CB8
PCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5CB9
PCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CC0 - 5CC7
PCC0:
and ebx,byte 7
xor ecx,ecx
push eax
neg al
xor al,ah
pop eax
setns cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CC8 - 5CCF
PCC8:
push eax
neg al
xor al,ah
pop eax
js near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CD0 - 5CD7
PCD0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CD8 - 5CDF
PCD8:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CE0 - 5CE7
PCE0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CE8 - 5CEF
PCE8:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5CF0 - 5CF7
PCF0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5CF8
PCF8:
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5CF9
PCF9:
push eax
neg al
xor al,ah
pop eax
setns cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D00 - 5D07
PD00:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D08 - 5D0F
PD08:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D10 - 5D17
PD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D18 - 5D1F
PD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D20 - 5D27
PD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D28 - 5D2F
PD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D30 - 5D37
PD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5D38
PD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5D39
PD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 6
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D40 - 5D47
PD40:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D48 - 5D4F
PD48:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 6
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D50 - 5D57
PD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D58 - 5D5F
PD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D60 - 5D67
PD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D68 - 5D6F
PD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D70 - 5D77
PD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5D78
PD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5D79
PD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 6
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D80 - 5D87
PD80:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 6
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D88 - 5D8F
PD88:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 6
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D90 - 5D97
PD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5D98 - 5D9F
PD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DA0 - 5DA7
PDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DA8 - 5DAF
PDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DB0 - 5DB7
PDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5DB8
PDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5DB9
PDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 6
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DC0 - 5DC7
PDC0:
and ebx,byte 7
xor ecx,ecx
push eax
neg al
xor al,ah
pop eax
sets cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DC8 - 5DCF
PDC8:
push eax
neg al
xor al,ah
pop eax
jns near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DD0 - 5DD7
PDD0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DD8 - 5DDF
PDD8:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DE0 - 5DE7
PDE0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DE8 - 5DEF
PDE8:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5DF0 - 5DF7
PDF0:
and ebx,byte 7
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5DF8
PDF8:
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5DF9
PDF9:
push eax
neg al
xor al,ah
pop eax
sets cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E00 - 5E07
PE00:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E08 - 5E0F
PE08:
and ebx,byte 7
add byte[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E10 - 5E17
PE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E18 - 5E1F
PE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E20 - 5E27
PE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E28 - 5E2F
PE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E30 - 5E37
PE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5E38
PE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5E39
PE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E40 - 5E47
PE40:
and ebx,byte 7
add word[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E48 - 5E4F
PE48:
and ebx,byte 7
add dword[__areg+ebx*4],byte 7
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E50 - 5E57
PE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E58 - 5E5F
PE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E60 - 5E67
PE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E68 - 5E6F
PE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E70 - 5E77
PE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5E78
PE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5E79
PE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E80 - 5E87
PE80:
and ebx,byte 7
add dword[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E88 - 5E8F
PE88:
and ebx,byte 7
add dword[__areg+ebx*4],byte 7
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E90 - 5E97
PE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5E98 - 5E9F
PE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EA0 - 5EA7
PEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EA8 - 5EAF
PEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EB0 - 5EB7
PEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5EB8
PEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5EB9
PEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EC0 - 5EC7
PEC0:
and ebx,byte 7
xor ecx,ecx
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EC8 - 5ECF
PEC8:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
js near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5ED0 - 5ED7
PED0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5ED8 - 5EDF
PED8:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EE0 - 5EE7
PEE0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EE8 - 5EEF
PEE8:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5EF0 - 5EF7
PEF0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5EF8
PEF8:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5EF9
PEF9:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
setns cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F00 - 5F07
PF00:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F08 - 5F0F
PF08:
and ebx,byte 7
sub byte[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F10 - 5F17
PF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F18 - 5F1F
PF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F20 - 5F27
PF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F28 - 5F2F
PF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F30 - 5F37
PF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5F38
PF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5F39
PF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,byte 7
lahf
seto al
setc [__xflag]
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F40 - 5F47
PF40:
and ebx,byte 7
sub word[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F48 - 5F4F
PF48:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 7
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F50 - 5F57
PF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F58 - 5F5F
PF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F60 - 5F67
PF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F68 - 5F6F
PF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F70 - 5F77
PF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5F78
PF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5F79
PF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,byte 7
lahf
seto al
setc [__xflag]
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F80 - 5F87
PF80:
and ebx,byte 7
sub dword[__dreg+ebx*4],byte 7
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F88 - 5F8F
PF88:
and ebx,byte 7
sub dword[__areg+ebx*4],byte 7
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F90 - 5F97
PF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5F98 - 5F9F
PF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FA0 - 5FA7
PFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FA8 - 5FAF
PFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FB0 - 5FB7
PFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5FB8
PFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5FB9
PFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,byte 7
lahf
seto al
setc [__xflag]
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FC0 - 5FC7
PFC0:
and ebx,byte 7
xor ecx,ecx
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
sub edi,ecx
sub edi,ecx
neg cl
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FC8 - 5FCF
PFC8:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
jns near r_dbra
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FD0 - 5FD7
PFD0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FD8 - 5FDF
PFD8:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FE0 - 5FE7
PFE0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FE8 - 5FEF
PFE8:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 5FF0 - 5FF7
PFF0:
and ebx,byte 7
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
call decode_ext
add edx,[__areg+ebx*4]
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5FF8
PFF8:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
movsx edx,word [esi]
add esi,byte 2
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 5FF9
PFF9:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
sets cl
neg cl
mov edx,[esi]
add esi,byte 4
rol edx,16
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6000
Q000:
r_bra_w:
movsx ecx,word [esi]
add esi,ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6001 - 60FF
Q001:
r_bra_b:
test bl,1
jz access_ok970
mov [__io_cycle_counter], dword 0
xor edi, edi
mov esp,[__excep_ptr]
xor ebx,ebx
mov word[__inst_reg],bx
test byte[__sr+1],20h
setz bl
inc bl
shl bl,2
or bl,10h
add bl,2
and bl,0F7h
mov byte[__g0_spec_info],bl
mov ebx,esi
or byte[__execinfo],40h
mov edx,0Ch
jmp group_0_exception
access_ok970:
movsx ecx,bl
add esi,ecx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6100
Q100:
movsx edx,word [esi]
lea ecx,[esi+2]
sub ecx,ebp
add esi,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6101 - 61FF
Q101:
movsx edx,bl
mov ecx,esi
sub ecx,ebp
add esi,edx
mov edx,[__areg+28]
sub edx,byte 4
call writememorydword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6200
Q200:
test ah,41h
jz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6201 - 62FF
Q201:
test ah,41h
jz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6300
Q300:
test ah,41h
jnz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6301 - 63FF
Q301:
test ah,41h
jnz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6400
Q400:
test ah,1
jz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6401 - 64FF
Q401:
test ah,1
jz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6500
Q500:
test ah,1
jnz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6501 - 65FF
Q501:
test ah,1
jnz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6600
Q600:
test ah,40h
jz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6601 - 66FF
Q601:
test ah,40h
jz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6700
Q700:
test ah,40h
jnz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6701 - 67FF
Q701:
test ah,40h
jnz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6800
Q800:
test al,1
jz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6801 - 68FF
Q801:
test al,1
jz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6900
Q900:
test al,1
jnz near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6901 - 69FF
Q901:
test al,1
jnz near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6A00
QA00:
test ah,ah
jns near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6A01 - 6AFF
QA01:
test ah,ah
jns near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6B00
QB00:
test ah,ah
js near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6B01 - 6BFF
QB01:
test ah,ah
js near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6C00
QC00:
push eax
neg al
xor al,ah
pop eax
jns near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6C01 - 6CFF
QC01:
push eax
neg al
xor al,ah
pop eax
jns near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6D00
QD00:
push eax
neg al
xor al,ah
pop eax
js near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6D01 - 6DFF
QD01:
push eax
neg al
xor al,ah
pop eax
js near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6E00
QE00:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
jns near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6E01 - 6EFF
QE01:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
jns near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 6F00
QF00:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
js near r_bra_w
add esi,byte 2
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 6F01 - 6FFF
QF01:
push eax
neg al
xor al,ah
add ah,ah
or al,ah
pop eax
js near r_bra_b
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7000 - 70FF
R000:
movsx ecx,bl
mov [__dreg+0],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7200 - 72FF
R200:
movsx ecx,bl
mov [__dreg+4],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7400 - 74FF
R400:
movsx ecx,bl
mov [__dreg+8],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7600 - 76FF
R600:
movsx ecx,bl
mov [__dreg+12],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7800 - 78FF
R800:
movsx ecx,bl
mov [__dreg+16],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7A00 - 7AFF
RA00:
movsx ecx,bl
mov [__dreg+20],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7C00 - 7CFF
RC00:
movsx ecx,bl
mov [__dreg+24],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 7E00 - 7EFF
RE00:
movsx ecx,bl
mov [__dreg+28],ecx
test cl,cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8000 - 8007
S000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8010 - 8017
S010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8018 - 801F
S018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8020 - 8027
S020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8028 - 802F
S028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8030 - 8037
S030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8038
S038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8039
S039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 803A
S03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 803B
S03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 803C
S03C:
mov cx,[esi]
add esi,byte 2
or [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8040 - 8047
S040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8050 - 8057
S050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8058 - 805F
S058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8060 - 8067
S060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8068 - 806F
S068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8070 - 8077
S070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8078
S078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8079
S079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 807A
S07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 807B
S07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 807C
S07C:
mov cx,[esi]
add esi,byte 2
or [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8080 - 8087
S080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8090 - 8097
S090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8098 - 809F
S098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80A0 - 80A7
S0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80A8 - 80AF
S0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80B0 - 80B7
S0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80B8
S0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80B9
S0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80BA
S0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80BB
S0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80BC
S0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80C0 - 80C7
S0C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex971
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov971
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop971:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd971
sub ebx,ecx
jmp short .nsbhd971
.pdivd971:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd971
sub ebx,ecx
add edi,byte 2
.nsbhd971:
dec al
jnz short .detloop971
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov971:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex971:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln972
call basefunction
ln972:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80D0 - 80D7
S0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex973
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov973
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop973:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd973
sub ebx,ecx
jmp short .nsbhd973
.pdivd973:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd973
sub ebx,ecx
add edi,byte 2
.nsbhd973:
dec al
jnz short .detloop973
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov973:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex973:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln974
call basefunction
ln974:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80D8 - 80DF
S0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex975
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov975
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop975:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd975
sub ebx,ecx
jmp short .nsbhd975
.pdivd975:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd975
sub ebx,ecx
add edi,byte 2
.nsbhd975:
dec al
jnz short .detloop975
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov975:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex975:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln976
call basefunction
ln976:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80E0 - 80E7
S0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex977
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov977
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop977:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd977
sub ebx,ecx
jmp short .nsbhd977
.pdivd977:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd977
sub ebx,ecx
add edi,byte 2
.nsbhd977:
dec al
jnz short .detloop977
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov977:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex977:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln978
call basefunction
ln978:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80E8 - 80EF
S0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex979
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov979
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop979:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd979
sub ebx,ecx
jmp short .nsbhd979
.pdivd979:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd979
sub ebx,ecx
add edi,byte 2
.nsbhd979:
dec al
jnz short .detloop979
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov979:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex979:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln980
call basefunction
ln980:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 80F0 - 80F7
S0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex981
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov981
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop981:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd981
sub ebx,ecx
jmp short .nsbhd981
.pdivd981:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd981
sub ebx,ecx
add edi,byte 2
.nsbhd981:
dec al
jnz short .detloop981
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov981:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex981:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln982
call basefunction
ln982:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80F8
S0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex983
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov983
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop983:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd983
sub ebx,ecx
jmp short .nsbhd983
.pdivd983:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd983
sub ebx,ecx
add edi,byte 2
.nsbhd983:
dec al
jnz short .detloop983
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov983:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex983:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln984
call basefunction
ln984:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80F9
S0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex985
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov985
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop985:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd985
sub ebx,ecx
jmp short .nsbhd985
.pdivd985:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd985
sub ebx,ecx
add edi,byte 2
.nsbhd985:
dec al
jnz short .detloop985
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov985:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex985:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln986
call basefunction
ln986:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80FA
S0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex987
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov987
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop987:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd987
sub ebx,ecx
jmp short .nsbhd987
.pdivd987:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd987
sub ebx,ecx
add edi,byte 2
.nsbhd987:
dec al
jnz short .detloop987
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov987:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex987:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln988
call basefunction
ln988:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80FB
S0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex989
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov989
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop989:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd989
sub ebx,ecx
jmp short .nsbhd989
.pdivd989:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd989
sub ebx,ecx
add edi,byte 2
.nsbhd989:
dec al
jnz short .detloop989
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov989:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex989:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln990
call basefunction
ln990:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 80FC
S0FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex991
mov eax,[__dreg+0]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov991
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop991:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd991
sub ebx,ecx
jmp short .nsbhd991
.pdivd991:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd991
sub ebx,ecx
add edi,byte 2
.nsbhd991:
dec al
jnz short .detloop991
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov991:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex991:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln992
call basefunction
ln992:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8100 - 8107
S100:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+0],al
lahf
setc [__xflag]
jnz short ln993
or ch,0BFh
and ah,ch
ln993:
test al,al
jns short ln994
xor al,al
jmp short ln995
ln994:
test cl,cl
sets al
ln995:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8108 - 810F
S108:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln996
or ch,0BFh
and ah,ch
ln996:
test al,al
jns short ln997
xor al,al
jmp short ln998
ln997:
test cl,cl
sets al
ln998:
mov ecx,ebx
call writememorybyte

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8110 - 8117
S110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8118 - 811F
S118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8120 - 8127
S120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8128 - 812F
S128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8130 - 8137
S130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8138
S138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8139
S139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8150 - 8157
S150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8158 - 815F
S158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8160 - 8167
S160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8168 - 816F
S168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8170 - 8177
S170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8178
S178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8179
S179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8190 - 8197
S190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8198 - 819F
S198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81A0 - 81A7
S1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81A8 - 81AF
S1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81B0 - 81B7
S1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81B8
S1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81B9
S1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81C0 - 81C7
S1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex999
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck999
inc ebx
jne short ov999
ovcheck999:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs999
test ebx,ebx
js short .ndivd999
add edi,byte 4
.ndivd999:
sub edi,byte 2
.ndivs999:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop999
neg dx
.dsetloop999:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop999
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov999:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex999:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1000
call basefunction
ln1000:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81D0 - 81D7
S1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1001
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1001
inc ebx
jne short ov1001
ovcheck1001:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1001
test ebx,ebx
js short .ndivd1001
add edi,byte 4
.ndivd1001:
sub edi,byte 2
.ndivs1001:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1001
neg dx
.dsetloop1001:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1001
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1001:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1001:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1002
call basefunction
ln1002:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81D8 - 81DF
S1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1003
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1003
inc ebx
jne short ov1003
ovcheck1003:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1003
test ebx,ebx
js short .ndivd1003
add edi,byte 4
.ndivd1003:
sub edi,byte 2
.ndivs1003:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1003
neg dx
.dsetloop1003:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1003
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1003:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1003:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1004
call basefunction
ln1004:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81E0 - 81E7
S1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1005
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1005
inc ebx
jne short ov1005
ovcheck1005:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1005
test ebx,ebx
js short .ndivd1005
add edi,byte 4
.ndivd1005:
sub edi,byte 2
.ndivs1005:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1005
neg dx
.dsetloop1005:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1005
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1005:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1005:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1006
call basefunction
ln1006:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81E8 - 81EF
S1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1007
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1007
inc ebx
jne short ov1007
ovcheck1007:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1007
test ebx,ebx
js short .ndivd1007
add edi,byte 4
.ndivd1007:
sub edi,byte 2
.ndivs1007:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1007
neg dx
.dsetloop1007:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1007
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1007:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1007:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1008
call basefunction
ln1008:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 81F0 - 81F7
S1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1009
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1009
inc ebx
jne short ov1009
ovcheck1009:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1009
test ebx,ebx
js short .ndivd1009
add edi,byte 4
.ndivd1009:
sub edi,byte 2
.ndivs1009:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1009
neg dx
.dsetloop1009:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1009
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1009:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1009:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1010
call basefunction
ln1010:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81F8
S1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1011
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1011
inc ebx
jne short ov1011
ovcheck1011:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1011
test ebx,ebx
js short .ndivd1011
add edi,byte 4
.ndivd1011:
sub edi,byte 2
.ndivs1011:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1011
neg dx
.dsetloop1011:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1011
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1011:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1011:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1012
call basefunction
ln1012:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81F9
S1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1013
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1013
inc ebx
jne short ov1013
ovcheck1013:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1013
test ebx,ebx
js short .ndivd1013
add edi,byte 4
.ndivd1013:
sub edi,byte 2
.ndivs1013:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1013
neg dx
.dsetloop1013:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1013
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1013:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1013:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1014
call basefunction
ln1014:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81FA
S1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1015
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1015
inc ebx
jne short ov1015
ovcheck1015:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1015
test ebx,ebx
js short .ndivd1015
add edi,byte 4
.ndivd1015:
sub edi,byte 2
.ndivs1015:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1015
neg dx
.dsetloop1015:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1015
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1015:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1015:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1016
call basefunction
ln1016:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81FB
S1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1017
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1017
inc ebx
jne short ov1017
ovcheck1017:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1017
test ebx,ebx
js short .ndivd1017
add edi,byte 4
.ndivd1017:
sub edi,byte 2
.ndivs1017:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1017
neg dx
.dsetloop1017:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1017
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1017:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1017:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1018
call basefunction
ln1018:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 81FC
S1FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1019
mov eax,[__dreg+0]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1019
inc ebx
jne short ov1019
ovcheck1019:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+0],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1019
test ebx,ebx
js short .ndivd1019
add edi,byte 4
.ndivd1019:
sub edi,byte 2
.ndivs1019:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1019
neg dx
.dsetloop1019:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1019
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1019:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1019:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1020
call basefunction
ln1020:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8200 - 8207
S200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8210 - 8217
S210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8218 - 821F
S218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8220 - 8227
S220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8228 - 822F
S228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8230 - 8237
S230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8238
S238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8239
S239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 823A
S23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 823B
S23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 823C
S23C:
mov cx,[esi]
add esi,byte 2
or [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8240 - 8247
S240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8250 - 8257
S250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8258 - 825F
S258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8260 - 8267
S260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8268 - 826F
S268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8270 - 8277
S270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8278
S278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8279
S279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 827A
S27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 827B
S27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 827C
S27C:
mov cx,[esi]
add esi,byte 2
or [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8280 - 8287
S280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8290 - 8297
S290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8298 - 829F
S298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82A0 - 82A7
S2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82A8 - 82AF
S2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82B0 - 82B7
S2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82B8
S2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82B9
S2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82BA
S2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82BB
S2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82BC
S2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82C0 - 82C7
S2C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1021
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1021
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1021:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1021
sub ebx,ecx
jmp short .nsbhd1021
.pdivd1021:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1021
sub ebx,ecx
add edi,byte 2
.nsbhd1021:
dec al
jnz short .detloop1021
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1021:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1021:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1022
call basefunction
ln1022:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82D0 - 82D7
S2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1023
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1023
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1023:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1023
sub ebx,ecx
jmp short .nsbhd1023
.pdivd1023:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1023
sub ebx,ecx
add edi,byte 2
.nsbhd1023:
dec al
jnz short .detloop1023
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1023:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1023:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1024
call basefunction
ln1024:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82D8 - 82DF
S2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1025
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1025
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1025:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1025
sub ebx,ecx
jmp short .nsbhd1025
.pdivd1025:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1025
sub ebx,ecx
add edi,byte 2
.nsbhd1025:
dec al
jnz short .detloop1025
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1025:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1025:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1026
call basefunction
ln1026:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82E0 - 82E7
S2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1027
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1027
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1027:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1027
sub ebx,ecx
jmp short .nsbhd1027
.pdivd1027:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1027
sub ebx,ecx
add edi,byte 2
.nsbhd1027:
dec al
jnz short .detloop1027
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1027:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1027:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1028
call basefunction
ln1028:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82E8 - 82EF
S2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1029
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1029
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1029:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1029
sub ebx,ecx
jmp short .nsbhd1029
.pdivd1029:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1029
sub ebx,ecx
add edi,byte 2
.nsbhd1029:
dec al
jnz short .detloop1029
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1029:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1029:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1030
call basefunction
ln1030:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 82F0 - 82F7
S2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1031
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1031
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1031:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1031
sub ebx,ecx
jmp short .nsbhd1031
.pdivd1031:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1031
sub ebx,ecx
add edi,byte 2
.nsbhd1031:
dec al
jnz short .detloop1031
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1031:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1031:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1032
call basefunction
ln1032:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82F8
S2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1033
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1033
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1033:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1033
sub ebx,ecx
jmp short .nsbhd1033
.pdivd1033:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1033
sub ebx,ecx
add edi,byte 2
.nsbhd1033:
dec al
jnz short .detloop1033
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1033:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1033:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1034
call basefunction
ln1034:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82F9
S2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1035
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1035
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1035:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1035
sub ebx,ecx
jmp short .nsbhd1035
.pdivd1035:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1035
sub ebx,ecx
add edi,byte 2
.nsbhd1035:
dec al
jnz short .detloop1035
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1035:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1035:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1036
call basefunction
ln1036:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82FA
S2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1037
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1037
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1037:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1037
sub ebx,ecx
jmp short .nsbhd1037
.pdivd1037:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1037
sub ebx,ecx
add edi,byte 2
.nsbhd1037:
dec al
jnz short .detloop1037
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1037:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1037:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1038
call basefunction
ln1038:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82FB
S2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1039
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1039
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1039:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1039
sub ebx,ecx
jmp short .nsbhd1039
.pdivd1039:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1039
sub ebx,ecx
add edi,byte 2
.nsbhd1039:
dec al
jnz short .detloop1039
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1039:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1039:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1040
call basefunction
ln1040:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 82FC
S2FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1041
mov eax,[__dreg+4]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1041
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1041:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1041
sub ebx,ecx
jmp short .nsbhd1041
.pdivd1041:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1041
sub ebx,ecx
add edi,byte 2
.nsbhd1041:
dec al
jnz short .detloop1041
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1041:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1041:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1042
call basefunction
ln1042:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8300 - 8307
S300:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+4],al
lahf
setc [__xflag]
jnz short ln1043
or ch,0BFh
and ah,ch
ln1043:
test al,al
jns short ln1044
xor al,al
jmp short ln1045
ln1044:
test cl,cl
sets al
ln1045:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8308 - 830F
S308:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1046
or ch,0BFh
and ah,ch
ln1046:
test al,al
jns short ln1047
xor al,al
jmp short ln1048
ln1047:
test cl,cl
sets al
ln1048:
mov ecx,ebx
call writememorybyte

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8310 - 8317
S310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8318 - 831F
S318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8320 - 8327
S320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8328 - 832F
S328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8330 - 8337
S330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8338
S338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8339
S339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8350 - 8357
S350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8358 - 835F
S358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8360 - 8367
S360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8368 - 836F
S368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8370 - 8377
S370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8378
S378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8379
S379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8390 - 8397
S390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8398 - 839F
S398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83A0 - 83A7
S3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83A8 - 83AF
S3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83B0 - 83B7
S3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83B8
S3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83B9
S3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83C0 - 83C7
S3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1049
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1049
inc ebx
jne short ov1049
ovcheck1049:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1049
test ebx,ebx
js short .ndivd1049
add edi,byte 4
.ndivd1049:
sub edi,byte 2
.ndivs1049:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1049
neg dx
.dsetloop1049:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1049
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1049:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1049:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1050
call basefunction
ln1050:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83D0 - 83D7
S3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1051
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1051
inc ebx
jne short ov1051
ovcheck1051:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1051
test ebx,ebx
js short .ndivd1051
add edi,byte 4
.ndivd1051:
sub edi,byte 2
.ndivs1051:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1051
neg dx
.dsetloop1051:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1051
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1051:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1051:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1052
call basefunction
ln1052:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83D8 - 83DF
S3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1053
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1053
inc ebx
jne short ov1053
ovcheck1053:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1053
test ebx,ebx
js short .ndivd1053
add edi,byte 4
.ndivd1053:
sub edi,byte 2
.ndivs1053:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1053
neg dx
.dsetloop1053:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1053
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1053:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1053:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1054
call basefunction
ln1054:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83E0 - 83E7
S3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1055
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1055
inc ebx
jne short ov1055
ovcheck1055:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1055
test ebx,ebx
js short .ndivd1055
add edi,byte 4
.ndivd1055:
sub edi,byte 2
.ndivs1055:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1055
neg dx
.dsetloop1055:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1055
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1055:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1055:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1056
call basefunction
ln1056:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83E8 - 83EF
S3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1057
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1057
inc ebx
jne short ov1057
ovcheck1057:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1057
test ebx,ebx
js short .ndivd1057
add edi,byte 4
.ndivd1057:
sub edi,byte 2
.ndivs1057:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1057
neg dx
.dsetloop1057:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1057
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1057:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1057:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1058
call basefunction
ln1058:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 83F0 - 83F7
S3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1059
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1059
inc ebx
jne short ov1059
ovcheck1059:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1059
test ebx,ebx
js short .ndivd1059
add edi,byte 4
.ndivd1059:
sub edi,byte 2
.ndivs1059:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1059
neg dx
.dsetloop1059:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1059
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1059:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1059:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1060
call basefunction
ln1060:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83F8
S3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1061
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1061
inc ebx
jne short ov1061
ovcheck1061:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1061
test ebx,ebx
js short .ndivd1061
add edi,byte 4
.ndivd1061:
sub edi,byte 2
.ndivs1061:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1061
neg dx
.dsetloop1061:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1061
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1061:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1061:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1062
call basefunction
ln1062:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83F9
S3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1063
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1063
inc ebx
jne short ov1063
ovcheck1063:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1063
test ebx,ebx
js short .ndivd1063
add edi,byte 4
.ndivd1063:
sub edi,byte 2
.ndivs1063:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1063
neg dx
.dsetloop1063:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1063
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1063:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1063:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1064
call basefunction
ln1064:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83FA
S3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1065
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1065
inc ebx
jne short ov1065
ovcheck1065:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1065
test ebx,ebx
js short .ndivd1065
add edi,byte 4
.ndivd1065:
sub edi,byte 2
.ndivs1065:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1065
neg dx
.dsetloop1065:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1065
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1065:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1065:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1066
call basefunction
ln1066:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83FB
S3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1067
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1067
inc ebx
jne short ov1067
ovcheck1067:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1067
test ebx,ebx
js short .ndivd1067
add edi,byte 4
.ndivd1067:
sub edi,byte 2
.ndivs1067:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1067
neg dx
.dsetloop1067:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1067
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1067:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1067:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1068
call basefunction
ln1068:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 83FC
S3FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1069
mov eax,[__dreg+4]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1069
inc ebx
jne short ov1069
ovcheck1069:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+4],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1069
test ebx,ebx
js short .ndivd1069
add edi,byte 4
.ndivd1069:
sub edi,byte 2
.ndivs1069:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1069
neg dx
.dsetloop1069:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1069
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1069:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1069:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1070
call basefunction
ln1070:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8400 - 8407
S400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8410 - 8417
S410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8418 - 841F
S418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8420 - 8427
S420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8428 - 842F
S428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8430 - 8437
S430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8438
S438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8439
S439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 843A
S43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 843B
S43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 843C
S43C:
mov cx,[esi]
add esi,byte 2
or [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8440 - 8447
S440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8450 - 8457
S450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8458 - 845F
S458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8460 - 8467
S460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8468 - 846F
S468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8470 - 8477
S470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8478
S478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8479
S479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 847A
S47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 847B
S47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 847C
S47C:
mov cx,[esi]
add esi,byte 2
or [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8480 - 8487
S480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8490 - 8497
S490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8498 - 849F
S498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84A0 - 84A7
S4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84A8 - 84AF
S4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84B0 - 84B7
S4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84B8
S4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84B9
S4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84BA
S4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84BB
S4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84BC
S4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84C0 - 84C7
S4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1071
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1071
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1071:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1071
sub ebx,ecx
jmp short .nsbhd1071
.pdivd1071:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1071
sub ebx,ecx
add edi,byte 2
.nsbhd1071:
dec al
jnz short .detloop1071
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1071:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1071:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1072
call basefunction
ln1072:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84D0 - 84D7
S4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1073
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1073
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1073:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1073
sub ebx,ecx
jmp short .nsbhd1073
.pdivd1073:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1073
sub ebx,ecx
add edi,byte 2
.nsbhd1073:
dec al
jnz short .detloop1073
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1073:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1073:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1074
call basefunction
ln1074:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84D8 - 84DF
S4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1075
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1075
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1075:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1075
sub ebx,ecx
jmp short .nsbhd1075
.pdivd1075:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1075
sub ebx,ecx
add edi,byte 2
.nsbhd1075:
dec al
jnz short .detloop1075
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1075:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1075:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1076
call basefunction
ln1076:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84E0 - 84E7
S4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1077
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1077
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1077:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1077
sub ebx,ecx
jmp short .nsbhd1077
.pdivd1077:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1077
sub ebx,ecx
add edi,byte 2
.nsbhd1077:
dec al
jnz short .detloop1077
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1077:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1077:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1078
call basefunction
ln1078:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84E8 - 84EF
S4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1079
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1079
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1079:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1079
sub ebx,ecx
jmp short .nsbhd1079
.pdivd1079:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1079
sub ebx,ecx
add edi,byte 2
.nsbhd1079:
dec al
jnz short .detloop1079
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1079:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1079:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1080
call basefunction
ln1080:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 84F0 - 84F7
S4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1081
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1081
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1081:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1081
sub ebx,ecx
jmp short .nsbhd1081
.pdivd1081:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1081
sub ebx,ecx
add edi,byte 2
.nsbhd1081:
dec al
jnz short .detloop1081
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1081:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1081:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1082
call basefunction
ln1082:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84F8
S4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1083
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1083
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1083:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1083
sub ebx,ecx
jmp short .nsbhd1083
.pdivd1083:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1083
sub ebx,ecx
add edi,byte 2
.nsbhd1083:
dec al
jnz short .detloop1083
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1083:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1083:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1084
call basefunction
ln1084:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84F9
S4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1085
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1085
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1085:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1085
sub ebx,ecx
jmp short .nsbhd1085
.pdivd1085:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1085
sub ebx,ecx
add edi,byte 2
.nsbhd1085:
dec al
jnz short .detloop1085
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1085:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1085:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1086
call basefunction
ln1086:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84FA
S4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1087
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1087
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1087:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1087
sub ebx,ecx
jmp short .nsbhd1087
.pdivd1087:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1087
sub ebx,ecx
add edi,byte 2
.nsbhd1087:
dec al
jnz short .detloop1087
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1087:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1087:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1088
call basefunction
ln1088:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84FB
S4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1089
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1089
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1089:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1089
sub ebx,ecx
jmp short .nsbhd1089
.pdivd1089:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1089
sub ebx,ecx
add edi,byte 2
.nsbhd1089:
dec al
jnz short .detloop1089
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1089:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1089:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1090
call basefunction
ln1090:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 84FC
S4FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1091
mov eax,[__dreg+8]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1091
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1091:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1091
sub ebx,ecx
jmp short .nsbhd1091
.pdivd1091:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1091
sub ebx,ecx
add edi,byte 2
.nsbhd1091:
dec al
jnz short .detloop1091
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1091:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1091:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1092
call basefunction
ln1092:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8500 - 8507
S500:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+8],al
lahf
setc [__xflag]
jnz short ln1093
or ch,0BFh
and ah,ch
ln1093:
test al,al
jns short ln1094
xor al,al
jmp short ln1095
ln1094:
test cl,cl
sets al
ln1095:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8508 - 850F
S508:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1096
or ch,0BFh
and ah,ch
ln1096:
test al,al
jns short ln1097
xor al,al
jmp short ln1098
ln1097:
test cl,cl
sets al
ln1098:
mov ecx,ebx
call writememorybyte

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8510 - 8517
S510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8518 - 851F
S518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8520 - 8527
S520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8528 - 852F
S528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8530 - 8537
S530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8538
S538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8539
S539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8550 - 8557
S550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8558 - 855F
S558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8560 - 8567
S560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8568 - 856F
S568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8570 - 8577
S570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8578
S578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8579
S579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8590 - 8597
S590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8598 - 859F
S598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85A0 - 85A7
S5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85A8 - 85AF
S5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85B0 - 85B7
S5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85B8
S5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85B9
S5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85C0 - 85C7
S5C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1099
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1099
inc ebx
jne short ov1099
ovcheck1099:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1099
test ebx,ebx
js short .ndivd1099
add edi,byte 4
.ndivd1099:
sub edi,byte 2
.ndivs1099:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1099
neg dx
.dsetloop1099:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1099
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1099:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1099:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1100
call basefunction
ln1100:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85D0 - 85D7
S5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1101
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1101
inc ebx
jne short ov1101
ovcheck1101:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1101
test ebx,ebx
js short .ndivd1101
add edi,byte 4
.ndivd1101:
sub edi,byte 2
.ndivs1101:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1101
neg dx
.dsetloop1101:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1101
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1101:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1101:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1102
call basefunction
ln1102:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85D8 - 85DF
S5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1103
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1103
inc ebx
jne short ov1103
ovcheck1103:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1103
test ebx,ebx
js short .ndivd1103
add edi,byte 4
.ndivd1103:
sub edi,byte 2
.ndivs1103:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1103
neg dx
.dsetloop1103:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1103
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1103:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1103:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1104
call basefunction
ln1104:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85E0 - 85E7
S5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1105
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1105
inc ebx
jne short ov1105
ovcheck1105:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1105
test ebx,ebx
js short .ndivd1105
add edi,byte 4
.ndivd1105:
sub edi,byte 2
.ndivs1105:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1105
neg dx
.dsetloop1105:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1105
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1105:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1105:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1106
call basefunction
ln1106:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85E8 - 85EF
S5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1107
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1107
inc ebx
jne short ov1107
ovcheck1107:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1107
test ebx,ebx
js short .ndivd1107
add edi,byte 4
.ndivd1107:
sub edi,byte 2
.ndivs1107:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1107
neg dx
.dsetloop1107:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1107
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1107:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1107:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1108
call basefunction
ln1108:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 85F0 - 85F7
S5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1109
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1109
inc ebx
jne short ov1109
ovcheck1109:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1109
test ebx,ebx
js short .ndivd1109
add edi,byte 4
.ndivd1109:
sub edi,byte 2
.ndivs1109:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1109
neg dx
.dsetloop1109:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1109
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1109:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1109:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1110
call basefunction
ln1110:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85F8
S5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1111
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1111
inc ebx
jne short ov1111
ovcheck1111:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1111
test ebx,ebx
js short .ndivd1111
add edi,byte 4
.ndivd1111:
sub edi,byte 2
.ndivs1111:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1111
neg dx
.dsetloop1111:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1111
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1111:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1111:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1112
call basefunction
ln1112:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85F9
S5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1113
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1113
inc ebx
jne short ov1113
ovcheck1113:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1113
test ebx,ebx
js short .ndivd1113
add edi,byte 4
.ndivd1113:
sub edi,byte 2
.ndivs1113:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1113
neg dx
.dsetloop1113:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1113
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1113:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1113:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1114
call basefunction
ln1114:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85FA
S5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1115
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1115
inc ebx
jne short ov1115
ovcheck1115:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1115
test ebx,ebx
js short .ndivd1115
add edi,byte 4
.ndivd1115:
sub edi,byte 2
.ndivs1115:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1115
neg dx
.dsetloop1115:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1115
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1115:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1115:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1116
call basefunction
ln1116:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85FB
S5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1117
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1117
inc ebx
jne short ov1117
ovcheck1117:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1117
test ebx,ebx
js short .ndivd1117
add edi,byte 4
.ndivd1117:
sub edi,byte 2
.ndivs1117:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1117
neg dx
.dsetloop1117:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1117
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1117:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1117:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1118
call basefunction
ln1118:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 85FC
S5FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1119
mov eax,[__dreg+8]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1119
inc ebx
jne short ov1119
ovcheck1119:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+8],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1119
test ebx,ebx
js short .ndivd1119
add edi,byte 4
.ndivd1119:
sub edi,byte 2
.ndivs1119:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1119
neg dx
.dsetloop1119:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1119
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1119:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1119:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1120
call basefunction
ln1120:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8600 - 8607
S600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8610 - 8617
S610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8618 - 861F
S618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8620 - 8627
S620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8628 - 862F
S628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8630 - 8637
S630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8638
S638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8639
S639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 863A
S63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 863B
S63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 863C
S63C:
mov cx,[esi]
add esi,byte 2
or [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8640 - 8647
S640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8650 - 8657
S650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8658 - 865F
S658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8660 - 8667
S660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8668 - 866F
S668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8670 - 8677
S670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8678
S678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8679
S679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 867A
S67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 867B
S67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 867C
S67C:
mov cx,[esi]
add esi,byte 2
or [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8680 - 8687
S680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8690 - 8697
S690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8698 - 869F
S698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86A0 - 86A7
S6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86A8 - 86AF
S6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86B0 - 86B7
S6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86B8
S6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86B9
S6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86BA
S6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86BB
S6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86BC
S6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86C0 - 86C7
S6C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1121
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1121
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1121:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1121
sub ebx,ecx
jmp short .nsbhd1121
.pdivd1121:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1121
sub ebx,ecx
add edi,byte 2
.nsbhd1121:
dec al
jnz short .detloop1121
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1121:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1121:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1122
call basefunction
ln1122:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86D0 - 86D7
S6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1123
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1123
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1123:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1123
sub ebx,ecx
jmp short .nsbhd1123
.pdivd1123:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1123
sub ebx,ecx
add edi,byte 2
.nsbhd1123:
dec al
jnz short .detloop1123
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1123:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1123:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1124
call basefunction
ln1124:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86D8 - 86DF
S6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1125
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1125
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1125:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1125
sub ebx,ecx
jmp short .nsbhd1125
.pdivd1125:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1125
sub ebx,ecx
add edi,byte 2
.nsbhd1125:
dec al
jnz short .detloop1125
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1125:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1125:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1126
call basefunction
ln1126:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86E0 - 86E7
S6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1127
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1127
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1127:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1127
sub ebx,ecx
jmp short .nsbhd1127
.pdivd1127:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1127
sub ebx,ecx
add edi,byte 2
.nsbhd1127:
dec al
jnz short .detloop1127
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1127:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1127:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1128
call basefunction
ln1128:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86E8 - 86EF
S6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1129
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1129
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1129:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1129
sub ebx,ecx
jmp short .nsbhd1129
.pdivd1129:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1129
sub ebx,ecx
add edi,byte 2
.nsbhd1129:
dec al
jnz short .detloop1129
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1129:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1129:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1130
call basefunction
ln1130:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 86F0 - 86F7
S6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1131
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1131
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1131:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1131
sub ebx,ecx
jmp short .nsbhd1131
.pdivd1131:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1131
sub ebx,ecx
add edi,byte 2
.nsbhd1131:
dec al
jnz short .detloop1131
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1131:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1131:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1132
call basefunction
ln1132:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86F8
S6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1133
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1133
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1133:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1133
sub ebx,ecx
jmp short .nsbhd1133
.pdivd1133:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1133
sub ebx,ecx
add edi,byte 2
.nsbhd1133:
dec al
jnz short .detloop1133
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1133:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1133:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1134
call basefunction
ln1134:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86F9
S6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1135
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1135
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1135:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1135
sub ebx,ecx
jmp short .nsbhd1135
.pdivd1135:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1135
sub ebx,ecx
add edi,byte 2
.nsbhd1135:
dec al
jnz short .detloop1135
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1135:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1135:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1136
call basefunction
ln1136:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86FA
S6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1137
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1137
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1137:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1137
sub ebx,ecx
jmp short .nsbhd1137
.pdivd1137:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1137
sub ebx,ecx
add edi,byte 2
.nsbhd1137:
dec al
jnz short .detloop1137
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1137:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1137:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1138
call basefunction
ln1138:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86FB
S6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1139
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1139
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1139:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1139
sub ebx,ecx
jmp short .nsbhd1139
.pdivd1139:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1139
sub ebx,ecx
add edi,byte 2
.nsbhd1139:
dec al
jnz short .detloop1139
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1139:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1139:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1140
call basefunction
ln1140:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 86FC
S6FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1141
mov eax,[__dreg+12]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1141
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1141:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1141
sub ebx,ecx
jmp short .nsbhd1141
.pdivd1141:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1141
sub ebx,ecx
add edi,byte 2
.nsbhd1141:
dec al
jnz short .detloop1141
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1141:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1141:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1142
call basefunction
ln1142:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8700 - 8707
S700:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+12],al
lahf
setc [__xflag]
jnz short ln1143
or ch,0BFh
and ah,ch
ln1143:
test al,al
jns short ln1144
xor al,al
jmp short ln1145
ln1144:
test cl,cl
sets al
ln1145:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8708 - 870F
S708:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1146
or ch,0BFh
and ah,ch
ln1146:
test al,al
jns short ln1147
xor al,al
jmp short ln1148
ln1147:
test cl,cl
sets al
ln1148:
mov ecx,ebx
call writememorybyte

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8710 - 8717
S710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8718 - 871F
S718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8720 - 8727
S720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8728 - 872F
S728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8730 - 8737
S730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8738
S738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8739
S739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8750 - 8757
S750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8758 - 875F
S758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8760 - 8767
S760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8768 - 876F
S768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8770 - 8777
S770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8778
S778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8779
S779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8790 - 8797
S790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8798 - 879F
S798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87A0 - 87A7
S7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87A8 - 87AF
S7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87B0 - 87B7
S7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87B8
S7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87B9
S7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87C0 - 87C7
S7C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1149
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1149
inc ebx
jne short ov1149
ovcheck1149:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1149
test ebx,ebx
js short .ndivd1149
add edi,byte 4
.ndivd1149:
sub edi,byte 2
.ndivs1149:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1149
neg dx
.dsetloop1149:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1149
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1149:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1149:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1150
call basefunction
ln1150:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87D0 - 87D7
S7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1151
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1151
inc ebx
jne short ov1151
ovcheck1151:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1151
test ebx,ebx
js short .ndivd1151
add edi,byte 4
.ndivd1151:
sub edi,byte 2
.ndivs1151:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1151
neg dx
.dsetloop1151:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1151
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1151:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1151:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1152
call basefunction
ln1152:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87D8 - 87DF
S7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1153
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1153
inc ebx
jne short ov1153
ovcheck1153:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1153
test ebx,ebx
js short .ndivd1153
add edi,byte 4
.ndivd1153:
sub edi,byte 2
.ndivs1153:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1153
neg dx
.dsetloop1153:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1153
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1153:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1153:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1154
call basefunction
ln1154:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87E0 - 87E7
S7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1155
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1155
inc ebx
jne short ov1155
ovcheck1155:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1155
test ebx,ebx
js short .ndivd1155
add edi,byte 4
.ndivd1155:
sub edi,byte 2
.ndivs1155:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1155
neg dx
.dsetloop1155:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1155
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1155:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1155:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1156
call basefunction
ln1156:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87E8 - 87EF
S7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1157
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1157
inc ebx
jne short ov1157
ovcheck1157:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1157
test ebx,ebx
js short .ndivd1157
add edi,byte 4
.ndivd1157:
sub edi,byte 2
.ndivs1157:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1157
neg dx
.dsetloop1157:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1157
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1157:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1157:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1158
call basefunction
ln1158:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 87F0 - 87F7
S7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1159
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1159
inc ebx
jne short ov1159
ovcheck1159:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1159
test ebx,ebx
js short .ndivd1159
add edi,byte 4
.ndivd1159:
sub edi,byte 2
.ndivs1159:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1159
neg dx
.dsetloop1159:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1159
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1159:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1159:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1160
call basefunction
ln1160:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87F8
S7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1161
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1161
inc ebx
jne short ov1161
ovcheck1161:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1161
test ebx,ebx
js short .ndivd1161
add edi,byte 4
.ndivd1161:
sub edi,byte 2
.ndivs1161:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1161
neg dx
.dsetloop1161:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1161
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1161:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1161:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1162
call basefunction
ln1162:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87F9
S7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1163
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1163
inc ebx
jne short ov1163
ovcheck1163:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1163
test ebx,ebx
js short .ndivd1163
add edi,byte 4
.ndivd1163:
sub edi,byte 2
.ndivs1163:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1163
neg dx
.dsetloop1163:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1163
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1163:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1163:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1164
call basefunction
ln1164:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87FA
S7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1165
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1165
inc ebx
jne short ov1165
ovcheck1165:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1165
test ebx,ebx
js short .ndivd1165
add edi,byte 4
.ndivd1165:
sub edi,byte 2
.ndivs1165:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1165
neg dx
.dsetloop1165:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1165
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1165:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1165:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1166
call basefunction
ln1166:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87FB
S7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1167
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1167
inc ebx
jne short ov1167
ovcheck1167:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1167
test ebx,ebx
js short .ndivd1167
add edi,byte 4
.ndivd1167:
sub edi,byte 2
.ndivs1167:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1167
neg dx
.dsetloop1167:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1167
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1167:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1167:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1168
call basefunction
ln1168:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 87FC
S7FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1169
mov eax,[__dreg+12]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1169
inc ebx
jne short ov1169
ovcheck1169:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+12],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1169
test ebx,ebx
js short .ndivd1169
add edi,byte 4
.ndivd1169:
sub edi,byte 2
.ndivs1169:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1169
neg dx
.dsetloop1169:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1169
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1169:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1169:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1170
call basefunction
ln1170:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8800 - 8807
S800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8810 - 8817
S810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8818 - 881F
S818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8820 - 8827
S820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8828 - 882F
S828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8830 - 8837
S830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8838
S838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8839
S839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 883A
S83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 883B
S83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 883C
S83C:
mov cx,[esi]
add esi,byte 2
or [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8840 - 8847
S840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8850 - 8857
S850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8858 - 885F
S858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8860 - 8867
S860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8868 - 886F
S868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8870 - 8877
S870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8878
S878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8879
S879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 887A
S87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 887B
S87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 887C
S87C:
mov cx,[esi]
add esi,byte 2
or [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8880 - 8887
S880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8890 - 8897
S890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8898 - 889F
S898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88A0 - 88A7
S8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88A8 - 88AF
S8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88B0 - 88B7
S8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88B8
S8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88B9
S8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88BA
S8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88BB
S8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88BC
S8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88C0 - 88C7
S8C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1171
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1171
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1171:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1171
sub ebx,ecx
jmp short .nsbhd1171
.pdivd1171:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1171
sub ebx,ecx
add edi,byte 2
.nsbhd1171:
dec al
jnz short .detloop1171
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1171:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1171:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1172
call basefunction
ln1172:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88D0 - 88D7
S8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1173
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1173
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1173:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1173
sub ebx,ecx
jmp short .nsbhd1173
.pdivd1173:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1173
sub ebx,ecx
add edi,byte 2
.nsbhd1173:
dec al
jnz short .detloop1173
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1173:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1173:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1174
call basefunction
ln1174:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88D8 - 88DF
S8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1175
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1175
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1175:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1175
sub ebx,ecx
jmp short .nsbhd1175
.pdivd1175:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1175
sub ebx,ecx
add edi,byte 2
.nsbhd1175:
dec al
jnz short .detloop1175
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1175:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1175:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1176
call basefunction
ln1176:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88E0 - 88E7
S8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1177
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1177
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1177:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1177
sub ebx,ecx
jmp short .nsbhd1177
.pdivd1177:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1177
sub ebx,ecx
add edi,byte 2
.nsbhd1177:
dec al
jnz short .detloop1177
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1177:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1177:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1178
call basefunction
ln1178:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88E8 - 88EF
S8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1179
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1179
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1179:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1179
sub ebx,ecx
jmp short .nsbhd1179
.pdivd1179:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1179
sub ebx,ecx
add edi,byte 2
.nsbhd1179:
dec al
jnz short .detloop1179
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1179:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1179:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1180
call basefunction
ln1180:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 88F0 - 88F7
S8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1181
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1181
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1181:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1181
sub ebx,ecx
jmp short .nsbhd1181
.pdivd1181:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1181
sub ebx,ecx
add edi,byte 2
.nsbhd1181:
dec al
jnz short .detloop1181
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1181:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1181:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1182
call basefunction
ln1182:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88F8
S8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1183
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1183
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1183:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1183
sub ebx,ecx
jmp short .nsbhd1183
.pdivd1183:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1183
sub ebx,ecx
add edi,byte 2
.nsbhd1183:
dec al
jnz short .detloop1183
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1183:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1183:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1184
call basefunction
ln1184:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88F9
S8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1185
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1185
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1185:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1185
sub ebx,ecx
jmp short .nsbhd1185
.pdivd1185:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1185
sub ebx,ecx
add edi,byte 2
.nsbhd1185:
dec al
jnz short .detloop1185
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1185:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1185:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1186
call basefunction
ln1186:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88FA
S8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1187
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1187
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1187:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1187
sub ebx,ecx
jmp short .nsbhd1187
.pdivd1187:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1187
sub ebx,ecx
add edi,byte 2
.nsbhd1187:
dec al
jnz short .detloop1187
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1187:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1187:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1188
call basefunction
ln1188:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88FB
S8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1189
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1189
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1189:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1189
sub ebx,ecx
jmp short .nsbhd1189
.pdivd1189:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1189
sub ebx,ecx
add edi,byte 2
.nsbhd1189:
dec al
jnz short .detloop1189
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1189:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1189:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1190
call basefunction
ln1190:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 88FC
S8FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1191
mov eax,[__dreg+16]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1191
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1191:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1191
sub ebx,ecx
jmp short .nsbhd1191
.pdivd1191:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1191
sub ebx,ecx
add edi,byte 2
.nsbhd1191:
dec al
jnz short .detloop1191
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1191:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1191:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1192
call basefunction
ln1192:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8900 - 8907
S900:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+16],al
lahf
setc [__xflag]
jnz short ln1193
or ch,0BFh
and ah,ch
ln1193:
test al,al
jns short ln1194
xor al,al
jmp short ln1195
ln1194:
test cl,cl
sets al
ln1195:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8908 - 890F
S908:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1196
or ch,0BFh
and ah,ch
ln1196:
test al,al
jns short ln1197
xor al,al
jmp short ln1198
ln1197:
test cl,cl
sets al
ln1198:
mov ecx,ebx
call writememorybyte

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8910 - 8917
S910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8918 - 891F
S918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8920 - 8927
S920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8928 - 892F
S928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8930 - 8937
S930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8938
S938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8939
S939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8950 - 8957
S950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8958 - 895F
S958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8960 - 8967
S960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8968 - 896F
S968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8970 - 8977
S970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8978
S978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8979
S979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8990 - 8997
S990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8998 - 899F
S998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89A0 - 89A7
S9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89A8 - 89AF
S9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89B0 - 89B7
S9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89B8
S9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89B9
S9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89C0 - 89C7
S9C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1199
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1199
inc ebx
jne short ov1199
ovcheck1199:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1199
test ebx,ebx
js short .ndivd1199
add edi,byte 4
.ndivd1199:
sub edi,byte 2
.ndivs1199:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1199
neg dx
.dsetloop1199:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1199
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1199:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1199:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1200
call basefunction
ln1200:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89D0 - 89D7
S9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1201
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1201
inc ebx
jne short ov1201
ovcheck1201:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1201
test ebx,ebx
js short .ndivd1201
add edi,byte 4
.ndivd1201:
sub edi,byte 2
.ndivs1201:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1201
neg dx
.dsetloop1201:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1201
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1201:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1201:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1202
call basefunction
ln1202:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89D8 - 89DF
S9D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1203
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1203
inc ebx
jne short ov1203
ovcheck1203:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1203
test ebx,ebx
js short .ndivd1203
add edi,byte 4
.ndivd1203:
sub edi,byte 2
.ndivs1203:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1203
neg dx
.dsetloop1203:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1203
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1203:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1203:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1204
call basefunction
ln1204:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89E0 - 89E7
S9E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1205
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1205
inc ebx
jne short ov1205
ovcheck1205:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1205
test ebx,ebx
js short .ndivd1205
add edi,byte 4
.ndivd1205:
sub edi,byte 2
.ndivs1205:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1205
neg dx
.dsetloop1205:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1205
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1205:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1205:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1206
call basefunction
ln1206:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89E8 - 89EF
S9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1207
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1207
inc ebx
jne short ov1207
ovcheck1207:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1207
test ebx,ebx
js short .ndivd1207
add edi,byte 4
.ndivd1207:
sub edi,byte 2
.ndivs1207:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1207
neg dx
.dsetloop1207:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1207
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1207:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1207:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1208
call basefunction
ln1208:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 89F0 - 89F7
S9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1209
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1209
inc ebx
jne short ov1209
ovcheck1209:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1209
test ebx,ebx
js short .ndivd1209
add edi,byte 4
.ndivd1209:
sub edi,byte 2
.ndivs1209:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1209
neg dx
.dsetloop1209:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1209
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1209:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1209:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1210
call basefunction
ln1210:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89F8
S9F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1211
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1211
inc ebx
jne short ov1211
ovcheck1211:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1211
test ebx,ebx
js short .ndivd1211
add edi,byte 4
.ndivd1211:
sub edi,byte 2
.ndivs1211:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1211
neg dx
.dsetloop1211:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1211
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1211:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1211:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1212
call basefunction
ln1212:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89F9
S9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1213
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1213
inc ebx
jne short ov1213
ovcheck1213:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1213
test ebx,ebx
js short .ndivd1213
add edi,byte 4
.ndivd1213:
sub edi,byte 2
.ndivs1213:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1213
neg dx
.dsetloop1213:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1213
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1213:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1213:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1214
call basefunction
ln1214:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89FA
S9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1215
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1215
inc ebx
jne short ov1215
ovcheck1215:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1215
test ebx,ebx
js short .ndivd1215
add edi,byte 4
.ndivd1215:
sub edi,byte 2
.ndivs1215:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1215
neg dx
.dsetloop1215:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1215
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1215:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1215:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1216
call basefunction
ln1216:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89FB
S9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1217
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1217
inc ebx
jne short ov1217
ovcheck1217:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1217
test ebx,ebx
js short .ndivd1217
add edi,byte 4
.ndivd1217:
sub edi,byte 2
.ndivs1217:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1217
neg dx
.dsetloop1217:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1217
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1217:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1217:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1218
call basefunction
ln1218:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 89FC
S9FC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1219
mov eax,[__dreg+16]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1219
inc ebx
jne short ov1219
ovcheck1219:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+16],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1219
test ebx,ebx
js short .ndivd1219
add edi,byte 4
.ndivd1219:
sub edi,byte 2
.ndivs1219:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1219
neg dx
.dsetloop1219:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1219
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1219:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1219:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1220
call basefunction
ln1220:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A00 - 8A07
SA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A10 - 8A17
SA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A18 - 8A1F
SA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A20 - 8A27
SA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A28 - 8A2F
SA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A30 - 8A37
SA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A38
SA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A39
SA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A3A
SA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A3B
SA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A3C
SA3C:
mov cx,[esi]
add esi,byte 2
or [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A40 - 8A47
SA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A50 - 8A57
SA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A58 - 8A5F
SA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A60 - 8A67
SA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A68 - 8A6F
SA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A70 - 8A77
SA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A78
SA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A79
SA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A7A
SA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A7B
SA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8A7C
SA7C:
mov cx,[esi]
add esi,byte 2
or [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A80 - 8A87
SA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A90 - 8A97
SA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8A98 - 8A9F
SA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AA0 - 8AA7
SAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AA8 - 8AAF
SAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AB0 - 8AB7
SAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AB8
SAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AB9
SAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8ABA
SABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8ABB
SABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8ABC
SABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AC0 - 8AC7
SAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1221
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1221
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1221:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1221
sub ebx,ecx
jmp short .nsbhd1221
.pdivd1221:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1221
sub ebx,ecx
add edi,byte 2
.nsbhd1221:
dec al
jnz short .detloop1221
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1221:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1221:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1222
call basefunction
ln1222:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AD0 - 8AD7
SAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1223
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1223
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1223:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1223
sub ebx,ecx
jmp short .nsbhd1223
.pdivd1223:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1223
sub ebx,ecx
add edi,byte 2
.nsbhd1223:
dec al
jnz short .detloop1223
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1223:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1223:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1224
call basefunction
ln1224:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AD8 - 8ADF
SAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1225
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1225
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1225:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1225
sub ebx,ecx
jmp short .nsbhd1225
.pdivd1225:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1225
sub ebx,ecx
add edi,byte 2
.nsbhd1225:
dec al
jnz short .detloop1225
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1225:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1225:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1226
call basefunction
ln1226:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AE0 - 8AE7
SAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1227
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1227
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1227:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1227
sub ebx,ecx
jmp short .nsbhd1227
.pdivd1227:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1227
sub ebx,ecx
add edi,byte 2
.nsbhd1227:
dec al
jnz short .detloop1227
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1227:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1227:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1228
call basefunction
ln1228:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AE8 - 8AEF
SAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1229
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1229
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1229:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1229
sub ebx,ecx
jmp short .nsbhd1229
.pdivd1229:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1229
sub ebx,ecx
add edi,byte 2
.nsbhd1229:
dec al
jnz short .detloop1229
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1229:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1229:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1230
call basefunction
ln1230:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8AF0 - 8AF7
SAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1231
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1231
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1231:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1231
sub ebx,ecx
jmp short .nsbhd1231
.pdivd1231:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1231
sub ebx,ecx
add edi,byte 2
.nsbhd1231:
dec al
jnz short .detloop1231
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1231:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1231:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1232
call basefunction
ln1232:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AF8
SAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1233
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1233
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1233:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1233
sub ebx,ecx
jmp short .nsbhd1233
.pdivd1233:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1233
sub ebx,ecx
add edi,byte 2
.nsbhd1233:
dec al
jnz short .detloop1233
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1233:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1233:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1234
call basefunction
ln1234:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AF9
SAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1235
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1235
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1235:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1235
sub ebx,ecx
jmp short .nsbhd1235
.pdivd1235:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1235
sub ebx,ecx
add edi,byte 2
.nsbhd1235:
dec al
jnz short .detloop1235
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1235:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1235:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1236
call basefunction
ln1236:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AFA
SAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1237
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1237
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1237:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1237
sub ebx,ecx
jmp short .nsbhd1237
.pdivd1237:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1237
sub ebx,ecx
add edi,byte 2
.nsbhd1237:
dec al
jnz short .detloop1237
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1237:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1237:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1238
call basefunction
ln1238:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AFB
SAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1239
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1239
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1239:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1239
sub ebx,ecx
jmp short .nsbhd1239
.pdivd1239:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1239
sub ebx,ecx
add edi,byte 2
.nsbhd1239:
dec al
jnz short .detloop1239
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1239:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1239:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1240
call basefunction
ln1240:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8AFC
SAFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1241
mov eax,[__dreg+20]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1241
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1241:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1241
sub ebx,ecx
jmp short .nsbhd1241
.pdivd1241:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1241
sub ebx,ecx
add edi,byte 2
.nsbhd1241:
dec al
jnz short .detloop1241
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1241:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1241:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1242
call basefunction
ln1242:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B00 - 8B07
SB00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+20],al
lahf
setc [__xflag]
jnz short ln1243
or ch,0BFh
and ah,ch
ln1243:
test al,al
jns short ln1244
xor al,al
jmp short ln1245
ln1244:
test cl,cl
sets al
ln1245:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B08 - 8B0F
SB08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1246
or ch,0BFh
and ah,ch
ln1246:
test al,al
jns short ln1247
xor al,al
jmp short ln1248
ln1247:
test cl,cl
sets al
ln1248:
mov ecx,ebx
call writememorybyte

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B10 - 8B17
SB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B18 - 8B1F
SB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B20 - 8B27
SB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B28 - 8B2F
SB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B30 - 8B37
SB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8B38
SB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8B39
SB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B50 - 8B57
SB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B58 - 8B5F
SB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B60 - 8B67
SB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B68 - 8B6F
SB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B70 - 8B77
SB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8B78
SB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8B79
SB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B90 - 8B97
SB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8B98 - 8B9F
SB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BA0 - 8BA7
SBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BA8 - 8BAF
SBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BB0 - 8BB7
SBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BB8
SBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BB9
SBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BC0 - 8BC7
SBC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1249
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1249
inc ebx
jne short ov1249
ovcheck1249:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1249
test ebx,ebx
js short .ndivd1249
add edi,byte 4
.ndivd1249:
sub edi,byte 2
.ndivs1249:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1249
neg dx
.dsetloop1249:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1249
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1249:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1249:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1250
call basefunction
ln1250:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BD0 - 8BD7
SBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1251
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1251
inc ebx
jne short ov1251
ovcheck1251:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1251
test ebx,ebx
js short .ndivd1251
add edi,byte 4
.ndivd1251:
sub edi,byte 2
.ndivs1251:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1251
neg dx
.dsetloop1251:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1251
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1251:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1251:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1252
call basefunction
ln1252:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BD8 - 8BDF
SBD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1253
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1253
inc ebx
jne short ov1253
ovcheck1253:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1253
test ebx,ebx
js short .ndivd1253
add edi,byte 4
.ndivd1253:
sub edi,byte 2
.ndivs1253:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1253
neg dx
.dsetloop1253:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1253
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1253:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1253:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1254
call basefunction
ln1254:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BE0 - 8BE7
SBE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1255
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1255
inc ebx
jne short ov1255
ovcheck1255:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1255
test ebx,ebx
js short .ndivd1255
add edi,byte 4
.ndivd1255:
sub edi,byte 2
.ndivs1255:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1255
neg dx
.dsetloop1255:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1255
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1255:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1255:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1256
call basefunction
ln1256:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BE8 - 8BEF
SBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1257
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1257
inc ebx
jne short ov1257
ovcheck1257:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1257
test ebx,ebx
js short .ndivd1257
add edi,byte 4
.ndivd1257:
sub edi,byte 2
.ndivs1257:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1257
neg dx
.dsetloop1257:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1257
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1257:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1257:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1258
call basefunction
ln1258:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8BF0 - 8BF7
SBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1259
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1259
inc ebx
jne short ov1259
ovcheck1259:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1259
test ebx,ebx
js short .ndivd1259
add edi,byte 4
.ndivd1259:
sub edi,byte 2
.ndivs1259:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1259
neg dx
.dsetloop1259:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1259
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1259:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1259:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1260
call basefunction
ln1260:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BF8
SBF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1261
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1261
inc ebx
jne short ov1261
ovcheck1261:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1261
test ebx,ebx
js short .ndivd1261
add edi,byte 4
.ndivd1261:
sub edi,byte 2
.ndivs1261:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1261
neg dx
.dsetloop1261:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1261
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1261:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1261:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1262
call basefunction
ln1262:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BF9
SBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1263
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1263
inc ebx
jne short ov1263
ovcheck1263:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1263
test ebx,ebx
js short .ndivd1263
add edi,byte 4
.ndivd1263:
sub edi,byte 2
.ndivs1263:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1263
neg dx
.dsetloop1263:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1263
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1263:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1263:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1264
call basefunction
ln1264:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BFA
SBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1265
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1265
inc ebx
jne short ov1265
ovcheck1265:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1265
test ebx,ebx
js short .ndivd1265
add edi,byte 4
.ndivd1265:
sub edi,byte 2
.ndivs1265:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1265
neg dx
.dsetloop1265:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1265
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1265:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1265:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1266
call basefunction
ln1266:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BFB
SBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1267
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1267
inc ebx
jne short ov1267
ovcheck1267:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1267
test ebx,ebx
js short .ndivd1267
add edi,byte 4
.ndivd1267:
sub edi,byte 2
.ndivs1267:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1267
neg dx
.dsetloop1267:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1267
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1267:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1267:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1268
call basefunction
ln1268:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8BFC
SBFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1269
mov eax,[__dreg+20]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1269
inc ebx
jne short ov1269
ovcheck1269:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+20],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1269
test ebx,ebx
js short .ndivd1269
add edi,byte 4
.ndivd1269:
sub edi,byte 2
.ndivs1269:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1269
neg dx
.dsetloop1269:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1269
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1269:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1269:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1270
call basefunction
ln1270:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C00 - 8C07
SC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C10 - 8C17
SC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C18 - 8C1F
SC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C20 - 8C27
SC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C28 - 8C2F
SC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C30 - 8C37
SC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C38
SC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C39
SC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C3A
SC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C3B
SC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C3C
SC3C:
mov cx,[esi]
add esi,byte 2
or [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C40 - 8C47
SC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C50 - 8C57
SC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C58 - 8C5F
SC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C60 - 8C67
SC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C68 - 8C6F
SC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C70 - 8C77
SC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C78
SC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C79
SC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C7A
SC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C7B
SC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8C7C
SC7C:
mov cx,[esi]
add esi,byte 2
or [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C80 - 8C87
SC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C90 - 8C97
SC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8C98 - 8C9F
SC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CA0 - 8CA7
SCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CA8 - 8CAF
SCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CB0 - 8CB7
SCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CB8
SCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CB9
SCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CBA
SCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CBB
SCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CBC
SCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CC0 - 8CC7
SCC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1271
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1271
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1271:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1271
sub ebx,ecx
jmp short .nsbhd1271
.pdivd1271:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1271
sub ebx,ecx
add edi,byte 2
.nsbhd1271:
dec al
jnz short .detloop1271
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1271:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1271:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1272
call basefunction
ln1272:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CD0 - 8CD7
SCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1273
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1273
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1273:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1273
sub ebx,ecx
jmp short .nsbhd1273
.pdivd1273:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1273
sub ebx,ecx
add edi,byte 2
.nsbhd1273:
dec al
jnz short .detloop1273
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1273:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1273:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1274
call basefunction
ln1274:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CD8 - 8CDF
SCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1275
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1275
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1275:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1275
sub ebx,ecx
jmp short .nsbhd1275
.pdivd1275:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1275
sub ebx,ecx
add edi,byte 2
.nsbhd1275:
dec al
jnz short .detloop1275
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1275:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1275:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1276
call basefunction
ln1276:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CE0 - 8CE7
SCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1277
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1277
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1277:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1277
sub ebx,ecx
jmp short .nsbhd1277
.pdivd1277:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1277
sub ebx,ecx
add edi,byte 2
.nsbhd1277:
dec al
jnz short .detloop1277
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1277:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1277:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1278
call basefunction
ln1278:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CE8 - 8CEF
SCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1279
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1279
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1279:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1279
sub ebx,ecx
jmp short .nsbhd1279
.pdivd1279:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1279
sub ebx,ecx
add edi,byte 2
.nsbhd1279:
dec al
jnz short .detloop1279
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1279:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1279:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1280
call basefunction
ln1280:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8CF0 - 8CF7
SCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1281
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1281
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1281:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1281
sub ebx,ecx
jmp short .nsbhd1281
.pdivd1281:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1281
sub ebx,ecx
add edi,byte 2
.nsbhd1281:
dec al
jnz short .detloop1281
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1281:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1281:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1282
call basefunction
ln1282:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CF8
SCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1283
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1283
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1283:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1283
sub ebx,ecx
jmp short .nsbhd1283
.pdivd1283:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1283
sub ebx,ecx
add edi,byte 2
.nsbhd1283:
dec al
jnz short .detloop1283
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1283:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1283:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1284
call basefunction
ln1284:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CF9
SCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1285
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1285
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1285:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1285
sub ebx,ecx
jmp short .nsbhd1285
.pdivd1285:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1285
sub ebx,ecx
add edi,byte 2
.nsbhd1285:
dec al
jnz short .detloop1285
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1285:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1285:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1286
call basefunction
ln1286:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CFA
SCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1287
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1287
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1287:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1287
sub ebx,ecx
jmp short .nsbhd1287
.pdivd1287:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1287
sub ebx,ecx
add edi,byte 2
.nsbhd1287:
dec al
jnz short .detloop1287
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1287:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1287:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1288
call basefunction
ln1288:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CFB
SCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1289
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1289
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1289:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1289
sub ebx,ecx
jmp short .nsbhd1289
.pdivd1289:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1289
sub ebx,ecx
add edi,byte 2
.nsbhd1289:
dec al
jnz short .detloop1289
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1289:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1289:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1290
call basefunction
ln1290:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8CFC
SCFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1291
mov eax,[__dreg+24]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1291
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1291:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1291
sub ebx,ecx
jmp short .nsbhd1291
.pdivd1291:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1291
sub ebx,ecx
add edi,byte 2
.nsbhd1291:
dec al
jnz short .detloop1291
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1291:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1291:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1292
call basefunction
ln1292:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D00 - 8D07
SD00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+24],al
lahf
setc [__xflag]
jnz short ln1293
or ch,0BFh
and ah,ch
ln1293:
test al,al
jns short ln1294
xor al,al
jmp short ln1295
ln1294:
test cl,cl
sets al
ln1295:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D08 - 8D0F
SD08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1296
or ch,0BFh
and ah,ch
ln1296:
test al,al
jns short ln1297
xor al,al
jmp short ln1298
ln1297:
test cl,cl
sets al
ln1298:
mov ecx,ebx
call writememorybyte

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D10 - 8D17
SD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D18 - 8D1F
SD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D20 - 8D27
SD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D28 - 8D2F
SD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D30 - 8D37
SD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8D38
SD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8D39
SD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D50 - 8D57
SD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D58 - 8D5F
SD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D60 - 8D67
SD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D68 - 8D6F
SD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D70 - 8D77
SD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8D78
SD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8D79
SD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D90 - 8D97
SD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8D98 - 8D9F
SD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DA0 - 8DA7
SDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DA8 - 8DAF
SDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DB0 - 8DB7
SDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DB8
SDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DB9
SDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DC0 - 8DC7
SDC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1299
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1299
inc ebx
jne short ov1299
ovcheck1299:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1299
test ebx,ebx
js short .ndivd1299
add edi,byte 4
.ndivd1299:
sub edi,byte 2
.ndivs1299:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1299
neg dx
.dsetloop1299:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1299
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1299:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1299:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1300
call basefunction
ln1300:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DD0 - 8DD7
SDD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1301
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1301
inc ebx
jne short ov1301
ovcheck1301:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1301
test ebx,ebx
js short .ndivd1301
add edi,byte 4
.ndivd1301:
sub edi,byte 2
.ndivs1301:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1301
neg dx
.dsetloop1301:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1301
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1301:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1301:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1302
call basefunction
ln1302:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DD8 - 8DDF
SDD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1303
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1303
inc ebx
jne short ov1303
ovcheck1303:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1303
test ebx,ebx
js short .ndivd1303
add edi,byte 4
.ndivd1303:
sub edi,byte 2
.ndivs1303:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1303
neg dx
.dsetloop1303:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1303
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1303:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1303:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1304
call basefunction
ln1304:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DE0 - 8DE7
SDE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1305
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1305
inc ebx
jne short ov1305
ovcheck1305:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1305
test ebx,ebx
js short .ndivd1305
add edi,byte 4
.ndivd1305:
sub edi,byte 2
.ndivs1305:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1305
neg dx
.dsetloop1305:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1305
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1305:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1305:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1306
call basefunction
ln1306:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DE8 - 8DEF
SDE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1307
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1307
inc ebx
jne short ov1307
ovcheck1307:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1307
test ebx,ebx
js short .ndivd1307
add edi,byte 4
.ndivd1307:
sub edi,byte 2
.ndivs1307:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1307
neg dx
.dsetloop1307:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1307
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1307:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1307:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1308
call basefunction
ln1308:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8DF0 - 8DF7
SDF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1309
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1309
inc ebx
jne short ov1309
ovcheck1309:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1309
test ebx,ebx
js short .ndivd1309
add edi,byte 4
.ndivd1309:
sub edi,byte 2
.ndivs1309:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1309
neg dx
.dsetloop1309:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1309
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1309:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1309:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1310
call basefunction
ln1310:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DF8
SDF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1311
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1311
inc ebx
jne short ov1311
ovcheck1311:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1311
test ebx,ebx
js short .ndivd1311
add edi,byte 4
.ndivd1311:
sub edi,byte 2
.ndivs1311:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1311
neg dx
.dsetloop1311:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1311
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1311:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1311:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1312
call basefunction
ln1312:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DF9
SDF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1313
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1313
inc ebx
jne short ov1313
ovcheck1313:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1313
test ebx,ebx
js short .ndivd1313
add edi,byte 4
.ndivd1313:
sub edi,byte 2
.ndivs1313:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1313
neg dx
.dsetloop1313:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1313
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1313:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1313:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1314
call basefunction
ln1314:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DFA
SDFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1315
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1315
inc ebx
jne short ov1315
ovcheck1315:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1315
test ebx,ebx
js short .ndivd1315
add edi,byte 4
.ndivd1315:
sub edi,byte 2
.ndivs1315:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1315
neg dx
.dsetloop1315:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1315
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1315:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1315:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1316
call basefunction
ln1316:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DFB
SDFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1317
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1317
inc ebx
jne short ov1317
ovcheck1317:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1317
test ebx,ebx
js short .ndivd1317
add edi,byte 4
.ndivd1317:
sub edi,byte 2
.ndivs1317:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1317
neg dx
.dsetloop1317:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1317
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1317:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1317:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1318
call basefunction
ln1318:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8DFC
SDFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1319
mov eax,[__dreg+24]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1319
inc ebx
jne short ov1319
ovcheck1319:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+24],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1319
test ebx,ebx
js short .ndivd1319
add edi,byte 4
.ndivd1319:
sub edi,byte 2
.ndivs1319:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1319
neg dx
.dsetloop1319:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1319
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1319:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1319:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1320
call basefunction
ln1320:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E00 - 8E07
SE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E10 - 8E17
SE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E18 - 8E1F
SE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E20 - 8E27
SE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E28 - 8E2F
SE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E30 - 8E37
SE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E38
SE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E39
SE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E3A
SE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E3B
SE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E3C
SE3C:
mov cx,[esi]
add esi,byte 2
or [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E40 - 8E47
SE40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E50 - 8E57
SE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E58 - 8E5F
SE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E60 - 8E67
SE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E68 - 8E6F
SE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E70 - 8E77
SE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E78
SE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E79
SE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E7A
SE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E7B
SE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8E7C
SE7C:
mov cx,[esi]
add esi,byte 2
or [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E80 - 8E87
SE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E90 - 8E97
SE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8E98 - 8E9F
SE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EA0 - 8EA7
SEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EA8 - 8EAF
SEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EB0 - 8EB7
SEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EB8
SEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EB9
SEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EBA
SEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EBB
SEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EBC
SEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
or [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EC0 - 8EC7
SEC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1321
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1321
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1321:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1321
sub ebx,ecx
jmp short .nsbhd1321
.pdivd1321:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1321
sub ebx,ecx
add edi,byte 2
.nsbhd1321:
dec al
jnz short .detloop1321
sub edi,byte 76
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1321:
add esp,byte 8
mov ax,8001h
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1321:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1322
call basefunction
ln1322:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8ED0 - 8ED7
SED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1323
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1323
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1323:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1323
sub ebx,ecx
jmp short .nsbhd1323
.pdivd1323:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1323
sub ebx,ecx
add edi,byte 2
.nsbhd1323:
dec al
jnz short .detloop1323
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1323:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1323:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1324
call basefunction
ln1324:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8ED8 - 8EDF
SED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1325
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1325
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1325:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1325
sub ebx,ecx
jmp short .nsbhd1325
.pdivd1325:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1325
sub ebx,ecx
add edi,byte 2
.nsbhd1325:
dec al
jnz short .detloop1325
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1325:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1325:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1326
call basefunction
ln1326:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EE0 - 8EE7
SEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1327
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1327
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1327:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1327
sub ebx,ecx
jmp short .nsbhd1327
.pdivd1327:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1327
sub ebx,ecx
add edi,byte 2
.nsbhd1327:
dec al
jnz short .detloop1327
sub edi,byte 82
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1327:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1327:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1328
call basefunction
ln1328:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EE8 - 8EEF
SEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1329
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1329
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1329:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1329
sub ebx,ecx
jmp short .nsbhd1329
.pdivd1329:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1329
sub ebx,ecx
add edi,byte 2
.nsbhd1329:
dec al
jnz short .detloop1329
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1329:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1329:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1330
call basefunction
ln1330:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8EF0 - 8EF7
SEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1331
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1331
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1331:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1331
sub ebx,ecx
jmp short .nsbhd1331
.pdivd1331:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1331
sub ebx,ecx
add edi,byte 2
.nsbhd1331:
dec al
jnz short .detloop1331
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1331:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1331:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1332
call basefunction
ln1332:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EF8
SEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1333
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1333
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1333:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1333
sub ebx,ecx
jmp short .nsbhd1333
.pdivd1333:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1333
sub ebx,ecx
add edi,byte 2
.nsbhd1333:
dec al
jnz short .detloop1333
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1333:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1333:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1334
call basefunction
ln1334:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EF9
SEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1335
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1335
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1335:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1335
sub ebx,ecx
jmp short .nsbhd1335
.pdivd1335:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1335
sub ebx,ecx
add edi,byte 2
.nsbhd1335:
dec al
jnz short .detloop1335
sub edi,byte 88
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1335:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1335:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1336
call basefunction
ln1336:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EFA
SEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1337
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1337
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1337:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1337
sub ebx,ecx
jmp short .nsbhd1337
.pdivd1337:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1337
sub ebx,ecx
add edi,byte 2
.nsbhd1337:
dec al
jnz short .detloop1337
sub edi,byte 84
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1337:
add esp,byte 8
mov ax,8001h
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1337:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1338
call basefunction
ln1338:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EFB
SEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1339
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1339
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1339:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1339
sub ebx,ecx
jmp short .nsbhd1339
.pdivd1339:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1339
sub ebx,ecx
add edi,byte 2
.nsbhd1339:
dec al
jnz short .detloop1339
sub edi,byte 86
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1339:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1339:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1340
call basefunction
ln1340:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8EFC
SEFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1341
mov eax,[__dreg+28]
and ecx,0FFFFh
xor edx,edx
push ecx
push eax
div ecx
test eax,0FFFF0000h
jnz short ov1341
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
mov al,15
shl ecx,16
.detloop1341:
mov edx,ebx
shl ebx,1
test edx,edx
jns short .pdivd1341
sub ebx,ecx
jmp short .nsbhd1341
.pdivd1341:
sub edi,byte 4
cmp ebx,ecx
jb short .nsbhd1341
sub ebx,ecx
add edi,byte 2
.nsbhd1341:
dec al
jnz short .detloop1341
sub edi,byte 80
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1341:
add esp,byte 8
mov ax,8001h
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1341:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1342
call basefunction
ln1342:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F00 - 8F07
SF00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
sbb al,[__dreg+ebx*4]
mov cl,al
das
mov [__dreg+28],al
lahf
setc [__xflag]
jnz short ln1343
or ch,0BFh
and ah,ch
ln1343:
test al,al
jns short ln1344
xor al,al
jmp short ln1345
ln1344:
test cl,cl
sets al
ln1345:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F08 - 8F0F
SF08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov cl,al
das
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1346
or ch,0BFh
and ah,ch
ln1346:
test al,al
jns short ln1347
xor al,al
jmp short ln1348
ln1347:
test cl,cl
sets al
ln1348:
mov ecx,ebx
call writememorybyte

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F10 - 8F17
SF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F18 - 8F1F
SF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F20 - 8F27
SF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F28 - 8F2F
SF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F30 - 8F37
SF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8F38
SF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8F39
SF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
or cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F50 - 8F57
SF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F58 - 8F5F
SF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F60 - 8F67
SF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F68 - 8F6F
SF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F70 - 8F77
SF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8F78
SF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8F79
SF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
or cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F90 - 8F97
SF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8F98 - 8F9F
SF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FA0 - 8FA7
SFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FA8 - 8FAF
SFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FB0 - 8FB7
SFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FB8
SFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FB9
SFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
or ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FC0 - 8FC7
SFC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
test cx,cx
jz near zex1349
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1349
inc ebx
jne short ov1349
ovcheck1349:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1349
test ebx,ebx
js short .ndivd1349
add edi,byte 4
.ndivd1349:
sub edi,byte 2
.ndivs1349:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1349
neg dx
.dsetloop1349:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1349
sub edi,byte 122
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1349:
add esp,byte 8
mov ax,8001h
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1349:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1350
call basefunction
ln1350:
add esi,ebp
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FD0 - 8FD7
SFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1351
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1351
inc ebx
jne short ov1351
ovcheck1351:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1351
test ebx,ebx
js short .ndivd1351
add edi,byte 4
.ndivd1351:
sub edi,byte 2
.ndivs1351:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1351
neg dx
.dsetloop1351:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1351
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1351:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1351:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1352
call basefunction
ln1352:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FD8 - 8FDF
SFD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1353
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1353
inc ebx
jne short ov1353
ovcheck1353:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1353
test ebx,ebx
js short .ndivd1353
add edi,byte 4
.ndivd1353:
sub edi,byte 2
.ndivs1353:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1353
neg dx
.dsetloop1353:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1353
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1353:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1353:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1354
call basefunction
ln1354:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FE0 - 8FE7
SFE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
test cx,cx
jz near zex1355
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1355
inc ebx
jne short ov1355
ovcheck1355:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1355
test ebx,ebx
js short .ndivd1355
add edi,byte 4
.ndivd1355:
sub edi,byte 2
.ndivs1355:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1355
neg dx
.dsetloop1355:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1355
sub edi,128
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1355:
add esp,byte 8
mov ax,8001h
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1355:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1356
call basefunction
ln1356:
add esi,ebp
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FE8 - 8FEF
SFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1357
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1357
inc ebx
jne short ov1357
ovcheck1357:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1357
test ebx,ebx
js short .ndivd1357
add edi,byte 4
.ndivd1357:
sub edi,byte 2
.ndivs1357:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1357
neg dx
.dsetloop1357:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1357
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1357:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1357:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1358
call basefunction
ln1358:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 8FF0 - 8FF7
SFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
test cx,cx
jz near zex1359
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1359
inc ebx
jne short ov1359
ovcheck1359:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1359
test ebx,ebx
js short .ndivd1359
add edi,byte 4
.ndivd1359:
sub edi,byte 2
.ndivs1359:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1359
neg dx
.dsetloop1359:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1359
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1359:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1359:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1360
call basefunction
ln1360:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FF8
SFF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1361
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1361
inc ebx
jne short ov1361
ovcheck1361:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1361
test ebx,ebx
js short .ndivd1361
add edi,byte 4
.ndivd1361:
sub edi,byte 2
.ndivs1361:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1361
neg dx
.dsetloop1361:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1361
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1361:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1361:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1362
call basefunction
ln1362:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FF9
SFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
test cx,cx
jz near zex1363
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1363
inc ebx
jne short ov1363
ovcheck1363:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1363
test ebx,ebx
js short .ndivd1363
add edi,byte 4
.ndivd1363:
sub edi,byte 2
.ndivs1363:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1363
neg dx
.dsetloop1363:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1363
sub edi,134
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1363:
add esp,byte 8
mov ax,8001h
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1363:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1364
call basefunction
ln1364:
add esi,ebp
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FFA
SFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
test cx,cx
jz near zex1365
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1365
inc ebx
jne short ov1365
ovcheck1365:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1365
test ebx,ebx
js short .ndivd1365
add edi,byte 4
.ndivd1365:
sub edi,byte 2
.ndivs1365:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1365
neg dx
.dsetloop1365:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1365
sub edi,130
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1365:
add esp,byte 8
mov ax,8001h
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1365:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1366
call basefunction
ln1366:
add esi,ebp
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FFB
SFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
test cx,cx
jz near zex1367
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1367
inc ebx
jne short ov1367
ovcheck1367:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1367
test ebx,ebx
js short .ndivd1367
add edi,byte 4
.ndivd1367:
sub edi,byte 2
.ndivs1367:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1367
neg dx
.dsetloop1367:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1367
sub edi,132
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1367:
add esp,byte 8
mov ax,8001h
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1367:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1368
call basefunction
ln1368:
add esi,ebp
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 8FFC
SFFC:
mov cx,[esi]
add esi,byte 2
test cx,cx
jz near zex1369
mov eax,[__dreg+28]
movsx ecx,cx
cdq
xor ebx,ebx
test eax,eax
sets bl
shl bl,1
sub edi,ebx
push ecx
push eax
idiv ecx
mov ebx,eax
sar bx,15
or ebx,ebx
je short ovcheck1369
inc ebx
jne short ov1369
ovcheck1369:
shl edx,16
mov dx,ax
test dx,dx
lahf
xor al,al
mov [__dreg+28],edx
pop ebx
pop ecx
test cx,cx
js short .ndivs1369
test ebx,ebx
js short .ndivd1369
add edi,byte 4
.ndivd1369:
sub edi,byte 2
.ndivs1369:
mov al,15
test cx,cx
sets cl
test ebx,ebx
sets ch
xor ebx,ebx
xor cl,ch
jz short .dsetloop1369
neg dx
.dsetloop1369:
test dx,dx
setns bl
shl bl,1
sub edi,ebx
shl edx,1
dec al
jnz short .dsetloop1369
sub edi,byte 126
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ov1369:
add esp,byte 8
mov ax,8001h
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
zex1369:
xor al,al
and ah,0FEh
mov edx,14h
call group_2_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1370
call basefunction
ln1370:
add esi,ebp
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9000 - 9007
T000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9010 - 9017
T010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9018 - 901F
T018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9020 - 9027
T020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9028 - 902F
T028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9030 - 9037
T030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9038
T038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9039
T039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 903A
T03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 903B
T03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 903C
T03C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9040 - 9047
T040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9048 - 904F
T048:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9050 - 9057
T050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9058 - 905F
T058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9060 - 9067
T060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9068 - 906F
T068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9070 - 9077
T070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9078
T078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9079
T079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 907A
T07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 907B
T07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 907C
T07C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9080 - 9087
T080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9088 - 908F
T088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9090 - 9097
T090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9098 - 909F
T098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90A0 - 90A7
T0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90A8 - 90AF
T0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90B0 - 90B7
T0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90B8
T0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90B9
T0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90BA
T0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90BB
T0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90BC
T0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90C0 - 90C7
T0C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90C8 - 90CF
T0C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90D0 - 90D7
T0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90D8 - 90DF
T0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90E0 - 90E7
T0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90E8 - 90EF
T0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 90F0 - 90F7
T0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90F8
T0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90F9
T0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90FA
T0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90FB
T0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 90FC
T0FC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9100 - 9107
T100:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
sbb al,[__dreg+ebx*4]
mov [__dreg+0],al
lahf
setc [__xflag]
jnz short ln1371
or ch,0BFh
and ah,ch
ln1371:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9108 - 910F
T108:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1372
or ch,0BFh
and ah,ch
ln1372:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9110 - 9117
T110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9118 - 911F
T118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9120 - 9127
T120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9128 - 912F
T128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9130 - 9137
T130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9138
T138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9139
T139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9140 - 9147
T140:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
sbb ax,[__dreg+ebx*4]
mov [__dreg+0],ax
lahf
setc [__xflag]
jnz short ln1373
or ch,0BFh
and ah,ch
ln1373:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9148 - 914F
T148:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1374
or ch,0BFh
and ah,ch
ln1374:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9150 - 9157
T150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9158 - 915F
T158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9160 - 9167
T160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9168 - 916F
T168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9170 - 9177
T170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9178
T178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9179
T179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9180 - 9187
T180:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
sbb eax,[__dreg+ebx*4]
mov [__dreg+0],eax
lahf
setc [__xflag]
jnz short ln1375
or ch,0BFh
and ah,ch
ln1375:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9188 - 918F
T188:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1376
or ch,0BFh
and ah,ch
ln1376:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+0],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9190 - 9197
T190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9198 - 919F
T198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91A0 - 91A7
T1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91A8 - 91AF
T1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91B0 - 91B7
T1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91B8
T1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91B9
T1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91C0 - 91C7
T1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91C8 - 91CF
T1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91D0 - 91D7
T1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91D8 - 91DF
T1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91E0 - 91E7
T1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91E8 - 91EF
T1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 91F0 - 91F7
T1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91F8
T1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91F9
T1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91FA
T1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91FB
T1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 91FC
T1FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9200 - 9207
T200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9210 - 9217
T210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9218 - 921F
T218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9220 - 9227
T220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9228 - 922F
T228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9230 - 9237
T230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9238
T238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9239
T239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 923A
T23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 923B
T23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 923C
T23C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9240 - 9247
T240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9248 - 924F
T248:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9250 - 9257
T250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9258 - 925F
T258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9260 - 9267
T260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9268 - 926F
T268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9270 - 9277
T270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9278
T278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9279
T279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 927A
T27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 927B
T27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 927C
T27C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9280 - 9287
T280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9288 - 928F
T288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9290 - 9297
T290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9298 - 929F
T298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92A0 - 92A7
T2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92A8 - 92AF
T2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92B0 - 92B7
T2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92B8
T2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92B9
T2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92BA
T2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92BB
T2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92BC
T2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92C0 - 92C7
T2C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92C8 - 92CF
T2C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92D0 - 92D7
T2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92D8 - 92DF
T2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92E0 - 92E7
T2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92E8 - 92EF
T2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 92F0 - 92F7
T2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92F8
T2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92F9
T2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92FA
T2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92FB
T2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 92FC
T2FC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9300 - 9307
T300:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
sbb al,[__dreg+ebx*4]
mov [__dreg+4],al
lahf
setc [__xflag]
jnz short ln1377
or ch,0BFh
and ah,ch
ln1377:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9308 - 930F
T308:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1378
or ch,0BFh
and ah,ch
ln1378:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9310 - 9317
T310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9318 - 931F
T318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9320 - 9327
T320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9328 - 932F
T328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9330 - 9337
T330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9338
T338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9339
T339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9340 - 9347
T340:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
sbb ax,[__dreg+ebx*4]
mov [__dreg+4],ax
lahf
setc [__xflag]
jnz short ln1379
or ch,0BFh
and ah,ch
ln1379:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9348 - 934F
T348:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1380
or ch,0BFh
and ah,ch
ln1380:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9350 - 9357
T350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9358 - 935F
T358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9360 - 9367
T360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9368 - 936F
T368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9370 - 9377
T370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9378
T378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9379
T379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9380 - 9387
T380:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
sbb eax,[__dreg+ebx*4]
mov [__dreg+4],eax
lahf
setc [__xflag]
jnz short ln1381
or ch,0BFh
and ah,ch
ln1381:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9388 - 938F
T388:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1382
or ch,0BFh
and ah,ch
ln1382:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9390 - 9397
T390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9398 - 939F
T398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93A0 - 93A7
T3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93A8 - 93AF
T3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93B0 - 93B7
T3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93B8
T3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93B9
T3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93C0 - 93C7
T3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93C8 - 93CF
T3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93D0 - 93D7
T3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93D8 - 93DF
T3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93E0 - 93E7
T3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93E8 - 93EF
T3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 93F0 - 93F7
T3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93F8
T3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93F9
T3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93FA
T3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93FB
T3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 93FC
T3FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9400 - 9407
T400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9410 - 9417
T410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9418 - 941F
T418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9420 - 9427
T420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9428 - 942F
T428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9430 - 9437
T430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9438
T438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9439
T439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 943A
T43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 943B
T43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 943C
T43C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9440 - 9447
T440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9448 - 944F
T448:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9450 - 9457
T450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9458 - 945F
T458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9460 - 9467
T460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9468 - 946F
T468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9470 - 9477
T470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9478
T478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9479
T479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 947A
T47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 947B
T47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 947C
T47C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9480 - 9487
T480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9488 - 948F
T488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9490 - 9497
T490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9498 - 949F
T498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94A0 - 94A7
T4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94A8 - 94AF
T4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94B0 - 94B7
T4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94B8
T4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94B9
T4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94BA
T4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94BB
T4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94BC
T4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94C0 - 94C7
T4C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94C8 - 94CF
T4C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94D0 - 94D7
T4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94D8 - 94DF
T4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94E0 - 94E7
T4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94E8 - 94EF
T4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 94F0 - 94F7
T4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94F8
T4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94F9
T4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94FA
T4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94FB
T4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 94FC
T4FC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9500 - 9507
T500:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
sbb al,[__dreg+ebx*4]
mov [__dreg+8],al
lahf
setc [__xflag]
jnz short ln1383
or ch,0BFh
and ah,ch
ln1383:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9508 - 950F
T508:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1384
or ch,0BFh
and ah,ch
ln1384:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9510 - 9517
T510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9518 - 951F
T518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9520 - 9527
T520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9528 - 952F
T528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9530 - 9537
T530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9538
T538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9539
T539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9540 - 9547
T540:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
sbb ax,[__dreg+ebx*4]
mov [__dreg+8],ax
lahf
setc [__xflag]
jnz short ln1385
or ch,0BFh
and ah,ch
ln1385:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9548 - 954F
T548:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1386
or ch,0BFh
and ah,ch
ln1386:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9550 - 9557
T550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9558 - 955F
T558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9560 - 9567
T560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9568 - 956F
T568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9570 - 9577
T570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9578
T578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9579
T579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9580 - 9587
T580:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
sbb eax,[__dreg+ebx*4]
mov [__dreg+8],eax
lahf
setc [__xflag]
jnz short ln1387
or ch,0BFh
and ah,ch
ln1387:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9588 - 958F
T588:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1388
or ch,0BFh
and ah,ch
ln1388:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+8],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9590 - 9597
T590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9598 - 959F
T598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95A0 - 95A7
T5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95A8 - 95AF
T5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95B0 - 95B7
T5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95B8
T5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95B9
T5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95C0 - 95C7
T5C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95C8 - 95CF
T5C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95D0 - 95D7
T5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95D8 - 95DF
T5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95E0 - 95E7
T5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95E8 - 95EF
T5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 95F0 - 95F7
T5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95F8
T5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95F9
T5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95FA
T5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95FB
T5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 95FC
T5FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9600 - 9607
T600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9610 - 9617
T610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9618 - 961F
T618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9620 - 9627
T620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9628 - 962F
T628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9630 - 9637
T630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9638
T638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9639
T639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 963A
T63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 963B
T63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 963C
T63C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9640 - 9647
T640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9648 - 964F
T648:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9650 - 9657
T650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9658 - 965F
T658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9660 - 9667
T660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9668 - 966F
T668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9670 - 9677
T670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9678
T678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9679
T679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 967A
T67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 967B
T67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 967C
T67C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9680 - 9687
T680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9688 - 968F
T688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9690 - 9697
T690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9698 - 969F
T698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96A0 - 96A7
T6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96A8 - 96AF
T6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96B0 - 96B7
T6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96B8
T6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96B9
T6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96BA
T6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96BB
T6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96BC
T6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96C0 - 96C7
T6C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96C8 - 96CF
T6C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96D0 - 96D7
T6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96D8 - 96DF
T6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96E0 - 96E7
T6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96E8 - 96EF
T6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 96F0 - 96F7
T6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96F8
T6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96F9
T6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96FA
T6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96FB
T6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 96FC
T6FC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9700 - 9707
T700:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
sbb al,[__dreg+ebx*4]
mov [__dreg+12],al
lahf
setc [__xflag]
jnz short ln1389
or ch,0BFh
and ah,ch
ln1389:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9708 - 970F
T708:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1390
or ch,0BFh
and ah,ch
ln1390:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9710 - 9717
T710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9718 - 971F
T718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9720 - 9727
T720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9728 - 972F
T728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9730 - 9737
T730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9738
T738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9739
T739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9740 - 9747
T740:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
sbb ax,[__dreg+ebx*4]
mov [__dreg+12],ax
lahf
setc [__xflag]
jnz short ln1391
or ch,0BFh
and ah,ch
ln1391:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9748 - 974F
T748:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1392
or ch,0BFh
and ah,ch
ln1392:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9750 - 9757
T750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9758 - 975F
T758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9760 - 9767
T760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9768 - 976F
T768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9770 - 9777
T770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9778
T778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9779
T779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9780 - 9787
T780:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
sbb eax,[__dreg+ebx*4]
mov [__dreg+12],eax
lahf
setc [__xflag]
jnz short ln1393
or ch,0BFh
and ah,ch
ln1393:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9788 - 978F
T788:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1394
or ch,0BFh
and ah,ch
ln1394:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+12],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9790 - 9797
T790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9798 - 979F
T798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97A0 - 97A7
T7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97A8 - 97AF
T7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97B0 - 97B7
T7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97B8
T7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97B9
T7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97C0 - 97C7
T7C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97C8 - 97CF
T7C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97D0 - 97D7
T7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97D8 - 97DF
T7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97E0 - 97E7
T7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97E8 - 97EF
T7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 97F0 - 97F7
T7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97F8
T7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97F9
T7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97FA
T7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97FB
T7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 97FC
T7FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9800 - 9807
T800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9810 - 9817
T810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9818 - 981F
T818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9820 - 9827
T820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9828 - 982F
T828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9830 - 9837
T830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9838
T838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9839
T839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 983A
T83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 983B
T83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 983C
T83C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9840 - 9847
T840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9848 - 984F
T848:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9850 - 9857
T850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9858 - 985F
T858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9860 - 9867
T860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9868 - 986F
T868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9870 - 9877
T870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9878
T878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9879
T879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 987A
T87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 987B
T87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 987C
T87C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9880 - 9887
T880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9888 - 988F
T888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9890 - 9897
T890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9898 - 989F
T898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98A0 - 98A7
T8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98A8 - 98AF
T8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98B0 - 98B7
T8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98B8
T8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98B9
T8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98BA
T8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98BB
T8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98BC
T8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98C0 - 98C7
T8C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98C8 - 98CF
T8C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98D0 - 98D7
T8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98D8 - 98DF
T8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98E0 - 98E7
T8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98E8 - 98EF
T8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 98F0 - 98F7
T8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98F8
T8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98F9
T8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98FA
T8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98FB
T8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 98FC
T8FC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9900 - 9907
T900:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
sbb al,[__dreg+ebx*4]
mov [__dreg+16],al
lahf
setc [__xflag]
jnz short ln1395
or ch,0BFh
and ah,ch
ln1395:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9908 - 990F
T908:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1396
or ch,0BFh
and ah,ch
ln1396:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9910 - 9917
T910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9918 - 991F
T918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9920 - 9927
T920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9928 - 992F
T928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9930 - 9937
T930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9938
T938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9939
T939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9940 - 9947
T940:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
sbb ax,[__dreg+ebx*4]
mov [__dreg+16],ax
lahf
setc [__xflag]
jnz short ln1397
or ch,0BFh
and ah,ch
ln1397:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9948 - 994F
T948:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1398
or ch,0BFh
and ah,ch
ln1398:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9950 - 9957
T950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9958 - 995F
T958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9960 - 9967
T960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9968 - 996F
T968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9970 - 9977
T970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9978
T978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9979
T979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9980 - 9987
T980:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
sbb eax,[__dreg+ebx*4]
mov [__dreg+16],eax
lahf
setc [__xflag]
jnz short ln1399
or ch,0BFh
and ah,ch
ln1399:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9988 - 998F
T988:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1400
or ch,0BFh
and ah,ch
ln1400:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+16],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9990 - 9997
T990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9998 - 999F
T998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99A0 - 99A7
T9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99A8 - 99AF
T9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99B0 - 99B7
T9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99B8
T9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99B9
T9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99C0 - 99C7
T9C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99C8 - 99CF
T9C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99D0 - 99D7
T9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99D8 - 99DF
T9D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99E0 - 99E7
T9E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99E8 - 99EF
T9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 99F0 - 99F7
T9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99F8
T9F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99F9
T9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99FA
T9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99FB
T9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 99FC
T9FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A00 - 9A07
TA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A10 - 9A17
TA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A18 - 9A1F
TA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A20 - 9A27
TA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A28 - 9A2F
TA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A30 - 9A37
TA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A38
TA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A39
TA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A3A
TA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A3B
TA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A3C
TA3C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A40 - 9A47
TA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A48 - 9A4F
TA48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A50 - 9A57
TA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A58 - 9A5F
TA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A60 - 9A67
TA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A68 - 9A6F
TA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A70 - 9A77
TA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A78
TA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A79
TA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A7A
TA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A7B
TA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9A7C
TA7C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A80 - 9A87
TA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A88 - 9A8F
TA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A90 - 9A97
TA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9A98 - 9A9F
TA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AA0 - 9AA7
TAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AA8 - 9AAF
TAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AB0 - 9AB7
TAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AB8
TAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AB9
TAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9ABA
TABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9ABB
TABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9ABC
TABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AC0 - 9AC7
TAC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AC8 - 9ACF
TAC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AD0 - 9AD7
TAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AD8 - 9ADF
TAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AE0 - 9AE7
TAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AE8 - 9AEF
TAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9AF0 - 9AF7
TAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AF8
TAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AF9
TAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AFA
TAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AFB
TAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9AFC
TAFC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B00 - 9B07
TB00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
sbb al,[__dreg+ebx*4]
mov [__dreg+20],al
lahf
setc [__xflag]
jnz short ln1401
or ch,0BFh
and ah,ch
ln1401:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B08 - 9B0F
TB08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1402
or ch,0BFh
and ah,ch
ln1402:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B10 - 9B17
TB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B18 - 9B1F
TB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B20 - 9B27
TB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B28 - 9B2F
TB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B30 - 9B37
TB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9B38
TB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9B39
TB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B40 - 9B47
TB40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
sbb ax,[__dreg+ebx*4]
mov [__dreg+20],ax
lahf
setc [__xflag]
jnz short ln1403
or ch,0BFh
and ah,ch
ln1403:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B48 - 9B4F
TB48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1404
or ch,0BFh
and ah,ch
ln1404:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B50 - 9B57
TB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B58 - 9B5F
TB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B60 - 9B67
TB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B68 - 9B6F
TB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B70 - 9B77
TB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9B78
TB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9B79
TB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B80 - 9B87
TB80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
sbb eax,[__dreg+ebx*4]
mov [__dreg+20],eax
lahf
setc [__xflag]
jnz short ln1405
or ch,0BFh
and ah,ch
ln1405:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B88 - 9B8F
TB88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1406
or ch,0BFh
and ah,ch
ln1406:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+20],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B90 - 9B97
TB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9B98 - 9B9F
TB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BA0 - 9BA7
TBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BA8 - 9BAF
TBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BB0 - 9BB7
TBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BB8
TBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BB9
TBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BC0 - 9BC7
TBC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BC8 - 9BCF
TBC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BD0 - 9BD7
TBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BD8 - 9BDF
TBD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BE0 - 9BE7
TBE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BE8 - 9BEF
TBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9BF0 - 9BF7
TBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BF8
TBF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BF9
TBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BFA
TBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BFB
TBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9BFC
TBFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C00 - 9C07
TC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C10 - 9C17
TC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C18 - 9C1F
TC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C20 - 9C27
TC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C28 - 9C2F
TC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C30 - 9C37
TC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C38
TC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C39
TC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C3A
TC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C3B
TC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C3C
TC3C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C40 - 9C47
TC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C48 - 9C4F
TC48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C50 - 9C57
TC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C58 - 9C5F
TC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C60 - 9C67
TC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C68 - 9C6F
TC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C70 - 9C77
TC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C78
TC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C79
TC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C7A
TC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C7B
TC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9C7C
TC7C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C80 - 9C87
TC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C88 - 9C8F
TC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C90 - 9C97
TC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9C98 - 9C9F
TC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CA0 - 9CA7
TCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CA8 - 9CAF
TCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CB0 - 9CB7
TCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CB8
TCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CB9
TCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CBA
TCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CBB
TCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CBC
TCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CC0 - 9CC7
TCC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CC8 - 9CCF
TCC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CD0 - 9CD7
TCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CD8 - 9CDF
TCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CE0 - 9CE7
TCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CE8 - 9CEF
TCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9CF0 - 9CF7
TCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CF8
TCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CF9
TCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CFA
TCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CFB
TCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9CFC
TCFC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D00 - 9D07
TD00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
sbb al,[__dreg+ebx*4]
mov [__dreg+24],al
lahf
setc [__xflag]
jnz short ln1407
or ch,0BFh
and ah,ch
ln1407:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D08 - 9D0F
TD08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1408
or ch,0BFh
and ah,ch
ln1408:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D10 - 9D17
TD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D18 - 9D1F
TD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D20 - 9D27
TD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D28 - 9D2F
TD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D30 - 9D37
TD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9D38
TD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9D39
TD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D40 - 9D47
TD40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
sbb ax,[__dreg+ebx*4]
mov [__dreg+24],ax
lahf
setc [__xflag]
jnz short ln1409
or ch,0BFh
and ah,ch
ln1409:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D48 - 9D4F
TD48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1410
or ch,0BFh
and ah,ch
ln1410:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D50 - 9D57
TD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D58 - 9D5F
TD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D60 - 9D67
TD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D68 - 9D6F
TD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D70 - 9D77
TD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9D78
TD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9D79
TD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D80 - 9D87
TD80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
sbb eax,[__dreg+ebx*4]
mov [__dreg+24],eax
lahf
setc [__xflag]
jnz short ln1411
or ch,0BFh
and ah,ch
ln1411:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D88 - 9D8F
TD88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1412
or ch,0BFh
and ah,ch
ln1412:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+24],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D90 - 9D97
TD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9D98 - 9D9F
TD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DA0 - 9DA7
TDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DA8 - 9DAF
TDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DB0 - 9DB7
TDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DB8
TDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DB9
TDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DC0 - 9DC7
TDC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DC8 - 9DCF
TDC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DD0 - 9DD7
TDD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DD8 - 9DDF
TDD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DE0 - 9DE7
TDE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DE8 - 9DEF
TDE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9DF0 - 9DF7
TDF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DF8
TDF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DF9
TDF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DFA
TDFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DFB
TDFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9DFC
TDFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E00 - 9E07
TE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E10 - 9E17
TE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E18 - 9E1F
TE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E20 - 9E27
TE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E28 - 9E2F
TE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E30 - 9E37
TE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E38
TE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E39
TE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E3A
TE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E3B
TE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E3C
TE3C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E40 - 9E47
TE40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E48 - 9E4F
TE48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E50 - 9E57
TE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E58 - 9E5F
TE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E60 - 9E67
TE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E68 - 9E6F
TE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E70 - 9E77
TE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E78
TE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E79
TE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E7A
TE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E7B
TE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9E7C
TE7C:
mov cx,[esi]
add esi,byte 2
sub [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E80 - 9E87
TE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E88 - 9E8F
TE88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E90 - 9E97
TE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9E98 - 9E9F
TE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EA0 - 9EA7
TEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EA8 - 9EAF
TEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EB0 - 9EB7
TEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EB8
TEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EB9
TEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EBA
TEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EBB
TEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EBC
TEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EC0 - 9EC7
TEC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
sub [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EC8 - 9ECF
TEC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
sub [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9ED0 - 9ED7
TED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9ED8 - 9EDF
TED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
sub [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EE0 - 9EE7
TEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
sub [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EE8 - 9EEF
TEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9EF0 - 9EF7
TEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EF8
TEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EF9
TEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EFA
TEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EFB
TEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
sub [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9EFC
TEFC:
movsx ecx,word [esi]
add esi,byte 2
sub [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F00 - 9F07
TF00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
sbb al,[__dreg+ebx*4]
mov [__dreg+28],al
lahf
setc [__xflag]
jnz short ln1413
or ch,0BFh
and ah,ch
ln1413:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F08 - 9F0F
TF08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
sbb al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1414
or ch,0BFh
and ah,ch
ln1414:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F10 - 9F17
TF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F18 - 9F1F
TF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F20 - 9F27
TF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F28 - 9F2F
TF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F30 - 9F37
TF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9F38
TF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9F39
TF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
sub cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F40 - 9F47
TF40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
sbb ax,[__dreg+ebx*4]
mov [__dreg+28],ax
lahf
setc [__xflag]
jnz short ln1415
or ch,0BFh
and ah,ch
ln1415:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F48 - 9F4F
TF48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
sbb ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1416
or ch,0BFh
and ah,ch
ln1416:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F50 - 9F57
TF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F58 - 9F5F
TF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F60 - 9F67
TF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F68 - 9F6F
TF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F70 - 9F77
TF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9F78
TF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9F79
TF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sub cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F80 - 9F87
TF80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
sbb eax,[__dreg+ebx*4]
mov [__dreg+28],eax
lahf
setc [__xflag]
jnz short ln1417
or ch,0BFh
and ah,ch
ln1417:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F88 - 9F8F
TF88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
sbb eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1418
or ch,0BFh
and ah,ch
ln1418:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+28],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F90 - 9F97
TF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9F98 - 9F9F
TF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FA0 - 9FA7
TFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FA8 - 9FAF
TFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FB0 - 9FB7
TFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FB8
TFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FB9
TFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FC0 - 9FC7
TFC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
sub [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FC8 - 9FCF
TFC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
sub [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FD0 - 9FD7
TFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FD8 - 9FDF
TFD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FE0 - 9FE7
TFE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
sub [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FE8 - 9FEF
TFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes 9FF0 - 9FF7
TFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FF8
TFF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FF9
TFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FFA
TFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FFB
TFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
sub [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode 9FFC
TFFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
sub [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes A000 - AFFF
U000:
sub esi,byte 2
mov edx,28h
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln1419
call basefunction
ln1419:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B000 - B007
V000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B010 - B017
V010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B018 - B01F
V018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B020 - B027
V020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B028 - B02F
V028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B030 - B037
V030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B038
V038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B039
V039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B03A
V03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B03B
V03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B03C
V03C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+0],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B040 - B047
V040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B048 - B04F
V048:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B050 - B057
V050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B058 - B05F
V058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B060 - B067
V060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B068 - B06F
V068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B070 - B077
V070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B078
V078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B079
V079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B07A
V07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B07B
V07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B07C
V07C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+0],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B080 - B087
V080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B088 - B08F
V088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B090 - B097
V090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B098 - B09F
V098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0A0 - B0A7
V0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0A8 - B0AF
V0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0B0 - B0B7
V0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0B8
V0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0B9
V0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0BA
V0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0BB
V0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0BC
V0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0C0 - B0C7
V0C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0C8 - B0CF
V0C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0D0 - B0D7
V0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0D8 - B0DF
V0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0E0 - B0E7
V0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0E8 - B0EF
V0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B0F0 - B0F7
V0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0F8
V0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0F9
V0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0FA
V0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0FB
V0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B0FC
V0FC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B100 - B107
V100:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+0]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B108 - B10F
V108:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+0]
call readmemorybyte
inc edx
mov [__areg+0],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B110 - B117
V110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B118 - B11F
V118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B120 - B127
V120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B128 - B12F
V128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B130 - B137
V130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B138
V138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B139
V139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B140 - B147
V140:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+0]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B148 - B14F
V148:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+0]
call readmemoryword
add edx,byte 2
mov [__areg+0],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B150 - B157
V150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B158 - B15F
V158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B160 - B167
V160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B168 - B16F
V168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B170 - B177
V170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B178
V178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B179
V179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B180 - B187
V180:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+0]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B188 - B18F
V188:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+0]
call readmemorydword
add edx,byte 4
mov [__areg+0],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B190 - B197
V190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B198 - B19F
V198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1A0 - B1A7
V1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1A8 - B1AF
V1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1B0 - B1B7
V1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1B8
V1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1B9
V1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1C0 - B1C7
V1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1C8 - B1CF
V1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1D0 - B1D7
V1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1D8 - B1DF
V1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1E0 - B1E7
V1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1E8 - B1EF
V1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B1F0 - B1F7
V1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1F8
V1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1F9
V1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1FA
V1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1FB
V1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B1FC
V1FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+0],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B200 - B207
V200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B210 - B217
V210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B218 - B21F
V218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B220 - B227
V220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B228 - B22F
V228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B230 - B237
V230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B238
V238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B239
V239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B23A
V23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B23B
V23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B23C
V23C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+4],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B240 - B247
V240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B248 - B24F
V248:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B250 - B257
V250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B258 - B25F
V258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B260 - B267
V260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B268 - B26F
V268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B270 - B277
V270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B278
V278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B279
V279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B27A
V27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B27B
V27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B27C
V27C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+4],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B280 - B287
V280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B288 - B28F
V288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B290 - B297
V290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B298 - B29F
V298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2A0 - B2A7
V2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2A8 - B2AF
V2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2B0 - B2B7
V2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2B8
V2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2B9
V2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2BA
V2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2BB
V2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2BC
V2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2C0 - B2C7
V2C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2C8 - B2CF
V2C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2D0 - B2D7
V2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2D8 - B2DF
V2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2E0 - B2E7
V2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2E8 - B2EF
V2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B2F0 - B2F7
V2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2F8
V2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2F9
V2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2FA
V2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2FB
V2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B2FC
V2FC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B300 - B307
V300:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+4]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B308 - B30F
V308:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+4]
call readmemorybyte
inc edx
mov [__areg+4],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B310 - B317
V310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B318 - B31F
V318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B320 - B327
V320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B328 - B32F
V328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B330 - B337
V330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B338
V338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B339
V339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B340 - B347
V340:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+4]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B348 - B34F
V348:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+4]
call readmemoryword
add edx,byte 2
mov [__areg+4],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B350 - B357
V350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B358 - B35F
V358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B360 - B367
V360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B368 - B36F
V368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B370 - B377
V370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B378
V378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B379
V379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B380 - B387
V380:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+4]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B388 - B38F
V388:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+4]
call readmemorydword
add edx,byte 4
mov [__areg+4],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B390 - B397
V390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B398 - B39F
V398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3A0 - B3A7
V3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3A8 - B3AF
V3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3B0 - B3B7
V3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3B8
V3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3B9
V3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3C0 - B3C7
V3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3C8 - B3CF
V3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3D0 - B3D7
V3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3D8 - B3DF
V3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3E0 - B3E7
V3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3E8 - B3EF
V3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B3F0 - B3F7
V3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3F8
V3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3F9
V3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3FA
V3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3FB
V3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B3FC
V3FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+4],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B400 - B407
V400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B410 - B417
V410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B418 - B41F
V418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B420 - B427
V420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B428 - B42F
V428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B430 - B437
V430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B438
V438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B439
V439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B43A
V43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B43B
V43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B43C
V43C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+8],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B440 - B447
V440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B448 - B44F
V448:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B450 - B457
V450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B458 - B45F
V458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B460 - B467
V460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B468 - B46F
V468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B470 - B477
V470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B478
V478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B479
V479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B47A
V47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B47B
V47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B47C
V47C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+8],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B480 - B487
V480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B488 - B48F
V488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B490 - B497
V490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B498 - B49F
V498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4A0 - B4A7
V4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4A8 - B4AF
V4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4B0 - B4B7
V4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4B8
V4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4B9
V4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4BA
V4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4BB
V4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4BC
V4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4C0 - B4C7
V4C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4C8 - B4CF
V4C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4D0 - B4D7
V4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4D8 - B4DF
V4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4E0 - B4E7
V4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4E8 - B4EF
V4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B4F0 - B4F7
V4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4F8
V4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4F9
V4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4FA
V4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4FB
V4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B4FC
V4FC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B500 - B507
V500:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+8]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B508 - B50F
V508:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+8]
call readmemorybyte
inc edx
mov [__areg+8],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B510 - B517
V510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B518 - B51F
V518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B520 - B527
V520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B528 - B52F
V528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B530 - B537
V530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B538
V538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B539
V539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B540 - B547
V540:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+8]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B548 - B54F
V548:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+8]
call readmemoryword
add edx,byte 2
mov [__areg+8],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B550 - B557
V550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B558 - B55F
V558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B560 - B567
V560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B568 - B56F
V568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B570 - B577
V570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B578
V578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B579
V579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B580 - B587
V580:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+8]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B588 - B58F
V588:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+8]
call readmemorydword
add edx,byte 4
mov [__areg+8],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B590 - B597
V590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B598 - B59F
V598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5A0 - B5A7
V5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5A8 - B5AF
V5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5B0 - B5B7
V5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5B8
V5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5B9
V5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5C0 - B5C7
V5C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5C8 - B5CF
V5C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5D0 - B5D7
V5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5D8 - B5DF
V5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5E0 - B5E7
V5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5E8 - B5EF
V5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B5F0 - B5F7
V5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5F8
V5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5F9
V5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5FA
V5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5FB
V5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B5FC
V5FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+8],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B600 - B607
V600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B610 - B617
V610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B618 - B61F
V618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B620 - B627
V620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B628 - B62F
V628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B630 - B637
V630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B638
V638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B639
V639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B63A
V63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B63B
V63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B63C
V63C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+12],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B640 - B647
V640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B648 - B64F
V648:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B650 - B657
V650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B658 - B65F
V658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B660 - B667
V660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B668 - B66F
V668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B670 - B677
V670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B678
V678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B679
V679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B67A
V67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B67B
V67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B67C
V67C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+12],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B680 - B687
V680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B688 - B68F
V688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B690 - B697
V690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B698 - B69F
V698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6A0 - B6A7
V6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6A8 - B6AF
V6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6B0 - B6B7
V6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6B8
V6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6B9
V6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6BA
V6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6BB
V6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6BC
V6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6C0 - B6C7
V6C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6C8 - B6CF
V6C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6D0 - B6D7
V6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6D8 - B6DF
V6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6E0 - B6E7
V6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6E8 - B6EF
V6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B6F0 - B6F7
V6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6F8
V6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6F9
V6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6FA
V6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6FB
V6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B6FC
V6FC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B700 - B707
V700:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+12]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B708 - B70F
V708:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+12]
call readmemorybyte
inc edx
mov [__areg+12],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B710 - B717
V710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B718 - B71F
V718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B720 - B727
V720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B728 - B72F
V728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B730 - B737
V730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B738
V738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B739
V739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B740 - B747
V740:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+12]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B748 - B74F
V748:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+12]
call readmemoryword
add edx,byte 2
mov [__areg+12],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B750 - B757
V750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B758 - B75F
V758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B760 - B767
V760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B768 - B76F
V768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B770 - B777
V770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B778
V778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B779
V779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B780 - B787
V780:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+12]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B788 - B78F
V788:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+12]
call readmemorydword
add edx,byte 4
mov [__areg+12],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B790 - B797
V790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B798 - B79F
V798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7A0 - B7A7
V7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7A8 - B7AF
V7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7B0 - B7B7
V7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7B8
V7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7B9
V7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7C0 - B7C7
V7C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7C8 - B7CF
V7C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7D0 - B7D7
V7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7D8 - B7DF
V7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7E0 - B7E7
V7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7E8 - B7EF
V7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B7F0 - B7F7
V7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7F8
V7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7F9
V7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7FA
V7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7FB
V7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B7FC
V7FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+12],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B800 - B807
V800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B810 - B817
V810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B818 - B81F
V818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B820 - B827
V820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B828 - B82F
V828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B830 - B837
V830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B838
V838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B839
V839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B83A
V83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B83B
V83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B83C
V83C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+16],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B840 - B847
V840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B848 - B84F
V848:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B850 - B857
V850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B858 - B85F
V858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B860 - B867
V860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B868 - B86F
V868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B870 - B877
V870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B878
V878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B879
V879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B87A
V87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B87B
V87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B87C
V87C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+16],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B880 - B887
V880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B888 - B88F
V888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B890 - B897
V890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B898 - B89F
V898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8A0 - B8A7
V8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8A8 - B8AF
V8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8B0 - B8B7
V8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8B8
V8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8B9
V8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8BA
V8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8BB
V8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8BC
V8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8C0 - B8C7
V8C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8C8 - B8CF
V8C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8D0 - B8D7
V8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8D8 - B8DF
V8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8E0 - B8E7
V8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8E8 - B8EF
V8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B8F0 - B8F7
V8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8F8
V8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8F9
V8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8FA
V8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8FB
V8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B8FC
V8FC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B900 - B907
V900:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+16]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B908 - B90F
V908:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+16]
call readmemorybyte
inc edx
mov [__areg+16],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B910 - B917
V910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B918 - B91F
V918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B920 - B927
V920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B928 - B92F
V928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B930 - B937
V930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B938
V938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B939
V939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B940 - B947
V940:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+16]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B948 - B94F
V948:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+16]
call readmemoryword
add edx,byte 2
mov [__areg+16],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B950 - B957
V950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B958 - B95F
V958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B960 - B967
V960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B968 - B96F
V968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B970 - B977
V970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B978
V978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B979
V979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B980 - B987
V980:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+16]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B988 - B98F
V988:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+16]
call readmemorydword
add edx,byte 4
mov [__areg+16],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B990 - B997
V990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B998 - B99F
V998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9A0 - B9A7
V9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9A8 - B9AF
V9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9B0 - B9B7
V9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9B8
V9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9B9
V9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9C0 - B9C7
V9C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9C8 - B9CF
V9C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9D0 - B9D7
V9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9D8 - B9DF
V9D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9E0 - B9E7
V9E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9E8 - B9EF
V9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes B9F0 - B9F7
V9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9F8
V9F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9F9
V9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9FA
V9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9FB
V9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode B9FC
V9FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+16],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA00 - BA07
VA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA10 - BA17
VA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA18 - BA1F
VA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA20 - BA27
VA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA28 - BA2F
VA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA30 - BA37
VA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA38
VA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA39
VA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA3A
VA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA3B
VA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA3C
VA3C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+20],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA40 - BA47
VA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA48 - BA4F
VA48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA50 - BA57
VA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA58 - BA5F
VA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA60 - BA67
VA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA68 - BA6F
VA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA70 - BA77
VA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA78
VA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA79
VA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA7A
VA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA7B
VA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BA7C
VA7C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+20],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA80 - BA87
VA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA88 - BA8F
VA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA90 - BA97
VA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BA98 - BA9F
VA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAA0 - BAA7
VAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAA8 - BAAF
VAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAB0 - BAB7
VAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAB8
VAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAB9
VAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BABA
VABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BABB
VABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BABC
VABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAC0 - BAC7
VAC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAC8 - BACF
VAC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAD0 - BAD7
VAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAD8 - BADF
VAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAE0 - BAE7
VAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAE8 - BAEF
VAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BAF0 - BAF7
VAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAF8
VAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAF9
VAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAFA
VAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAFB
VAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BAFC
VAFC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB00 - BB07
VB00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+20]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB08 - BB0F
VB08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+20]
call readmemorybyte
inc edx
mov [__areg+20],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB10 - BB17
VB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB18 - BB1F
VB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB20 - BB27
VB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB28 - BB2F
VB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB30 - BB37
VB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BB38
VB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BB39
VB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB40 - BB47
VB40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+20]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB48 - BB4F
VB48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+20]
call readmemoryword
add edx,byte 2
mov [__areg+20],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB50 - BB57
VB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB58 - BB5F
VB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB60 - BB67
VB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB68 - BB6F
VB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB70 - BB77
VB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BB78
VB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BB79
VB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB80 - BB87
VB80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+20]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB88 - BB8F
VB88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+20]
call readmemorydword
add edx,byte 4
mov [__areg+20],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB90 - BB97
VB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BB98 - BB9F
VB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBA0 - BBA7
VBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBA8 - BBAF
VBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBB0 - BBB7
VBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBB8
VBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBB9
VBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBC0 - BBC7
VBC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBC8 - BBCF
VBC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBD0 - BBD7
VBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBD8 - BBDF
VBD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBE0 - BBE7
VBE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBE8 - BBEF
VBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BBF0 - BBF7
VBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBF8
VBF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBF9
VBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBFA
VBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBFB
VBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BBFC
VBFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+20],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC00 - BC07
VC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC10 - BC17
VC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC18 - BC1F
VC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC20 - BC27
VC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC28 - BC2F
VC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC30 - BC37
VC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC38
VC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC39
VC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC3A
VC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC3B
VC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC3C
VC3C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+24],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC40 - BC47
VC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC48 - BC4F
VC48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC50 - BC57
VC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC58 - BC5F
VC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC60 - BC67
VC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC68 - BC6F
VC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC70 - BC77
VC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC78
VC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC79
VC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC7A
VC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC7B
VC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BC7C
VC7C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+24],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC80 - BC87
VC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC88 - BC8F
VC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC90 - BC97
VC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BC98 - BC9F
VC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCA0 - BCA7
VCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCA8 - BCAF
VCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCB0 - BCB7
VCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCB8
VCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCB9
VCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCBA
VCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCBB
VCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCBC
VCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCC0 - BCC7
VCC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCC8 - BCCF
VCC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCD0 - BCD7
VCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCD8 - BCDF
VCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCE0 - BCE7
VCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCE8 - BCEF
VCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BCF0 - BCF7
VCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCF8
VCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCF9
VCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCFA
VCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCFB
VCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BCFC
VCFC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD00 - BD07
VD00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+24]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD08 - BD0F
VD08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+24]
call readmemorybyte
inc edx
mov [__areg+24],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD10 - BD17
VD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD18 - BD1F
VD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD20 - BD27
VD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD28 - BD2F
VD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD30 - BD37
VD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BD38
VD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BD39
VD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD40 - BD47
VD40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+24]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD48 - BD4F
VD48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+24]
call readmemoryword
add edx,byte 2
mov [__areg+24],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD50 - BD57
VD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD58 - BD5F
VD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD60 - BD67
VD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD68 - BD6F
VD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD70 - BD77
VD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BD78
VD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BD79
VD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD80 - BD87
VD80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+24]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD88 - BD8F
VD88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+24]
call readmemorydword
add edx,byte 4
mov [__areg+24],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD90 - BD97
VD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BD98 - BD9F
VD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDA0 - BDA7
VDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDA8 - BDAF
VDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDB0 - BDB7
VDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDB8
VDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDB9
VDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDC0 - BDC7
VDC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDC8 - BDCF
VDC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDD0 - BDD7
VDD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDD8 - BDDF
VDD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDE0 - BDE7
VDE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDE8 - BDEF
VDE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BDF0 - BDF7
VDF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDF8
VDF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDF9
VDF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDFA
VDFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDFB
VDFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BDFC
VDFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+24],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE00 - BE07
VE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE10 - BE17
VE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE18 - BE1F
VE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE20 - BE27
VE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE28 - BE2F
VE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE30 - BE37
VE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE38
VE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE39
VE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE3A
VE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE3B
VE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE3C
VE3C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+28],cl
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE40 - BE47
VE40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE48 - BE4F
VE48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE50 - BE57
VE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE58 - BE5F
VE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE60 - BE67
VE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE68 - BE6F
VE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE70 - BE77
VE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE78
VE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE79
VE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE7A
VE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE7B
VE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BE7C
VE7C:
mov cx,[esi]
add esi,byte 2
cmp [__dreg+28],cx
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE80 - BE87
VE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE88 - BE8F
VE88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE90 - BE97
VE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BE98 - BE9F
VE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEA0 - BEA7
VEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEA8 - BEAF
VEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEB0 - BEB7
VEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEB8
VEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEB9
VEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEBA
VEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEBB
VEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEBC
VEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__dreg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEC0 - BEC7
VEC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEC8 - BECF
VEC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BED0 - BED7
VED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BED8 - BEDF
VED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEE0 - BEE7
VEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEE8 - BEEF
VEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BEF0 - BEF7
VEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEF8
VEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEF9
VEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEFA
VEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEFB
VEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BEFC
VEFC:
movsx ecx,word [esi]
add esi,byte 2
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF00 - BF07
VF00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cl,[__dreg+28]
lahf
xor al,al
mov [__dreg+ebx*4],cl
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF08 - BF0F
VF08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+28]
call readmemorybyte
add edx,byte 2
mov [__areg+28],edx
cmp cl,al
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF10 - BF17
VF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF18 - BF1F
VF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF20 - BF27
VF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF28 - BF2F
VF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF30 - BF37
VF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BF38
VF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BF39
VF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
xor cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF40 - BF47
VF40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor cx,[__dreg+28]
lahf
xor al,al
mov [__dreg+ebx*4],cx
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF48 - BF4F
VF48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+28]
call readmemoryword
add edx,byte 2
mov [__areg+28],edx
cmp cx,ax
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF50 - BF57
VF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF58 - BF5F
VF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF60 - BF67
VF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF68 - BF6F
VF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF70 - BF77
VF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BF78
VF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BF79
VF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF80 - BF87
VF80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
xor ecx,[__dreg+28]
lahf
xor al,al
mov [__dreg+ebx*4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF88 - BF8F
VF88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,[__areg+28]
call readmemorydword
add edx,byte 4
mov [__areg+28],edx
cmp ecx,eax
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF90 - BF97
VF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BF98 - BF9F
VF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFA0 - BFA7
VFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFA8 - BFAF
VFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFB0 - BFB7
VFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFB8
VFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFB9
VFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
xor ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFC0 - BFC7
VFC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFC8 - BFCF
VFC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFD0 - BFD7
VFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFD8 - BFDF
VFD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFE0 - BFE7
VFE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFE8 - BFEF
VFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes BFF0 - BFF7
VFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFF8
VFF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFF9
VFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFFA
VFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFFB
VFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode BFFC
VFFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
cmp [__areg+28],ecx
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C000 - C007
W000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C010 - C017
W010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C018 - C01F
W018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C020 - C027
W020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C028 - C02F
W028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C030 - C037
W030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C038
W038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C039
W039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C03A
W03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C03B
W03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C03C
W03C:
mov cx,[esi]
add esi,byte 2
and [__dreg+0],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C040 - C047
W040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C050 - C057
W050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C058 - C05F
W058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C060 - C067
W060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C068 - C06F
W068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C070 - C077
W070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C078
W078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C079
W079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C07A
W07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C07B
W07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C07C
W07C:
mov cx,[esi]
add esi,byte 2
and [__dreg+0],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C080 - C087
W080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C090 - C097
W090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C098 - C09F
W098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0A0 - C0A7
W0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0A8 - C0AF
W0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0B0 - C0B7
W0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0B8
W0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0B9
W0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0BA
W0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0BB
W0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0BC
W0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+0],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0C0 - C0C7
W0C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0D0 - C0D7
W0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0D8 - C0DF
W0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0E0 - C0E7
W0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0E8 - C0EF
W0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C0F0 - C0F7
W0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0F8
W0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0F9
W0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0FA
W0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0FB
W0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C0FC
W0FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C100 - C107
W100:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+0],al
lahf
setc [__xflag]
jnz short ln1420
or ch,0BFh
and ah,ch
ln1420:
shr al,7
test cl,cl
jns short ln1421
xor al,al
ln1421:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C108 - C10F
W108:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1422
or ch,0BFh
and ah,ch
ln1422:
shr al,7
test cl,cl
jns short ln1423
xor al,al
ln1423:
mov ecx,ebx
call writememorybyte

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C110 - C117
W110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C118 - C11F
W118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C120 - C127
W120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C128 - C12F
W128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C130 - C137
W130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C138
W138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C139
W139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+0]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C140 - C147
W140:
and ebx,byte 7
mov ecx,[__reg+0]
mov edx,[__reg+0+ebx*4]
mov [__reg+0],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C148 - C14F
W148:
and ebx,byte 7
mov ecx,[__reg+32]
mov edx,[__reg+32+ebx*4]
mov [__reg+32],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C150 - C157
W150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C158 - C15F
W158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C160 - C167
W160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C168 - C16F
W168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C170 - C177
W170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C178
W178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C179
W179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+0]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C188 - C18F
W188:
and ebx,byte 7
mov ecx,[__reg+0]
mov edx,[__reg+32+ebx*4]
mov [__reg+0],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C190 - C197
W190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C198 - C19F
W198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1A0 - C1A7
W1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1A8 - C1AF
W1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1B0 - C1B7
W1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1B8
W1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1B9
W1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+0]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1C0 - C1C7
W1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1D0 - C1D7
W1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1D8 - C1DF
W1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1E0 - C1E7
W1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1E8 - C1EF
W1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C1F0 - C1F7
W1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1F8
W1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1F9
W1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1FA
W1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1FB
W1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C1FC
W1FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+0]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+0],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C200 - C207
W200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C210 - C217
W210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C218 - C21F
W218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C220 - C227
W220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C228 - C22F
W228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C230 - C237
W230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C238
W238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C239
W239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C23A
W23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C23B
W23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C23C
W23C:
mov cx,[esi]
add esi,byte 2
and [__dreg+4],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C240 - C247
W240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C250 - C257
W250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C258 - C25F
W258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C260 - C267
W260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C268 - C26F
W268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C270 - C277
W270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C278
W278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C279
W279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C27A
W27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C27B
W27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C27C
W27C:
mov cx,[esi]
add esi,byte 2
and [__dreg+4],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C280 - C287
W280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C290 - C297
W290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C298 - C29F
W298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2A0 - C2A7
W2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2A8 - C2AF
W2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2B0 - C2B7
W2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2B8
W2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2B9
W2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2BA
W2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2BB
W2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2BC
W2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+4],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2C0 - C2C7
W2C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2D0 - C2D7
W2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2D8 - C2DF
W2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2E0 - C2E7
W2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2E8 - C2EF
W2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C2F0 - C2F7
W2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2F8
W2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2F9
W2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2FA
W2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2FB
W2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C2FC
W2FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C300 - C307
W300:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+4],al
lahf
setc [__xflag]
jnz short ln1424
or ch,0BFh
and ah,ch
ln1424:
shr al,7
test cl,cl
jns short ln1425
xor al,al
ln1425:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C308 - C30F
W308:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1426
or ch,0BFh
and ah,ch
ln1426:
shr al,7
test cl,cl
jns short ln1427
xor al,al
ln1427:
mov ecx,ebx
call writememorybyte

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C310 - C317
W310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C318 - C31F
W318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C320 - C327
W320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C328 - C32F
W328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C330 - C337
W330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C338
W338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C339
W339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+4]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C340 - C347
W340:
and ebx,byte 7
mov ecx,[__reg+4]
mov edx,[__reg+0+ebx*4]
mov [__reg+4],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C348 - C34F
W348:
and ebx,byte 7
mov ecx,[__reg+36]
mov edx,[__reg+32+ebx*4]
mov [__reg+36],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C350 - C357
W350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C358 - C35F
W358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C360 - C367
W360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C368 - C36F
W368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C370 - C377
W370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C378
W378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C379
W379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+4]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C388 - C38F
W388:
and ebx,byte 7
mov ecx,[__reg+4]
mov edx,[__reg+32+ebx*4]
mov [__reg+4],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C390 - C397
W390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C398 - C39F
W398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3A0 - C3A7
W3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3A8 - C3AF
W3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3B0 - C3B7
W3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3B8
W3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3B9
W3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+4]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3C0 - C3C7
W3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3D0 - C3D7
W3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3D8 - C3DF
W3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3E0 - C3E7
W3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3E8 - C3EF
W3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C3F0 - C3F7
W3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3F8
W3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3F9
W3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3FA
W3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3FB
W3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C3FC
W3FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+4]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+4],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C400 - C407
W400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C410 - C417
W410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C418 - C41F
W418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C420 - C427
W420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C428 - C42F
W428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C430 - C437
W430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C438
W438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C439
W439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C43A
W43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C43B
W43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C43C
W43C:
mov cx,[esi]
add esi,byte 2
and [__dreg+8],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C440 - C447
W440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C450 - C457
W450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C458 - C45F
W458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C460 - C467
W460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C468 - C46F
W468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C470 - C477
W470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C478
W478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C479
W479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C47A
W47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C47B
W47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C47C
W47C:
mov cx,[esi]
add esi,byte 2
and [__dreg+8],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C480 - C487
W480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C490 - C497
W490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C498 - C49F
W498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4A0 - C4A7
W4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4A8 - C4AF
W4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4B0 - C4B7
W4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4B8
W4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4B9
W4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4BA
W4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4BB
W4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4BC
W4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+8],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4C0 - C4C7
W4C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4D0 - C4D7
W4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4D8 - C4DF
W4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4E0 - C4E7
W4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4E8 - C4EF
W4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C4F0 - C4F7
W4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4F8
W4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4F9
W4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4FA
W4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4FB
W4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C4FC
W4FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C500 - C507
W500:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+8],al
lahf
setc [__xflag]
jnz short ln1428
or ch,0BFh
and ah,ch
ln1428:
shr al,7
test cl,cl
jns short ln1429
xor al,al
ln1429:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C508 - C50F
W508:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1430
or ch,0BFh
and ah,ch
ln1430:
shr al,7
test cl,cl
jns short ln1431
xor al,al
ln1431:
mov ecx,ebx
call writememorybyte

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C510 - C517
W510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C518 - C51F
W518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C520 - C527
W520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C528 - C52F
W528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C530 - C537
W530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C538
W538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C539
W539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+8]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C540 - C547
W540:
and ebx,byte 7
mov ecx,[__reg+8]
mov edx,[__reg+0+ebx*4]
mov [__reg+8],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C548 - C54F
W548:
and ebx,byte 7
mov ecx,[__reg+40]
mov edx,[__reg+32+ebx*4]
mov [__reg+40],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C550 - C557
W550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C558 - C55F
W558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C560 - C567
W560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C568 - C56F
W568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C570 - C577
W570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C578
W578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C579
W579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+8]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C588 - C58F
W588:
and ebx,byte 7
mov ecx,[__reg+8]
mov edx,[__reg+32+ebx*4]
mov [__reg+8],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C590 - C597
W590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C598 - C59F
W598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5A0 - C5A7
W5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5A8 - C5AF
W5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5B0 - C5B7
W5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5B8
W5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5B9
W5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+8]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5C0 - C5C7
W5C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5D0 - C5D7
W5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5D8 - C5DF
W5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5E0 - C5E7
W5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5E8 - C5EF
W5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C5F0 - C5F7
W5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5F8
W5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5F9
W5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5FA
W5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5FB
W5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C5FC
W5FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+8]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+8],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C600 - C607
W600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C610 - C617
W610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C618 - C61F
W618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C620 - C627
W620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C628 - C62F
W628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C630 - C637
W630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C638
W638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C639
W639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C63A
W63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C63B
W63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C63C
W63C:
mov cx,[esi]
add esi,byte 2
and [__dreg+12],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C640 - C647
W640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C650 - C657
W650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C658 - C65F
W658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C660 - C667
W660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C668 - C66F
W668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C670 - C677
W670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C678
W678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C679
W679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C67A
W67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C67B
W67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C67C
W67C:
mov cx,[esi]
add esi,byte 2
and [__dreg+12],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C680 - C687
W680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C690 - C697
W690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C698 - C69F
W698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6A0 - C6A7
W6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6A8 - C6AF
W6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6B0 - C6B7
W6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6B8
W6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6B9
W6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6BA
W6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6BB
W6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6BC
W6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+12],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6C0 - C6C7
W6C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6D0 - C6D7
W6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6D8 - C6DF
W6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6E0 - C6E7
W6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6E8 - C6EF
W6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C6F0 - C6F7
W6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6F8
W6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6F9
W6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6FA
W6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6FB
W6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C6FC
W6FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C700 - C707
W700:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+12],al
lahf
setc [__xflag]
jnz short ln1432
or ch,0BFh
and ah,ch
ln1432:
shr al,7
test cl,cl
jns short ln1433
xor al,al
ln1433:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C708 - C70F
W708:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1434
or ch,0BFh
and ah,ch
ln1434:
shr al,7
test cl,cl
jns short ln1435
xor al,al
ln1435:
mov ecx,ebx
call writememorybyte

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C710 - C717
W710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C718 - C71F
W718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C720 - C727
W720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C728 - C72F
W728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C730 - C737
W730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C738
W738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C739
W739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+12]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C740 - C747
W740:
and ebx,byte 7
mov ecx,[__reg+12]
mov edx,[__reg+0+ebx*4]
mov [__reg+12],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C748 - C74F
W748:
and ebx,byte 7
mov ecx,[__reg+44]
mov edx,[__reg+32+ebx*4]
mov [__reg+44],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C750 - C757
W750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C758 - C75F
W758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C760 - C767
W760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C768 - C76F
W768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C770 - C777
W770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C778
W778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C779
W779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+12]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C788 - C78F
W788:
and ebx,byte 7
mov ecx,[__reg+12]
mov edx,[__reg+32+ebx*4]
mov [__reg+12],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C790 - C797
W790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C798 - C79F
W798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7A0 - C7A7
W7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7A8 - C7AF
W7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7B0 - C7B7
W7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7B8
W7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7B9
W7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+12]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7C0 - C7C7
W7C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7D0 - C7D7
W7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7D8 - C7DF
W7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7E0 - C7E7
W7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7E8 - C7EF
W7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C7F0 - C7F7
W7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7F8
W7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7F9
W7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7FA
W7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7FB
W7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C7FC
W7FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+12]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+12],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C800 - C807
W800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C810 - C817
W810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C818 - C81F
W818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C820 - C827
W820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C828 - C82F
W828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C830 - C837
W830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C838
W838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C839
W839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C83A
W83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C83B
W83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C83C
W83C:
mov cx,[esi]
add esi,byte 2
and [__dreg+16],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C840 - C847
W840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C850 - C857
W850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C858 - C85F
W858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C860 - C867
W860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C868 - C86F
W868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C870 - C877
W870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C878
W878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C879
W879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C87A
W87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C87B
W87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C87C
W87C:
mov cx,[esi]
add esi,byte 2
and [__dreg+16],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C880 - C887
W880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C890 - C897
W890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C898 - C89F
W898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8A0 - C8A7
W8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8A8 - C8AF
W8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8B0 - C8B7
W8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8B8
W8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8B9
W8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8BA
W8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8BB
W8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8BC
W8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+16],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8C0 - C8C7
W8C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8D0 - C8D7
W8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8D8 - C8DF
W8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8E0 - C8E7
W8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8E8 - C8EF
W8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C8F0 - C8F7
W8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8F8
W8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8F9
W8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8FA
W8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8FB
W8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C8FC
W8FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C900 - C907
W900:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+16],al
lahf
setc [__xflag]
jnz short ln1436
or ch,0BFh
and ah,ch
ln1436:
shr al,7
test cl,cl
jns short ln1437
xor al,al
ln1437:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C908 - C90F
W908:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1438
or ch,0BFh
and ah,ch
ln1438:
shr al,7
test cl,cl
jns short ln1439
xor al,al
ln1439:
mov ecx,ebx
call writememorybyte

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C910 - C917
W910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C918 - C91F
W918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C920 - C927
W920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C928 - C92F
W928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C930 - C937
W930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C938
W938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C939
W939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+16]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C940 - C947
W940:
and ebx,byte 7
mov ecx,[__reg+16]
mov edx,[__reg+0+ebx*4]
mov [__reg+16],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C948 - C94F
W948:
and ebx,byte 7
mov ecx,[__reg+48]
mov edx,[__reg+32+ebx*4]
mov [__reg+48],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C950 - C957
W950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C958 - C95F
W958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C960 - C967
W960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C968 - C96F
W968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C970 - C977
W970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C978
W978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C979
W979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+16]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C988 - C98F
W988:
and ebx,byte 7
mov ecx,[__reg+16]
mov edx,[__reg+32+ebx*4]
mov [__reg+16],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C990 - C997
W990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C998 - C99F
W998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9A0 - C9A7
W9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9A8 - C9AF
W9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9B0 - C9B7
W9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9B8
W9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9B9
W9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+16]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9C0 - C9C7
W9C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9D0 - C9D7
W9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9D8 - C9DF
W9D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9E0 - C9E7
W9E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9E8 - C9EF
W9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes C9F0 - C9F7
W9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9F8
W9F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9F9
W9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9FA
W9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9FB
W9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode C9FC
W9FC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+16]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+16],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA00 - CA07
WA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA10 - CA17
WA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA18 - CA1F
WA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA20 - CA27
WA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA28 - CA2F
WA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA30 - CA37
WA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA38
WA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA39
WA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA3A
WA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA3B
WA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA3C
WA3C:
mov cx,[esi]
add esi,byte 2
and [__dreg+20],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA40 - CA47
WA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA50 - CA57
WA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA58 - CA5F
WA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA60 - CA67
WA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA68 - CA6F
WA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA70 - CA77
WA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA78
WA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA79
WA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA7A
WA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA7B
WA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CA7C
WA7C:
mov cx,[esi]
add esi,byte 2
and [__dreg+20],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA80 - CA87
WA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA90 - CA97
WA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CA98 - CA9F
WA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAA0 - CAA7
WAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAA8 - CAAF
WAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAB0 - CAB7
WAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAB8
WAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAB9
WAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CABA
WABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CABB
WABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CABC
WABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+20],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAC0 - CAC7
WAC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAD0 - CAD7
WAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAD8 - CADF
WAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAE0 - CAE7
WAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAE8 - CAEF
WAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CAF0 - CAF7
WAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAF8
WAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAF9
WAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAFA
WAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAFB
WAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CAFC
WAFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB00 - CB07
WB00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+20],al
lahf
setc [__xflag]
jnz short ln1440
or ch,0BFh
and ah,ch
ln1440:
shr al,7
test cl,cl
jns short ln1441
xor al,al
ln1441:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB08 - CB0F
WB08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1442
or ch,0BFh
and ah,ch
ln1442:
shr al,7
test cl,cl
jns short ln1443
xor al,al
ln1443:
mov ecx,ebx
call writememorybyte

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB10 - CB17
WB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB18 - CB1F
WB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB20 - CB27
WB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB28 - CB2F
WB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB30 - CB37
WB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CB38
WB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CB39
WB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+20]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB40 - CB47
WB40:
and ebx,byte 7
mov ecx,[__reg+20]
mov edx,[__reg+0+ebx*4]
mov [__reg+20],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB48 - CB4F
WB48:
and ebx,byte 7
mov ecx,[__reg+52]
mov edx,[__reg+32+ebx*4]
mov [__reg+52],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB50 - CB57
WB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB58 - CB5F
WB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB60 - CB67
WB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB68 - CB6F
WB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB70 - CB77
WB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CB78
WB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CB79
WB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+20]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB88 - CB8F
WB88:
and ebx,byte 7
mov ecx,[__reg+20]
mov edx,[__reg+32+ebx*4]
mov [__reg+20],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB90 - CB97
WB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CB98 - CB9F
WB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBA0 - CBA7
WBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBA8 - CBAF
WBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBB0 - CBB7
WBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBB8
WBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBB9
WBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+20]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBC0 - CBC7
WBC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBD0 - CBD7
WBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBD8 - CBDF
WBD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBE0 - CBE7
WBE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBE8 - CBEF
WBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CBF0 - CBF7
WBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBF8
WBF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBF9
WBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBFA
WBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBFB
WBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CBFC
WBFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+20]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+20],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC00 - CC07
WC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC10 - CC17
WC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC18 - CC1F
WC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC20 - CC27
WC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC28 - CC2F
WC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC30 - CC37
WC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC38
WC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC39
WC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC3A
WC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC3B
WC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC3C
WC3C:
mov cx,[esi]
add esi,byte 2
and [__dreg+24],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC40 - CC47
WC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC50 - CC57
WC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC58 - CC5F
WC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC60 - CC67
WC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC68 - CC6F
WC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC70 - CC77
WC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC78
WC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC79
WC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC7A
WC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC7B
WC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CC7C
WC7C:
mov cx,[esi]
add esi,byte 2
and [__dreg+24],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC80 - CC87
WC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC90 - CC97
WC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CC98 - CC9F
WC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCA0 - CCA7
WCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCA8 - CCAF
WCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCB0 - CCB7
WCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCB8
WCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCB9
WCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCBA
WCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCBB
WCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCBC
WCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+24],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCC0 - CCC7
WCC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCD0 - CCD7
WCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCD8 - CCDF
WCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCE0 - CCE7
WCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCE8 - CCEF
WCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CCF0 - CCF7
WCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCF8
WCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCF9
WCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCFA
WCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCFB
WCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CCFC
WCFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD00 - CD07
WD00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+24],al
lahf
setc [__xflag]
jnz short ln1444
or ch,0BFh
and ah,ch
ln1444:
shr al,7
test cl,cl
jns short ln1445
xor al,al
ln1445:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD08 - CD0F
WD08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1446
or ch,0BFh
and ah,ch
ln1446:
shr al,7
test cl,cl
jns short ln1447
xor al,al
ln1447:
mov ecx,ebx
call writememorybyte

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD10 - CD17
WD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD18 - CD1F
WD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD20 - CD27
WD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD28 - CD2F
WD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD30 - CD37
WD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CD38
WD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CD39
WD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+24]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD40 - CD47
WD40:
and ebx,byte 7
mov ecx,[__reg+24]
mov edx,[__reg+0+ebx*4]
mov [__reg+24],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD48 - CD4F
WD48:
and ebx,byte 7
mov ecx,[__reg+56]
mov edx,[__reg+32+ebx*4]
mov [__reg+56],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD50 - CD57
WD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD58 - CD5F
WD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD60 - CD67
WD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD68 - CD6F
WD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD70 - CD77
WD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CD78
WD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CD79
WD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+24]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD88 - CD8F
WD88:
and ebx,byte 7
mov ecx,[__reg+24]
mov edx,[__reg+32+ebx*4]
mov [__reg+24],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD90 - CD97
WD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CD98 - CD9F
WD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDA0 - CDA7
WDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDA8 - CDAF
WDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDB0 - CDB7
WDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDB8
WDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDB9
WDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+24]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDC0 - CDC7
WDC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDD0 - CDD7
WDD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDD8 - CDDF
WDD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDE0 - CDE7
WDE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDE8 - CDEF
WDE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CDF0 - CDF7
WDF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDF8
WDF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDF9
WDF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDFA
WDFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDFB
WDFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CDFC
WDFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+24]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+24],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE00 - CE07
WE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE10 - CE17
WE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE18 - CE1F
WE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE20 - CE27
WE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE28 - CE2F
WE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE30 - CE37
WE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE38
WE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE39
WE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE3A
WE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE3B
WE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE3C
WE3C:
mov cx,[esi]
add esi,byte 2
and [__dreg+28],cl
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE40 - CE47
WE40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE50 - CE57
WE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE58 - CE5F
WE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE60 - CE67
WE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE68 - CE6F
WE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE70 - CE77
WE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE78
WE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE79
WE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE7A
WE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE7B
WE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CE7C
WE7C:
mov cx,[esi]
add esi,byte 2
and [__dreg+28],cx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE80 - CE87
WE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE90 - CE97
WE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CE98 - CE9F
WE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEA0 - CEA7
WEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEA8 - CEAF
WEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEB0 - CEB7
WEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEB8
WEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEB9
WEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEBA
WEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEBB
WEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEBC
WEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
and [__dreg+28],ecx
lahf
xor al,al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEC0 - CEC7
WEC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CED0 - CED7
WED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CED8 - CEDF
WED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEE0 - CEE7
WEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEE8 - CEEF
WEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CEF0 - CEF7
WEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEF8
WEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEF9
WEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEFA
WEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEFB
WEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CEFC
WEFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
mul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF00 - CF07
WF00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
adc al,[__dreg+ebx*4]
mov cl,al
daa
mov [__dreg+28],al
lahf
setc [__xflag]
jnz short ln1448
or ch,0BFh
and ah,ch
ln1448:
shr al,7
test cl,cl
jns short ln1449
xor al,al
ln1449:
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF08 - CF0F
WF08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov cl,al
daa
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1450
or ch,0BFh
and ah,ch
ln1450:
shr al,7
test cl,cl
jns short ln1451
xor al,al
ln1451:
mov ecx,ebx
call writememorybyte

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF10 - CF17
WF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF18 - CF1F
WF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF20 - CF27
WF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF28 - CF2F
WF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF30 - CF37
WF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CF38
WF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CF39
WF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
and cl,[__dreg+28]
lahf
xor al,al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF40 - CF47
WF40:
and ebx,byte 7
mov ecx,[__reg+28]
mov edx,[__reg+0+ebx*4]
mov [__reg+28],edx
mov [__reg+0+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF48 - CF4F
WF48:
and ebx,byte 7
mov ecx,[__reg+60]
mov edx,[__reg+32+ebx*4]
mov [__reg+60],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF50 - CF57
WF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF58 - CF5F
WF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF60 - CF67
WF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF68 - CF6F
WF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF70 - CF77
WF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CF78
WF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CF79
WF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
and cx,[__dreg+28]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF88 - CF8F
WF88:
and ebx,byte 7
mov ecx,[__reg+28]
mov edx,[__reg+32+ebx*4]
mov [__reg+28],edx
mov [__reg+32+ebx*4],ecx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF90 - CF97
WF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CF98 - CF9F
WF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFA0 - CFA7
WFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFA8 - CFAF
WFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFB0 - CFB7
WFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFB8
WFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFB9
WFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
and ecx,[__dreg+28]
lahf
xor al,al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFC0 - CFC7
WFC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 38
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFD0 - CFD7
WFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFD8 - CFDF
WFD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFE0 - CFE7
WFE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 44
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFE8 - CFEF
WFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes CFF0 - CFF7
WFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFF8
WFF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFF9
WFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 50
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFFA
WFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 46
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFFB
WFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 48
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode CFFC
WFFC:
mov cx,[esi]
add esi,byte 2
mov eax,ecx
mov edx,ecx
shl edx,1
xor ecx,edx
and ecx,0ffffh
mov edx,ecx
shr edx,1
and ecx,55555555h
and edx,55555555h
add ecx,edx
mov edx,ecx
shr edx,2
and ecx,33333333h
and edx,33333333h
add ecx,edx
mov edx,ecx
shr edx,4
add ecx,edx
and ecx,0f0f0f0fh
mov edx,ecx
shr edx,8
add ecx,edx
mov edx,ecx
shr edx,16
add ecx,edx
and ecx,3fh
shl ecx,1
sub edi,ecx
imul word[__dreg+28]
shl edx,16
and eax,0FFFFh
or edx,eax
lahf
xor al,al
mov [__dreg+28],edx
sub edi,byte 42
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D000 - D007
X000:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D010 - D017
X010:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D018 - D01F
X018:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D020 - D027
X020:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D028 - D02F
X028:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D030 - D037
X030:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D038
X038:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D039
X039:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D03A
X03A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D03B
X03B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D03C
X03C:
mov cx,[esi]
add esi,byte 2
add [__dreg+0],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D040 - D047
X040:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D048 - D04F
X048:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D050 - D057
X050:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D058 - D05F
X058:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D060 - D067
X060:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D068 - D06F
X068:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D070 - D077
X070:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D078
X078:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D079
X079:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D07A
X07A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D07B
X07B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D07C
X07C:
mov cx,[esi]
add esi,byte 2
add [__dreg+0],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D080 - D087
X080:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D088 - D08F
X088:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D090 - D097
X090:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D098 - D09F
X098:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0A0 - D0A7
X0A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0A8 - D0AF
X0A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0B0 - D0B7
X0B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0B8
X0B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0B9
X0B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0BA
X0BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0BB
X0BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0BC
X0BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+0],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0C0 - D0C7
X0C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0C8 - D0CF
X0C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0D0 - D0D7
X0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0D8 - D0DF
X0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0E0 - D0E7
X0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0E8 - D0EF
X0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D0F0 - D0F7
X0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0F8
X0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0F9
X0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0FA
X0FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0FB
X0FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D0FC
X0FC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+0],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D100 - D107
X100:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
adc al,[__dreg+ebx*4]
mov [__dreg+0],al
lahf
setc [__xflag]
jnz short ln1452
or ch,0BFh
and ah,ch
ln1452:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D108 - D10F
X108:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1453
or ch,0BFh
and ah,ch
ln1453:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D110 - D117
X110:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D118 - D11F
X118:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D120 - D127
X120:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D128 - D12F
X128:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D130 - D137
X130:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D138
X138:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D139
X139:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D140 - D147
X140:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
adc ax,[__dreg+ebx*4]
mov [__dreg+0],ax
lahf
setc [__xflag]
jnz short ln1454
or ch,0BFh
and ah,ch
ln1454:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D148 - D14F
X148:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1455
or ch,0BFh
and ah,ch
ln1455:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+0],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D150 - D157
X150:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D158 - D15F
X158:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D160 - D167
X160:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D168 - D16F
X168:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D170 - D177
X170:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D178
X178:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D179
X179:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D180 - D187
X180:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+0]
adc eax,[__dreg+ebx*4]
mov [__dreg+0],eax
lahf
setc [__xflag]
jnz short ln1456
or ch,0BFh
and ah,ch
ln1456:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D188 - D18F
X188:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+0]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1457
or ch,0BFh
and ah,ch
ln1457:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+0],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D190 - D197
X190:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D198 - D19F
X198:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1A0 - D1A7
X1A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1A8 - D1AF
X1A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1B0 - D1B7
X1B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1B8
X1B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1B9
X1B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+0]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1C0 - D1C7
X1C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1C8 - D1CF
X1C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+0],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1D0 - D1D7
X1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1D8 - D1DF
X1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+0],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1E0 - D1E7
X1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1E8 - D1EF
X1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D1F0 - D1F7
X1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1F8
X1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1F9
X1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+0],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1FA
X1FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+0],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1FB
X1FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+0],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D1FC
X1FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+0],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D200 - D207
X200:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D210 - D217
X210:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D218 - D21F
X218:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D220 - D227
X220:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D228 - D22F
X228:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D230 - D237
X230:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D238
X238:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D239
X239:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D23A
X23A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D23B
X23B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D23C
X23C:
mov cx,[esi]
add esi,byte 2
add [__dreg+4],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D240 - D247
X240:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D248 - D24F
X248:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D250 - D257
X250:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D258 - D25F
X258:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D260 - D267
X260:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D268 - D26F
X268:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D270 - D277
X270:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D278
X278:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D279
X279:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D27A
X27A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D27B
X27B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D27C
X27C:
mov cx,[esi]
add esi,byte 2
add [__dreg+4],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D280 - D287
X280:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D288 - D28F
X288:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D290 - D297
X290:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D298 - D29F
X298:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2A0 - D2A7
X2A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2A8 - D2AF
X2A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2B0 - D2B7
X2B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2B8
X2B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2B9
X2B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2BA
X2BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2BB
X2BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2BC
X2BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+4],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2C0 - D2C7
X2C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2C8 - D2CF
X2C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2D0 - D2D7
X2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2D8 - D2DF
X2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2E0 - D2E7
X2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2E8 - D2EF
X2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D2F0 - D2F7
X2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2F8
X2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2F9
X2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2FA
X2FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2FB
X2FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D2FC
X2FC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+4],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D300 - D307
X300:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
adc al,[__dreg+ebx*4]
mov [__dreg+4],al
lahf
setc [__xflag]
jnz short ln1458
or ch,0BFh
and ah,ch
ln1458:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D308 - D30F
X308:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1459
or ch,0BFh
and ah,ch
ln1459:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D310 - D317
X310:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D318 - D31F
X318:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D320 - D327
X320:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D328 - D32F
X328:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D330 - D337
X330:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D338
X338:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D339
X339:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D340 - D347
X340:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
adc ax,[__dreg+ebx*4]
mov [__dreg+4],ax
lahf
setc [__xflag]
jnz short ln1460
or ch,0BFh
and ah,ch
ln1460:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D348 - D34F
X348:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1461
or ch,0BFh
and ah,ch
ln1461:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D350 - D357
X350:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D358 - D35F
X358:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D360 - D367
X360:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D368 - D36F
X368:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D370 - D377
X370:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D378
X378:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D379
X379:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D380 - D387
X380:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+4]
adc eax,[__dreg+ebx*4]
mov [__dreg+4],eax
lahf
setc [__xflag]
jnz short ln1462
or ch,0BFh
and ah,ch
ln1462:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D388 - D38F
X388:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+4]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1463
or ch,0BFh
and ah,ch
ln1463:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+4],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D390 - D397
X390:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D398 - D39F
X398:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3A0 - D3A7
X3A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3A8 - D3AF
X3A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3B0 - D3B7
X3B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3B8
X3B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3B9
X3B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+4]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3C0 - D3C7
X3C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3C8 - D3CF
X3C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+4],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3D0 - D3D7
X3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3D8 - D3DF
X3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+4],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3E0 - D3E7
X3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3E8 - D3EF
X3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D3F0 - D3F7
X3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3F8
X3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3F9
X3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+4],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3FA
X3FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+4],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3FB
X3FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+4],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D3FC
X3FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+4],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D400 - D407
X400:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D410 - D417
X410:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D418 - D41F
X418:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D420 - D427
X420:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D428 - D42F
X428:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D430 - D437
X430:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D438
X438:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D439
X439:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D43A
X43A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D43B
X43B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D43C
X43C:
mov cx,[esi]
add esi,byte 2
add [__dreg+8],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D440 - D447
X440:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D448 - D44F
X448:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D450 - D457
X450:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D458 - D45F
X458:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D460 - D467
X460:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D468 - D46F
X468:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D470 - D477
X470:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D478
X478:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D479
X479:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D47A
X47A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D47B
X47B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D47C
X47C:
mov cx,[esi]
add esi,byte 2
add [__dreg+8],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D480 - D487
X480:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D488 - D48F
X488:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D490 - D497
X490:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D498 - D49F
X498:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4A0 - D4A7
X4A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4A8 - D4AF
X4A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4B0 - D4B7
X4B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4B8
X4B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4B9
X4B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4BA
X4BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4BB
X4BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4BC
X4BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+8],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4C0 - D4C7
X4C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4C8 - D4CF
X4C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4D0 - D4D7
X4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4D8 - D4DF
X4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4E0 - D4E7
X4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4E8 - D4EF
X4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D4F0 - D4F7
X4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4F8
X4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4F9
X4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4FA
X4FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4FB
X4FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D4FC
X4FC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+8],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D500 - D507
X500:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
adc al,[__dreg+ebx*4]
mov [__dreg+8],al
lahf
setc [__xflag]
jnz short ln1464
or ch,0BFh
and ah,ch
ln1464:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D508 - D50F
X508:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1465
or ch,0BFh
and ah,ch
ln1465:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D510 - D517
X510:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D518 - D51F
X518:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D520 - D527
X520:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D528 - D52F
X528:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D530 - D537
X530:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D538
X538:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D539
X539:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D540 - D547
X540:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
adc ax,[__dreg+ebx*4]
mov [__dreg+8],ax
lahf
setc [__xflag]
jnz short ln1466
or ch,0BFh
and ah,ch
ln1466:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D548 - D54F
X548:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1467
or ch,0BFh
and ah,ch
ln1467:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+8],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D550 - D557
X550:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D558 - D55F
X558:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D560 - D567
X560:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D568 - D56F
X568:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D570 - D577
X570:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D578
X578:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D579
X579:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D580 - D587
X580:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+8]
adc eax,[__dreg+ebx*4]
mov [__dreg+8],eax
lahf
setc [__xflag]
jnz short ln1468
or ch,0BFh
and ah,ch
ln1468:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D588 - D58F
X588:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+8]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1469
or ch,0BFh
and ah,ch
ln1469:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+8],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D590 - D597
X590:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D598 - D59F
X598:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5A0 - D5A7
X5A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5A8 - D5AF
X5A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5B0 - D5B7
X5B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5B8
X5B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5B9
X5B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+8]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5C0 - D5C7
X5C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5C8 - D5CF
X5C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+8],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5D0 - D5D7
X5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5D8 - D5DF
X5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+8],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5E0 - D5E7
X5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5E8 - D5EF
X5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D5F0 - D5F7
X5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5F8
X5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5F9
X5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+8],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5FA
X5FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+8],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5FB
X5FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+8],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D5FC
X5FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+8],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D600 - D607
X600:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D610 - D617
X610:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D618 - D61F
X618:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D620 - D627
X620:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D628 - D62F
X628:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D630 - D637
X630:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D638
X638:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D639
X639:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D63A
X63A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D63B
X63B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D63C
X63C:
mov cx,[esi]
add esi,byte 2
add [__dreg+12],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D640 - D647
X640:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D648 - D64F
X648:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D650 - D657
X650:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D658 - D65F
X658:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D660 - D667
X660:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D668 - D66F
X668:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D670 - D677
X670:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D678
X678:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D679
X679:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D67A
X67A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D67B
X67B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D67C
X67C:
mov cx,[esi]
add esi,byte 2
add [__dreg+12],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D680 - D687
X680:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D688 - D68F
X688:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D690 - D697
X690:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D698 - D69F
X698:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6A0 - D6A7
X6A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6A8 - D6AF
X6A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6B0 - D6B7
X6B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6B8
X6B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6B9
X6B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6BA
X6BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6BB
X6BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6BC
X6BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+12],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6C0 - D6C7
X6C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6C8 - D6CF
X6C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6D0 - D6D7
X6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6D8 - D6DF
X6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6E0 - D6E7
X6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6E8 - D6EF
X6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D6F0 - D6F7
X6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6F8
X6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6F9
X6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6FA
X6FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6FB
X6FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D6FC
X6FC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+12],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D700 - D707
X700:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
adc al,[__dreg+ebx*4]
mov [__dreg+12],al
lahf
setc [__xflag]
jnz short ln1470
or ch,0BFh
and ah,ch
ln1470:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D708 - D70F
X708:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1471
or ch,0BFh
and ah,ch
ln1471:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D710 - D717
X710:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D718 - D71F
X718:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D720 - D727
X720:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D728 - D72F
X728:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D730 - D737
X730:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D738
X738:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D739
X739:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D740 - D747
X740:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
adc ax,[__dreg+ebx*4]
mov [__dreg+12],ax
lahf
setc [__xflag]
jnz short ln1472
or ch,0BFh
and ah,ch
ln1472:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D748 - D74F
X748:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1473
or ch,0BFh
and ah,ch
ln1473:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+12],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D750 - D757
X750:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D758 - D75F
X758:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D760 - D767
X760:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D768 - D76F
X768:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D770 - D777
X770:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D778
X778:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D779
X779:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D780 - D787
X780:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+12]
adc eax,[__dreg+ebx*4]
mov [__dreg+12],eax
lahf
setc [__xflag]
jnz short ln1474
or ch,0BFh
and ah,ch
ln1474:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D788 - D78F
X788:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+12]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1475
or ch,0BFh
and ah,ch
ln1475:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+12],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D790 - D797
X790:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D798 - D79F
X798:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7A0 - D7A7
X7A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7A8 - D7AF
X7A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7B0 - D7B7
X7B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7B8
X7B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7B9
X7B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+12]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7C0 - D7C7
X7C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7C8 - D7CF
X7C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+12],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7D0 - D7D7
X7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7D8 - D7DF
X7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+12],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7E0 - D7E7
X7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7E8 - D7EF
X7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D7F0 - D7F7
X7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7F8
X7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7F9
X7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+12],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7FA
X7FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+12],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7FB
X7FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+12],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D7FC
X7FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+12],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D800 - D807
X800:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D810 - D817
X810:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D818 - D81F
X818:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D820 - D827
X820:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D828 - D82F
X828:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D830 - D837
X830:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D838
X838:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D839
X839:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D83A
X83A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D83B
X83B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D83C
X83C:
mov cx,[esi]
add esi,byte 2
add [__dreg+16],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D840 - D847
X840:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D848 - D84F
X848:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D850 - D857
X850:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D858 - D85F
X858:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D860 - D867
X860:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D868 - D86F
X868:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D870 - D877
X870:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D878
X878:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D879
X879:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D87A
X87A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D87B
X87B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D87C
X87C:
mov cx,[esi]
add esi,byte 2
add [__dreg+16],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D880 - D887
X880:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D888 - D88F
X888:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D890 - D897
X890:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D898 - D89F
X898:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8A0 - D8A7
X8A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8A8 - D8AF
X8A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8B0 - D8B7
X8B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8B8
X8B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8B9
X8B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8BA
X8BA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8BB
X8BB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8BC
X8BC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+16],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8C0 - D8C7
X8C0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8C8 - D8CF
X8C8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8D0 - D8D7
X8D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8D8 - D8DF
X8D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8E0 - D8E7
X8E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8E8 - D8EF
X8E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D8F0 - D8F7
X8F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8F8
X8F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8F9
X8F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8FA
X8FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8FB
X8FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D8FC
X8FC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+16],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D900 - D907
X900:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
adc al,[__dreg+ebx*4]
mov [__dreg+16],al
lahf
setc [__xflag]
jnz short ln1476
or ch,0BFh
and ah,ch
ln1476:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D908 - D90F
X908:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1477
or ch,0BFh
and ah,ch
ln1477:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D910 - D917
X910:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D918 - D91F
X918:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D920 - D927
X920:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D928 - D92F
X928:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D930 - D937
X930:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D938
X938:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D939
X939:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D940 - D947
X940:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
adc ax,[__dreg+ebx*4]
mov [__dreg+16],ax
lahf
setc [__xflag]
jnz short ln1478
or ch,0BFh
and ah,ch
ln1478:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D948 - D94F
X948:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1479
or ch,0BFh
and ah,ch
ln1479:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+16],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D950 - D957
X950:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D958 - D95F
X958:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D960 - D967
X960:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D968 - D96F
X968:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D970 - D977
X970:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D978
X978:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D979
X979:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D980 - D987
X980:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+16]
adc eax,[__dreg+ebx*4]
mov [__dreg+16],eax
lahf
setc [__xflag]
jnz short ln1480
or ch,0BFh
and ah,ch
ln1480:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D988 - D98F
X988:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+16]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1481
or ch,0BFh
and ah,ch
ln1481:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+16],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D990 - D997
X990:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D998 - D99F
X998:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9A0 - D9A7
X9A0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9A8 - D9AF
X9A8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9B0 - D9B7
X9B0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9B8
X9B8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9B9
X9B9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+16]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9C0 - D9C7
X9C0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9C8 - D9CF
X9C8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+16],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9D0 - D9D7
X9D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9D8 - D9DF
X9D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+16],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9E0 - D9E7
X9E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9E8 - D9EF
X9E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes D9F0 - D9F7
X9F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9F8
X9F8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9F9
X9F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+16],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9FA
X9FA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+16],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9FB
X9FB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+16],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode D9FC
X9FC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+16],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA00 - DA07
XA00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA10 - DA17
XA10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA18 - DA1F
XA18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA20 - DA27
XA20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA28 - DA2F
XA28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA30 - DA37
XA30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA38
XA38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA39
XA39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA3A
XA3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA3B
XA3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA3C
XA3C:
mov cx,[esi]
add esi,byte 2
add [__dreg+20],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA40 - DA47
XA40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA48 - DA4F
XA48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA50 - DA57
XA50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA58 - DA5F
XA58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA60 - DA67
XA60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA68 - DA6F
XA68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA70 - DA77
XA70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA78
XA78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA79
XA79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA7A
XA7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA7B
XA7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DA7C
XA7C:
mov cx,[esi]
add esi,byte 2
add [__dreg+20],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA80 - DA87
XA80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA88 - DA8F
XA88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA90 - DA97
XA90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DA98 - DA9F
XA98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAA0 - DAA7
XAA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAA8 - DAAF
XAA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAB0 - DAB7
XAB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAB8
XAB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAB9
XAB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DABA
XABA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DABB
XABB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DABC
XABC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+20],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAC0 - DAC7
XAC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAC8 - DACF
XAC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAD0 - DAD7
XAD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAD8 - DADF
XAD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAE0 - DAE7
XAE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAE8 - DAEF
XAE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DAF0 - DAF7
XAF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAF8
XAF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAF9
XAF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAFA
XAFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAFB
XAFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DAFC
XAFC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+20],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB00 - DB07
XB00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
adc al,[__dreg+ebx*4]
mov [__dreg+20],al
lahf
setc [__xflag]
jnz short ln1482
or ch,0BFh
and ah,ch
ln1482:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB08 - DB0F
XB08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1483
or ch,0BFh
and ah,ch
ln1483:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB10 - DB17
XB10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB18 - DB1F
XB18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB20 - DB27
XB20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB28 - DB2F
XB28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB30 - DB37
XB30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DB38
XB38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DB39
XB39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB40 - DB47
XB40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
adc ax,[__dreg+ebx*4]
mov [__dreg+20],ax
lahf
setc [__xflag]
jnz short ln1484
or ch,0BFh
and ah,ch
ln1484:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB48 - DB4F
XB48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1485
or ch,0BFh
and ah,ch
ln1485:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+20],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB50 - DB57
XB50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB58 - DB5F
XB58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB60 - DB67
XB60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB68 - DB6F
XB68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB70 - DB77
XB70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DB78
XB78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DB79
XB79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB80 - DB87
XB80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+20]
adc eax,[__dreg+ebx*4]
mov [__dreg+20],eax
lahf
setc [__xflag]
jnz short ln1486
or ch,0BFh
and ah,ch
ln1486:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB88 - DB8F
XB88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+20]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1487
or ch,0BFh
and ah,ch
ln1487:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+20],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB90 - DB97
XB90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DB98 - DB9F
XB98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBA0 - DBA7
XBA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBA8 - DBAF
XBA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBB0 - DBB7
XBB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBB8
XBB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBB9
XBB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+20]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBC0 - DBC7
XBC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBC8 - DBCF
XBC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+20],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBD0 - DBD7
XBD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBD8 - DBDF
XBD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+20],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBE0 - DBE7
XBE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBE8 - DBEF
XBE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DBF0 - DBF7
XBF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBF8
XBF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBF9
XBF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+20],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBFA
XBFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+20],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBFB
XBFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+20],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DBFC
XBFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+20],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC00 - DC07
XC00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC10 - DC17
XC10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC18 - DC1F
XC18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC20 - DC27
XC20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC28 - DC2F
XC28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC30 - DC37
XC30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC38
XC38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC39
XC39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC3A
XC3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC3B
XC3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC3C
XC3C:
mov cx,[esi]
add esi,byte 2
add [__dreg+24],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC40 - DC47
XC40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC48 - DC4F
XC48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC50 - DC57
XC50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC58 - DC5F
XC58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC60 - DC67
XC60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC68 - DC6F
XC68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC70 - DC77
XC70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC78
XC78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC79
XC79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC7A
XC7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC7B
XC7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DC7C
XC7C:
mov cx,[esi]
add esi,byte 2
add [__dreg+24],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC80 - DC87
XC80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC88 - DC8F
XC88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC90 - DC97
XC90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DC98 - DC9F
XC98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCA0 - DCA7
XCA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCA8 - DCAF
XCA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCB0 - DCB7
XCB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCB8
XCB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCB9
XCB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCBA
XCBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCBB
XCBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCBC
XCBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+24],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCC0 - DCC7
XCC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCC8 - DCCF
XCC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCD0 - DCD7
XCD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCD8 - DCDF
XCD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCE0 - DCE7
XCE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCE8 - DCEF
XCE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DCF0 - DCF7
XCF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCF8
XCF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCF9
XCF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCFA
XCFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCFB
XCFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DCFC
XCFC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+24],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD00 - DD07
XD00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
adc al,[__dreg+ebx*4]
mov [__dreg+24],al
lahf
setc [__xflag]
jnz short ln1488
or ch,0BFh
and ah,ch
ln1488:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD08 - DD0F
XD08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
dec edx
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1489
or ch,0BFh
and ah,ch
ln1489:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD10 - DD17
XD10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD18 - DD1F
XD18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD20 - DD27
XD20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD28 - DD2F
XD28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD30 - DD37
XD30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DD38
XD38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DD39
XD39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD40 - DD47
XD40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
adc ax,[__dreg+ebx*4]
mov [__dreg+24],ax
lahf
setc [__xflag]
jnz short ln1490
or ch,0BFh
and ah,ch
ln1490:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD48 - DD4F
XD48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1491
or ch,0BFh
and ah,ch
ln1491:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+24],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD50 - DD57
XD50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD58 - DD5F
XD58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD60 - DD67
XD60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD68 - DD6F
XD68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD70 - DD77
XD70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DD78
XD78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DD79
XD79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD80 - DD87
XD80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+24]
adc eax,[__dreg+ebx*4]
mov [__dreg+24],eax
lahf
setc [__xflag]
jnz short ln1492
or ch,0BFh
and ah,ch
ln1492:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD88 - DD8F
XD88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+24]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1493
or ch,0BFh
and ah,ch
ln1493:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+24],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD90 - DD97
XD90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DD98 - DD9F
XD98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDA0 - DDA7
XDA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDA8 - DDAF
XDA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDB0 - DDB7
XDB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDB8
XDB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDB9
XDB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+24]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDC0 - DDC7
XDC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDC8 - DDCF
XDC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+24],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDD0 - DDD7
XDD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDD8 - DDDF
XDD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+24],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDE0 - DDE7
XDE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDE8 - DDEF
XDE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DDF0 - DDF7
XDF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDF8
XDF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDF9
XDF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+24],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDFA
XDFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+24],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDFB
XDFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+24],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DDFC
XDFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+24],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE00 - DE07
XE00:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE10 - DE17
XE10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE18 - DE1F
XE18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE20 - DE27
XE20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE28 - DE2F
XE28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE30 - DE37
XE30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE38
XE38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE39
XE39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE3A
XE3A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE3B
XE3B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorybyte
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE3C
XE3C:
mov cx,[esi]
add esi,byte 2
add [__dreg+28],cl
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE40 - DE47
XE40:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE48 - DE4F
XE48:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE50 - DE57
XE50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE58 - DE5F
XE58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add edx,byte 2
mov [__areg+ebx*4],edx
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE60 - DE67
XE60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE68 - DE6F
XE68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE70 - DE77
XE70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE78
XE78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE79
XE79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE7A
XE7A:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE7B
XE7B:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DE7C
XE7C:
mov cx,[esi]
add esi,byte 2
add [__dreg+28],cx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE80 - DE87
XE80:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE88 - DE8F
XE88:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE90 - DE97
XE90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DE98 - DE9F
XE98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEA0 - DEA7
XEA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEA8 - DEAF
XEA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEB0 - DEB7
XEB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEB8
XEB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEB9
XEB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEBA
XEBA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEBB
XEBB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEBC
XEBC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__dreg+28],ecx
setc [__xflag]
lahf
seto al
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEC0 - DEC7
XEC0:
and ebx,byte 7
movsx ecx,word[__dreg+ebx*4]
add [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEC8 - DECF
XEC8:
and ebx,byte 7
movsx ecx,word[__areg+ebx*4]
add [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DED0 - DED7
XED0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DED8 - DEDF
XED8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add edx,byte 2
mov [__areg+ebx*4],edx
add [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEE0 - DEE7
XEE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
movsx ecx,cx
mov [__areg+ebx*4],edx
add [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEE8 - DEEF
XEE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DEF0 - DEF7
XEF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEF8
XEF8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEF9
XEF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEFA
XEFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEFB
XEFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemoryword
movsx ecx,cx
add [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DEFC
XEFC:
movsx ecx,word [esi]
add esi,byte 2
add [__areg+28],ecx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF00 - DF07
XF00:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
adc al,[__dreg+ebx*4]
mov [__dreg+28],al
lahf
setc [__xflag]
jnz short ln1494
or ch,0BFh
and ah,ch
ln1494:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF08 - DF0F
XF08:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemorybyte
xchg ecx,eax
shr byte[__xflag],1
adc al,bl
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1495
or ch,0BFh
and ah,ch
ln1495:
seto al
mov ecx,ebx
call writememorybyte

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF10 - DF17
XF10:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF18 - DF1F
XF18:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
cmp bl,7
sbb edx,byte -2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF20 - DF27
XF20:
and ebx,byte 7
mov edx,[__areg+ebx*4]
cmp bl,7
adc edx,byte -2
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF28 - DF2F
XF28:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF30 - DF37
XF30:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DF38
XF38:
movsx edx,word [esi]
add esi,byte 2
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DF39
XF39:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorybyte
add cl,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorybyte
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF40 - DF47
XF40:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
adc ax,[__dreg+ebx*4]
mov [__dreg+28],ax
lahf
setc [__xflag]
jnz short ln1496
or ch,0BFh
and ah,ch
ln1496:
seto al
sub edi,byte 4
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF48 - DF4F
XF48:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 2
call readmemoryword
xchg ecx,eax
shr byte[__xflag],1
adc ax,bx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1497
or ch,0BFh
and ah,ch
ln1497:
seto al
mov ecx,ebx
call writememoryword

mov [__areg+28],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF50 - DF57
XF50:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF58 - DF5F
XF58:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF60 - DF67
XF60:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF68 - DF6F
XF68:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF70 - DF77
XF70:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DF78
XF78:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DF79
XF79:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
add cx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF80 - DF87
XF80:
and ebx,byte 7
mov ch,ah
shr byte[__xflag],1
mov eax,[__dreg+28]
adc eax,[__dreg+ebx*4]
mov [__dreg+28],eax
lahf
setc [__xflag]
jnz short ln1498
or ch,0BFh
and ah,ch
ln1498:
seto al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF88 - DF8F
XF88:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
mov ebx,ecx
mov edx,[__areg+28]
sub edx,byte 4
call readmemorydword
xchg ecx,eax
shr byte[__xflag],1
adc eax,ebx
mov ebx,eax
lahf
setc [__xflag]
jnz short ln1499
or ch,0BFh
and ah,ch
ln1499:
seto al
mov ecx,ebx
call writememorydword

mov [__areg+28],edx
sub edi,byte 30
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF90 - DF97
XF90:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DF98 - DF9F
XF98:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
add edx,byte 4
mov [__areg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFA0 - DFA7
XFA0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword

mov [__areg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFA8 - DFAF
XFA8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFB0 - DFB7
XFB0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 26
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFB8
XFB8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFB9
XFB9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add ecx,[__dreg+28]
setc [__xflag]
lahf
seto al
call writememorydword
sub edi,byte 28
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFC0 - DFC7
XFC0:
and ebx,byte 7
mov ecx,[__dreg+ebx*4]
add [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFC8 - DFCF
XFC8:
and ebx,byte 7
mov ecx,[__areg+ebx*4]
add [__areg+28],ecx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFD0 - DFD7
XFD0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFD8 - DFDF
XFD8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemorydword
add edx,byte 4
mov [__areg+ebx*4],edx
add [__areg+28],ecx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFE0 - DFE7
XFE0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 4
call readmemorydword
mov [__areg+ebx*4],edx
add [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFE8 - DFEF
XFE8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes DFF0 - DFF7
XFF0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemorydword
add [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFF8
XFF8:
movsx edx,word [esi]
add esi,byte 2
call readmemorydword
add [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFF9
XFF9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemorydword
add [__areg+28],ecx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFFA
XFFA:
movsx edx,word [esi]
add edx,esi
sub edx,ebp
add esi,byte 2
call readmemorydword
add [__areg+28],ecx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFFB
XFFB:
call decode_ext
add edx,esi
sub edx,ebp
sub edx,byte 2
call readmemorydword
add [__areg+28],ecx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode DFFC
XFFC:
mov ecx,[esi]
add esi,byte 4
rol ecx,16
add [__areg+28],ecx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E000 - E007
Y000:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E008 - E00F
Y008:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E010 - E017
Y010:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,8
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E018 - E01F
Y018:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,8
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E020 - E027
Y020:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1500
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1500:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1501
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1502
ln1501:
sar byte[__dreg+ebx*4],cl
ln1502:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E028 - E02F
Y028:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1503
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1503:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1504
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1505
ln1504:
shr byte[__dreg+ebx*4],cl
ln1505:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E030 - E037
Y030:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1506
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1506:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1507
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1508
ln_bis1507:
cmp cl,32
jb short ln1507
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1508
ln1507:
shr al,1
rcr dl,cl
ln1508:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E038 - E03F
Y038:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1509
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1509:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1510
ror dl,31
ror dl,31
ror dl,1
jmp short ln1511
ln_bis1510:
cmp cl,32
jb short ln1510
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1511
ln1510:
ror dl,cl
ln1511:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E040 - E047
Y040:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E048 - E04F
Y048:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E050 - E057
Y050:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,8
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E058 - E05F
Y058:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,8
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E060 - E067
Y060:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1512
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1512:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1513
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1514
ln1513:
sar word[__dreg+ebx*4],cl
ln1514:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E068 - E06F
Y068:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1515
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1515:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1516
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1517
ln1516:
shr word[__dreg+ebx*4],cl
ln1517:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E070 - E077
Y070:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1518
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1518:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1519
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1520
ln_bis1519:
cmp cl,32
jb short ln1519
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1520
ln1519:
shr al,1
rcr dx,cl
ln1520:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E078 - E07F
Y078:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1521
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1521:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1522
ror dx,31
ror dx,31
ror dx,1
jmp short ln1523
ln_bis1522:
cmp cl,32
jb short ln1522
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1523
ln1522:
ror dx,cl
ln1523:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E080 - E087
Y080:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E088 - E08F
Y088:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E090 - E097
Y090:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,8
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E098 - E09F
Y098:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,8
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0A0 - E0A7
Y0A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1524
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1524:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1525
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1526
ln1525:
sar dword[__dreg+ebx*4],cl
ln1526:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0A8 - E0AF
Y0A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1527
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1527:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1528
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1529
ln1528:
shr dword[__dreg+ebx*4],cl
ln1529:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0B0 - E0B7
Y0B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1530
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1530:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1531
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1532
ln_bis1531:
cmp cl,32
jb short ln1531
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1532
ln1531:
shr al,1
rcr edx,cl
ln1532:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0B8 - E0BF
Y0B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1533
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1533:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1534
ror edx,31
ror edx,31
ror edx,1
jmp short ln1535
ln_bis1534:
cmp cl,32
jb short ln1534
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1535
ln1534:
ror edx,cl
ln1535:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0D0 - E0D7
Y0D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0D8 - E0DF
Y0D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0E0 - E0E7
Y0E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0E8 - E0EF
Y0E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E0F0 - E0F7
Y0F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E0F8
Y0F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E0F9
Y0F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sar cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E100 - E107
Y100:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E108 - E10F
Y108:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E110 - E117
Y110:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,8
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E118 - E11F
Y118:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,8
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E120 - E127
Y120:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1536
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1536:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1537:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1537
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E128 - E12F
Y128:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1538
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1538:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1539
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1540
ln1539:
shl byte[__dreg+ebx*4],cl
ln1540:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E130 - E137
Y130:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1541
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1541:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1542
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1543
ln_bis1542:
cmp cl,32
jb short ln1542
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1543
ln1542:
shr al,1
rcl dl,cl
ln1543:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E138 - E13F
Y138:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1544
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1544:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1545
rol dl,31
rol dl,31
rol dl,1
jmp short ln1546
ln_bis1545:
cmp cl,32
jb short ln1545
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1546
ln1545:
rol dl,cl
ln1546:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E140 - E147
Y140:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E148 - E14F
Y148:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E150 - E157
Y150:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,8
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E158 - E15F
Y158:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,8
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E160 - E167
Y160:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1547
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1547:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1548:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1548
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E168 - E16F
Y168:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1549
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1549:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1550
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1551
ln1550:
shl word[__dreg+ebx*4],cl
ln1551:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E170 - E177
Y170:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1552
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1552:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1553
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1554
ln_bis1553:
cmp cl,32
jb short ln1553
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1554
ln1553:
shr al,1
rcl dx,cl
ln1554:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E178 - E17F
Y178:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1555
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1555:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1556
rol dx,31
rol dx,31
rol dx,1
jmp short ln1557
ln_bis1556:
cmp cl,32
jb short ln1556
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1557
ln1556:
rol dx,cl
ln1557:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E180 - E187
Y180:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E188 - E18F
Y188:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],8
lahf
setc [__xflag]
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E190 - E197
Y190:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,8
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E198 - E19F
Y198:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,8
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 24
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1A0 - E1A7
Y1A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1558
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1558:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1559:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1559
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1A8 - E1AF
Y1A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1560
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1560:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1561
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1562
ln1561:
shl dword[__dreg+ebx*4],cl
ln1562:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1B0 - E1B7
Y1B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1563
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1563:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1564
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1565
ln_bis1564:
cmp cl,32
jb short ln1564
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1565
ln1564:
shr al,1
rcl edx,cl
ln1565:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1B8 - E1BF
Y1B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+0]
and cl,byte 63
jnz short ln1566
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1566:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1567
rol edx,31
rol edx,31
rol edx,1
jmp short ln1568
ln_bis1567:
cmp cl,32
jb short ln1567
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1568
ln1567:
rol edx,cl
ln1568:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1D0 - E1D7
Y1D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1D8 - E1DF
Y1D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1E0 - E1E7
Y1E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1E8 - E1EF
Y1E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E1F0 - E1F7
Y1F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E1F8
Y1F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E1F9
Y1F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
sal cx,1
setc [__xflag]
lahf
seto al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E200 - E207
Y200:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E208 - E20F
Y208:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E210 - E217
Y210:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,1
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E218 - E21F
Y218:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,1
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E220 - E227
Y220:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1569
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1569:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1570
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1571
ln1570:
sar byte[__dreg+ebx*4],cl
ln1571:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E228 - E22F
Y228:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1572
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1572:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1573
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1574
ln1573:
shr byte[__dreg+ebx*4],cl
ln1574:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E230 - E237
Y230:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1575
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1575:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1576
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1577
ln_bis1576:
cmp cl,32
jb short ln1576
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1577
ln1576:
shr al,1
rcr dl,cl
ln1577:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E238 - E23F
Y238:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1578
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1578:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1579
ror dl,31
ror dl,31
ror dl,1
jmp short ln1580
ln_bis1579:
cmp cl,32
jb short ln1579
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1580
ln1579:
ror dl,cl
ln1580:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E240 - E247
Y240:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E248 - E24F
Y248:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E250 - E257
Y250:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,1
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E258 - E25F
Y258:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,1
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E260 - E267
Y260:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1581
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1581:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1582
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1583
ln1582:
sar word[__dreg+ebx*4],cl
ln1583:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E268 - E26F
Y268:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1584
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1584:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1585
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1586
ln1585:
shr word[__dreg+ebx*4],cl
ln1586:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E270 - E277
Y270:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1587
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1587:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1588
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1589
ln_bis1588:
cmp cl,32
jb short ln1588
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1589
ln1588:
shr al,1
rcr dx,cl
ln1589:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E278 - E27F
Y278:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1590
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1590:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1591
ror dx,31
ror dx,31
ror dx,1
jmp short ln1592
ln_bis1591:
cmp cl,32
jb short ln1591
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1592
ln1591:
ror dx,cl
ln1592:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E280 - E287
Y280:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E288 - E28F
Y288:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E290 - E297
Y290:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,1
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E298 - E29F
Y298:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,1
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2A0 - E2A7
Y2A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1593
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1593:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1594
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1595
ln1594:
sar dword[__dreg+ebx*4],cl
ln1595:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2A8 - E2AF
Y2A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1596
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1596:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1597
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1598
ln1597:
shr dword[__dreg+ebx*4],cl
ln1598:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2B0 - E2B7
Y2B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1599
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1599:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1600
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1601
ln_bis1600:
cmp cl,32
jb short ln1600
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1601
ln1600:
shr al,1
rcr edx,cl
ln1601:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2B8 - E2BF
Y2B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1602
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1602:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1603
ror edx,31
ror edx,31
ror edx,1
jmp short ln1604
ln_bis1603:
cmp cl,32
jb short ln1603
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1604
ln1603:
ror edx,cl
ln1604:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2D0 - E2D7
Y2D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2D8 - E2DF
Y2D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2E0 - E2E7
Y2E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2E8 - E2EF
Y2E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E2F0 - E2F7
Y2F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E2F8
Y2F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E2F9
Y2F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
shr cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E300 - E307
Y300:
and ebx,byte 7
shl byte[__dreg+ebx*4],1
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E308 - E30F
Y308:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E310 - E317
Y310:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,1
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E318 - E31F
Y318:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,1
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E320 - E327
Y320:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1605
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1605:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1606:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1606
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E328 - E32F
Y328:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1607
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1607:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1608
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1609
ln1608:
shl byte[__dreg+ebx*4],cl
ln1609:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E330 - E337
Y330:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1610
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1610:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1611
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1612
ln_bis1611:
cmp cl,32
jb short ln1611
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1612
ln1611:
shr al,1
rcl dl,cl
ln1612:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E338 - E33F
Y338:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1613
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1613:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1614
rol dl,31
rol dl,31
rol dl,1
jmp short ln1615
ln_bis1614:
cmp cl,32
jb short ln1614
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1615
ln1614:
rol dl,cl
ln1615:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E340 - E347
Y340:
and ebx,byte 7
shl word[__dreg+ebx*4],1
lahf
seto al
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E348 - E34F
Y348:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E350 - E357
Y350:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,1
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E358 - E35F
Y358:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,1
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E360 - E367
Y360:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1616
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1616:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1617:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1617
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E368 - E36F
Y368:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1618
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1618:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1619
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1620
ln1619:
shl word[__dreg+ebx*4],cl
ln1620:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E370 - E377
Y370:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1621
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1621:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1622
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1623
ln_bis1622:
cmp cl,32
jb short ln1622
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1623
ln1622:
shr al,1
rcl dx,cl
ln1623:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E378 - E37F
Y378:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1624
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1624:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1625
rol dx,31
rol dx,31
rol dx,1
jmp short ln1626
ln_bis1625:
cmp cl,32
jb short ln1625
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1626
ln1625:
rol dx,cl
ln1626:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E380 - E387
Y380:
and ebx,byte 7
shl dword[__dreg+ebx*4],1
lahf
seto al
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E388 - E38F
Y388:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],1
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E390 - E397
Y390:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,1
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E398 - E39F
Y398:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,1
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3A0 - E3A7
Y3A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1627
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1627:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1628:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1628
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3A8 - E3AF
Y3A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1629
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1629:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1630
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1631
ln1630:
shl dword[__dreg+ebx*4],cl
ln1631:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3B0 - E3B7
Y3B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1632
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1632:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1633
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1634
ln_bis1633:
cmp cl,32
jb short ln1633
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1634
ln1633:
shr al,1
rcl edx,cl
ln1634:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3B8 - E3BF
Y3B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+4]
and cl,byte 63
jnz short ln1635
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1635:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1636
rol edx,31
rol edx,31
rol edx,1
jmp short ln1637
ln_bis1636:
cmp cl,32
jb short ln1636
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1637
ln1636:
rol edx,cl
ln1637:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3D0 - E3D7
Y3D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3D8 - E3DF
Y3D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3E0 - E3E7
Y3E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3E8 - E3EF
Y3E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E3F0 - E3F7
Y3F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E3F8
Y3F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E3F9
Y3F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
shl cx,1
setc [__xflag]
lahf
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E400 - E407
Y400:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E408 - E40F
Y408:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E410 - E417
Y410:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,2
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E418 - E41F
Y418:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,2
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E420 - E427
Y420:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1638
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1638:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1639
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1640
ln1639:
sar byte[__dreg+ebx*4],cl
ln1640:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E428 - E42F
Y428:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1641
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1641:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1642
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1643
ln1642:
shr byte[__dreg+ebx*4],cl
ln1643:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E430 - E437
Y430:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1644
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1644:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1645
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1646
ln_bis1645:
cmp cl,32
jb short ln1645
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1646
ln1645:
shr al,1
rcr dl,cl
ln1646:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E438 - E43F
Y438:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1647
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1647:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1648
ror dl,31
ror dl,31
ror dl,1
jmp short ln1649
ln_bis1648:
cmp cl,32
jb short ln1648
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1649
ln1648:
ror dl,cl
ln1649:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E440 - E447
Y440:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E448 - E44F
Y448:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E450 - E457
Y450:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,2
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E458 - E45F
Y458:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,2
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E460 - E467
Y460:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1650
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1650:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1651
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1652
ln1651:
sar word[__dreg+ebx*4],cl
ln1652:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E468 - E46F
Y468:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1653
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1653:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1654
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1655
ln1654:
shr word[__dreg+ebx*4],cl
ln1655:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E470 - E477
Y470:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1656
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1656:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1657
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1658
ln_bis1657:
cmp cl,32
jb short ln1657
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1658
ln1657:
shr al,1
rcr dx,cl
ln1658:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E478 - E47F
Y478:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1659
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1659:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1660
ror dx,31
ror dx,31
ror dx,1
jmp short ln1661
ln_bis1660:
cmp cl,32
jb short ln1660
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1661
ln1660:
ror dx,cl
ln1661:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E480 - E487
Y480:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E488 - E48F
Y488:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E490 - E497
Y490:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,2
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E498 - E49F
Y498:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,2
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4A0 - E4A7
Y4A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1662
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1662:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1663
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1664
ln1663:
sar dword[__dreg+ebx*4],cl
ln1664:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4A8 - E4AF
Y4A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1665
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1665:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1666
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1667
ln1666:
shr dword[__dreg+ebx*4],cl
ln1667:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4B0 - E4B7
Y4B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1668
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1668:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1669
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1670
ln_bis1669:
cmp cl,32
jb short ln1669
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1670
ln1669:
shr al,1
rcr edx,cl
ln1670:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4B8 - E4BF
Y4B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1671
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1671:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1672
ror edx,31
ror edx,31
ror edx,1
jmp short ln1673
ln_bis1672:
cmp cl,32
jb short ln1672
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1673
ln1672:
ror edx,cl
ln1673:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4D0 - E4D7
Y4D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4D8 - E4DF
Y4D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4E0 - E4E7
Y4E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4E8 - E4EF
Y4E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E4F0 - E4F7
Y4F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E4F8
Y4F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E4F9
Y4F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
shr byte[__xflag],1
rcr cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E500 - E507
Y500:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E508 - E50F
Y508:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E510 - E517
Y510:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,2
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E518 - E51F
Y518:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,2
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E520 - E527
Y520:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1674
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1674:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1675:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1675
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E528 - E52F
Y528:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1676
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1676:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1677
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1678
ln1677:
shl byte[__dreg+ebx*4],cl
ln1678:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E530 - E537
Y530:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1679
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1679:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1680
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1681
ln_bis1680:
cmp cl,32
jb short ln1680
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1681
ln1680:
shr al,1
rcl dl,cl
ln1681:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E538 - E53F
Y538:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1682
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1682:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1683
rol dl,31
rol dl,31
rol dl,1
jmp short ln1684
ln_bis1683:
cmp cl,32
jb short ln1683
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1684
ln1683:
rol dl,cl
ln1684:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E540 - E547
Y540:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E548 - E54F
Y548:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E550 - E557
Y550:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,2
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E558 - E55F
Y558:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,2
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 10
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E560 - E567
Y560:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1685
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1685:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1686:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1686
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E568 - E56F
Y568:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1687
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1687:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1688
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1689
ln1688:
shl word[__dreg+ebx*4],cl
ln1689:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E570 - E577
Y570:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1690
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1690:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1691
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1692
ln_bis1691:
cmp cl,32
jb short ln1691
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1692
ln1691:
shr al,1
rcl dx,cl
ln1692:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E578 - E57F
Y578:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1693
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1693:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1694
rol dx,31
rol dx,31
rol dx,1
jmp short ln1695
ln_bis1694:
cmp cl,32
jb short ln1694
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1695
ln1694:
rol dx,cl
ln1695:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E580 - E587
Y580:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E588 - E58F
Y588:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],2
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E590 - E597
Y590:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,2
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E598 - E59F
Y598:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,2
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5A0 - E5A7
Y5A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1696
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1696:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1697:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1697
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5A8 - E5AF
Y5A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1698
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1698:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1699
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1700
ln1699:
shl dword[__dreg+ebx*4],cl
ln1700:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5B0 - E5B7
Y5B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1701
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1701:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1702
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1703
ln_bis1702:
cmp cl,32
jb short ln1702
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1703
ln1702:
shr al,1
rcl edx,cl
ln1703:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5B8 - E5BF
Y5B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+8]
and cl,byte 63
jnz short ln1704
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1704:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1705
rol edx,31
rol edx,31
rol edx,1
jmp short ln1706
ln_bis1705:
cmp cl,32
jb short ln1705
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1706
ln1705:
rol edx,cl
ln1706:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5D0 - E5D7
Y5D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5D8 - E5DF
Y5D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5E0 - E5E7
Y5E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5E8 - E5EF
Y5E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E5F0 - E5F7
Y5F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E5F8
Y5F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E5F9
Y5F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
shr byte[__xflag],1
rcl cx,1
adc al,al
test cx,cx
lahf
or ah,al
mov [__xflag],al
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E600 - E607
Y600:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E608 - E60F
Y608:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E610 - E617
Y610:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,3
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E618 - E61F
Y618:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,3
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E620 - E627
Y620:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1707
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1707:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1708
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1709
ln1708:
sar byte[__dreg+ebx*4],cl
ln1709:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E628 - E62F
Y628:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1710
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1710:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1711
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1712
ln1711:
shr byte[__dreg+ebx*4],cl
ln1712:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E630 - E637
Y630:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1713
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1713:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1714
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1715
ln_bis1714:
cmp cl,32
jb short ln1714
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1715
ln1714:
shr al,1
rcr dl,cl
ln1715:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E638 - E63F
Y638:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1716
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1716:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1717
ror dl,31
ror dl,31
ror dl,1
jmp short ln1718
ln_bis1717:
cmp cl,32
jb short ln1717
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1718
ln1717:
ror dl,cl
ln1718:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E640 - E647
Y640:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E648 - E64F
Y648:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E650 - E657
Y650:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,3
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E658 - E65F
Y658:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,3
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E660 - E667
Y660:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1719
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1719:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1720
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1721
ln1720:
sar word[__dreg+ebx*4],cl
ln1721:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E668 - E66F
Y668:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1722
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1722:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1723
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1724
ln1723:
shr word[__dreg+ebx*4],cl
ln1724:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E670 - E677
Y670:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1725
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1725:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1726
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1727
ln_bis1726:
cmp cl,32
jb short ln1726
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1727
ln1726:
shr al,1
rcr dx,cl
ln1727:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E678 - E67F
Y678:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1728
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1728:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1729
ror dx,31
ror dx,31
ror dx,1
jmp short ln1730
ln_bis1729:
cmp cl,32
jb short ln1729
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1730
ln1729:
ror dx,cl
ln1730:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E680 - E687
Y680:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E688 - E68F
Y688:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E690 - E697
Y690:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,3
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E698 - E69F
Y698:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,3
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6A0 - E6A7
Y6A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1731
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1731:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1732
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1733
ln1732:
sar dword[__dreg+ebx*4],cl
ln1733:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6A8 - E6AF
Y6A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1734
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1734:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1735
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1736
ln1735:
shr dword[__dreg+ebx*4],cl
ln1736:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6B0 - E6B7
Y6B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1737
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1737:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1738
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1739
ln_bis1738:
cmp cl,32
jb short ln1738
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1739
ln1738:
shr al,1
rcr edx,cl
ln1739:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6B8 - E6BF
Y6B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1740
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1740:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1741
ror edx,31
ror edx,31
ror edx,1
jmp short ln1742
ln_bis1741:
cmp cl,32
jb short ln1741
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1742
ln1741:
ror edx,cl
ln1742:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6D0 - E6D7
Y6D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6D8 - E6DF
Y6D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6E0 - E6E7
Y6E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6E8 - E6EF
Y6E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E6F0 - E6F7
Y6F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E6F8
Y6F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E6F9
Y6F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
ror cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E700 - E707
Y700:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E708 - E70F
Y708:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E710 - E717
Y710:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,3
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E718 - E71F
Y718:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,3
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E720 - E727
Y720:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1743
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1743:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1744:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1744
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E728 - E72F
Y728:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1745
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1745:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1746
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1747
ln1746:
shl byte[__dreg+ebx*4],cl
ln1747:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E730 - E737
Y730:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1748
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1748:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1749
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1750
ln_bis1749:
cmp cl,32
jb short ln1749
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1750
ln1749:
shr al,1
rcl dl,cl
ln1750:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E738 - E73F
Y738:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1751
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1751:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1752
rol dl,31
rol dl,31
rol dl,1
jmp short ln1753
ln_bis1752:
cmp cl,32
jb short ln1752
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1753
ln1752:
rol dl,cl
ln1753:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E740 - E747
Y740:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E748 - E74F
Y748:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E750 - E757
Y750:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,3
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E758 - E75F
Y758:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,3
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E760 - E767
Y760:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1754
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1754:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1755:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1755
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E768 - E76F
Y768:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1756
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1756:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1757
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1758
ln1757:
shl word[__dreg+ebx*4],cl
ln1758:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E770 - E777
Y770:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1759
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1759:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1760
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1761
ln_bis1760:
cmp cl,32
jb short ln1760
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1761
ln1760:
shr al,1
rcl dx,cl
ln1761:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E778 - E77F
Y778:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1762
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1762:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1763
rol dx,31
rol dx,31
rol dx,1
jmp short ln1764
ln_bis1763:
cmp cl,32
jb short ln1763
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1764
ln1763:
rol dx,cl
ln1764:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E780 - E787
Y780:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E788 - E78F
Y788:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],3
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E790 - E797
Y790:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,3
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E798 - E79F
Y798:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,3
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7A0 - E7A7
Y7A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1765
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1765:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1766:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1766
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7A8 - E7AF
Y7A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1767
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1767:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1768
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1769
ln1768:
shl dword[__dreg+ebx*4],cl
ln1769:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7B0 - E7B7
Y7B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1770
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1770:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1771
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1772
ln_bis1771:
cmp cl,32
jb short ln1771
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1772
ln1771:
shr al,1
rcl edx,cl
ln1772:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7B8 - E7BF
Y7B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+12]
and cl,byte 63
jnz short ln1773
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1773:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1774
rol edx,31
rol edx,31
rol edx,1
jmp short ln1775
ln_bis1774:
cmp cl,32
jb short ln1774
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1775
ln1774:
rol edx,cl
ln1775:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7D0 - E7D7
Y7D0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7D8 - E7DF
Y7D8:
and ebx,byte 7
mov edx,[__areg+ebx*4]
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
add edx,byte 2
mov [__areg+ebx*4],edx
sub edi,byte 12
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7E0 - E7E7
Y7E0:
and ebx,byte 7
mov edx,[__areg+ebx*4]
sub edx,byte 2
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword

mov [__areg+ebx*4],edx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7E8 - E7EF
Y7E8:
and ebx,byte 7
movsx edx,word [esi]
add esi,byte 2
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E7F0 - E7F7
Y7F0:
and ebx,byte 7
call decode_ext
add edx,[__areg+ebx*4]
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E7F8
Y7F8:
movsx edx,word [esi]
add esi,byte 2
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcode E7F9
Y7F9:
mov edx,[esi]
add esi,byte 4
rol edx,16
call readmemoryword
xor al,al
rol cx,1
adc al,al
test cx,cx
lahf
or ah,al
xor al,al
call writememoryword
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E800 - E807
Y800:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E808 - E80F
Y808:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E810 - E817
Y810:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,4
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E818 - E81F
Y818:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,4
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E820 - E827
Y820:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1776
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1776:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1777
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1778
ln1777:
sar byte[__dreg+ebx*4],cl
ln1778:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E828 - E82F
Y828:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1779
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1779:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1780
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1781
ln1780:
shr byte[__dreg+ebx*4],cl
ln1781:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E830 - E837
Y830:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1782
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1782:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1783
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1784
ln_bis1783:
cmp cl,32
jb short ln1783
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1784
ln1783:
shr al,1
rcr dl,cl
ln1784:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E838 - E83F
Y838:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1785
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1785:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1786
ror dl,31
ror dl,31
ror dl,1
jmp short ln1787
ln_bis1786:
cmp cl,32
jb short ln1786
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1787
ln1786:
ror dl,cl
ln1787:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E840 - E847
Y840:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E848 - E84F
Y848:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E850 - E857
Y850:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,4
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E858 - E85F
Y858:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,4
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E860 - E867
Y860:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1788
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1788:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1789
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1790
ln1789:
sar word[__dreg+ebx*4],cl
ln1790:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E868 - E86F
Y868:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1791
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1791:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1792
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1793
ln1792:
shr word[__dreg+ebx*4],cl
ln1793:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E870 - E877
Y870:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1794
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1794:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1795
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1796
ln_bis1795:
cmp cl,32
jb short ln1795
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1796
ln1795:
shr al,1
rcr dx,cl
ln1796:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E878 - E87F
Y878:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1797
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1797:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1798
ror dx,31
ror dx,31
ror dx,1
jmp short ln1799
ln_bis1798:
cmp cl,32
jb short ln1798
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1799
ln1798:
ror dx,cl
ln1799:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E880 - E887
Y880:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E888 - E88F
Y888:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E890 - E897
Y890:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,4
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E898 - E89F
Y898:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,4
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E8A0 - E8A7
Y8A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1800
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1800:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1801
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1802
ln1801:
sar dword[__dreg+ebx*4],cl
ln1802:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E8A8 - E8AF
Y8A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1803
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1803:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1804
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1805
ln1804:
shr dword[__dreg+ebx*4],cl
ln1805:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E8B0 - E8B7
Y8B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1806
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1806:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1807
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1808
ln_bis1807:
cmp cl,32
jb short ln1807
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1808
ln1807:
shr al,1
rcr edx,cl
ln1808:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E8B8 - E8BF
Y8B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1809
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1809:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1810
ror edx,31
ror edx,31
ror edx,1
jmp short ln1811
ln_bis1810:
cmp cl,32
jb short ln1810
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1811
ln1810:
ror edx,cl
ln1811:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E900 - E907
Y900:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E908 - E90F
Y908:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E910 - E917
Y910:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,4
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E918 - E91F
Y918:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,4
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E920 - E927
Y920:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1812
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1812:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1813:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1813
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E928 - E92F
Y928:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1814
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1814:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1815
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1816
ln1815:
shl byte[__dreg+ebx*4],cl
ln1816:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E930 - E937
Y930:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1817
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1817:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1818
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1819
ln_bis1818:
cmp cl,32
jb short ln1818
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1819
ln1818:
shr al,1
rcl dl,cl
ln1819:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E938 - E93F
Y938:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1820
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1820:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1821
rol dl,31
rol dl,31
rol dl,1
jmp short ln1822
ln_bis1821:
cmp cl,32
jb short ln1821
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1822
ln1821:
rol dl,cl
ln1822:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E940 - E947
Y940:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E948 - E94F
Y948:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E950 - E957
Y950:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,4
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E958 - E95F
Y958:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,4
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 14
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E960 - E967
Y960:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1823
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1823:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1824:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1824
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E968 - E96F
Y968:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1825
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1825:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1826
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1827
ln1826:
shl word[__dreg+ebx*4],cl
ln1827:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E970 - E977
Y970:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1828
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1828:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1829
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1830
ln_bis1829:
cmp cl,32
jb short ln1829
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1830
ln1829:
shr al,1
rcl dx,cl
ln1830:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E978 - E97F
Y978:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1831
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1831:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1832
rol dx,31
rol dx,31
rol dx,1
jmp short ln1833
ln_bis1832:
cmp cl,32
jb short ln1832
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1833
ln1832:
rol dx,cl
ln1833:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E980 - E987
Y980:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E988 - E98F
Y988:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],4
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E990 - E997
Y990:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,4
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E998 - E99F
Y998:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,4
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E9A0 - E9A7
Y9A0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1834
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1834:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1835:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1835
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E9A8 - E9AF
Y9A8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1836
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1836:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1837
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1838
ln1837:
shl dword[__dreg+ebx*4],cl
ln1838:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E9B0 - E9B7
Y9B0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1839
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1839:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1840
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1841
ln_bis1840:
cmp cl,32
jb short ln1840
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1841
ln1840:
shr al,1
rcl edx,cl
ln1841:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes E9B8 - E9BF
Y9B8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+16]
and cl,byte 63
jnz short ln1842
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1842:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1843
rol edx,31
rol edx,31
rol edx,1
jmp short ln1844
ln_bis1843:
cmp cl,32
jb short ln1843
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1844
ln1843:
rol edx,cl
ln1844:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA00 - EA07
YA00:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA08 - EA0F
YA08:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA10 - EA17
YA10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,5
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA18 - EA1F
YA18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,5
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA20 - EA27
YA20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1845
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1845:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1846
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1847
ln1846:
sar byte[__dreg+ebx*4],cl
ln1847:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA28 - EA2F
YA28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1848
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1848:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1849
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1850
ln1849:
shr byte[__dreg+ebx*4],cl
ln1850:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA30 - EA37
YA30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1851
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1851:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1852
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1853
ln_bis1852:
cmp cl,32
jb short ln1852
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1853
ln1852:
shr al,1
rcr dl,cl
ln1853:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA38 - EA3F
YA38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1854
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1854:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1855
ror dl,31
ror dl,31
ror dl,1
jmp short ln1856
ln_bis1855:
cmp cl,32
jb short ln1855
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1856
ln1855:
ror dl,cl
ln1856:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA40 - EA47
YA40:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA48 - EA4F
YA48:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA50 - EA57
YA50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,5
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA58 - EA5F
YA58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,5
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA60 - EA67
YA60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1857
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1857:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1858
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1859
ln1858:
sar word[__dreg+ebx*4],cl
ln1859:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA68 - EA6F
YA68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1860
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1860:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1861
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1862
ln1861:
shr word[__dreg+ebx*4],cl
ln1862:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA70 - EA77
YA70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1863
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1863:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1864
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1865
ln_bis1864:
cmp cl,32
jb short ln1864
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1865
ln1864:
shr al,1
rcr dx,cl
ln1865:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA78 - EA7F
YA78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1866
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1866:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1867
ror dx,31
ror dx,31
ror dx,1
jmp short ln1868
ln_bis1867:
cmp cl,32
jb short ln1867
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1868
ln1867:
ror dx,cl
ln1868:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA80 - EA87
YA80:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA88 - EA8F
YA88:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA90 - EA97
YA90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,5
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EA98 - EA9F
YA98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,5
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EAA0 - EAA7
YAA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1869
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1869:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1870
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1871
ln1870:
sar dword[__dreg+ebx*4],cl
ln1871:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EAA8 - EAAF
YAA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1872
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1872:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1873
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1874
ln1873:
shr dword[__dreg+ebx*4],cl
ln1874:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EAB0 - EAB7
YAB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1875
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1875:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1876
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1877
ln_bis1876:
cmp cl,32
jb short ln1876
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1877
ln1876:
shr al,1
rcr edx,cl
ln1877:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EAB8 - EABF
YAB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1878
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1878:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1879
ror edx,31
ror edx,31
ror edx,1
jmp short ln1880
ln_bis1879:
cmp cl,32
jb short ln1879
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1880
ln1879:
ror edx,cl
ln1880:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB00 - EB07
YB00:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB08 - EB0F
YB08:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB10 - EB17
YB10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,5
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB18 - EB1F
YB18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,5
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB20 - EB27
YB20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1881
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1881:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1882:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1882
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB28 - EB2F
YB28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1883
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1883:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1884
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1885
ln1884:
shl byte[__dreg+ebx*4],cl
ln1885:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB30 - EB37
YB30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1886
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1886:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1887
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1888
ln_bis1887:
cmp cl,32
jb short ln1887
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1888
ln1887:
shr al,1
rcl dl,cl
ln1888:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB38 - EB3F
YB38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1889
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1889:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1890
rol dl,31
rol dl,31
rol dl,1
jmp short ln1891
ln_bis1890:
cmp cl,32
jb short ln1890
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1891
ln1890:
rol dl,cl
ln1891:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB40 - EB47
YB40:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB48 - EB4F
YB48:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB50 - EB57
YB50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,5
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB58 - EB5F
YB58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,5
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 16
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB60 - EB67
YB60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1892
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1892:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1893:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1893
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB68 - EB6F
YB68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1894
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1894:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1895
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1896
ln1895:
shl word[__dreg+ebx*4],cl
ln1896:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB70 - EB77
YB70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1897
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1897:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1898
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1899
ln_bis1898:
cmp cl,32
jb short ln1898
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1899
ln1898:
shr al,1
rcl dx,cl
ln1899:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB78 - EB7F
YB78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1900
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1900:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1901
rol dx,31
rol dx,31
rol dx,1
jmp short ln1902
ln_bis1901:
cmp cl,32
jb short ln1901
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1902
ln1901:
rol dx,cl
ln1902:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB80 - EB87
YB80:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB88 - EB8F
YB88:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],5
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB90 - EB97
YB90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,5
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EB98 - EB9F
YB98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,5
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EBA0 - EBA7
YBA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1903
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1903:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1904:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1904
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EBA8 - EBAF
YBA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1905
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1905:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1906
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1907
ln1906:
shl dword[__dreg+ebx*4],cl
ln1907:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EBB0 - EBB7
YBB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1908
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1908:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1909
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1910
ln_bis1909:
cmp cl,32
jb short ln1909
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1910
ln1909:
shr al,1
rcl edx,cl
ln1910:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EBB8 - EBBF
YBB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+20]
and cl,byte 63
jnz short ln1911
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1911:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1912
rol edx,31
rol edx,31
rol edx,1
jmp short ln1913
ln_bis1912:
cmp cl,32
jb short ln1912
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1913
ln1912:
rol edx,cl
ln1913:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC00 - EC07
YC00:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC08 - EC0F
YC08:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC10 - EC17
YC10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,6
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC18 - EC1F
YC18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,6
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC20 - EC27
YC20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1914
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1914:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1915
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1916
ln1915:
sar byte[__dreg+ebx*4],cl
ln1916:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC28 - EC2F
YC28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1917
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1917:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1918
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1919
ln1918:
shr byte[__dreg+ebx*4],cl
ln1919:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC30 - EC37
YC30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1920
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1920:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1921
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1922
ln_bis1921:
cmp cl,32
jb short ln1921
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1922
ln1921:
shr al,1
rcr dl,cl
ln1922:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC38 - EC3F
YC38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1923
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1923:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1924
ror dl,31
ror dl,31
ror dl,1
jmp short ln1925
ln_bis1924:
cmp cl,32
jb short ln1924
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1925
ln1924:
ror dl,cl
ln1925:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC40 - EC47
YC40:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC48 - EC4F
YC48:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC50 - EC57
YC50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,6
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC58 - EC5F
YC58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,6
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC60 - EC67
YC60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1926
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1926:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1927
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1928
ln1927:
sar word[__dreg+ebx*4],cl
ln1928:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC68 - EC6F
YC68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1929
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1929:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1930
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln1931
ln1930:
shr word[__dreg+ebx*4],cl
ln1931:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC70 - EC77
YC70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1932
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1932:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1933
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln1934
ln_bis1933:
cmp cl,32
jb short ln1933
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln1934
ln1933:
shr al,1
rcr dx,cl
ln1934:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC78 - EC7F
YC78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1935
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1935:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1936
ror dx,31
ror dx,31
ror dx,1
jmp short ln1937
ln_bis1936:
cmp cl,32
jb short ln1936
sub cl,31
ror dx,31
ror dx,cl
jmp short ln1937
ln1936:
ror dx,cl
ln1937:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC80 - EC87
YC80:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC88 - EC8F
YC88:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC90 - EC97
YC90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,6
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EC98 - EC9F
YC98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,6
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ECA0 - ECA7
YCA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1938
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1938:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1939
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln1940
ln1939:
sar dword[__dreg+ebx*4],cl
ln1940:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ECA8 - ECAF
YCA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1941
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1941:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1942
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln1943
ln1942:
shr dword[__dreg+ebx*4],cl
ln1943:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ECB0 - ECB7
YCB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1944
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1944:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1945
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln1946
ln_bis1945:
cmp cl,32
jb short ln1945
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln1946
ln1945:
shr al,1
rcr edx,cl
ln1946:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ECB8 - ECBF
YCB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1947
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1947:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1948
ror edx,31
ror edx,31
ror edx,1
jmp short ln1949
ln_bis1948:
cmp cl,32
jb short ln1948
sub cl,31
ror edx,31
ror edx,cl
jmp short ln1949
ln1948:
ror edx,cl
ln1949:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED00 - ED07
YD00:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED08 - ED0F
YD08:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED10 - ED17
YD10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,6
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED18 - ED1F
YD18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,6
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED20 - ED27
YD20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1950
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1950:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1951:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln1951
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED28 - ED2F
YD28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1952
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1952:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1953
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln1954
ln1953:
shl byte[__dreg+ebx*4],cl
ln1954:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED30 - ED37
YD30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1955
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1955:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1956
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln1957
ln_bis1956:
cmp cl,32
jb short ln1956
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln1957
ln1956:
shr al,1
rcl dl,cl
ln1957:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED38 - ED3F
YD38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1958
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1958:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1959
rol dl,31
rol dl,31
rol dl,1
jmp short ln1960
ln_bis1959:
cmp cl,32
jb short ln1959
sub cl,31
rol dl,31
rol dl,cl
jmp short ln1960
ln1959:
rol dl,cl
ln1960:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED40 - ED47
YD40:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED48 - ED4F
YD48:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED50 - ED57
YD50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,6
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED58 - ED5F
YD58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,6
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 18
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED60 - ED67
YD60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1961
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1961:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1962:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln1962
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED68 - ED6F
YD68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1963
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1963:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1964
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln1965
ln1964:
shl word[__dreg+ebx*4],cl
ln1965:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED70 - ED77
YD70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1966
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1966:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1967
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln1968
ln_bis1967:
cmp cl,32
jb short ln1967
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln1968
ln1967:
shr al,1
rcl dx,cl
ln1968:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED78 - ED7F
YD78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1969
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1969:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1970
rol dx,31
rol dx,31
rol dx,1
jmp short ln1971
ln_bis1970:
cmp cl,32
jb short ln1970
sub cl,31
rol dx,31
rol dx,cl
jmp short ln1971
ln1970:
rol dx,cl
ln1971:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED80 - ED87
YD80:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED88 - ED8F
YD88:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],6
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED90 - ED97
YD90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,6
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes ED98 - ED9F
YD98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,6
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EDA0 - EDA7
YDA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1972
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1972:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln1973:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln1973
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EDA8 - EDAF
YDA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1974
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1974:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1975
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln1976
ln1975:
shl dword[__dreg+ebx*4],cl
ln1976:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EDB0 - EDB7
YDB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1977
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1977:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1978
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln1979
ln_bis1978:
cmp cl,32
jb short ln1978
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln1979
ln1978:
shr al,1
rcl edx,cl
ln1979:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EDB8 - EDBF
YDB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+24]
and cl,byte 63
jnz short ln1980
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1980:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1981
rol edx,31
rol edx,31
rol edx,1
jmp short ln1982
ln_bis1981:
cmp cl,32
jb short ln1981
sub cl,31
rol edx,31
rol edx,cl
jmp short ln1982
ln1981:
rol edx,cl
ln1982:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE00 - EE07
YE00:
and ebx,byte 7
xor al,al
sar byte[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE08 - EE0F
YE08:
and ebx,byte 7
xor al,al
shr byte[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE10 - EE17
YE10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dl,7
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE18 - EE1F
YE18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dl,7
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE20 - EE27
YE20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1983
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1983:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1984
sub cl,31
sar byte[__dreg+ebx*4], 31
sar byte[__dreg+ebx*4], cl
jmp short ln1985
ln1984:
sar byte[__dreg+ebx*4],cl
ln1985:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE28 - EE2F
YE28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1986
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1986:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1987
sub cl,31
shr byte[__dreg+ebx*4], 31
shr byte[__dreg+ebx*4], cl
jmp short ln1988
ln1987:
shr byte[__dreg+ebx*4],cl
ln1988:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE30 - EE37
YE30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1989
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1989:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis1990
shr al,1
rcr dl,31
rcr dl,31
rcr dl,1
jmp short ln1991
ln_bis1990:
cmp cl,32
jb short ln1990
sub cl,31
shr al,1
rcr dl,31
rcr dl,cl
jmp short ln1991
ln1990:
shr al,1
rcr dl,cl
ln1991:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE38 - EE3F
YE38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1992
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1992:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis1993
ror dl,31
ror dl,31
ror dl,1
jmp short ln1994
ln_bis1993:
cmp cl,32
jb short ln1993
sub cl,31
ror dl,31
ror dl,cl
jmp short ln1994
ln1993:
ror dl,cl
ln1994:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE40 - EE47
YE40:
and ebx,byte 7
xor al,al
sar word[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE48 - EE4F
YE48:
and ebx,byte 7
xor al,al
shr word[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE50 - EE57
YE50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr dx,7
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE58 - EE5F
YE58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror dx,7
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE60 - EE67
YE60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1995
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1995:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1996
sub cl,31
sar word[__dreg+ebx*4], 31
sar word[__dreg+ebx*4], cl
jmp short ln1997
ln1996:
sar word[__dreg+ebx*4],cl
ln1997:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE68 - EE6F
YE68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln1998
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln1998:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln1999
sub cl,31
shr word[__dreg+ebx*4], 31
shr word[__dreg+ebx*4], cl
jmp short ln2000
ln1999:
shr word[__dreg+ebx*4],cl
ln2000:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE70 - EE77
YE70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2001
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2001:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis2002
shr al,1
rcr dx,31
rcr dx,31
rcr dx,1
jmp short ln2003
ln_bis2002:
cmp cl,32
jb short ln2002
sub cl,31
shr al,1
rcr dx,31
rcr dx,cl
jmp short ln2003
ln2002:
shr al,1
rcr dx,cl
ln2003:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE78 - EE7F
YE78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2004
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2004:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis2005
ror dx,31
ror dx,31
ror dx,1
jmp short ln2006
ln_bis2005:
cmp cl,32
jb short ln2005
sub cl,31
ror dx,31
ror dx,cl
jmp short ln2006
ln2005:
ror dx,cl
ln2006:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE80 - EE87
YE80:
and ebx,byte 7
xor al,al
sar dword[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE88 - EE8F
YE88:
and ebx,byte 7
xor al,al
shr dword[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE90 - EE97
YE90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcr edx,7
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EE98 - EE9F
YE98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
ror edx,7
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EEA0 - EEA7
YEA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2007
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2007:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln2008
sub cl,31
sar dword[__dreg+ebx*4], 31
sar dword[__dreg+ebx*4], cl
jmp short ln2009
ln2008:
sar dword[__dreg+ebx*4],cl
ln2009:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EEA8 - EEAF
YEA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2010
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2010:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln2011
sub cl,31
shr dword[__dreg+ebx*4], 31
shr dword[__dreg+ebx*4], cl
jmp short ln2012
ln2011:
shr dword[__dreg+ebx*4],cl
ln2012:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EEB0 - EEB7
YEB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2013
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2013:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis2014
shr al,1
rcr edx,31
rcr edx,31
rcr edx,1
jmp short ln2015
ln_bis2014:
cmp cl,32
jb short ln2014
sub cl,31
shr al,1
rcr edx,31
rcr edx,cl
jmp short ln2015
ln2014:
shr al,1
rcr edx,cl
ln2015:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EEB8 - EEBF
YEB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2016
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2016:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis2017
ror edx,31
ror edx,31
ror edx,1
jmp short ln2018
ln_bis2017:
cmp cl,32
jb short ln2017
sub cl,31
ror edx,31
ror edx,cl
jmp short ln2018
ln2017:
ror edx,cl
ln2018:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF00 - EF07
YF00:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
seto ch
or al,ch
add dl,dl
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF08 - EF0F
YF08:
and ebx,byte 7
xor al,al
shl byte[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF10 - EF17
YF10:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dl,7
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF18 - EF1F
YF18:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dl,7
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF20 - EF27
YF20:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2019
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2019:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln2020:
add dl,dl
lahf
seto ch
or al,ch
dec cl
jnz short ln2020
mov [__dreg+ebx*4],dl
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF28 - EF2F
YF28:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2021
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2021:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln2022
sub cl,31
shl byte[__dreg+ebx*4], 31
shl byte[__dreg+ebx*4], cl
jmp short ln2023
ln2022:
shl byte[__dreg+ebx*4],cl
ln2023:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF30 - EF37
YF30:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2024
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2024:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis2025
shr al,1
rcl dl,31
rcl dl,31
rcl dl,1
jmp short ln2026
ln_bis2025:
cmp cl,32
jb short ln2025
sub cl,31
shr al,1
rcl dl,31
rcl dl,cl
jmp short ln2026
ln2025:
shr al,1
rcl dl,cl
ln2026:
adc al,al
test dl,dl
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF38 - EF3F
YF38:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2027
mov ecx,[__dreg+ebx*4]
test cl,cl
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2027:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis2028
rol dl,31
rol dl,31
rol dl,1
jmp short ln2029
ln_bis2028:
cmp cl,32
jb short ln2028
sub cl,31
rol dl,31
rol dl,cl
jmp short ln2029
ln2028:
rol dl,cl
ln2029:
adc al,al
test dl,dl
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dl
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF40 - EF47
YF40:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
seto ch
or al,ch
add dx,dx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF48 - EF4F
YF48:
and ebx,byte 7
xor al,al
shl word[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF50 - EF57
YF50:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl dx,7
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF58 - EF5F
YF58:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol dx,7
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 20
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF60 - EF67
YF60:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2030
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2030:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln2031:
add dx,dx
lahf
seto ch
or al,ch
dec cl
jnz short ln2031
mov [__dreg+ebx*4],dx
test ah,1
setnz [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF68 - EF6F
YF68:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2032
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2032:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln2033
sub cl,31
shl word[__dreg+ebx*4], 31
shl word[__dreg+ebx*4], cl
jmp short ln2034
ln2033:
shl word[__dreg+ebx*4],cl
ln2034:
lahf
setc [__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF70 - EF77
YF70:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2035
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2035:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis2036
shr al,1
rcl dx,31
rcl dx,31
rcl dx,1
jmp short ln2037
ln_bis2036:
cmp cl,32
jb short ln2036
sub cl,31
shr al,1
rcl dx,31
rcl dx,cl
jmp short ln2037
ln2036:
shr al,1
rcl dx,cl
ln2037:
adc al,al
test dx,dx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF78 - EF7F
YF78:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2038
mov ecx,[__dreg+ebx*4]
test cx,cx
lahf
xor al,al
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2038:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis2039
rol dx,31
rol dx,31
rol dx,1
jmp short ln2040
ln_bis2039:
cmp cl,32
jb short ln2039
sub cl,31
rol dx,31
rol dx,cl
jmp short ln2040
ln2039:
rol dx,cl
ln2040:
adc al,al
test dx,dx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],dx
sub edi,byte 6
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF80 - EF87
YF80:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
seto ch
or al,ch
add edx,edx
lahf
seto ch
or al,ch
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF88 - EF8F
YF88:
and ebx,byte 7
xor al,al
shl dword[__dreg+ebx*4],7
lahf
setc [__xflag]
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF90 - EF97
YF90:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
shr al,1
rcl edx,7
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EF98 - EF9F
YF98:
and ebx,byte 7
mov edx,[__dreg+ebx*4]
xor al,al
rol edx,7
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 22
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EFA0 - EFA7
YFA0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2041
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2041:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
ln2042:
add edx,edx
lahf
seto ch
or al,ch
dec cl
jnz short ln2042
mov [__dreg+ebx*4],edx
test ah,1
setnz [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EFA8 - EFAF
YFA8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2043
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2043:
sub edi,ecx
sub edi,ecx
xor al,al
cmp cl,32
jb short ln2044
sub cl,31
shl dword[__dreg+ebx*4], 31
shl dword[__dreg+ebx*4], cl
jmp short ln2045
ln2044:
shl dword[__dreg+ebx*4],cl
ln2045:
lahf
setc [__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EFB0 - EFB7
YFB0:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2046
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
and ah,0FEh
or ah,[__xflag]
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2046:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
mov al,[__xflag]
cmp cl,63
jb short ln_bis2047
shr al,1
rcl edx,31
rcl edx,31
rcl edx,1
jmp short ln2048
ln_bis2047:
cmp cl,32
jb short ln2047
sub cl,31
shr al,1
rcl edx,31
rcl edx,cl
jmp short ln2048
ln2047:
shr al,1
rcl edx,cl
ln2048:
adc al,al
test edx,edx
lahf
or ah,al
mov [__xflag],al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes EFB8 - EFBF
YFB8:
and ebx,byte 7
xor ecx,ecx
mov cl,[__dreg+28]
and cl,byte 63
jnz short ln2049
mov ecx,[__dreg+ebx*4]
test ecx,ecx
lahf
xor al,al
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
ln2049:
sub edi,ecx
sub edi,ecx
mov edx,[__dreg+ebx*4]
xor al,al
cmp cl,63
jb short ln_bis2050
rol edx,31
rol edx,31
rol edx,1
jmp short ln2051
ln_bis2050:
cmp cl,32
jb short ln2050
sub cl,31
rol edx,31
rol edx,cl
jmp short ln2051
ln2050:
rol edx,cl
ln2051:
adc al,al
test edx,edx
lahf
or ah,al
xor al,al
mov [__dreg+ebx*4],edx
sub edi,byte 8
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
; Opcodes F000 - FFFF
Z000:
sub esi,byte 2
mov edx,2Ch
call group_1_exception
and esi,16777215
mov ecx,esi
shr ecx,12
cmp cx,word[__fetch_bank]
je short ln2052
call basefunction
ln2052:
add esi,ebp
sub edi,byte 34
js near execexit
xor ebx,ebx
mov bx,[esi]
add esi,byte 2
jmp dword[__jmptbl+ebx*4]
section .bss
bits 32
times ($$-$)&3 db 0
__jmptbl resb 262144
__sfmhtbl resd 16777216
__srbmhtbl resd 16777216
__srwmhtbl resd 16777216
__swbmhtbl resd 16777216
__swwmhtbl resd 16777216
section .data
bits 32
times ($$-$)&3 db 0
__jmptblcomp:
dd K000-top+117440512
dd r_illegal-top+117440512
dd K010-top+117440512
dd K018-top+117440512
dd K020-top+117440512
dd K028-top+117440512
dd K030-top+117440512
dd K038-top
dd K039-top
dd r_illegal-top+16777216
dd K03C-top
dd r_illegal-top+33554432
dd K040-top+117440512
dd r_illegal-top+117440512
dd K050-top+117440512
dd K058-top+117440512
dd K060-top+117440512
dd K068-top+117440512
dd K070-top+117440512
dd K078-top
dd K079-top
dd r_illegal-top+16777216
dd K07C-top
dd r_illegal-top+33554432
dd K080-top+117440512
dd r_illegal-top+117440512
dd K090-top+117440512
dd K098-top+117440512
dd K0A0-top+117440512
dd K0A8-top+117440512
dd K0B0-top+117440512
dd K0B8-top
dd K0B9-top
dd r_illegal-top+1157627904
dd K100-top+117440512
dd K108-top+117440512
dd K110-top+117440512
dd K118-top+117440512
dd K120-top+117440512
dd K128-top+117440512
dd K130-top+117440512
dd K138-top
dd K139-top
dd K13A-top
dd K13B-top
dd K13C-top
dd r_illegal-top+33554432
dd K140-top+117440512
dd K148-top+117440512
dd K150-top+117440512
dd K158-top+117440512
dd K160-top+117440512
dd K168-top+117440512
dd K170-top+117440512
dd K178-top
dd K179-top
dd r_illegal-top+83886080
dd K180-top+117440512
dd K188-top+117440512
dd K190-top+117440512
dd K198-top+117440512
dd K1A0-top+117440512
dd K1A8-top+117440512
dd K1B0-top+117440512
dd K1B8-top
dd K1B9-top
dd r_illegal-top+83886080
dd K1C0-top+117440512
dd K1C8-top+117440512
dd K1D0-top+117440512
dd K1D8-top+117440512
dd K1E0-top+117440512
dd K1E8-top+117440512
dd K1F0-top+117440512
dd K1F8-top
dd K1F9-top
dd r_illegal-top+83886080
dd K200-top+117440512
dd r_illegal-top+117440512
dd K210-top+117440512
dd K218-top+117440512
dd K220-top+117440512
dd K228-top+117440512
dd K230-top+117440512
dd K238-top
dd K239-top
dd r_illegal-top+16777216
dd K23C-top
dd r_illegal-top+33554432
dd K240-top+117440512
dd r_illegal-top+117440512
dd K250-top+117440512
dd K258-top+117440512
dd K260-top+117440512
dd K268-top+117440512
dd K270-top+117440512
dd K278-top
dd K279-top
dd r_illegal-top+16777216
dd K27C-top
dd r_illegal-top+33554432
dd K280-top+117440512
dd r_illegal-top+117440512
dd K290-top+117440512
dd K298-top+117440512
dd K2A0-top+117440512
dd K2A8-top+117440512
dd K2B0-top+117440512
dd K2B8-top
dd K2B9-top
dd r_illegal-top+1157627904
dd K300-top+117440512
dd K308-top+117440512
dd K310-top+117440512
dd K318-top+117440512
dd K320-top+117440512
dd K328-top+117440512
dd K330-top+117440512
dd K338-top
dd K339-top
dd K33A-top
dd K33B-top
dd K33C-top
dd r_illegal-top+33554432
dd K340-top+117440512
dd K348-top+117440512
dd K350-top+117440512
dd K358-top+117440512
dd K360-top+117440512
dd K368-top+117440512
dd K370-top+117440512
dd K378-top
dd K379-top
dd r_illegal-top+83886080
dd K380-top+117440512
dd K388-top+117440512
dd K390-top+117440512
dd K398-top+117440512
dd K3A0-top+117440512
dd K3A8-top+117440512
dd K3B0-top+117440512
dd K3B8-top
dd K3B9-top
dd r_illegal-top+83886080
dd K3C0-top+117440512
dd K3C8-top+117440512
dd K3D0-top+117440512
dd K3D8-top+117440512
dd K3E0-top+117440512
dd K3E8-top+117440512
dd K3F0-top+117440512
dd K3F8-top
dd K3F9-top
dd r_illegal-top+83886080
dd K400-top+117440512
dd r_illegal-top+117440512
dd K410-top+117440512
dd K418-top+117440512
dd K420-top+117440512
dd K428-top+117440512
dd K430-top+117440512
dd K438-top
dd K439-top
dd r_illegal-top+83886080
dd K440-top+117440512
dd r_illegal-top+117440512
dd K450-top+117440512
dd K458-top+117440512
dd K460-top+117440512
dd K468-top+117440512
dd K470-top+117440512
dd K478-top
dd K479-top
dd r_illegal-top+83886080
dd K480-top+117440512
dd r_illegal-top+117440512
dd K490-top+117440512
dd K498-top+117440512
dd K4A0-top+117440512
dd K4A8-top+117440512
dd K4B0-top+117440512
dd K4B8-top
dd K4B9-top
dd r_illegal-top+1157627904
dd K500-top+117440512
dd K508-top+117440512
dd K510-top+117440512
dd K518-top+117440512
dd K520-top+117440512
dd K528-top+117440512
dd K530-top+117440512
dd K538-top
dd K539-top
dd K53A-top
dd K53B-top
dd K53C-top
dd r_illegal-top+33554432
dd K540-top+117440512
dd K548-top+117440512
dd K550-top+117440512
dd K558-top+117440512
dd K560-top+117440512
dd K568-top+117440512
dd K570-top+117440512
dd K578-top
dd K579-top
dd r_illegal-top+83886080
dd K580-top+117440512
dd K588-top+117440512
dd K590-top+117440512
dd K598-top+117440512
dd K5A0-top+117440512
dd K5A8-top+117440512
dd K5B0-top+117440512
dd K5B8-top
dd K5B9-top
dd r_illegal-top+83886080
dd K5C0-top+117440512
dd K5C8-top+117440512
dd K5D0-top+117440512
dd K5D8-top+117440512
dd K5E0-top+117440512
dd K5E8-top+117440512
dd K5F0-top+117440512
dd K5F8-top
dd K5F9-top
dd r_illegal-top+83886080
dd K600-top+117440512
dd r_illegal-top+117440512
dd K610-top+117440512
dd K618-top+117440512
dd K620-top+117440512
dd K628-top+117440512
dd K630-top+117440512
dd K638-top
dd K639-top
dd r_illegal-top+83886080
dd K640-top+117440512
dd r_illegal-top+117440512
dd K650-top+117440512
dd K658-top+117440512
dd K660-top+117440512
dd K668-top+117440512
dd K670-top+117440512
dd K678-top
dd K679-top
dd r_illegal-top+83886080
dd K680-top+117440512
dd r_illegal-top+117440512
dd K690-top+117440512
dd K698-top+117440512
dd K6A0-top+117440512
dd K6A8-top+117440512
dd K6B0-top+117440512
dd K6B8-top
dd K6B9-top
dd r_illegal-top+1157627904
dd K700-top+117440512
dd K708-top+117440512
dd K710-top+117440512
dd K718-top+117440512
dd K720-top+117440512
dd K728-top+117440512
dd K730-top+117440512
dd K738-top
dd K739-top
dd K73A-top
dd K73B-top
dd K73C-top
dd r_illegal-top+33554432
dd K740-top+117440512
dd K748-top+117440512
dd K750-top+117440512
dd K758-top+117440512
dd K760-top+117440512
dd K768-top+117440512
dd K770-top+117440512
dd K778-top
dd K779-top
dd r_illegal-top+83886080
dd K780-top+117440512
dd K788-top+117440512
dd K790-top+117440512
dd K798-top+117440512
dd K7A0-top+117440512
dd K7A8-top+117440512
dd K7B0-top+117440512
dd K7B8-top
dd K7B9-top
dd r_illegal-top+83886080
dd K7C0-top+117440512
dd K7C8-top+117440512
dd K7D0-top+117440512
dd K7D8-top+117440512
dd K7E0-top+117440512
dd K7E8-top+117440512
dd K7F0-top+117440512
dd K7F8-top
dd K7F9-top
dd r_illegal-top+83886080
dd K800-top+117440512
dd r_illegal-top+117440512
dd K810-top+117440512
dd K818-top+117440512
dd K820-top+117440512
dd K828-top+117440512
dd K830-top+117440512
dd K838-top
dd K839-top
dd K83A-top
dd K83B-top
dd K83C-top
dd r_illegal-top+33554432
dd K840-top+117440512
dd r_illegal-top+117440512
dd K850-top+117440512
dd K858-top+117440512
dd K860-top+117440512
dd K868-top+117440512
dd K870-top+117440512
dd K878-top
dd K879-top
dd r_illegal-top+83886080
dd K880-top+117440512
dd r_illegal-top+117440512
dd K890-top+117440512
dd K898-top+117440512
dd K8A0-top+117440512
dd K8A8-top+117440512
dd K8B0-top+117440512
dd K8B8-top
dd K8B9-top
dd r_illegal-top+83886080
dd K8C0-top+117440512
dd r_illegal-top+117440512
dd K8D0-top+117440512
dd K8D8-top+117440512
dd K8E0-top+117440512
dd K8E8-top+117440512
dd K8F0-top+117440512
dd K8F8-top
dd K8F9-top
dd r_illegal-top+83886080
dd K900-top+117440512
dd K908-top+117440512
dd K910-top+117440512
dd K918-top+117440512
dd K920-top+117440512
dd K928-top+117440512
dd K930-top+117440512
dd K938-top
dd K939-top
dd K93A-top
dd K93B-top
dd K93C-top
dd r_illegal-top+33554432
dd K940-top+117440512
dd K948-top+117440512
dd K950-top+117440512
dd K958-top+117440512
dd K960-top+117440512
dd K968-top+117440512
dd K970-top+117440512
dd K978-top
dd K979-top
dd r_illegal-top+83886080
dd K980-top+117440512
dd K988-top+117440512
dd K990-top+117440512
dd K998-top+117440512
dd K9A0-top+117440512
dd K9A8-top+117440512
dd K9B0-top+117440512
dd K9B8-top
dd K9B9-top
dd r_illegal-top+83886080
dd K9C0-top+117440512
dd K9C8-top+117440512
dd K9D0-top+117440512
dd K9D8-top+117440512
dd K9E0-top+117440512
dd K9E8-top+117440512
dd K9F0-top+117440512
dd K9F8-top
dd K9F9-top
dd r_illegal-top+83886080
dd KA00-top+117440512
dd r_illegal-top+117440512
dd KA10-top+117440512
dd KA18-top+117440512
dd KA20-top+117440512
dd KA28-top+117440512
dd KA30-top+117440512
dd KA38-top
dd KA39-top
dd r_illegal-top+16777216
dd KA3C-top
dd r_illegal-top+33554432
dd KA40-top+117440512
dd r_illegal-top+117440512
dd KA50-top+117440512
dd KA58-top+117440512
dd KA60-top+117440512
dd KA68-top+117440512
dd KA70-top+117440512
dd KA78-top
dd KA79-top
dd r_illegal-top+16777216
dd KA7C-top
dd r_illegal-top+33554432
dd KA80-top+117440512
dd r_illegal-top+117440512
dd KA90-top+117440512
dd KA98-top+117440512
dd KAA0-top+117440512
dd KAA8-top+117440512
dd KAB0-top+117440512
dd KAB8-top
dd KAB9-top
dd r_illegal-top+1157627904
dd KB00-top+117440512
dd KB08-top+117440512
dd KB10-top+117440512
dd KB18-top+117440512
dd KB20-top+117440512
dd KB28-top+117440512
dd KB30-top+117440512
dd KB38-top
dd KB39-top
dd KB3A-top
dd KB3B-top
dd KB3C-top
dd r_illegal-top+33554432
dd KB40-top+117440512
dd KB48-top+117440512
dd KB50-top+117440512
dd KB58-top+117440512
dd KB60-top+117440512
dd KB68-top+117440512
dd KB70-top+117440512
dd KB78-top
dd KB79-top
dd r_illegal-top+83886080
dd KB80-top+117440512
dd KB88-top+117440512
dd KB90-top+117440512
dd KB98-top+117440512
dd KBA0-top+117440512
dd KBA8-top+117440512
dd KBB0-top+117440512
dd KBB8-top
dd KBB9-top
dd r_illegal-top+83886080
dd KBC0-top+117440512
dd KBC8-top+117440512
dd KBD0-top+117440512
dd KBD8-top+117440512
dd KBE0-top+117440512
dd KBE8-top+117440512
dd KBF0-top+117440512
dd KBF8-top
dd KBF9-top
dd r_illegal-top+83886080
dd KC00-top+117440512
dd r_illegal-top+117440512
dd KC10-top+117440512
dd KC18-top+117440512
dd KC20-top+117440512
dd KC28-top+117440512
dd KC30-top+117440512
dd KC38-top
dd KC39-top
dd r_illegal-top+83886080
dd KC40-top+117440512
dd r_illegal-top+117440512
dd KC50-top+117440512
dd KC58-top+117440512
dd KC60-top+117440512
dd KC68-top+117440512
dd KC70-top+117440512
dd KC78-top
dd KC79-top
dd r_illegal-top+83886080
dd KC80-top+117440512
dd r_illegal-top+117440512
dd KC90-top+117440512
dd KC98-top+117440512
dd KCA0-top+117440512
dd KCA8-top+117440512
dd KCB0-top+117440512
dd KCB8-top
dd KCB9-top
dd r_illegal-top+1157627904
dd KD00-top+117440512
dd KD08-top+117440512
dd KD10-top+117440512
dd KD18-top+117440512
dd KD20-top+117440512
dd KD28-top+117440512
dd KD30-top+117440512
dd KD38-top
dd KD39-top
dd KD3A-top
dd KD3B-top
dd KD3C-top
dd r_illegal-top+33554432
dd KD40-top+117440512
dd KD48-top+117440512
dd KD50-top+117440512
dd KD58-top+117440512
dd KD60-top+117440512
dd KD68-top+117440512
dd KD70-top+117440512
dd KD78-top
dd KD79-top
dd r_illegal-top+83886080
dd KD80-top+117440512
dd KD88-top+117440512
dd KD90-top+117440512
dd KD98-top+117440512
dd KDA0-top+117440512
dd KDA8-top+117440512
dd KDB0-top+117440512
dd KDB8-top
dd KDB9-top
dd r_illegal-top+83886080
dd KDC0-top+117440512
dd KDC8-top+117440512
dd KDD0-top+117440512
dd KDD8-top+117440512
dd KDE0-top+117440512
dd KDE8-top+117440512
dd KDF0-top+117440512
dd KDF8-top
dd KDF9-top
dd r_illegal-top+4278190080
dd r_illegal-top+83886080
dd KF00-top+117440512
dd KF08-top+117440512
dd KF10-top+117440512
dd KF18-top+117440512
dd KF20-top+117440512
dd KF28-top+117440512
dd KF30-top+117440512
dd KF38-top
dd KF39-top
dd KF3A-top
dd KF3B-top
dd KF3C-top
dd r_illegal-top+33554432
dd KF40-top+117440512
dd KF48-top+117440512
dd KF50-top+117440512
dd KF58-top+117440512
dd KF60-top+117440512
dd KF68-top+117440512
dd KF70-top+117440512
dd KF78-top
dd KF79-top
dd r_illegal-top+83886080
dd KF80-top+117440512
dd KF88-top+117440512
dd KF90-top+117440512
dd KF98-top+117440512
dd KFA0-top+117440512
dd KFA8-top+117440512
dd KFB0-top+117440512
dd KFB8-top
dd KFB9-top
dd r_illegal-top+83886080
dd KFC0-top+117440512
dd KFC8-top+117440512
dd KFD0-top+117440512
dd KFD8-top+117440512
dd KFE0-top+117440512
dd KFE8-top+117440512
dd KFF0-top+117440512
dd KFF8-top
dd KFF9-top
dd r_illegal-top+83886080
dd L000-top+117440512
dd L008-top+117440512
dd L010-top+117440512
dd L018-top+117440512
dd L020-top+117440512
dd L028-top+117440512
dd L030-top+117440512
dd L038-top
dd L039-top
dd L03A-top
dd L03B-top
dd L03C-top
dd r_illegal-top+1107296256
dd L080-top+117440512
dd L088-top+117440512
dd L090-top+117440512
dd L098-top+117440512
dd L0A0-top+117440512
dd L0A8-top+117440512
dd L0B0-top+117440512
dd L0B8-top
dd L0B9-top
dd L0BA-top
dd L0BB-top
dd L0BC-top
dd r_illegal-top+33554432
dd L0C0-top+117440512
dd L0C8-top+117440512
dd L0D0-top+117440512
dd L0D8-top+117440512
dd L0E0-top+117440512
dd L0E8-top+117440512
dd L0F0-top+117440512
dd L0F8-top
dd L0F9-top
dd L0FA-top
dd L0FB-top
dd L0FC-top
dd r_illegal-top+33554432
dd L100-top+117440512
dd L108-top+117440512
dd L110-top+117440512
dd L118-top+117440512
dd L120-top+117440512
dd L128-top+117440512
dd L130-top+117440512
dd L138-top
dd L139-top
dd L13A-top
dd L13B-top
dd L13C-top
dd r_illegal-top+33554432
dd L140-top+117440512
dd L148-top+117440512
dd L150-top+117440512
dd L158-top+117440512
dd L160-top+117440512
dd L168-top+117440512
dd L170-top+117440512
dd L178-top
dd L179-top
dd L17A-top
dd L17B-top
dd L17C-top
dd r_illegal-top+33554432
dd L180-top+117440512
dd L188-top+117440512
dd L190-top+117440512
dd L198-top+117440512
dd L1A0-top+117440512
dd L1A8-top+117440512
dd L1B0-top+117440512
dd L1B8-top
dd L1B9-top
dd L1BA-top
dd L1BB-top
dd L1BC-top
dd r_illegal-top+33554432
dd L1C0-top+117440512
dd L1C8-top+117440512
dd L1D0-top+117440512
dd L1D8-top+117440512
dd L1E0-top+117440512
dd L1E8-top+117440512
dd L1F0-top+117440512
dd L1F8-top
dd L1F9-top
dd L1FA-top
dd L1FB-top
dd L1FC-top
dd r_illegal-top+33554432
dd L200-top+117440512
dd L208-top+117440512
dd L210-top+117440512
dd L218-top+117440512
dd L220-top+117440512
dd L228-top+117440512
dd L230-top+117440512
dd L238-top
dd L239-top
dd L23A-top
dd L23B-top
dd L23C-top
dd r_illegal-top+1107296256
dd L280-top+117440512
dd L288-top+117440512
dd L290-top+117440512
dd L298-top+117440512
dd L2A0-top+117440512
dd L2A8-top+117440512
dd L2B0-top+117440512
dd L2B8-top
dd L2B9-top
dd L2BA-top
dd L2BB-top
dd L2BC-top
dd r_illegal-top+33554432
dd L2C0-top+117440512
dd L2C8-top+117440512
dd L2D0-top+117440512
dd L2D8-top+117440512
dd L2E0-top+117440512
dd L2E8-top+117440512
dd L2F0-top+117440512
dd L2F8-top
dd L2F9-top
dd L2FA-top
dd L2FB-top
dd L2FC-top
dd r_illegal-top+33554432
dd L300-top+117440512
dd L308-top+117440512
dd L310-top+117440512
dd L318-top+117440512
dd L320-top+117440512
dd L328-top+117440512
dd L330-top+117440512
dd L338-top
dd L339-top
dd L33A-top
dd L33B-top
dd L33C-top
dd r_illegal-top+33554432
dd L340-top+117440512
dd L348-top+117440512
dd L350-top+117440512
dd L358-top+117440512
dd L360-top+117440512
dd L368-top+117440512
dd L370-top+117440512
dd L378-top
dd L379-top
dd L37A-top
dd L37B-top
dd L37C-top
dd r_illegal-top+33554432
dd L380-top+117440512
dd L388-top+117440512
dd L390-top+117440512
dd L398-top+117440512
dd L3A0-top+117440512
dd L3A8-top+117440512
dd L3B0-top+117440512
dd L3B8-top
dd L3B9-top
dd L3BA-top
dd L3BB-top
dd L3BC-top
dd r_illegal-top+33554432
dd L3C0-top+117440512
dd L3C8-top+117440512
dd L3D0-top+117440512
dd L3D8-top+117440512
dd L3E0-top+117440512
dd L3E8-top+117440512
dd L3F0-top+117440512
dd L3F8-top
dd L3F9-top
dd L3FA-top
dd L3FB-top
dd L3FC-top
dd r_illegal-top+33554432
dd L400-top+117440512
dd L408-top+117440512
dd L410-top+117440512
dd L418-top+117440512
dd L420-top+117440512
dd L428-top+117440512
dd L430-top+117440512
dd L438-top
dd L439-top
dd L43A-top
dd L43B-top
dd L43C-top
dd r_illegal-top+1107296256
dd L480-top+117440512
dd L488-top+117440512
dd L490-top+117440512
dd L498-top+117440512
dd L4A0-top+117440512
dd L4A8-top+117440512
dd L4B0-top+117440512
dd L4B8-top
dd L4B9-top
dd L4BA-top
dd L4BB-top
dd L4BC-top
dd r_illegal-top+33554432
dd L4C0-top+117440512
dd L4C8-top+117440512
dd L4D0-top+117440512
dd L4D8-top+117440512
dd L4E0-top+117440512
dd L4E8-top+117440512
dd L4F0-top+117440512
dd L4F8-top
dd L4F9-top
dd L4FA-top
dd L4FB-top
dd L4FC-top
dd r_illegal-top+33554432
dd L500-top+117440512
dd L508-top+117440512
dd L510-top+117440512
dd L518-top+117440512
dd L520-top+117440512
dd L528-top+117440512
dd L530-top+117440512
dd L538-top
dd L539-top
dd L53A-top
dd L53B-top
dd L53C-top
dd r_illegal-top+33554432
dd L540-top+117440512
dd L548-top+117440512
dd L550-top+117440512
dd L558-top+117440512
dd L560-top+117440512
dd L568-top+117440512
dd L570-top+117440512
dd L578-top
dd L579-top
dd L57A-top
dd L57B-top
dd L57C-top
dd r_illegal-top+33554432
dd L580-top+117440512
dd L588-top+117440512
dd L590-top+117440512
dd L598-top+117440512
dd L5A0-top+117440512
dd L5A8-top+117440512
dd L5B0-top+117440512
dd L5B8-top
dd L5B9-top
dd L5BA-top
dd L5BB-top
dd L5BC-top
dd r_illegal-top+1107296256
dd L600-top+117440512
dd L608-top+117440512
dd L610-top+117440512
dd L618-top+117440512
dd L620-top+117440512
dd L628-top+117440512
dd L630-top+117440512
dd L638-top
dd L639-top
dd L63A-top
dd L63B-top
dd L63C-top
dd r_illegal-top+1107296256
dd L680-top+117440512
dd L688-top+117440512
dd L690-top+117440512
dd L698-top+117440512
dd L6A0-top+117440512
dd L6A8-top+117440512
dd L6B0-top+117440512
dd L6B8-top
dd L6B9-top
dd L6BA-top
dd L6BB-top
dd L6BC-top
dd r_illegal-top+33554432
dd L6C0-top+117440512
dd L6C8-top+117440512
dd L6D0-top+117440512
dd L6D8-top+117440512
dd L6E0-top+117440512
dd L6E8-top+117440512
dd L6F0-top+117440512
dd L6F8-top
dd L6F9-top
dd L6FA-top
dd L6FB-top
dd L6FC-top
dd r_illegal-top+33554432
dd L700-top+117440512
dd L708-top+117440512
dd L710-top+117440512
dd L718-top+117440512
dd L720-top+117440512
dd L728-top+117440512
dd L730-top+117440512
dd L738-top
dd L739-top
dd L73A-top
dd L73B-top
dd L73C-top
dd r_illegal-top+33554432
dd L740-top+117440512
dd L748-top+117440512
dd L750-top+117440512
dd L758-top+117440512
dd L760-top+117440512
dd L768-top+117440512
dd L770-top+117440512
dd L778-top
dd L779-top
dd L77A-top
dd L77B-top
dd L77C-top
dd r_illegal-top+33554432
dd L780-top+117440512
dd L788-top+117440512
dd L790-top+117440512
dd L798-top+117440512
dd L7A0-top+117440512
dd L7A8-top+117440512
dd L7B0-top+117440512
dd L7B8-top
dd L7B9-top
dd L7BA-top
dd L7BB-top
dd L7BC-top
dd r_illegal-top+1107296256
dd L800-top+117440512
dd L808-top+117440512
dd L810-top+117440512
dd L818-top+117440512
dd L820-top+117440512
dd L828-top+117440512
dd L830-top+117440512
dd L838-top
dd L839-top
dd L83A-top
dd L83B-top
dd L83C-top
dd r_illegal-top+1107296256
dd L880-top+117440512
dd L888-top+117440512
dd L890-top+117440512
dd L898-top+117440512
dd L8A0-top+117440512
dd L8A8-top+117440512
dd L8B0-top+117440512
dd L8B8-top
dd L8B9-top
dd L8BA-top
dd L8BB-top
dd L8BC-top
dd r_illegal-top+33554432
dd L8C0-top+117440512
dd L8C8-top+117440512
dd L8D0-top+117440512
dd L8D8-top+117440512
dd L8E0-top+117440512
dd L8E8-top+117440512
dd L8F0-top+117440512
dd L8F8-top
dd L8F9-top
dd L8FA-top
dd L8FB-top
dd L8FC-top
dd r_illegal-top+33554432
dd L900-top+117440512
dd L908-top+117440512
dd L910-top+117440512
dd L918-top+117440512
dd L920-top+117440512
dd L928-top+117440512
dd L930-top+117440512
dd L938-top
dd L939-top
dd L93A-top
dd L93B-top
dd L93C-top
dd r_illegal-top+33554432
dd L940-top+117440512
dd L948-top+117440512
dd L950-top+117440512
dd L958-top+117440512
dd L960-top+117440512
dd L968-top+117440512
dd L970-top+117440512
dd L978-top
dd L979-top
dd L97A-top
dd L97B-top
dd L97C-top
dd r_illegal-top+33554432
dd L980-top+117440512
dd L988-top+117440512
dd L990-top+117440512
dd L998-top+117440512
dd L9A0-top+117440512
dd L9A8-top+117440512
dd L9B0-top+117440512
dd L9B8-top
dd L9B9-top
dd L9BA-top
dd L9BB-top
dd L9BC-top
dd r_illegal-top+1107296256
dd LA00-top+117440512
dd LA08-top+117440512
dd LA10-top+117440512
dd LA18-top+117440512
dd LA20-top+117440512
dd LA28-top+117440512
dd LA30-top+117440512
dd LA38-top
dd LA39-top
dd LA3A-top
dd LA3B-top
dd LA3C-top
dd r_illegal-top+1107296256
dd LA80-top+117440512
dd LA88-top+117440512
dd LA90-top+117440512
dd LA98-top+117440512
dd LAA0-top+117440512
dd LAA8-top+117440512
dd LAB0-top+117440512
dd LAB8-top
dd LAB9-top
dd LABA-top
dd LABB-top
dd LABC-top
dd r_illegal-top+33554432
dd LAC0-top+117440512
dd LAC8-top+117440512
dd LAD0-top+117440512
dd LAD8-top+117440512
dd LAE0-top+117440512
dd LAE8-top+117440512
dd LAF0-top+117440512
dd LAF8-top
dd LAF9-top
dd LAFA-top
dd LAFB-top
dd LAFC-top
dd r_illegal-top+33554432
dd LB00-top+117440512
dd LB08-top+117440512
dd LB10-top+117440512
dd LB18-top+117440512
dd LB20-top+117440512
dd LB28-top+117440512
dd LB30-top+117440512
dd LB38-top
dd LB39-top
dd LB3A-top
dd LB3B-top
dd LB3C-top
dd r_illegal-top+33554432
dd LB40-top+117440512
dd LB48-top+117440512
dd LB50-top+117440512
dd LB58-top+117440512
dd LB60-top+117440512
dd LB68-top+117440512
dd LB70-top+117440512
dd LB78-top
dd LB79-top
dd LB7A-top
dd LB7B-top
dd LB7C-top
dd r_illegal-top+33554432
dd LB80-top+117440512
dd LB88-top+117440512
dd LB90-top+117440512
dd LB98-top+117440512
dd LBA0-top+117440512
dd LBA8-top+117440512
dd LBB0-top+117440512
dd LBB8-top
dd LBB9-top
dd LBBA-top
dd LBBB-top
dd LBBC-top
dd r_illegal-top+1107296256
dd LC00-top+117440512
dd LC08-top+117440512
dd LC10-top+117440512
dd LC18-top+117440512
dd LC20-top+117440512
dd LC28-top+117440512
dd LC30-top+117440512
dd LC38-top
dd LC39-top
dd LC3A-top
dd LC3B-top
dd LC3C-top
dd r_illegal-top+1107296256
dd LC80-top+117440512
dd LC88-top+117440512
dd LC90-top+117440512
dd LC98-top+117440512
dd LCA0-top+117440512
dd LCA8-top+117440512
dd LCB0-top+117440512
dd LCB8-top
dd LCB9-top
dd LCBA-top
dd LCBB-top
dd LCBC-top
dd r_illegal-top+33554432
dd LCC0-top+117440512
dd LCC8-top+117440512
dd LCD0-top+117440512
dd LCD8-top+117440512
dd LCE0-top+117440512
dd LCE8-top+117440512
dd LCF0-top+117440512
dd LCF8-top
dd LCF9-top
dd LCFA-top
dd LCFB-top
dd LCFC-top
dd r_illegal-top+33554432
dd LD00-top+117440512
dd LD08-top+117440512
dd LD10-top+117440512
dd LD18-top+117440512
dd LD20-top+117440512
dd LD28-top+117440512
dd LD30-top+117440512
dd LD38-top
dd LD39-top
dd LD3A-top
dd LD3B-top
dd LD3C-top
dd r_illegal-top+33554432
dd LD40-top+117440512
dd LD48-top+117440512
dd LD50-top+117440512
dd LD58-top+117440512
dd LD60-top+117440512
dd LD68-top+117440512
dd LD70-top+117440512
dd LD78-top
dd LD79-top
dd LD7A-top
dd LD7B-top
dd LD7C-top
dd r_illegal-top+33554432
dd LD80-top+117440512
dd LD88-top+117440512
dd LD90-top+117440512
dd LD98-top+117440512
dd LDA0-top+117440512
dd LDA8-top+117440512
dd LDB0-top+117440512
dd LDB8-top
dd LDB9-top
dd LDBA-top
dd LDBB-top
dd LDBC-top
dd r_illegal-top+1107296256
dd LE00-top+117440512
dd LE08-top+117440512
dd LE10-top+117440512
dd LE18-top+117440512
dd LE20-top+117440512
dd LE28-top+117440512
dd LE30-top+117440512
dd LE38-top
dd LE39-top
dd LE3A-top
dd LE3B-top
dd LE3C-top
dd r_illegal-top+1107296256
dd LE80-top+117440512
dd LE88-top+117440512
dd LE90-top+117440512
dd LE98-top+117440512
dd LEA0-top+117440512
dd LEA8-top+117440512
dd LEB0-top+117440512
dd LEB8-top
dd LEB9-top
dd LEBA-top
dd LEBB-top
dd LEBC-top
dd r_illegal-top+33554432
dd LEC0-top+117440512
dd LEC8-top+117440512
dd LED0-top+117440512
dd LED8-top+117440512
dd LEE0-top+117440512
dd LEE8-top+117440512
dd LEF0-top+117440512
dd LEF8-top
dd LEF9-top
dd LEFA-top
dd LEFB-top
dd LEFC-top
dd r_illegal-top+33554432
dd LF00-top+117440512
dd LF08-top+117440512
dd LF10-top+117440512
dd LF18-top+117440512
dd LF20-top+117440512
dd LF28-top+117440512
dd LF30-top+117440512
dd LF38-top
dd LF39-top
dd LF3A-top
dd LF3B-top
dd LF3C-top
dd r_illegal-top+33554432
dd LF40-top+117440512
dd LF48-top+117440512
dd LF50-top+117440512
dd LF58-top+117440512
dd LF60-top+117440512
dd LF68-top+117440512
dd LF70-top+117440512
dd LF78-top
dd LF79-top
dd LF7A-top
dd LF7B-top
dd LF7C-top
dd r_illegal-top+33554432
dd LF80-top+117440512
dd LF88-top+117440512
dd LF90-top+117440512
dd LF98-top+117440512
dd LFA0-top+117440512
dd LFA8-top+117440512
dd LFB0-top+117440512
dd LFB8-top
dd LFB9-top
dd LFBA-top
dd LFBB-top
dd LFBC-top
dd r_illegal-top+1107296256
dd M000-top+117440512
dd M008-top+117440512
dd M010-top+117440512
dd M018-top+117440512
dd M020-top+117440512
dd M028-top+117440512
dd M030-top+117440512
dd M038-top
dd M039-top
dd M03A-top
dd M03B-top
dd M03C-top
dd r_illegal-top+33554432
dd M040-top+117440512
dd M048-top+117440512
dd M050-top+117440512
dd M058-top+117440512
dd M060-top+117440512
dd M068-top+117440512
dd M070-top+117440512
dd M078-top
dd M079-top
dd M07A-top
dd M07B-top
dd M07C-top
dd r_illegal-top+33554432
dd M080-top+117440512
dd M088-top+117440512
dd M090-top+117440512
dd M098-top+117440512
dd M0A0-top+117440512
dd M0A8-top+117440512
dd M0B0-top+117440512
dd M0B8-top
dd M0B9-top
dd M0BA-top
dd M0BB-top
dd M0BC-top
dd r_illegal-top+33554432
dd M0C0-top+117440512
dd M0C8-top+117440512
dd M0D0-top+117440512
dd M0D8-top+117440512
dd M0E0-top+117440512
dd M0E8-top+117440512
dd M0F0-top+117440512
dd M0F8-top
dd M0F9-top
dd M0FA-top
dd M0FB-top
dd M0FC-top
dd r_illegal-top+33554432
dd M100-top+117440512
dd M108-top+117440512
dd M110-top+117440512
dd M118-top+117440512
dd M120-top+117440512
dd M128-top+117440512
dd M130-top+117440512
dd M138-top
dd M139-top
dd M13A-top
dd M13B-top
dd M13C-top
dd r_illegal-top+33554432
dd M140-top+117440512
dd M148-top+117440512
dd M150-top+117440512
dd M158-top+117440512
dd M160-top+117440512
dd M168-top+117440512
dd M170-top+117440512
dd M178-top
dd M179-top
dd M17A-top
dd M17B-top
dd M17C-top
dd r_illegal-top+33554432
dd M180-top+117440512
dd M188-top+117440512
dd M190-top+117440512
dd M198-top+117440512
dd M1A0-top+117440512
dd M1A8-top+117440512
dd M1B0-top+117440512
dd M1B8-top
dd M1B9-top
dd M1BA-top
dd M1BB-top
dd M1BC-top
dd r_illegal-top+33554432
dd M1C0-top+117440512
dd M1C8-top+117440512
dd M1D0-top+117440512
dd M1D8-top+117440512
dd M1E0-top+117440512
dd M1E8-top+117440512
dd M1F0-top+117440512
dd M1F8-top
dd M1F9-top
dd M1FA-top
dd M1FB-top
dd M1FC-top
dd r_illegal-top+33554432
dd M200-top+117440512
dd M208-top+117440512
dd M210-top+117440512
dd M218-top+117440512
dd M220-top+117440512
dd M228-top+117440512
dd M230-top+117440512
dd M238-top
dd M239-top
dd M23A-top
dd M23B-top
dd M23C-top
dd r_illegal-top+33554432
dd M240-top+117440512
dd M248-top+117440512
dd M250-top+117440512
dd M258-top+117440512
dd M260-top+117440512
dd M268-top+117440512
dd M270-top+117440512
dd M278-top
dd M279-top
dd M27A-top
dd M27B-top
dd M27C-top
dd r_illegal-top+33554432
dd M280-top+117440512
dd M288-top+117440512
dd M290-top+117440512
dd M298-top+117440512
dd M2A0-top+117440512
dd M2A8-top+117440512
dd M2B0-top+117440512
dd M2B8-top
dd M2B9-top
dd M2BA-top
dd M2BB-top
dd M2BC-top
dd r_illegal-top+33554432
dd M2C0-top+117440512
dd M2C8-top+117440512
dd M2D0-top+117440512
dd M2D8-top+117440512
dd M2E0-top+117440512
dd M2E8-top+117440512
dd M2F0-top+117440512
dd M2F8-top
dd M2F9-top
dd M2FA-top
dd M2FB-top
dd M2FC-top
dd r_illegal-top+33554432
dd M300-top+117440512
dd M308-top+117440512
dd M310-top+117440512
dd M318-top+117440512
dd M320-top+117440512
dd M328-top+117440512
dd M330-top+117440512
dd M338-top
dd M339-top
dd M33A-top
dd M33B-top
dd M33C-top
dd r_illegal-top+33554432
dd M340-top+117440512
dd M348-top+117440512
dd M350-top+117440512
dd M358-top+117440512
dd M360-top+117440512
dd M368-top+117440512
dd M370-top+117440512
dd M378-top
dd M379-top
dd M37A-top
dd M37B-top
dd M37C-top
dd r_illegal-top+33554432
dd M380-top+117440512
dd M388-top+117440512
dd M390-top+117440512
dd M398-top+117440512
dd M3A0-top+117440512
dd M3A8-top+117440512
dd M3B0-top+117440512
dd M3B8-top
dd M3B9-top
dd M3BA-top
dd M3BB-top
dd M3BC-top
dd r_illegal-top+33554432
dd M3C0-top+117440512
dd M3C8-top+117440512
dd M3D0-top+117440512
dd M3D8-top+117440512
dd M3E0-top+117440512
dd M3E8-top+117440512
dd M3F0-top+117440512
dd M3F8-top
dd M3F9-top
dd M3FA-top
dd M3FB-top
dd M3FC-top
dd r_illegal-top+33554432
dd M400-top+117440512
dd M408-top+117440512
dd M410-top+117440512
dd M418-top+117440512
dd M420-top+117440512
dd M428-top+117440512
dd M430-top+117440512
dd M438-top
dd M439-top
dd M43A-top
dd M43B-top
dd M43C-top
dd r_illegal-top+33554432
dd M440-top+117440512
dd M448-top+117440512
dd M450-top+117440512
dd M458-top+117440512
dd M460-top+117440512
dd M468-top+117440512
dd M470-top+117440512
dd M478-top
dd M479-top
dd M47A-top
dd M47B-top
dd M47C-top
dd r_illegal-top+33554432
dd M480-top+117440512
dd M488-top+117440512
dd M490-top+117440512
dd M498-top+117440512
dd M4A0-top+117440512
dd M4A8-top+117440512
dd M4B0-top+117440512
dd M4B8-top
dd M4B9-top
dd M4BA-top
dd M4BB-top
dd M4BC-top
dd r_illegal-top+33554432
dd M4C0-top+117440512
dd M4C8-top+117440512
dd M4D0-top+117440512
dd M4D8-top+117440512
dd M4E0-top+117440512
dd M4E8-top+117440512
dd M4F0-top+117440512
dd M4F8-top
dd M4F9-top
dd M4FA-top
dd M4FB-top
dd M4FC-top
dd r_illegal-top+33554432
dd M500-top+117440512
dd M508-top+117440512
dd M510-top+117440512
dd M518-top+117440512
dd M520-top+117440512
dd M528-top+117440512
dd M530-top+117440512
dd M538-top
dd M539-top
dd M53A-top
dd M53B-top
dd M53C-top
dd r_illegal-top+33554432
dd M540-top+117440512
dd M548-top+117440512
dd M550-top+117440512
dd M558-top+117440512
dd M560-top+117440512
dd M568-top+117440512
dd M570-top+117440512
dd M578-top
dd M579-top
dd M57A-top
dd M57B-top
dd M57C-top
dd r_illegal-top+33554432
dd M580-top+117440512
dd M588-top+117440512
dd M590-top+117440512
dd M598-top+117440512
dd M5A0-top+117440512
dd M5A8-top+117440512
dd M5B0-top+117440512
dd M5B8-top
dd M5B9-top
dd M5BA-top
dd M5BB-top
dd M5BC-top
dd r_illegal-top+1107296256
dd M600-top+117440512
dd M608-top+117440512
dd M610-top+117440512
dd M618-top+117440512
dd M620-top+117440512
dd M628-top+117440512
dd M630-top+117440512
dd M638-top
dd M639-top
dd M63A-top
dd M63B-top
dd M63C-top
dd r_illegal-top+33554432
dd M640-top+117440512
dd M648-top+117440512
dd M650-top+117440512
dd M658-top+117440512
dd M660-top+117440512
dd M668-top+117440512
dd M670-top+117440512
dd M678-top
dd M679-top
dd M67A-top
dd M67B-top
dd M67C-top
dd r_illegal-top+33554432
dd M680-top+117440512
dd M688-top+117440512
dd M690-top+117440512
dd M698-top+117440512
dd M6A0-top+117440512
dd M6A8-top+117440512
dd M6B0-top+117440512
dd M6B8-top
dd M6B9-top
dd M6BA-top
dd M6BB-top
dd M6BC-top
dd r_illegal-top+33554432
dd M6C0-top+117440512
dd M6C8-top+117440512
dd M6D0-top+117440512
dd M6D8-top+117440512
dd M6E0-top+117440512
dd M6E8-top+117440512
dd M6F0-top+117440512
dd M6F8-top
dd M6F9-top
dd M6FA-top
dd M6FB-top
dd M6FC-top
dd r_illegal-top+33554432
dd M700-top+117440512
dd M708-top+117440512
dd M710-top+117440512
dd M718-top+117440512
dd M720-top+117440512
dd M728-top+117440512
dd M730-top+117440512
dd M738-top
dd M739-top
dd M73A-top
dd M73B-top
dd M73C-top
dd r_illegal-top+33554432
dd M740-top+117440512
dd M748-top+117440512
dd M750-top+117440512
dd M758-top+117440512
dd M760-top+117440512
dd M768-top+117440512
dd M770-top+117440512
dd M778-top
dd M779-top
dd M77A-top
dd M77B-top
dd M77C-top
dd r_illegal-top+33554432
dd M780-top+117440512
dd M788-top+117440512
dd M790-top+117440512
dd M798-top+117440512
dd M7A0-top+117440512
dd M7A8-top+117440512
dd M7B0-top+117440512
dd M7B8-top
dd M7B9-top
dd M7BA-top
dd M7BB-top
dd M7BC-top
dd r_illegal-top+1107296256
dd M800-top+117440512
dd M808-top+117440512
dd M810-top+117440512
dd M818-top+117440512
dd M820-top+117440512
dd M828-top+117440512
dd M830-top+117440512
dd M838-top
dd M839-top
dd M83A-top
dd M83B-top
dd M83C-top
dd r_illegal-top+33554432
dd M840-top+117440512
dd M848-top+117440512
dd M850-top+117440512
dd M858-top+117440512
dd M860-top+117440512
dd M868-top+117440512
dd M870-top+117440512
dd M878-top
dd M879-top
dd M87A-top
dd M87B-top
dd M87C-top
dd r_illegal-top+33554432
dd M880-top+117440512
dd M888-top+117440512
dd M890-top+117440512
dd M898-top+117440512
dd M8A0-top+117440512
dd M8A8-top+117440512
dd M8B0-top+117440512
dd M8B8-top
dd M8B9-top
dd M8BA-top
dd M8BB-top
dd M8BC-top
dd r_illegal-top+33554432
dd M8C0-top+117440512
dd M8C8-top+117440512
dd M8D0-top+117440512
dd M8D8-top+117440512
dd M8E0-top+117440512
dd M8E8-top+117440512
dd M8F0-top+117440512
dd M8F8-top
dd M8F9-top
dd M8FA-top
dd M8FB-top
dd M8FC-top
dd r_illegal-top+33554432
dd M900-top+117440512
dd M908-top+117440512
dd M910-top+117440512
dd M918-top+117440512
dd M920-top+117440512
dd M928-top+117440512
dd M930-top+117440512
dd M938-top
dd M939-top
dd M93A-top
dd M93B-top
dd M93C-top
dd r_illegal-top+33554432
dd M940-top+117440512
dd M948-top+117440512
dd M950-top+117440512
dd M958-top+117440512
dd M960-top+117440512
dd M968-top+117440512
dd M970-top+117440512
dd M978-top
dd M979-top
dd M97A-top
dd M97B-top
dd M97C-top
dd r_illegal-top+33554432
dd M980-top+117440512
dd M988-top+117440512
dd M990-top+117440512
dd M998-top+117440512
dd M9A0-top+117440512
dd M9A8-top+117440512
dd M9B0-top+117440512
dd M9B8-top
dd M9B9-top
dd M9BA-top
dd M9BB-top
dd M9BC-top
dd r_illegal-top+1107296256
dd MA00-top+117440512
dd MA08-top+117440512
dd MA10-top+117440512
dd MA18-top+117440512
dd MA20-top+117440512
dd MA28-top+117440512
dd MA30-top+117440512
dd MA38-top
dd MA39-top
dd MA3A-top
dd MA3B-top
dd MA3C-top
dd r_illegal-top+33554432
dd MA40-top+117440512
dd MA48-top+117440512
dd MA50-top+117440512
dd MA58-top+117440512
dd MA60-top+117440512
dd MA68-top+117440512
dd MA70-top+117440512
dd MA78-top
dd MA79-top
dd MA7A-top
dd MA7B-top
dd MA7C-top
dd r_illegal-top+33554432
dd MA80-top+117440512
dd MA88-top+117440512
dd MA90-top+117440512
dd MA98-top+117440512
dd MAA0-top+117440512
dd MAA8-top+117440512
dd MAB0-top+117440512
dd MAB8-top
dd MAB9-top
dd MABA-top
dd MABB-top
dd MABC-top
dd r_illegal-top+33554432
dd MAC0-top+117440512
dd MAC8-top+117440512
dd MAD0-top+117440512
dd MAD8-top+117440512
dd MAE0-top+117440512
dd MAE8-top+117440512
dd MAF0-top+117440512
dd MAF8-top
dd MAF9-top
dd MAFA-top
dd MAFB-top
dd MAFC-top
dd r_illegal-top+33554432
dd MB00-top+117440512
dd MB08-top+117440512
dd MB10-top+117440512
dd MB18-top+117440512
dd MB20-top+117440512
dd MB28-top+117440512
dd MB30-top+117440512
dd MB38-top
dd MB39-top
dd MB3A-top
dd MB3B-top
dd MB3C-top
dd r_illegal-top+33554432
dd MB40-top+117440512
dd MB48-top+117440512
dd MB50-top+117440512
dd MB58-top+117440512
dd MB60-top+117440512
dd MB68-top+117440512
dd MB70-top+117440512
dd MB78-top
dd MB79-top
dd MB7A-top
dd MB7B-top
dd MB7C-top
dd r_illegal-top+33554432
dd MB80-top+117440512
dd MB88-top+117440512
dd MB90-top+117440512
dd MB98-top+117440512
dd MBA0-top+117440512
dd MBA8-top+117440512
dd MBB0-top+117440512
dd MBB8-top
dd MBB9-top
dd MBBA-top
dd MBBB-top
dd MBBC-top
dd r_illegal-top+1107296256
dd MC00-top+117440512
dd MC08-top+117440512
dd MC10-top+117440512
dd MC18-top+117440512
dd MC20-top+117440512
dd MC28-top+117440512
dd MC30-top+117440512
dd MC38-top
dd MC39-top
dd MC3A-top
dd MC3B-top
dd MC3C-top
dd r_illegal-top+33554432
dd MC40-top+117440512
dd MC48-top+117440512
dd MC50-top+117440512
dd MC58-top+117440512
dd MC60-top+117440512
dd MC68-top+117440512
dd MC70-top+117440512
dd MC78-top
dd MC79-top
dd MC7A-top
dd MC7B-top
dd MC7C-top
dd r_illegal-top+33554432
dd MC80-top+117440512
dd MC88-top+117440512
dd MC90-top+117440512
dd MC98-top+117440512
dd MCA0-top+117440512
dd MCA8-top+117440512
dd MCB0-top+117440512
dd MCB8-top
dd MCB9-top
dd MCBA-top
dd MCBB-top
dd MCBC-top
dd r_illegal-top+33554432
dd MCC0-top+117440512
dd MCC8-top+117440512
dd MCD0-top+117440512
dd MCD8-top+117440512
dd MCE0-top+117440512
dd MCE8-top+117440512
dd MCF0-top+117440512
dd MCF8-top
dd MCF9-top
dd MCFA-top
dd MCFB-top
dd MCFC-top
dd r_illegal-top+33554432
dd MD00-top+117440512
dd MD08-top+117440512
dd MD10-top+117440512
dd MD18-top+117440512
dd MD20-top+117440512
dd MD28-top+117440512
dd MD30-top+117440512
dd MD38-top
dd MD39-top
dd MD3A-top
dd MD3B-top
dd MD3C-top
dd r_illegal-top+33554432
dd MD40-top+117440512
dd MD48-top+117440512
dd MD50-top+117440512
dd MD58-top+117440512
dd MD60-top+117440512
dd MD68-top+117440512
dd MD70-top+117440512
dd MD78-top
dd MD79-top
dd MD7A-top
dd MD7B-top
dd MD7C-top
dd r_illegal-top+33554432
dd MD80-top+117440512
dd MD88-top+117440512
dd MD90-top+117440512
dd MD98-top+117440512
dd MDA0-top+117440512
dd MDA8-top+117440512
dd MDB0-top+117440512
dd MDB8-top
dd MDB9-top
dd MDBA-top
dd MDBB-top
dd MDBC-top
dd r_illegal-top+1107296256
dd ME00-top+117440512
dd ME08-top+117440512
dd ME10-top+117440512
dd ME18-top+117440512
dd ME20-top+117440512
dd ME28-top+117440512
dd ME30-top+117440512
dd ME38-top
dd ME39-top
dd ME3A-top
dd ME3B-top
dd ME3C-top
dd r_illegal-top+33554432
dd ME40-top+117440512
dd ME48-top+117440512
dd ME50-top+117440512
dd ME58-top+117440512
dd ME60-top+117440512
dd ME68-top+117440512
dd ME70-top+117440512
dd ME78-top
dd ME79-top
dd ME7A-top
dd ME7B-top
dd ME7C-top
dd r_illegal-top+33554432
dd ME80-top+117440512
dd ME88-top+117440512
dd ME90-top+117440512
dd ME98-top+117440512
dd MEA0-top+117440512
dd MEA8-top+117440512
dd MEB0-top+117440512
dd MEB8-top
dd MEB9-top
dd MEBA-top
dd MEBB-top
dd MEBC-top
dd r_illegal-top+33554432
dd MEC0-top+117440512
dd MEC8-top+117440512
dd MED0-top+117440512
dd MED8-top+117440512
dd MEE0-top+117440512
dd MEE8-top+117440512
dd MEF0-top+117440512
dd MEF8-top
dd MEF9-top
dd MEFA-top
dd MEFB-top
dd MEFC-top
dd r_illegal-top+33554432
dd MF00-top+117440512
dd MF08-top+117440512
dd MF10-top+117440512
dd MF18-top+117440512
dd MF20-top+117440512
dd MF28-top+117440512
dd MF30-top+117440512
dd MF38-top
dd MF39-top
dd MF3A-top
dd MF3B-top
dd MF3C-top
dd r_illegal-top+33554432
dd MF40-top+117440512
dd MF48-top+117440512
dd MF50-top+117440512
dd MF58-top+117440512
dd MF60-top+117440512
dd MF68-top+117440512
dd MF70-top+117440512
dd MF78-top
dd MF79-top
dd MF7A-top
dd MF7B-top
dd MF7C-top
dd r_illegal-top+33554432
dd MF80-top+117440512
dd MF88-top+117440512
dd MF90-top+117440512
dd MF98-top+117440512
dd MFA0-top+117440512
dd MFA8-top+117440512
dd MFB0-top+117440512
dd MFB8-top
dd MFB9-top
dd MFBA-top
dd MFBB-top
dd MFBC-top
dd r_illegal-top+1107296256
dd N000-top+117440512
dd N008-top+117440512
dd N010-top+117440512
dd N018-top+117440512
dd N020-top+117440512
dd N028-top+117440512
dd N030-top+117440512
dd N038-top
dd N039-top
dd N03A-top
dd N03B-top
dd N03C-top
dd r_illegal-top+33554432
dd N040-top+117440512
dd N048-top+117440512
dd N050-top+117440512
dd N058-top+117440512
dd N060-top+117440512
dd N068-top+117440512
dd N070-top+117440512
dd N078-top
dd N079-top
dd N07A-top
dd N07B-top
dd N07C-top
dd r_illegal-top+33554432
dd N080-top+117440512
dd N088-top+117440512
dd N090-top+117440512
dd N098-top+117440512
dd N0A0-top+117440512
dd N0A8-top+117440512
dd N0B0-top+117440512
dd N0B8-top
dd N0B9-top
dd N0BA-top
dd N0BB-top
dd N0BC-top
dd r_illegal-top+33554432
dd N0C0-top+117440512
dd N0C8-top+117440512
dd N0D0-top+117440512
dd N0D8-top+117440512
dd N0E0-top+117440512
dd N0E8-top+117440512
dd N0F0-top+117440512
dd N0F8-top
dd N0F9-top
dd N0FA-top
dd N0FB-top
dd N0FC-top
dd r_illegal-top+33554432
dd N100-top+117440512
dd N108-top+117440512
dd N110-top+117440512
dd N118-top+117440512
dd N120-top+117440512
dd N128-top+117440512
dd N130-top+117440512
dd N138-top
dd N139-top
dd N13A-top
dd N13B-top
dd N13C-top
dd r_illegal-top+33554432
dd N140-top+117440512
dd N148-top+117440512
dd N150-top+117440512
dd N158-top+117440512
dd N160-top+117440512
dd N168-top+117440512
dd N170-top+117440512
dd N178-top
dd N179-top
dd N17A-top
dd N17B-top
dd N17C-top
dd r_illegal-top+33554432
dd N180-top+117440512
dd N188-top+117440512
dd N190-top+117440512
dd N198-top+117440512
dd N1A0-top+117440512
dd N1A8-top+117440512
dd N1B0-top+117440512
dd N1B8-top
dd N1B9-top
dd N1BA-top
dd N1BB-top
dd N1BC-top
dd r_illegal-top+33554432
dd N1C0-top+117440512
dd N1C8-top+117440512
dd N1D0-top+117440512
dd N1D8-top+117440512
dd N1E0-top+117440512
dd N1E8-top+117440512
dd N1F0-top+117440512
dd N1F8-top
dd N1F9-top
dd N1FA-top
dd N1FB-top
dd N1FC-top
dd r_illegal-top+33554432
dd N200-top+117440512
dd N208-top+117440512
dd N210-top+117440512
dd N218-top+117440512
dd N220-top+117440512
dd N228-top+117440512
dd N230-top+117440512
dd N238-top
dd N239-top
dd N23A-top
dd N23B-top
dd N23C-top
dd r_illegal-top+33554432
dd N240-top+117440512
dd N248-top+117440512
dd N250-top+117440512
dd N258-top+117440512
dd N260-top+117440512
dd N268-top+117440512
dd N270-top+117440512
dd N278-top
dd N279-top
dd N27A-top
dd N27B-top
dd N27C-top
dd r_illegal-top+33554432
dd N280-top+117440512
dd N288-top+117440512
dd N290-top+117440512
dd N298-top+117440512
dd N2A0-top+117440512
dd N2A8-top+117440512
dd N2B0-top+117440512
dd N2B8-top
dd N2B9-top
dd N2BA-top
dd N2BB-top
dd N2BC-top
dd r_illegal-top+33554432
dd N2C0-top+117440512
dd N2C8-top+117440512
dd N2D0-top+117440512
dd N2D8-top+117440512
dd N2E0-top+117440512
dd N2E8-top+117440512
dd N2F0-top+117440512
dd N2F8-top
dd N2F9-top
dd N2FA-top
dd N2FB-top
dd N2FC-top
dd r_illegal-top+33554432
dd N300-top+117440512
dd N308-top+117440512
dd N310-top+117440512
dd N318-top+117440512
dd N320-top+117440512
dd N328-top+117440512
dd N330-top+117440512
dd N338-top
dd N339-top
dd N33A-top
dd N33B-top
dd N33C-top
dd r_illegal-top+33554432
dd N340-top+117440512
dd N348-top+117440512
dd N350-top+117440512
dd N358-top+117440512
dd N360-top+117440512
dd N368-top+117440512
dd N370-top+117440512
dd N378-top
dd N379-top
dd N37A-top
dd N37B-top
dd N37C-top
dd r_illegal-top+33554432
dd N380-top+117440512
dd N388-top+117440512
dd N390-top+117440512
dd N398-top+117440512
dd N3A0-top+117440512
dd N3A8-top+117440512
dd N3B0-top+117440512
dd N3B8-top
dd N3B9-top
dd N3BA-top
dd N3BB-top
dd N3BC-top
dd r_illegal-top+33554432
dd N3C0-top+117440512
dd N3C8-top+117440512
dd N3D0-top+117440512
dd N3D8-top+117440512
dd N3E0-top+117440512
dd N3E8-top+117440512
dd N3F0-top+117440512
dd N3F8-top
dd N3F9-top
dd N3FA-top
dd N3FB-top
dd N3FC-top
dd r_illegal-top+33554432
dd N400-top+117440512
dd N408-top+117440512
dd N410-top+117440512
dd N418-top+117440512
dd N420-top+117440512
dd N428-top+117440512
dd N430-top+117440512
dd N438-top
dd N439-top
dd N43A-top
dd N43B-top
dd N43C-top
dd r_illegal-top+33554432
dd N440-top+117440512
dd N448-top+117440512
dd N450-top+117440512
dd N458-top+117440512
dd N460-top+117440512
dd N468-top+117440512
dd N470-top+117440512
dd N478-top
dd N479-top
dd N47A-top
dd N47B-top
dd N47C-top
dd r_illegal-top+33554432
dd N480-top+117440512
dd N488-top+117440512
dd N490-top+117440512
dd N498-top+117440512
dd N4A0-top+117440512
dd N4A8-top+117440512
dd N4B0-top+117440512
dd N4B8-top
dd N4B9-top
dd N4BA-top
dd N4BB-top
dd N4BC-top
dd r_illegal-top+33554432
dd N4C0-top+117440512
dd N4C8-top+117440512
dd N4D0-top+117440512
dd N4D8-top+117440512
dd N4E0-top+117440512
dd N4E8-top+117440512
dd N4F0-top+117440512
dd N4F8-top
dd N4F9-top
dd N4FA-top
dd N4FB-top
dd N4FC-top
dd r_illegal-top+33554432
dd N500-top+117440512
dd N508-top+117440512
dd N510-top+117440512
dd N518-top+117440512
dd N520-top+117440512
dd N528-top+117440512
dd N530-top+117440512
dd N538-top
dd N539-top
dd N53A-top
dd N53B-top
dd N53C-top
dd r_illegal-top+33554432
dd N540-top+117440512
dd N548-top+117440512
dd N550-top+117440512
dd N558-top+117440512
dd N560-top+117440512
dd N568-top+117440512
dd N570-top+117440512
dd N578-top
dd N579-top
dd N57A-top
dd N57B-top
dd N57C-top
dd r_illegal-top+33554432
dd N580-top+117440512
dd N588-top+117440512
dd N590-top+117440512
dd N598-top+117440512
dd N5A0-top+117440512
dd N5A8-top+117440512
dd N5B0-top+117440512
dd N5B8-top
dd N5B9-top
dd N5BA-top
dd N5BB-top
dd N5BC-top
dd r_illegal-top+1107296256
dd N600-top+117440512
dd N608-top+117440512
dd N610-top+117440512
dd N618-top+117440512
dd N620-top+117440512
dd N628-top+117440512
dd N630-top+117440512
dd N638-top
dd N639-top
dd N63A-top
dd N63B-top
dd N63C-top
dd r_illegal-top+33554432
dd N640-top+117440512
dd N648-top+117440512
dd N650-top+117440512
dd N658-top+117440512
dd N660-top+117440512
dd N668-top+117440512
dd N670-top+117440512
dd N678-top
dd N679-top
dd N67A-top
dd N67B-top
dd N67C-top
dd r_illegal-top+33554432
dd N680-top+117440512
dd N688-top+117440512
dd N690-top+117440512
dd N698-top+117440512
dd N6A0-top+117440512
dd N6A8-top+117440512
dd N6B0-top+117440512
dd N6B8-top
dd N6B9-top
dd N6BA-top
dd N6BB-top
dd N6BC-top
dd r_illegal-top+33554432
dd N6C0-top+117440512
dd N6C8-top+117440512
dd N6D0-top+117440512
dd N6D8-top+117440512
dd N6E0-top+117440512
dd N6E8-top+117440512
dd N6F0-top+117440512
dd N6F8-top
dd N6F9-top
dd N6FA-top
dd N6FB-top
dd N6FC-top
dd r_illegal-top+33554432
dd N700-top+117440512
dd N708-top+117440512
dd N710-top+117440512
dd N718-top+117440512
dd N720-top+117440512
dd N728-top+117440512
dd N730-top+117440512
dd N738-top
dd N739-top
dd N73A-top
dd N73B-top
dd N73C-top
dd r_illegal-top+33554432
dd N740-top+117440512
dd N748-top+117440512
dd N750-top+117440512
dd N758-top+117440512
dd N760-top+117440512
dd N768-top+117440512
dd N770-top+117440512
dd N778-top
dd N779-top
dd N77A-top
dd N77B-top
dd N77C-top
dd r_illegal-top+33554432
dd N780-top+117440512
dd N788-top+117440512
dd N790-top+117440512
dd N798-top+117440512
dd N7A0-top+117440512
dd N7A8-top+117440512
dd N7B0-top+117440512
dd N7B8-top
dd N7B9-top
dd N7BA-top
dd N7BB-top
dd N7BC-top
dd r_illegal-top+1107296256
dd N800-top+117440512
dd N808-top+117440512
dd N810-top+117440512
dd N818-top+117440512
dd N820-top+117440512
dd N828-top+117440512
dd N830-top+117440512
dd N838-top
dd N839-top
dd N83A-top
dd N83B-top
dd N83C-top
dd r_illegal-top+33554432
dd N840-top+117440512
dd N848-top+117440512
dd N850-top+117440512
dd N858-top+117440512
dd N860-top+117440512
dd N868-top+117440512
dd N870-top+117440512
dd N878-top
dd N879-top
dd N87A-top
dd N87B-top
dd N87C-top
dd r_illegal-top+33554432
dd N880-top+117440512
dd N888-top+117440512
dd N890-top+117440512
dd N898-top+117440512
dd N8A0-top+117440512
dd N8A8-top+117440512
dd N8B0-top+117440512
dd N8B8-top
dd N8B9-top
dd N8BA-top
dd N8BB-top
dd N8BC-top
dd r_illegal-top+33554432
dd N8C0-top+117440512
dd N8C8-top+117440512
dd N8D0-top+117440512
dd N8D8-top+117440512
dd N8E0-top+117440512
dd N8E8-top+117440512
dd N8F0-top+117440512
dd N8F8-top
dd N8F9-top
dd N8FA-top
dd N8FB-top
dd N8FC-top
dd r_illegal-top+33554432
dd N900-top+117440512
dd N908-top+117440512
dd N910-top+117440512
dd N918-top+117440512
dd N920-top+117440512
dd N928-top+117440512
dd N930-top+117440512
dd N938-top
dd N939-top
dd N93A-top
dd N93B-top
dd N93C-top
dd r_illegal-top+33554432
dd N940-top+117440512
dd N948-top+117440512
dd N950-top+117440512
dd N958-top+117440512
dd N960-top+117440512
dd N968-top+117440512
dd N970-top+117440512
dd N978-top
dd N979-top
dd N97A-top
dd N97B-top
dd N97C-top
dd r_illegal-top+33554432
dd N980-top+117440512
dd N988-top+117440512
dd N990-top+117440512
dd N998-top+117440512
dd N9A0-top+117440512
dd N9A8-top+117440512
dd N9B0-top+117440512
dd N9B8-top
dd N9B9-top
dd N9BA-top
dd N9BB-top
dd N9BC-top
dd r_illegal-top+1107296256
dd NA00-top+117440512
dd NA08-top+117440512
dd NA10-top+117440512
dd NA18-top+117440512
dd NA20-top+117440512
dd NA28-top+117440512
dd NA30-top+117440512
dd NA38-top
dd NA39-top
dd NA3A-top
dd NA3B-top
dd NA3C-top
dd r_illegal-top+33554432
dd NA40-top+117440512
dd NA48-top+117440512
dd NA50-top+117440512
dd NA58-top+117440512
dd NA60-top+117440512
dd NA68-top+117440512
dd NA70-top+117440512
dd NA78-top
dd NA79-top
dd NA7A-top
dd NA7B-top
dd NA7C-top
dd r_illegal-top+33554432
dd NA80-top+117440512
dd NA88-top+117440512
dd NA90-top+117440512
dd NA98-top+117440512
dd NAA0-top+117440512
dd NAA8-top+117440512
dd NAB0-top+117440512
dd NAB8-top
dd NAB9-top
dd NABA-top
dd NABB-top
dd NABC-top
dd r_illegal-top+33554432
dd NAC0-top+117440512
dd NAC8-top+117440512
dd NAD0-top+117440512
dd NAD8-top+117440512
dd NAE0-top+117440512
dd NAE8-top+117440512
dd NAF0-top+117440512
dd NAF8-top
dd NAF9-top
dd NAFA-top
dd NAFB-top
dd NAFC-top
dd r_illegal-top+33554432
dd NB00-top+117440512
dd NB08-top+117440512
dd NB10-top+117440512
dd NB18-top+117440512
dd NB20-top+117440512
dd NB28-top+117440512
dd NB30-top+117440512
dd NB38-top
dd NB39-top
dd NB3A-top
dd NB3B-top
dd NB3C-top
dd r_illegal-top+33554432
dd NB40-top+117440512
dd NB48-top+117440512
dd NB50-top+117440512
dd NB58-top+117440512
dd NB60-top+117440512
dd NB68-top+117440512
dd NB70-top+117440512
dd NB78-top
dd NB79-top
dd NB7A-top
dd NB7B-top
dd NB7C-top
dd r_illegal-top+33554432
dd NB80-top+117440512
dd NB88-top+117440512
dd NB90-top+117440512
dd NB98-top+117440512
dd NBA0-top+117440512
dd NBA8-top+117440512
dd NBB0-top+117440512
dd NBB8-top
dd NBB9-top
dd NBBA-top
dd NBBB-top
dd NBBC-top
dd r_illegal-top+1107296256
dd NC00-top+117440512
dd NC08-top+117440512
dd NC10-top+117440512
dd NC18-top+117440512
dd NC20-top+117440512
dd NC28-top+117440512
dd NC30-top+117440512
dd NC38-top
dd NC39-top
dd NC3A-top
dd NC3B-top
dd NC3C-top
dd r_illegal-top+33554432
dd NC40-top+117440512
dd NC48-top+117440512
dd NC50-top+117440512
dd NC58-top+117440512
dd NC60-top+117440512
dd NC68-top+117440512
dd NC70-top+117440512
dd NC78-top
dd NC79-top
dd NC7A-top
dd NC7B-top
dd NC7C-top
dd r_illegal-top+33554432
dd NC80-top+117440512
dd NC88-top+117440512
dd NC90-top+117440512
dd NC98-top+117440512
dd NCA0-top+117440512
dd NCA8-top+117440512
dd NCB0-top+117440512
dd NCB8-top
dd NCB9-top
dd NCBA-top
dd NCBB-top
dd NCBC-top
dd r_illegal-top+33554432
dd NCC0-top+117440512
dd NCC8-top+117440512
dd NCD0-top+117440512
dd NCD8-top+117440512
dd NCE0-top+117440512
dd NCE8-top+117440512
dd NCF0-top+117440512
dd NCF8-top
dd NCF9-top
dd NCFA-top
dd NCFB-top
dd NCFC-top
dd r_illegal-top+33554432
dd ND00-top+117440512
dd ND08-top+117440512
dd ND10-top+117440512
dd ND18-top+117440512
dd ND20-top+117440512
dd ND28-top+117440512
dd ND30-top+117440512
dd ND38-top
dd ND39-top
dd ND3A-top
dd ND3B-top
dd ND3C-top
dd r_illegal-top+33554432
dd ND40-top+117440512
dd ND48-top+117440512
dd ND50-top+117440512
dd ND58-top+117440512
dd ND60-top+117440512
dd ND68-top+117440512
dd ND70-top+117440512
dd ND78-top
dd ND79-top
dd ND7A-top
dd ND7B-top
dd ND7C-top
dd r_illegal-top+33554432
dd ND80-top+117440512
dd ND88-top+117440512
dd ND90-top+117440512
dd ND98-top+117440512
dd NDA0-top+117440512
dd NDA8-top+117440512
dd NDB0-top+117440512
dd NDB8-top
dd NDB9-top
dd NDBA-top
dd NDBB-top
dd NDBC-top
dd r_illegal-top+1107296256
dd NE00-top+117440512
dd NE08-top+117440512
dd NE10-top+117440512
dd NE18-top+117440512
dd NE20-top+117440512
dd NE28-top+117440512
dd NE30-top+117440512
dd NE38-top
dd NE39-top
dd NE3A-top
dd NE3B-top
dd NE3C-top
dd r_illegal-top+33554432
dd NE40-top+117440512
dd NE48-top+117440512
dd NE50-top+117440512
dd NE58-top+117440512
dd NE60-top+117440512
dd NE68-top+117440512
dd NE70-top+117440512
dd NE78-top
dd NE79-top
dd NE7A-top
dd NE7B-top
dd NE7C-top
dd r_illegal-top+33554432
dd NE80-top+117440512
dd NE88-top+117440512
dd NE90-top+117440512
dd NE98-top+117440512
dd NEA0-top+117440512
dd NEA8-top+117440512
dd NEB0-top+117440512
dd NEB8-top
dd NEB9-top
dd NEBA-top
dd NEBB-top
dd NEBC-top
dd r_illegal-top+33554432
dd NEC0-top+117440512
dd NEC8-top+117440512
dd NED0-top+117440512
dd NED8-top+117440512
dd NEE0-top+117440512
dd NEE8-top+117440512
dd NEF0-top+117440512
dd NEF8-top
dd NEF9-top
dd NEFA-top
dd NEFB-top
dd NEFC-top
dd r_illegal-top+33554432
dd NF00-top+117440512
dd NF08-top+117440512
dd NF10-top+117440512
dd NF18-top+117440512
dd NF20-top+117440512
dd NF28-top+117440512
dd NF30-top+117440512
dd NF38-top
dd NF39-top
dd NF3A-top
dd NF3B-top
dd NF3C-top
dd r_illegal-top+33554432
dd NF40-top+117440512
dd NF48-top+117440512
dd NF50-top+117440512
dd NF58-top+117440512
dd NF60-top+117440512
dd NF68-top+117440512
dd NF70-top+117440512
dd NF78-top
dd NF79-top
dd NF7A-top
dd NF7B-top
dd NF7C-top
dd r_illegal-top+33554432
dd NF80-top+117440512
dd NF88-top+117440512
dd NF90-top+117440512
dd NF98-top+117440512
dd NFA0-top+117440512
dd NFA8-top+117440512
dd NFB0-top+117440512
dd NFB8-top
dd NFB9-top
dd NFBA-top
dd NFBB-top
dd NFBC-top
dd r_illegal-top+1107296256
dd O000-top+117440512
dd r_illegal-top+117440512
dd O010-top+117440512
dd O018-top+117440512
dd O020-top+117440512
dd O028-top+117440512
dd O030-top+117440512
dd O038-top
dd O039-top
dd r_illegal-top+83886080
dd O040-top+117440512
dd r_illegal-top+117440512
dd O050-top+117440512
dd O058-top+117440512
dd O060-top+117440512
dd O068-top+117440512
dd O070-top+117440512
dd O078-top
dd O079-top
dd r_illegal-top+83886080
dd O080-top+117440512
dd r_illegal-top+117440512
dd O090-top+117440512
dd O098-top+117440512
dd O0A0-top+117440512
dd O0A8-top+117440512
dd O0B0-top+117440512
dd O0B8-top
dd O0B9-top
dd r_illegal-top+83886080
dd O0C0-top+117440512
dd r_illegal-top+117440512
dd O0D0-top+117440512
dd O0D8-top+117440512
dd O0E0-top+117440512
dd O0E8-top+117440512
dd O0F0-top+117440512
dd O0F8-top
dd O0F9-top
dd r_illegal-top+2231369728
dd O180-top+117440512
dd r_illegal-top+117440512
dd O190-top+117440512
dd O198-top+117440512
dd O1A0-top+117440512
dd O1A8-top+117440512
dd O1B0-top+117440512
dd O1B8-top
dd O1B9-top
dd O1BA-top
dd O1BB-top
dd O1BC-top
dd r_illegal-top+301989888
dd O1D0-top+117440512
dd r_illegal-top+251658240
dd O1E8-top+117440512
dd O1F0-top+117440512
dd O1F8-top
dd O1F9-top
dd O1FA-top
dd O1FB-top
dd r_illegal-top+50331648
dd O200-top+117440512
dd r_illegal-top+117440512
dd O210-top+117440512
dd O218-top+117440512
dd O220-top+117440512
dd O228-top+117440512
dd O230-top+117440512
dd O238-top
dd O239-top
dd r_illegal-top+83886080
dd O240-top+117440512
dd r_illegal-top+117440512
dd O250-top+117440512
dd O258-top+117440512
dd O260-top+117440512
dd O268-top+117440512
dd O270-top+117440512
dd O278-top
dd O279-top
dd r_illegal-top+83886080
dd O280-top+117440512
dd r_illegal-top+117440512
dd O290-top+117440512
dd O298-top+117440512
dd O2A0-top+117440512
dd O2A8-top+117440512
dd O2B0-top+117440512
dd O2B8-top
dd O2B9-top
dd r_illegal-top+3305111552
dd O380-top+117440512
dd r_illegal-top+117440512
dd O390-top+117440512
dd O398-top+117440512
dd O3A0-top+117440512
dd O3A8-top+117440512
dd O3B0-top+117440512
dd O3B8-top
dd O3B9-top
dd O3BA-top
dd O3BB-top
dd O3BC-top
dd r_illegal-top+301989888
dd O3D0-top+117440512
dd r_illegal-top+251658240
dd O3E8-top+117440512
dd O3F0-top+117440512
dd O3F8-top
dd O3F9-top
dd O3FA-top
dd O3FB-top
dd r_illegal-top+50331648
dd O400-top+117440512
dd r_illegal-top+117440512
dd O410-top+117440512
dd O418-top+117440512
dd O420-top+117440512
dd O428-top+117440512
dd O430-top+117440512
dd O438-top
dd O439-top
dd r_illegal-top+83886080
dd O440-top+117440512
dd r_illegal-top+117440512
dd O450-top+117440512
dd O458-top+117440512
dd O460-top+117440512
dd O468-top+117440512
dd O470-top+117440512
dd O478-top
dd O479-top
dd r_illegal-top+83886080
dd O480-top+117440512
dd r_illegal-top+117440512
dd O490-top+117440512
dd O498-top+117440512
dd O4A0-top+117440512
dd O4A8-top+117440512
dd O4B0-top+117440512
dd O4B8-top
dd O4B9-top
dd r_illegal-top+83886080
dd O4C0-top+117440512
dd r_illegal-top+117440512
dd O4D0-top+117440512
dd O4D8-top+117440512
dd O4E0-top+117440512
dd O4E8-top+117440512
dd O4F0-top+117440512
dd O4F8-top
dd O4F9-top
dd O4FA-top
dd O4FB-top
dd O4FC-top
dd r_illegal-top+2181038080
dd O580-top+117440512
dd r_illegal-top+117440512
dd O590-top+117440512
dd O598-top+117440512
dd O5A0-top+117440512
dd O5A8-top+117440512
dd O5B0-top+117440512
dd O5B8-top
dd O5B9-top
dd O5BA-top
dd O5BB-top
dd O5BC-top
dd r_illegal-top+301989888
dd O5D0-top+117440512
dd r_illegal-top+251658240
dd O5E8-top+117440512
dd O5F0-top+117440512
dd O5F8-top
dd O5F9-top
dd O5FA-top
dd O5FB-top
dd r_illegal-top+50331648
dd O600-top+117440512
dd r_illegal-top+117440512
dd O610-top+117440512
dd O618-top+117440512
dd O620-top+117440512
dd O628-top+117440512
dd O630-top+117440512
dd O638-top
dd O639-top
dd r_illegal-top+83886080
dd O640-top+117440512
dd r_illegal-top+117440512
dd O650-top+117440512
dd O658-top+117440512
dd O660-top+117440512
dd O668-top+117440512
dd O670-top+117440512
dd O678-top
dd O679-top
dd r_illegal-top+83886080
dd O680-top+117440512
dd r_illegal-top+117440512
dd O690-top+117440512
dd O698-top+117440512
dd O6A0-top+117440512
dd O6A8-top+117440512
dd O6B0-top+117440512
dd O6B8-top
dd O6B9-top
dd r_illegal-top+83886080
dd O6C0-top+117440512
dd r_illegal-top+117440512
dd O6D0-top+117440512
dd O6D8-top+117440512
dd O6E0-top+117440512
dd O6E8-top+117440512
dd O6F0-top+117440512
dd O6F8-top
dd O6F9-top
dd O6FA-top
dd O6FB-top
dd O6FC-top
dd r_illegal-top+2181038080
dd O780-top+117440512
dd r_illegal-top+117440512
dd O790-top+117440512
dd O798-top+117440512
dd O7A0-top+117440512
dd O7A8-top+117440512
dd O7B0-top+117440512
dd O7B8-top
dd O7B9-top
dd O7BA-top
dd O7BB-top
dd O7BC-top
dd r_illegal-top+301989888
dd O7D0-top+117440512
dd r_illegal-top+251658240
dd O7E8-top+117440512
dd O7F0-top+117440512
dd O7F8-top
dd O7F9-top
dd O7FA-top
dd O7FB-top
dd r_illegal-top+50331648
dd O800-top+117440512
dd r_illegal-top+117440512
dd O810-top+117440512
dd O818-top+117440512
dd O820-top+117440512
dd O828-top+117440512
dd O830-top+117440512
dd O838-top
dd O839-top
dd r_illegal-top+83886080
dd O840-top+117440512
dd r_illegal-top+117440512
dd O850-top+117440512
dd r_illegal-top+251658240
dd O868-top+117440512
dd O870-top+117440512
dd O878-top
dd O879-top
dd O87A-top
dd O87B-top
dd r_illegal-top+50331648
dd O880-top+117440512
dd r_illegal-top+117440512
dd O890-top+117440512
dd r_illegal-top+117440512
dd O8A0-top+117440512
dd O8A8-top+117440512
dd O8B0-top+117440512
dd O8B8-top
dd O8B9-top
dd r_illegal-top+83886080
dd O8C0-top+117440512
dd r_illegal-top+117440512
dd O8D0-top+117440512
dd r_illegal-top+117440512
dd O8E0-top+117440512
dd O8E8-top+117440512
dd O8F0-top+117440512
dd O8F8-top
dd O8F9-top
dd r_illegal-top+2231369728
dd O980-top+117440512
dd r_illegal-top+117440512
dd O990-top+117440512
dd O998-top+117440512
dd O9A0-top+117440512
dd O9A8-top+117440512
dd O9B0-top+117440512
dd O9B8-top
dd O9B9-top
dd O9BA-top
dd O9BB-top
dd O9BC-top
dd r_illegal-top+301989888
dd O9D0-top+117440512
dd r_illegal-top+251658240
dd O9E8-top+117440512
dd O9F0-top+117440512
dd O9F8-top
dd O9F9-top
dd O9FA-top
dd O9FB-top
dd r_illegal-top+50331648
dd OA00-top+117440512
dd r_illegal-top+117440512
dd OA10-top+117440512
dd OA18-top+117440512
dd OA20-top+117440512
dd OA28-top+117440512
dd OA30-top+117440512
dd OA38-top
dd OA39-top
dd r_illegal-top+83886080
dd OA40-top+117440512
dd r_illegal-top+117440512
dd OA50-top+117440512
dd OA58-top+117440512
dd OA60-top+117440512
dd OA68-top+117440512
dd OA70-top+117440512
dd OA78-top
dd OA79-top
dd r_illegal-top+83886080
dd OA80-top+117440512
dd r_illegal-top+117440512
dd OA90-top+117440512
dd OA98-top+117440512
dd OAA0-top+117440512
dd OAA8-top+117440512
dd OAB0-top+117440512
dd OAB8-top
dd OAB9-top
dd r_illegal-top+83886080
dd OAC0-top+117440512
dd r_illegal-top+117440512
dd OAD0-top+117440512
dd OAD8-top+117440512
dd OAE0-top+117440512
dd OAE8-top+117440512
dd OAF0-top+117440512
dd OAF8-top
dd OAF9-top
dd OAFA-top
dd OAFB-top
dd OAFC-top
dd r_illegal-top+2181038080
dd OB80-top+117440512
dd r_illegal-top+117440512
dd OB90-top+117440512
dd OB98-top+117440512
dd OBA0-top+117440512
dd OBA8-top+117440512
dd OBB0-top+117440512
dd OBB8-top
dd OBB9-top
dd OBBA-top
dd OBBB-top
dd OBBC-top
dd r_illegal-top+301989888
dd OBD0-top+117440512
dd r_illegal-top+251658240
dd OBE8-top+117440512
dd OBF0-top+117440512
dd OBF8-top
dd OBF9-top
dd OBFA-top
dd OBFB-top
dd r_illegal-top+2466250752
dd OC90-top+117440512
dd OC98-top+117440512
dd r_illegal-top+117440512
dd OCA8-top+117440512
dd OCB0-top+117440512
dd OCB8-top
dd OCB9-top
dd OCBA-top
dd OCBB-top
dd r_illegal-top+318767104
dd OCD0-top+117440512
dd OCD8-top+117440512
dd r_illegal-top+117440512
dd OCE8-top+117440512
dd OCF0-top+117440512
dd OCF8-top
dd OCF9-top
dd OCFA-top
dd OCFB-top
dd r_illegal-top+2197815296
dd OD80-top+117440512
dd r_illegal-top+117440512
dd OD90-top+117440512
dd OD98-top+117440512
dd ODA0-top+117440512
dd ODA8-top+117440512
dd ODB0-top+117440512
dd ODB8-top
dd ODB9-top
dd ODBA-top
dd ODBB-top
dd ODBC-top
dd r_illegal-top+301989888
dd ODD0-top+117440512
dd r_illegal-top+251658240
dd ODE8-top+117440512
dd ODF0-top+117440512
dd ODF8-top
dd ODF9-top
dd ODFA-top
dd ODFB-top
dd r_illegal-top+1124073472
dd OE40-top+251658240
dd OE50-top+117440512
dd OE58-top+117440512
dd OE60-top+117440512
dd OE68-top+117440512
dd OE70-top
dd OE71-top
dd OE72-top
dd OE73-top
dd r_illegal-top
dd OE75-top
dd OE76-top
dd OE77-top
dd r_illegal-top+385875968
dd OE90-top+117440512
dd r_illegal-top+251658240
dd OEA8-top+117440512
dd OEB0-top+117440512
dd OEB8-top
dd OEB9-top
dd OEBA-top
dd OEBB-top
dd r_illegal-top+318767104
dd OED0-top+117440512
dd r_illegal-top+251658240
dd OEE8-top+117440512
dd OEF0-top+117440512
dd OEF8-top
dd OEF9-top
dd OEFA-top
dd OEFB-top
dd r_illegal-top+2197815296
dd OF80-top+117440512
dd r_illegal-top+117440512
dd OF90-top+117440512
dd OF98-top+117440512
dd OFA0-top+117440512
dd OFA8-top+117440512
dd OFB0-top+117440512
dd OFB8-top
dd OFB9-top
dd OFBA-top
dd OFBB-top
dd OFBC-top
dd r_illegal-top+301989888
dd OFD0-top+117440512
dd r_illegal-top+251658240
dd OFE8-top+117440512
dd OFF0-top+117440512
dd OFF8-top
dd OFF9-top
dd OFFA-top
dd OFFB-top
dd r_illegal-top+50331648
dd P000-top+117440512
dd P008-top+117440512
dd P010-top+117440512
dd P018-top+117440512
dd P020-top+117440512
dd P028-top+117440512
dd P030-top+117440512
dd P038-top
dd P039-top
dd r_illegal-top+83886080
dd P040-top+117440512
dd P048-top+117440512
dd P050-top+117440512
dd P058-top+117440512
dd P060-top+117440512
dd P068-top+117440512
dd P070-top+117440512
dd P078-top
dd P079-top
dd r_illegal-top+83886080
dd P080-top+117440512
dd P088-top+117440512
dd P090-top+117440512
dd P098-top+117440512
dd P0A0-top+117440512
dd P0A8-top+117440512
dd P0B0-top+117440512
dd P0B8-top
dd P0B9-top
dd r_illegal-top+83886080
dd P0C0-top+117440512
dd P0C8-top+117440512
dd P0D0-top+117440512
dd P0D8-top+117440512
dd P0E0-top+117440512
dd P0E8-top+117440512
dd P0F0-top+117440512
dd P0F8-top
dd P0F9-top
dd r_illegal-top+83886080
dd P100-top+117440512
dd P108-top+117440512
dd P110-top+117440512
dd P118-top+117440512
dd P120-top+117440512
dd P128-top+117440512
dd P130-top+117440512
dd P138-top
dd P139-top
dd r_illegal-top+83886080
dd P140-top+117440512
dd P148-top+117440512
dd P150-top+117440512
dd P158-top+117440512
dd P160-top+117440512
dd P168-top+117440512
dd P170-top+117440512
dd P178-top
dd P179-top
dd r_illegal-top+83886080
dd P180-top+117440512
dd P188-top+117440512
dd P190-top+117440512
dd P198-top+117440512
dd P1A0-top+117440512
dd P1A8-top+117440512
dd P1B0-top+117440512
dd P1B8-top
dd P1B9-top
dd r_illegal-top+83886080
dd P1C0-top+117440512
dd P1C8-top+117440512
dd P1D0-top+117440512
dd P1D8-top+117440512
dd P1E0-top+117440512
dd P1E8-top+117440512
dd P1F0-top+117440512
dd P1F8-top
dd P1F9-top
dd r_illegal-top+83886080
dd P200-top+117440512
dd P208-top+117440512
dd P210-top+117440512
dd P218-top+117440512
dd P220-top+117440512
dd P228-top+117440512
dd P230-top+117440512
dd P238-top
dd P239-top
dd r_illegal-top+83886080
dd P240-top+117440512
dd P248-top+117440512
dd P250-top+117440512
dd P258-top+117440512
dd P260-top+117440512
dd P268-top+117440512
dd P270-top+117440512
dd P278-top
dd P279-top
dd r_illegal-top+83886080
dd P280-top+117440512
dd P288-top+117440512
dd P290-top+117440512
dd P298-top+117440512
dd P2A0-top+117440512
dd P2A8-top+117440512
dd P2B0-top+117440512
dd P2B8-top
dd P2B9-top
dd r_illegal-top+83886080
dd P2C0-top+117440512
dd P2C8-top+117440512
dd P2D0-top+117440512
dd P2D8-top+117440512
dd P2E0-top+117440512
dd P2E8-top+117440512
dd P2F0-top+117440512
dd P2F8-top
dd P2F9-top
dd r_illegal-top+83886080
dd P300-top+117440512
dd P308-top+117440512
dd P310-top+117440512
dd P318-top+117440512
dd P320-top+117440512
dd P328-top+117440512
dd P330-top+117440512
dd P338-top
dd P339-top
dd r_illegal-top+83886080
dd P340-top+117440512
dd P348-top+117440512
dd P350-top+117440512
dd P358-top+117440512
dd P360-top+117440512
dd P368-top+117440512
dd P370-top+117440512
dd P378-top
dd P379-top
dd r_illegal-top+83886080
dd P380-top+117440512
dd P388-top+117440512
dd P390-top+117440512
dd P398-top+117440512
dd P3A0-top+117440512
dd P3A8-top+117440512
dd P3B0-top+117440512
dd P3B8-top
dd P3B9-top
dd r_illegal-top+83886080
dd P3C0-top+117440512
dd P3C8-top+117440512
dd P3D0-top+117440512
dd P3D8-top+117440512
dd P3E0-top+117440512
dd P3E8-top+117440512
dd P3F0-top+117440512
dd P3F8-top
dd P3F9-top
dd r_illegal-top+83886080
dd P400-top+117440512
dd P408-top+117440512
dd P410-top+117440512
dd P418-top+117440512
dd P420-top+117440512
dd P428-top+117440512
dd P430-top+117440512
dd P438-top
dd P439-top
dd r_illegal-top+83886080
dd P440-top+117440512
dd P448-top+117440512
dd P450-top+117440512
dd P458-top+117440512
dd P460-top+117440512
dd P468-top+117440512
dd P470-top+117440512
dd P478-top
dd P479-top
dd r_illegal-top+83886080
dd P480-top+117440512
dd P488-top+117440512
dd P490-top+117440512
dd P498-top+117440512
dd P4A0-top+117440512
dd P4A8-top+117440512
dd P4B0-top+117440512
dd P4B8-top
dd P4B9-top
dd r_illegal-top+83886080
dd P4C0-top+117440512
dd P4C8-top+117440512
dd P4D0-top+117440512
dd P4D8-top+117440512
dd P4E0-top+117440512
dd P4E8-top+117440512
dd P4F0-top+117440512
dd P4F8-top
dd P4F9-top
dd r_illegal-top+83886080
dd P500-top+117440512
dd P508-top+117440512
dd P510-top+117440512
dd P518-top+117440512
dd P520-top+117440512
dd P528-top+117440512
dd P530-top+117440512
dd P538-top
dd P539-top
dd r_illegal-top+83886080
dd P540-top+117440512
dd P548-top+117440512
dd P550-top+117440512
dd P558-top+117440512
dd P560-top+117440512
dd P568-top+117440512
dd P570-top+117440512
dd P578-top
dd P579-top
dd r_illegal-top+83886080
dd P580-top+117440512
dd P588-top+117440512
dd P590-top+117440512
dd P598-top+117440512
dd P5A0-top+117440512
dd P5A8-top+117440512
dd P5B0-top+117440512
dd P5B8-top
dd P5B9-top
dd r_illegal-top+83886080
dd P5C0-top+117440512
dd P5C8-top+117440512
dd P5D0-top+117440512
dd P5D8-top+117440512
dd P5E0-top+117440512
dd P5E8-top+117440512
dd P5F0-top+117440512
dd P5F8-top
dd P5F9-top
dd r_illegal-top+83886080
dd P600-top+117440512
dd P608-top+117440512
dd P610-top+117440512
dd P618-top+117440512
dd P620-top+117440512
dd P628-top+117440512
dd P630-top+117440512
dd P638-top
dd P639-top
dd r_illegal-top+83886080
dd P640-top+117440512
dd P648-top+117440512
dd P650-top+117440512
dd P658-top+117440512
dd P660-top+117440512
dd P668-top+117440512
dd P670-top+117440512
dd P678-top
dd P679-top
dd r_illegal-top+83886080
dd P680-top+117440512
dd P688-top+117440512
dd P690-top+117440512
dd P698-top+117440512
dd P6A0-top+117440512
dd P6A8-top+117440512
dd P6B0-top+117440512
dd P6B8-top
dd P6B9-top
dd r_illegal-top+83886080
dd P6C0-top+117440512
dd P6C8-top+117440512
dd P6D0-top+117440512
dd P6D8-top+117440512
dd P6E0-top+117440512
dd P6E8-top+117440512
dd P6F0-top+117440512
dd P6F8-top
dd P6F9-top
dd r_illegal-top+83886080
dd P700-top+117440512
dd P708-top+117440512
dd P710-top+117440512
dd P718-top+117440512
dd P720-top+117440512
dd P728-top+117440512
dd P730-top+117440512
dd P738-top
dd P739-top
dd r_illegal-top+83886080
dd P740-top+117440512
dd P748-top+117440512
dd P750-top+117440512
dd P758-top+117440512
dd P760-top+117440512
dd P768-top+117440512
dd P770-top+117440512
dd P778-top
dd P779-top
dd r_illegal-top+83886080
dd P780-top+117440512
dd P788-top+117440512
dd P790-top+117440512
dd P798-top+117440512
dd P7A0-top+117440512
dd P7A8-top+117440512
dd P7B0-top+117440512
dd P7B8-top
dd P7B9-top
dd r_illegal-top+83886080
dd P7C0-top+117440512
dd P7C8-top+117440512
dd P7D0-top+117440512
dd P7D8-top+117440512
dd P7E0-top+117440512
dd P7E8-top+117440512
dd P7F0-top+117440512
dd P7F8-top
dd P7F9-top
dd r_illegal-top+83886080
dd P800-top+117440512
dd P808-top+117440512
dd P810-top+117440512
dd P818-top+117440512
dd P820-top+117440512
dd P828-top+117440512
dd P830-top+117440512
dd P838-top
dd P839-top
dd r_illegal-top+83886080
dd P840-top+117440512
dd P848-top+117440512
dd P850-top+117440512
dd P858-top+117440512
dd P860-top+117440512
dd P868-top+117440512
dd P870-top+117440512
dd P878-top
dd P879-top
dd r_illegal-top+83886080
dd P880-top+117440512
dd P888-top+117440512
dd P890-top+117440512
dd P898-top+117440512
dd P8A0-top+117440512
dd P8A8-top+117440512
dd P8B0-top+117440512
dd P8B8-top
dd P8B9-top
dd r_illegal-top+83886080
dd P8C0-top+117440512
dd P8C8-top+117440512
dd P8D0-top+117440512
dd P8D8-top+117440512
dd P8E0-top+117440512
dd P8E8-top+117440512
dd P8F0-top+117440512
dd P8F8-top
dd P8F9-top
dd r_illegal-top+83886080
dd P900-top+117440512
dd P908-top+117440512
dd P910-top+117440512
dd P918-top+117440512
dd P920-top+117440512
dd P928-top+117440512
dd P930-top+117440512
dd P938-top
dd P939-top
dd r_illegal-top+83886080
dd P940-top+117440512
dd P948-top+117440512
dd P950-top+117440512
dd P958-top+117440512
dd P960-top+117440512
dd P968-top+117440512
dd P970-top+117440512
dd P978-top
dd P979-top
dd r_illegal-top+83886080
dd P980-top+117440512
dd P988-top+117440512
dd P990-top+117440512
dd P998-top+117440512
dd P9A0-top+117440512
dd P9A8-top+117440512
dd P9B0-top+117440512
dd P9B8-top
dd P9B9-top
dd r_illegal-top+83886080
dd P9C0-top+117440512
dd P9C8-top+117440512
dd P9D0-top+117440512
dd P9D8-top+117440512
dd P9E0-top+117440512
dd P9E8-top+117440512
dd P9F0-top+117440512
dd P9F8-top
dd P9F9-top
dd r_illegal-top+83886080
dd PA00-top+117440512
dd PA08-top+117440512
dd PA10-top+117440512
dd PA18-top+117440512
dd PA20-top+117440512
dd PA28-top+117440512
dd PA30-top+117440512
dd PA38-top
dd PA39-top
dd r_illegal-top+83886080
dd PA40-top+117440512
dd PA48-top+117440512
dd PA50-top+117440512
dd PA58-top+117440512
dd PA60-top+117440512
dd PA68-top+117440512
dd PA70-top+117440512
dd PA78-top
dd PA79-top
dd r_illegal-top+83886080
dd PA80-top+117440512
dd PA88-top+117440512
dd PA90-top+117440512
dd PA98-top+117440512
dd PAA0-top+117440512
dd PAA8-top+117440512
dd PAB0-top+117440512
dd PAB8-top
dd PAB9-top
dd r_illegal-top+83886080
dd PAC0-top+117440512
dd PAC8-top+117440512
dd PAD0-top+117440512
dd PAD8-top+117440512
dd PAE0-top+117440512
dd PAE8-top+117440512
dd PAF0-top+117440512
dd PAF8-top
dd PAF9-top
dd r_illegal-top+83886080
dd PB00-top+117440512
dd PB08-top+117440512
dd PB10-top+117440512
dd PB18-top+117440512
dd PB20-top+117440512
dd PB28-top+117440512
dd PB30-top+117440512
dd PB38-top
dd PB39-top
dd r_illegal-top+83886080
dd PB40-top+117440512
dd PB48-top+117440512
dd PB50-top+117440512
dd PB58-top+117440512
dd PB60-top+117440512
dd PB68-top+117440512
dd PB70-top+117440512
dd PB78-top
dd PB79-top
dd r_illegal-top+83886080
dd PB80-top+117440512
dd PB88-top+117440512
dd PB90-top+117440512
dd PB98-top+117440512
dd PBA0-top+117440512
dd PBA8-top+117440512
dd PBB0-top+117440512
dd PBB8-top
dd PBB9-top
dd r_illegal-top+83886080
dd PBC0-top+117440512
dd PBC8-top+117440512
dd PBD0-top+117440512
dd PBD8-top+117440512
dd PBE0-top+117440512
dd PBE8-top+117440512
dd PBF0-top+117440512
dd PBF8-top
dd PBF9-top
dd r_illegal-top+83886080
dd PC00-top+117440512
dd PC08-top+117440512
dd PC10-top+117440512
dd PC18-top+117440512
dd PC20-top+117440512
dd PC28-top+117440512
dd PC30-top+117440512
dd PC38-top
dd PC39-top
dd r_illegal-top+83886080
dd PC40-top+117440512
dd PC48-top+117440512
dd PC50-top+117440512
dd PC58-top+117440512
dd PC60-top+117440512
dd PC68-top+117440512
dd PC70-top+117440512
dd PC78-top
dd PC79-top
dd r_illegal-top+83886080
dd PC80-top+117440512
dd PC88-top+117440512
dd PC90-top+117440512
dd PC98-top+117440512
dd PCA0-top+117440512
dd PCA8-top+117440512
dd PCB0-top+117440512
dd PCB8-top
dd PCB9-top
dd r_illegal-top+83886080
dd PCC0-top+117440512
dd PCC8-top+117440512
dd PCD0-top+117440512
dd PCD8-top+117440512
dd PCE0-top+117440512
dd PCE8-top+117440512
dd PCF0-top+117440512
dd PCF8-top
dd PCF9-top
dd r_illegal-top+83886080
dd PD00-top+117440512
dd PD08-top+117440512
dd PD10-top+117440512
dd PD18-top+117440512
dd PD20-top+117440512
dd PD28-top+117440512
dd PD30-top+117440512
dd PD38-top
dd PD39-top
dd r_illegal-top+83886080
dd PD40-top+117440512
dd PD48-top+117440512
dd PD50-top+117440512
dd PD58-top+117440512
dd PD60-top+117440512
dd PD68-top+117440512
dd PD70-top+117440512
dd PD78-top
dd PD79-top
dd r_illegal-top+83886080
dd PD80-top+117440512
dd PD88-top+117440512
dd PD90-top+117440512
dd PD98-top+117440512
dd PDA0-top+117440512
dd PDA8-top+117440512
dd PDB0-top+117440512
dd PDB8-top
dd PDB9-top
dd r_illegal-top+83886080
dd PDC0-top+117440512
dd PDC8-top+117440512
dd PDD0-top+117440512
dd PDD8-top+117440512
dd PDE0-top+117440512
dd PDE8-top+117440512
dd PDF0-top+117440512
dd PDF8-top
dd PDF9-top
dd r_illegal-top+83886080
dd PE00-top+117440512
dd PE08-top+117440512
dd PE10-top+117440512
dd PE18-top+117440512
dd PE20-top+117440512
dd PE28-top+117440512
dd PE30-top+117440512
dd PE38-top
dd PE39-top
dd r_illegal-top+83886080
dd PE40-top+117440512
dd PE48-top+117440512
dd PE50-top+117440512
dd PE58-top+117440512
dd PE60-top+117440512
dd PE68-top+117440512
dd PE70-top+117440512
dd PE78-top
dd PE79-top
dd r_illegal-top+83886080
dd PE80-top+117440512
dd PE88-top+117440512
dd PE90-top+117440512
dd PE98-top+117440512
dd PEA0-top+117440512
dd PEA8-top+117440512
dd PEB0-top+117440512
dd PEB8-top
dd PEB9-top
dd r_illegal-top+83886080
dd PEC0-top+117440512
dd PEC8-top+117440512
dd PED0-top+117440512
dd PED8-top+117440512
dd PEE0-top+117440512
dd PEE8-top+117440512
dd PEF0-top+117440512
dd PEF8-top
dd PEF9-top
dd r_illegal-top+83886080
dd PF00-top+117440512
dd PF08-top+117440512
dd PF10-top+117440512
dd PF18-top+117440512
dd PF20-top+117440512
dd PF28-top+117440512
dd PF30-top+117440512
dd PF38-top
dd PF39-top
dd r_illegal-top+83886080
dd PF40-top+117440512
dd PF48-top+117440512
dd PF50-top+117440512
dd PF58-top+117440512
dd PF60-top+117440512
dd PF68-top+117440512
dd PF70-top+117440512
dd PF78-top
dd PF79-top
dd r_illegal-top+83886080
dd PF80-top+117440512
dd PF88-top+117440512
dd PF90-top+117440512
dd PF98-top+117440512
dd PFA0-top+117440512
dd PFA8-top+117440512
dd PFB0-top+117440512
dd PFB8-top
dd PFB9-top
dd r_illegal-top+83886080
dd PFC0-top+117440512
dd PFC8-top+117440512
dd PFD0-top+117440512
dd PFD8-top+117440512
dd PFE0-top+117440512
dd PFE8-top+117440512
dd PFF0-top+117440512
dd PFF8-top
dd PFF9-top
dd r_illegal-top+83886080
dd Q000-top
dd Q001-top+4261412864
dd Q100-top
dd Q101-top+4261412864
dd Q200-top
dd Q201-top+4261412864
dd Q300-top
dd Q301-top+4261412864
dd Q400-top
dd Q401-top+4261412864
dd Q500-top
dd Q501-top+4261412864
dd Q600-top
dd Q601-top+4261412864
dd Q700-top
dd Q701-top+4261412864
dd Q800-top
dd Q801-top+4261412864
dd Q900-top
dd Q901-top+4261412864
dd QA00-top
dd QA01-top+4261412864
dd QB00-top
dd QB01-top+4261412864
dd QC00-top
dd QC01-top+4261412864
dd QD00-top
dd QD01-top+4261412864
dd QE00-top
dd QE01-top+4261412864
dd QF00-top
dd QF01-top+4261412864
dd R000-top+4278190080
dd r_illegal-top+4278190080
dd R200-top+4278190080
dd r_illegal-top+4278190080
dd R400-top+4278190080
dd r_illegal-top+4278190080
dd R600-top+4278190080
dd r_illegal-top+4278190080
dd R800-top+4278190080
dd r_illegal-top+4278190080
dd RA00-top+4278190080
dd r_illegal-top+4278190080
dd RC00-top+4278190080
dd r_illegal-top+4278190080
dd RE00-top+4278190080
dd r_illegal-top+4278190080
dd S000-top+117440512
dd r_illegal-top+117440512
dd S010-top+117440512
dd S018-top+117440512
dd S020-top+117440512
dd S028-top+117440512
dd S030-top+117440512
dd S038-top
dd S039-top
dd S03A-top
dd S03B-top
dd S03C-top
dd r_illegal-top+33554432
dd S040-top+117440512
dd r_illegal-top+117440512
dd S050-top+117440512
dd S058-top+117440512
dd S060-top+117440512
dd S068-top+117440512
dd S070-top+117440512
dd S078-top
dd S079-top
dd S07A-top
dd S07B-top
dd S07C-top
dd r_illegal-top+33554432
dd S080-top+117440512
dd r_illegal-top+117440512
dd S090-top+117440512
dd S098-top+117440512
dd S0A0-top+117440512
dd S0A8-top+117440512
dd S0B0-top+117440512
dd S0B8-top
dd S0B9-top
dd S0BA-top
dd S0BB-top
dd S0BC-top
dd r_illegal-top+33554432
dd S0C0-top+117440512
dd r_illegal-top+117440512
dd S0D0-top+117440512
dd S0D8-top+117440512
dd S0E0-top+117440512
dd S0E8-top+117440512
dd S0F0-top+117440512
dd S0F8-top
dd S0F9-top
dd S0FA-top
dd S0FB-top
dd S0FC-top
dd r_illegal-top+33554432
dd S100-top+117440512
dd S108-top+117440512
dd S110-top+117440512
dd S118-top+117440512
dd S120-top+117440512
dd S128-top+117440512
dd S130-top+117440512
dd S138-top
dd S139-top
dd r_illegal-top+352321536
dd S150-top+117440512
dd S158-top+117440512
dd S160-top+117440512
dd S168-top+117440512
dd S170-top+117440512
dd S178-top
dd S179-top
dd r_illegal-top+352321536
dd S190-top+117440512
dd S198-top+117440512
dd S1A0-top+117440512
dd S1A8-top+117440512
dd S1B0-top+117440512
dd S1B8-top
dd S1B9-top
dd r_illegal-top+83886080
dd S1C0-top+117440512
dd r_illegal-top+117440512
dd S1D0-top+117440512
dd S1D8-top+117440512
dd S1E0-top+117440512
dd S1E8-top+117440512
dd S1F0-top+117440512
dd S1F8-top
dd S1F9-top
dd S1FA-top
dd S1FB-top
dd S1FC-top
dd r_illegal-top+33554432
dd S200-top+117440512
dd r_illegal-top+117440512
dd S210-top+117440512
dd S218-top+117440512
dd S220-top+117440512
dd S228-top+117440512
dd S230-top+117440512
dd S238-top
dd S239-top
dd S23A-top
dd S23B-top
dd S23C-top
dd r_illegal-top+33554432
dd S240-top+117440512
dd r_illegal-top+117440512
dd S250-top+117440512
dd S258-top+117440512
dd S260-top+117440512
dd S268-top+117440512
dd S270-top+117440512
dd S278-top
dd S279-top
dd S27A-top
dd S27B-top
dd S27C-top
dd r_illegal-top+33554432
dd S280-top+117440512
dd r_illegal-top+117440512
dd S290-top+117440512
dd S298-top+117440512
dd S2A0-top+117440512
dd S2A8-top+117440512
dd S2B0-top+117440512
dd S2B8-top
dd S2B9-top
dd S2BA-top
dd S2BB-top
dd S2BC-top
dd r_illegal-top+33554432
dd S2C0-top+117440512
dd r_illegal-top+117440512
dd S2D0-top+117440512
dd S2D8-top+117440512
dd S2E0-top+117440512
dd S2E8-top+117440512
dd S2F0-top+117440512
dd S2F8-top
dd S2F9-top
dd S2FA-top
dd S2FB-top
dd S2FC-top
dd r_illegal-top+33554432
dd S300-top+117440512
dd S308-top+117440512
dd S310-top+117440512
dd S318-top+117440512
dd S320-top+117440512
dd S328-top+117440512
dd S330-top+117440512
dd S338-top
dd S339-top
dd r_illegal-top+352321536
dd S350-top+117440512
dd S358-top+117440512
dd S360-top+117440512
dd S368-top+117440512
dd S370-top+117440512
dd S378-top
dd S379-top
dd r_illegal-top+352321536
dd S390-top+117440512
dd S398-top+117440512
dd S3A0-top+117440512
dd S3A8-top+117440512
dd S3B0-top+117440512
dd S3B8-top
dd S3B9-top
dd r_illegal-top+83886080
dd S3C0-top+117440512
dd r_illegal-top+117440512
dd S3D0-top+117440512
dd S3D8-top+117440512
dd S3E0-top+117440512
dd S3E8-top+117440512
dd S3F0-top+117440512
dd S3F8-top
dd S3F9-top
dd S3FA-top
dd S3FB-top
dd S3FC-top
dd r_illegal-top+33554432
dd S400-top+117440512
dd r_illegal-top+117440512
dd S410-top+117440512
dd S418-top+117440512
dd S420-top+117440512
dd S428-top+117440512
dd S430-top+117440512
dd S438-top
dd S439-top
dd S43A-top
dd S43B-top
dd S43C-top
dd r_illegal-top+33554432
dd S440-top+117440512
dd r_illegal-top+117440512
dd S450-top+117440512
dd S458-top+117440512
dd S460-top+117440512
dd S468-top+117440512
dd S470-top+117440512
dd S478-top
dd S479-top
dd S47A-top
dd S47B-top
dd S47C-top
dd r_illegal-top+33554432
dd S480-top+117440512
dd r_illegal-top+117440512
dd S490-top+117440512
dd S498-top+117440512
dd S4A0-top+117440512
dd S4A8-top+117440512
dd S4B0-top+117440512
dd S4B8-top
dd S4B9-top
dd S4BA-top
dd S4BB-top
dd S4BC-top
dd r_illegal-top+33554432
dd S4C0-top+117440512
dd r_illegal-top+117440512
dd S4D0-top+117440512
dd S4D8-top+117440512
dd S4E0-top+117440512
dd S4E8-top+117440512
dd S4F0-top+117440512
dd S4F8-top
dd S4F9-top
dd S4FA-top
dd S4FB-top
dd S4FC-top
dd r_illegal-top+33554432
dd S500-top+117440512
dd S508-top+117440512
dd S510-top+117440512
dd S518-top+117440512
dd S520-top+117440512
dd S528-top+117440512
dd S530-top+117440512
dd S538-top
dd S539-top
dd r_illegal-top+352321536
dd S550-top+117440512
dd S558-top+117440512
dd S560-top+117440512
dd S568-top+117440512
dd S570-top+117440512
dd S578-top
dd S579-top
dd r_illegal-top+352321536
dd S590-top+117440512
dd S598-top+117440512
dd S5A0-top+117440512
dd S5A8-top+117440512
dd S5B0-top+117440512
dd S5B8-top
dd S5B9-top
dd r_illegal-top+83886080
dd S5C0-top+117440512
dd r_illegal-top+117440512
dd S5D0-top+117440512
dd S5D8-top+117440512
dd S5E0-top+117440512
dd S5E8-top+117440512
dd S5F0-top+117440512
dd S5F8-top
dd S5F9-top
dd S5FA-top
dd S5FB-top
dd S5FC-top
dd r_illegal-top+33554432
dd S600-top+117440512
dd r_illegal-top+117440512
dd S610-top+117440512
dd S618-top+117440512
dd S620-top+117440512
dd S628-top+117440512
dd S630-top+117440512
dd S638-top
dd S639-top
dd S63A-top
dd S63B-top
dd S63C-top
dd r_illegal-top+33554432
dd S640-top+117440512
dd r_illegal-top+117440512
dd S650-top+117440512
dd S658-top+117440512
dd S660-top+117440512
dd S668-top+117440512
dd S670-top+117440512
dd S678-top
dd S679-top
dd S67A-top
dd S67B-top
dd S67C-top
dd r_illegal-top+33554432
dd S680-top+117440512
dd r_illegal-top+117440512
dd S690-top+117440512
dd S698-top+117440512
dd S6A0-top+117440512
dd S6A8-top+117440512
dd S6B0-top+117440512
dd S6B8-top
dd S6B9-top
dd S6BA-top
dd S6BB-top
dd S6BC-top
dd r_illegal-top+33554432
dd S6C0-top+117440512
dd r_illegal-top+117440512
dd S6D0-top+117440512
dd S6D8-top+117440512
dd S6E0-top+117440512
dd S6E8-top+117440512
dd S6F0-top+117440512
dd S6F8-top
dd S6F9-top
dd S6FA-top
dd S6FB-top
dd S6FC-top
dd r_illegal-top+33554432
dd S700-top+117440512
dd S708-top+117440512
dd S710-top+117440512
dd S718-top+117440512
dd S720-top+117440512
dd S728-top+117440512
dd S730-top+117440512
dd S738-top
dd S739-top
dd r_illegal-top+352321536
dd S750-top+117440512
dd S758-top+117440512
dd S760-top+117440512
dd S768-top+117440512
dd S770-top+117440512
dd S778-top
dd S779-top
dd r_illegal-top+352321536
dd S790-top+117440512
dd S798-top+117440512
dd S7A0-top+117440512
dd S7A8-top+117440512
dd S7B0-top+117440512
dd S7B8-top
dd S7B9-top
dd r_illegal-top+83886080
dd S7C0-top+117440512
dd r_illegal-top+117440512
dd S7D0-top+117440512
dd S7D8-top+117440512
dd S7E0-top+117440512
dd S7E8-top+117440512
dd S7F0-top+117440512
dd S7F8-top
dd S7F9-top
dd S7FA-top
dd S7FB-top
dd S7FC-top
dd r_illegal-top+33554432
dd S800-top+117440512
dd r_illegal-top+117440512
dd S810-top+117440512
dd S818-top+117440512
dd S820-top+117440512
dd S828-top+117440512
dd S830-top+117440512
dd S838-top
dd S839-top
dd S83A-top
dd S83B-top
dd S83C-top
dd r_illegal-top+33554432
dd S840-top+117440512
dd r_illegal-top+117440512
dd S850-top+117440512
dd S858-top+117440512
dd S860-top+117440512
dd S868-top+117440512
dd S870-top+117440512
dd S878-top
dd S879-top
dd S87A-top
dd S87B-top
dd S87C-top
dd r_illegal-top+33554432
dd S880-top+117440512
dd r_illegal-top+117440512
dd S890-top+117440512
dd S898-top+117440512
dd S8A0-top+117440512
dd S8A8-top+117440512
dd S8B0-top+117440512
dd S8B8-top
dd S8B9-top
dd S8BA-top
dd S8BB-top
dd S8BC-top
dd r_illegal-top+33554432
dd S8C0-top+117440512
dd r_illegal-top+117440512
dd S8D0-top+117440512
dd S8D8-top+117440512
dd S8E0-top+117440512
dd S8E8-top+117440512
dd S8F0-top+117440512
dd S8F8-top
dd S8F9-top
dd S8FA-top
dd S8FB-top
dd S8FC-top
dd r_illegal-top+33554432
dd S900-top+117440512
dd S908-top+117440512
dd S910-top+117440512
dd S918-top+117440512
dd S920-top+117440512
dd S928-top+117440512
dd S930-top+117440512
dd S938-top
dd S939-top
dd r_illegal-top+352321536
dd S950-top+117440512
dd S958-top+117440512
dd S960-top+117440512
dd S968-top+117440512
dd S970-top+117440512
dd S978-top
dd S979-top
dd r_illegal-top+352321536
dd S990-top+117440512
dd S998-top+117440512
dd S9A0-top+117440512
dd S9A8-top+117440512
dd S9B0-top+117440512
dd S9B8-top
dd S9B9-top
dd r_illegal-top+83886080
dd S9C0-top+117440512
dd r_illegal-top+117440512
dd S9D0-top+117440512
dd S9D8-top+117440512
dd S9E0-top+117440512
dd S9E8-top+117440512
dd S9F0-top+117440512
dd S9F8-top
dd S9F9-top
dd S9FA-top
dd S9FB-top
dd S9FC-top
dd r_illegal-top+33554432
dd SA00-top+117440512
dd r_illegal-top+117440512
dd SA10-top+117440512
dd SA18-top+117440512
dd SA20-top+117440512
dd SA28-top+117440512
dd SA30-top+117440512
dd SA38-top
dd SA39-top
dd SA3A-top
dd SA3B-top
dd SA3C-top
dd r_illegal-top+33554432
dd SA40-top+117440512
dd r_illegal-top+117440512
dd SA50-top+117440512
dd SA58-top+117440512
dd SA60-top+117440512
dd SA68-top+117440512
dd SA70-top+117440512
dd SA78-top
dd SA79-top
dd SA7A-top
dd SA7B-top
dd SA7C-top
dd r_illegal-top+33554432
dd SA80-top+117440512
dd r_illegal-top+117440512
dd SA90-top+117440512
dd SA98-top+117440512
dd SAA0-top+117440512
dd SAA8-top+117440512
dd SAB0-top+117440512
dd SAB8-top
dd SAB9-top
dd SABA-top
dd SABB-top
dd SABC-top
dd r_illegal-top+33554432
dd SAC0-top+117440512
dd r_illegal-top+117440512
dd SAD0-top+117440512
dd SAD8-top+117440512
dd SAE0-top+117440512
dd SAE8-top+117440512
dd SAF0-top+117440512
dd SAF8-top
dd SAF9-top
dd SAFA-top
dd SAFB-top
dd SAFC-top
dd r_illegal-top+33554432
dd SB00-top+117440512
dd SB08-top+117440512
dd SB10-top+117440512
dd SB18-top+117440512
dd SB20-top+117440512
dd SB28-top+117440512
dd SB30-top+117440512
dd SB38-top
dd SB39-top
dd r_illegal-top+352321536
dd SB50-top+117440512
dd SB58-top+117440512
dd SB60-top+117440512
dd SB68-top+117440512
dd SB70-top+117440512
dd SB78-top
dd SB79-top
dd r_illegal-top+352321536
dd SB90-top+117440512
dd SB98-top+117440512
dd SBA0-top+117440512
dd SBA8-top+117440512
dd SBB0-top+117440512
dd SBB8-top
dd SBB9-top
dd r_illegal-top+83886080
dd SBC0-top+117440512
dd r_illegal-top+117440512
dd SBD0-top+117440512
dd SBD8-top+117440512
dd SBE0-top+117440512
dd SBE8-top+117440512
dd SBF0-top+117440512
dd SBF8-top
dd SBF9-top
dd SBFA-top
dd SBFB-top
dd SBFC-top
dd r_illegal-top+33554432
dd SC00-top+117440512
dd r_illegal-top+117440512
dd SC10-top+117440512
dd SC18-top+117440512
dd SC20-top+117440512
dd SC28-top+117440512
dd SC30-top+117440512
dd SC38-top
dd SC39-top
dd SC3A-top
dd SC3B-top
dd SC3C-top
dd r_illegal-top+33554432
dd SC40-top+117440512
dd r_illegal-top+117440512
dd SC50-top+117440512
dd SC58-top+117440512
dd SC60-top+117440512
dd SC68-top+117440512
dd SC70-top+117440512
dd SC78-top
dd SC79-top
dd SC7A-top
dd SC7B-top
dd SC7C-top
dd r_illegal-top+33554432
dd SC80-top+117440512
dd r_illegal-top+117440512
dd SC90-top+117440512
dd SC98-top+117440512
dd SCA0-top+117440512
dd SCA8-top+117440512
dd SCB0-top+117440512
dd SCB8-top
dd SCB9-top
dd SCBA-top
dd SCBB-top
dd SCBC-top
dd r_illegal-top+33554432
dd SCC0-top+117440512
dd r_illegal-top+117440512
dd SCD0-top+117440512
dd SCD8-top+117440512
dd SCE0-top+117440512
dd SCE8-top+117440512
dd SCF0-top+117440512
dd SCF8-top
dd SCF9-top
dd SCFA-top
dd SCFB-top
dd SCFC-top
dd r_illegal-top+33554432
dd SD00-top+117440512
dd SD08-top+117440512
dd SD10-top+117440512
dd SD18-top+117440512
dd SD20-top+117440512
dd SD28-top+117440512
dd SD30-top+117440512
dd SD38-top
dd SD39-top
dd r_illegal-top+352321536
dd SD50-top+117440512
dd SD58-top+117440512
dd SD60-top+117440512
dd SD68-top+117440512
dd SD70-top+117440512
dd SD78-top
dd SD79-top
dd r_illegal-top+352321536
dd SD90-top+117440512
dd SD98-top+117440512
dd SDA0-top+117440512
dd SDA8-top+117440512
dd SDB0-top+117440512
dd SDB8-top
dd SDB9-top
dd r_illegal-top+83886080
dd SDC0-top+117440512
dd r_illegal-top+117440512
dd SDD0-top+117440512
dd SDD8-top+117440512
dd SDE0-top+117440512
dd SDE8-top+117440512
dd SDF0-top+117440512
dd SDF8-top
dd SDF9-top
dd SDFA-top
dd SDFB-top
dd SDFC-top
dd r_illegal-top+33554432
dd SE00-top+117440512
dd r_illegal-top+117440512
dd SE10-top+117440512
dd SE18-top+117440512
dd SE20-top+117440512
dd SE28-top+117440512
dd SE30-top+117440512
dd SE38-top
dd SE39-top
dd SE3A-top
dd SE3B-top
dd SE3C-top
dd r_illegal-top+33554432
dd SE40-top+117440512
dd r_illegal-top+117440512
dd SE50-top+117440512
dd SE58-top+117440512
dd SE60-top+117440512
dd SE68-top+117440512
dd SE70-top+117440512
dd SE78-top
dd SE79-top
dd SE7A-top
dd SE7B-top
dd SE7C-top
dd r_illegal-top+33554432
dd SE80-top+117440512
dd r_illegal-top+117440512
dd SE90-top+117440512
dd SE98-top+117440512
dd SEA0-top+117440512
dd SEA8-top+117440512
dd SEB0-top+117440512
dd SEB8-top
dd SEB9-top
dd SEBA-top
dd SEBB-top
dd SEBC-top
dd r_illegal-top+33554432
dd SEC0-top+117440512
dd r_illegal-top+117440512
dd SED0-top+117440512
dd SED8-top+117440512
dd SEE0-top+117440512
dd SEE8-top+117440512
dd SEF0-top+117440512
dd SEF8-top
dd SEF9-top
dd SEFA-top
dd SEFB-top
dd SEFC-top
dd r_illegal-top+33554432
dd SF00-top+117440512
dd SF08-top+117440512
dd SF10-top+117440512
dd SF18-top+117440512
dd SF20-top+117440512
dd SF28-top+117440512
dd SF30-top+117440512
dd SF38-top
dd SF39-top
dd r_illegal-top+352321536
dd SF50-top+117440512
dd SF58-top+117440512
dd SF60-top+117440512
dd SF68-top+117440512
dd SF70-top+117440512
dd SF78-top
dd SF79-top
dd r_illegal-top+352321536
dd SF90-top+117440512
dd SF98-top+117440512
dd SFA0-top+117440512
dd SFA8-top+117440512
dd SFB0-top+117440512
dd SFB8-top
dd SFB9-top
dd r_illegal-top+83886080
dd SFC0-top+117440512
dd r_illegal-top+117440512
dd SFD0-top+117440512
dd SFD8-top+117440512
dd SFE0-top+117440512
dd SFE8-top+117440512
dd SFF0-top+117440512
dd SFF8-top
dd SFF9-top
dd SFFA-top
dd SFFB-top
dd SFFC-top
dd r_illegal-top+33554432
dd T000-top+117440512
dd r_illegal-top+117440512
dd T010-top+117440512
dd T018-top+117440512
dd T020-top+117440512
dd T028-top+117440512
dd T030-top+117440512
dd T038-top
dd T039-top
dd T03A-top
dd T03B-top
dd T03C-top
dd r_illegal-top+33554432
dd T040-top+117440512
dd T048-top+117440512
dd T050-top+117440512
dd T058-top+117440512
dd T060-top+117440512
dd T068-top+117440512
dd T070-top+117440512
dd T078-top
dd T079-top
dd T07A-top
dd T07B-top
dd T07C-top
dd r_illegal-top+33554432
dd T080-top+117440512
dd T088-top+117440512
dd T090-top+117440512
dd T098-top+117440512
dd T0A0-top+117440512
dd T0A8-top+117440512
dd T0B0-top+117440512
dd T0B8-top
dd T0B9-top
dd T0BA-top
dd T0BB-top
dd T0BC-top
dd r_illegal-top+33554432
dd T0C0-top+117440512
dd T0C8-top+117440512
dd T0D0-top+117440512
dd T0D8-top+117440512
dd T0E0-top+117440512
dd T0E8-top+117440512
dd T0F0-top+117440512
dd T0F8-top
dd T0F9-top
dd T0FA-top
dd T0FB-top
dd T0FC-top
dd r_illegal-top+33554432
dd T100-top+117440512
dd T108-top+117440512
dd T110-top+117440512
dd T118-top+117440512
dd T120-top+117440512
dd T128-top+117440512
dd T130-top+117440512
dd T138-top
dd T139-top
dd r_illegal-top+83886080
dd T140-top+117440512
dd T148-top+117440512
dd T150-top+117440512
dd T158-top+117440512
dd T160-top+117440512
dd T168-top+117440512
dd T170-top+117440512
dd T178-top
dd T179-top
dd r_illegal-top+83886080
dd T180-top+117440512
dd T188-top+117440512
dd T190-top+117440512
dd T198-top+117440512
dd T1A0-top+117440512
dd T1A8-top+117440512
dd T1B0-top+117440512
dd T1B8-top
dd T1B9-top
dd r_illegal-top+83886080
dd T1C0-top+117440512
dd T1C8-top+117440512
dd T1D0-top+117440512
dd T1D8-top+117440512
dd T1E0-top+117440512
dd T1E8-top+117440512
dd T1F0-top+117440512
dd T1F8-top
dd T1F9-top
dd T1FA-top
dd T1FB-top
dd T1FC-top
dd r_illegal-top+33554432
dd T200-top+117440512
dd r_illegal-top+117440512
dd T210-top+117440512
dd T218-top+117440512
dd T220-top+117440512
dd T228-top+117440512
dd T230-top+117440512
dd T238-top
dd T239-top
dd T23A-top
dd T23B-top
dd T23C-top
dd r_illegal-top+33554432
dd T240-top+117440512
dd T248-top+117440512
dd T250-top+117440512
dd T258-top+117440512
dd T260-top+117440512
dd T268-top+117440512
dd T270-top+117440512
dd T278-top
dd T279-top
dd T27A-top
dd T27B-top
dd T27C-top
dd r_illegal-top+33554432
dd T280-top+117440512
dd T288-top+117440512
dd T290-top+117440512
dd T298-top+117440512
dd T2A0-top+117440512
dd T2A8-top+117440512
dd T2B0-top+117440512
dd T2B8-top
dd T2B9-top
dd T2BA-top
dd T2BB-top
dd T2BC-top
dd r_illegal-top+33554432
dd T2C0-top+117440512
dd T2C8-top+117440512
dd T2D0-top+117440512
dd T2D8-top+117440512
dd T2E0-top+117440512
dd T2E8-top+117440512
dd T2F0-top+117440512
dd T2F8-top
dd T2F9-top
dd T2FA-top
dd T2FB-top
dd T2FC-top
dd r_illegal-top+33554432
dd T300-top+117440512
dd T308-top+117440512
dd T310-top+117440512
dd T318-top+117440512
dd T320-top+117440512
dd T328-top+117440512
dd T330-top+117440512
dd T338-top
dd T339-top
dd r_illegal-top+83886080
dd T340-top+117440512
dd T348-top+117440512
dd T350-top+117440512
dd T358-top+117440512
dd T360-top+117440512
dd T368-top+117440512
dd T370-top+117440512
dd T378-top
dd T379-top
dd r_illegal-top+83886080
dd T380-top+117440512
dd T388-top+117440512
dd T390-top+117440512
dd T398-top+117440512
dd T3A0-top+117440512
dd T3A8-top+117440512
dd T3B0-top+117440512
dd T3B8-top
dd T3B9-top
dd r_illegal-top+83886080
dd T3C0-top+117440512
dd T3C8-top+117440512
dd T3D0-top+117440512
dd T3D8-top+117440512
dd T3E0-top+117440512
dd T3E8-top+117440512
dd T3F0-top+117440512
dd T3F8-top
dd T3F9-top
dd T3FA-top
dd T3FB-top
dd T3FC-top
dd r_illegal-top+33554432
dd T400-top+117440512
dd r_illegal-top+117440512
dd T410-top+117440512
dd T418-top+117440512
dd T420-top+117440512
dd T428-top+117440512
dd T430-top+117440512
dd T438-top
dd T439-top
dd T43A-top
dd T43B-top
dd T43C-top
dd r_illegal-top+33554432
dd T440-top+117440512
dd T448-top+117440512
dd T450-top+117440512
dd T458-top+117440512
dd T460-top+117440512
dd T468-top+117440512
dd T470-top+117440512
dd T478-top
dd T479-top
dd T47A-top
dd T47B-top
dd T47C-top
dd r_illegal-top+33554432
dd T480-top+117440512
dd T488-top+117440512
dd T490-top+117440512
dd T498-top+117440512
dd T4A0-top+117440512
dd T4A8-top+117440512
dd T4B0-top+117440512
dd T4B8-top
dd T4B9-top
dd T4BA-top
dd T4BB-top
dd T4BC-top
dd r_illegal-top+33554432
dd T4C0-top+117440512
dd T4C8-top+117440512
dd T4D0-top+117440512
dd T4D8-top+117440512
dd T4E0-top+117440512
dd T4E8-top+117440512
dd T4F0-top+117440512
dd T4F8-top
dd T4F9-top
dd T4FA-top
dd T4FB-top
dd T4FC-top
dd r_illegal-top+33554432
dd T500-top+117440512
dd T508-top+117440512
dd T510-top+117440512
dd T518-top+117440512
dd T520-top+117440512
dd T528-top+117440512
dd T530-top+117440512
dd T538-top
dd T539-top
dd r_illegal-top+83886080
dd T540-top+117440512
dd T548-top+117440512
dd T550-top+117440512
dd T558-top+117440512
dd T560-top+117440512
dd T568-top+117440512
dd T570-top+117440512
dd T578-top
dd T579-top
dd r_illegal-top+83886080
dd T580-top+117440512
dd T588-top+117440512
dd T590-top+117440512
dd T598-top+117440512
dd T5A0-top+117440512
dd T5A8-top+117440512
dd T5B0-top+117440512
dd T5B8-top
dd T5B9-top
dd r_illegal-top+83886080
dd T5C0-top+117440512
dd T5C8-top+117440512
dd T5D0-top+117440512
dd T5D8-top+117440512
dd T5E0-top+117440512
dd T5E8-top+117440512
dd T5F0-top+117440512
dd T5F8-top
dd T5F9-top
dd T5FA-top
dd T5FB-top
dd T5FC-top
dd r_illegal-top+33554432
dd T600-top+117440512
dd r_illegal-top+117440512
dd T610-top+117440512
dd T618-top+117440512
dd T620-top+117440512
dd T628-top+117440512
dd T630-top+117440512
dd T638-top
dd T639-top
dd T63A-top
dd T63B-top
dd T63C-top
dd r_illegal-top+33554432
dd T640-top+117440512
dd T648-top+117440512
dd T650-top+117440512
dd T658-top+117440512
dd T660-top+117440512
dd T668-top+117440512
dd T670-top+117440512
dd T678-top
dd T679-top
dd T67A-top
dd T67B-top
dd T67C-top
dd r_illegal-top+33554432
dd T680-top+117440512
dd T688-top+117440512
dd T690-top+117440512
dd T698-top+117440512
dd T6A0-top+117440512
dd T6A8-top+117440512
dd T6B0-top+117440512
dd T6B8-top
dd T6B9-top
dd T6BA-top
dd T6BB-top
dd T6BC-top
dd r_illegal-top+33554432
dd T6C0-top+117440512
dd T6C8-top+117440512
dd T6D0-top+117440512
dd T6D8-top+117440512
dd T6E0-top+117440512
dd T6E8-top+117440512
dd T6F0-top+117440512
dd T6F8-top
dd T6F9-top
dd T6FA-top
dd T6FB-top
dd T6FC-top
dd r_illegal-top+33554432
dd T700-top+117440512
dd T708-top+117440512
dd T710-top+117440512
dd T718-top+117440512
dd T720-top+117440512
dd T728-top+117440512
dd T730-top+117440512
dd T738-top
dd T739-top
dd r_illegal-top+83886080
dd T740-top+117440512
dd T748-top+117440512
dd T750-top+117440512
dd T758-top+117440512
dd T760-top+117440512
dd T768-top+117440512
dd T770-top+117440512
dd T778-top
dd T779-top
dd r_illegal-top+83886080
dd T780-top+117440512
dd T788-top+117440512
dd T790-top+117440512
dd T798-top+117440512
dd T7A0-top+117440512
dd T7A8-top+117440512
dd T7B0-top+117440512
dd T7B8-top
dd T7B9-top
dd r_illegal-top+83886080
dd T7C0-top+117440512
dd T7C8-top+117440512
dd T7D0-top+117440512
dd T7D8-top+117440512
dd T7E0-top+117440512
dd T7E8-top+117440512
dd T7F0-top+117440512
dd T7F8-top
dd T7F9-top
dd T7FA-top
dd T7FB-top
dd T7FC-top
dd r_illegal-top+33554432
dd T800-top+117440512
dd r_illegal-top+117440512
dd T810-top+117440512
dd T818-top+117440512
dd T820-top+117440512
dd T828-top+117440512
dd T830-top+117440512
dd T838-top
dd T839-top
dd T83A-top
dd T83B-top
dd T83C-top
dd r_illegal-top+33554432
dd T840-top+117440512
dd T848-top+117440512
dd T850-top+117440512
dd T858-top+117440512
dd T860-top+117440512
dd T868-top+117440512
dd T870-top+117440512
dd T878-top
dd T879-top
dd T87A-top
dd T87B-top
dd T87C-top
dd r_illegal-top+33554432
dd T880-top+117440512
dd T888-top+117440512
dd T890-top+117440512
dd T898-top+117440512
dd T8A0-top+117440512
dd T8A8-top+117440512
dd T8B0-top+117440512
dd T8B8-top
dd T8B9-top
dd T8BA-top
dd T8BB-top
dd T8BC-top
dd r_illegal-top+33554432
dd T8C0-top+117440512
dd T8C8-top+117440512
dd T8D0-top+117440512
dd T8D8-top+117440512
dd T8E0-top+117440512
dd T8E8-top+117440512
dd T8F0-top+117440512
dd T8F8-top
dd T8F9-top
dd T8FA-top
dd T8FB-top
dd T8FC-top
dd r_illegal-top+33554432
dd T900-top+117440512
dd T908-top+117440512
dd T910-top+117440512
dd T918-top+117440512
dd T920-top+117440512
dd T928-top+117440512
dd T930-top+117440512
dd T938-top
dd T939-top
dd r_illegal-top+83886080
dd T940-top+117440512
dd T948-top+117440512
dd T950-top+117440512
dd T958-top+117440512
dd T960-top+117440512
dd T968-top+117440512
dd T970-top+117440512
dd T978-top
dd T979-top
dd r_illegal-top+83886080
dd T980-top+117440512
dd T988-top+117440512
dd T990-top+117440512
dd T998-top+117440512
dd T9A0-top+117440512
dd T9A8-top+117440512
dd T9B0-top+117440512
dd T9B8-top
dd T9B9-top
dd r_illegal-top+83886080
dd T9C0-top+117440512
dd T9C8-top+117440512
dd T9D0-top+117440512
dd T9D8-top+117440512
dd T9E0-top+117440512
dd T9E8-top+117440512
dd T9F0-top+117440512
dd T9F8-top
dd T9F9-top
dd T9FA-top
dd T9FB-top
dd T9FC-top
dd r_illegal-top+33554432
dd TA00-top+117440512
dd r_illegal-top+117440512
dd TA10-top+117440512
dd TA18-top+117440512
dd TA20-top+117440512
dd TA28-top+117440512
dd TA30-top+117440512
dd TA38-top
dd TA39-top
dd TA3A-top
dd TA3B-top
dd TA3C-top
dd r_illegal-top+33554432
dd TA40-top+117440512
dd TA48-top+117440512
dd TA50-top+117440512
dd TA58-top+117440512
dd TA60-top+117440512
dd TA68-top+117440512
dd TA70-top+117440512
dd TA78-top
dd TA79-top
dd TA7A-top
dd TA7B-top
dd TA7C-top
dd r_illegal-top+33554432
dd TA80-top+117440512
dd TA88-top+117440512
dd TA90-top+117440512
dd TA98-top+117440512
dd TAA0-top+117440512
dd TAA8-top+117440512
dd TAB0-top+117440512
dd TAB8-top
dd TAB9-top
dd TABA-top
dd TABB-top
dd TABC-top
dd r_illegal-top+33554432
dd TAC0-top+117440512
dd TAC8-top+117440512
dd TAD0-top+117440512
dd TAD8-top+117440512
dd TAE0-top+117440512
dd TAE8-top+117440512
dd TAF0-top+117440512
dd TAF8-top
dd TAF9-top
dd TAFA-top
dd TAFB-top
dd TAFC-top
dd r_illegal-top+33554432
dd TB00-top+117440512
dd TB08-top+117440512
dd TB10-top+117440512
dd TB18-top+117440512
dd TB20-top+117440512
dd TB28-top+117440512
dd TB30-top+117440512
dd TB38-top
dd TB39-top
dd r_illegal-top+83886080
dd TB40-top+117440512
dd TB48-top+117440512
dd TB50-top+117440512
dd TB58-top+117440512
dd TB60-top+117440512
dd TB68-top+117440512
dd TB70-top+117440512
dd TB78-top
dd TB79-top
dd r_illegal-top+83886080
dd TB80-top+117440512
dd TB88-top+117440512
dd TB90-top+117440512
dd TB98-top+117440512
dd TBA0-top+117440512
dd TBA8-top+117440512
dd TBB0-top+117440512
dd TBB8-top
dd TBB9-top
dd r_illegal-top+83886080
dd TBC0-top+117440512
dd TBC8-top+117440512
dd TBD0-top+117440512
dd TBD8-top+117440512
dd TBE0-top+117440512
dd TBE8-top+117440512
dd TBF0-top+117440512
dd TBF8-top
dd TBF9-top
dd TBFA-top
dd TBFB-top
dd TBFC-top
dd r_illegal-top+33554432
dd TC00-top+117440512
dd r_illegal-top+117440512
dd TC10-top+117440512
dd TC18-top+117440512
dd TC20-top+117440512
dd TC28-top+117440512
dd TC30-top+117440512
dd TC38-top
dd TC39-top
dd TC3A-top
dd TC3B-top
dd TC3C-top
dd r_illegal-top+33554432
dd TC40-top+117440512
dd TC48-top+117440512
dd TC50-top+117440512
dd TC58-top+117440512
dd TC60-top+117440512
dd TC68-top+117440512
dd TC70-top+117440512
dd TC78-top
dd TC79-top
dd TC7A-top
dd TC7B-top
dd TC7C-top
dd r_illegal-top+33554432
dd TC80-top+117440512
dd TC88-top+117440512
dd TC90-top+117440512
dd TC98-top+117440512
dd TCA0-top+117440512
dd TCA8-top+117440512
dd TCB0-top+117440512
dd TCB8-top
dd TCB9-top
dd TCBA-top
dd TCBB-top
dd TCBC-top
dd r_illegal-top+33554432
dd TCC0-top+117440512
dd TCC8-top+117440512
dd TCD0-top+117440512
dd TCD8-top+117440512
dd TCE0-top+117440512
dd TCE8-top+117440512
dd TCF0-top+117440512
dd TCF8-top
dd TCF9-top
dd TCFA-top
dd TCFB-top
dd TCFC-top
dd r_illegal-top+33554432
dd TD00-top+117440512
dd TD08-top+117440512
dd TD10-top+117440512
dd TD18-top+117440512
dd TD20-top+117440512
dd TD28-top+117440512
dd TD30-top+117440512
dd TD38-top
dd TD39-top
dd r_illegal-top+83886080
dd TD40-top+117440512
dd TD48-top+117440512
dd TD50-top+117440512
dd TD58-top+117440512
dd TD60-top+117440512
dd TD68-top+117440512
dd TD70-top+117440512
dd TD78-top
dd TD79-top
dd r_illegal-top+83886080
dd TD80-top+117440512
dd TD88-top+117440512
dd TD90-top+117440512
dd TD98-top+117440512
dd TDA0-top+117440512
dd TDA8-top+117440512
dd TDB0-top+117440512
dd TDB8-top
dd TDB9-top
dd r_illegal-top+83886080
dd TDC0-top+117440512
dd TDC8-top+117440512
dd TDD0-top+117440512
dd TDD8-top+117440512
dd TDE0-top+117440512
dd TDE8-top+117440512
dd TDF0-top+117440512
dd TDF8-top
dd TDF9-top
dd TDFA-top
dd TDFB-top
dd TDFC-top
dd r_illegal-top+33554432
dd TE00-top+117440512
dd r_illegal-top+117440512
dd TE10-top+117440512
dd TE18-top+117440512
dd TE20-top+117440512
dd TE28-top+117440512
dd TE30-top+117440512
dd TE38-top
dd TE39-top
dd TE3A-top
dd TE3B-top
dd TE3C-top
dd r_illegal-top+33554432
dd TE40-top+117440512
dd TE48-top+117440512
dd TE50-top+117440512
dd TE58-top+117440512
dd TE60-top+117440512
dd TE68-top+117440512
dd TE70-top+117440512
dd TE78-top
dd TE79-top
dd TE7A-top
dd TE7B-top
dd TE7C-top
dd r_illegal-top+33554432
dd TE80-top+117440512
dd TE88-top+117440512
dd TE90-top+117440512
dd TE98-top+117440512
dd TEA0-top+117440512
dd TEA8-top+117440512
dd TEB0-top+117440512
dd TEB8-top
dd TEB9-top
dd TEBA-top
dd TEBB-top
dd TEBC-top
dd r_illegal-top+33554432
dd TEC0-top+117440512
dd TEC8-top+117440512
dd TED0-top+117440512
dd TED8-top+117440512
dd TEE0-top+117440512
dd TEE8-top+117440512
dd TEF0-top+117440512
dd TEF8-top
dd TEF9-top
dd TEFA-top
dd TEFB-top
dd TEFC-top
dd r_illegal-top+33554432
dd TF00-top+117440512
dd TF08-top+117440512
dd TF10-top+117440512
dd TF18-top+117440512
dd TF20-top+117440512
dd TF28-top+117440512
dd TF30-top+117440512
dd TF38-top
dd TF39-top
dd r_illegal-top+83886080
dd TF40-top+117440512
dd TF48-top+117440512
dd TF50-top+117440512
dd TF58-top+117440512
dd TF60-top+117440512
dd TF68-top+117440512
dd TF70-top+117440512
dd TF78-top
dd TF79-top
dd r_illegal-top+83886080
dd TF80-top+117440512
dd TF88-top+117440512
dd TF90-top+117440512
dd TF98-top+117440512
dd TFA0-top+117440512
dd TFA8-top+117440512
dd TFB0-top+117440512
dd TFB8-top
dd TFB9-top
dd r_illegal-top+83886080
dd TFC0-top+117440512
dd TFC8-top+117440512
dd TFD0-top+117440512
dd TFD8-top+117440512
dd TFE0-top+117440512
dd TFE8-top+117440512
dd TFF0-top+117440512
dd TFF8-top
dd TFF9-top
dd TFFA-top
dd TFFB-top
dd TFFC-top
dd r_illegal-top+33554432
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd U000-top+4278190080
dd V000-top+117440512
dd r_illegal-top+117440512
dd V010-top+117440512
dd V018-top+117440512
dd V020-top+117440512
dd V028-top+117440512
dd V030-top+117440512
dd V038-top
dd V039-top
dd V03A-top
dd V03B-top
dd V03C-top
dd r_illegal-top+33554432
dd V040-top+117440512
dd V048-top+117440512
dd V050-top+117440512
dd V058-top+117440512
dd V060-top+117440512
dd V068-top+117440512
dd V070-top+117440512
dd V078-top
dd V079-top
dd V07A-top
dd V07B-top
dd V07C-top
dd r_illegal-top+33554432
dd V080-top+117440512
dd V088-top+117440512
dd V090-top+117440512
dd V098-top+117440512
dd V0A0-top+117440512
dd V0A8-top+117440512
dd V0B0-top+117440512
dd V0B8-top
dd V0B9-top
dd V0BA-top
dd V0BB-top
dd V0BC-top
dd r_illegal-top+33554432
dd V0C0-top+117440512
dd V0C8-top+117440512
dd V0D0-top+117440512
dd V0D8-top+117440512
dd V0E0-top+117440512
dd V0E8-top+117440512
dd V0F0-top+117440512
dd V0F8-top
dd V0F9-top
dd V0FA-top
dd V0FB-top
dd V0FC-top
dd r_illegal-top+33554432
dd V100-top+117440512
dd V108-top+117440512
dd V110-top+117440512
dd V118-top+117440512
dd V120-top+117440512
dd V128-top+117440512
dd V130-top+117440512
dd V138-top
dd V139-top
dd r_illegal-top+83886080
dd V140-top+117440512
dd V148-top+117440512
dd V150-top+117440512
dd V158-top+117440512
dd V160-top+117440512
dd V168-top+117440512
dd V170-top+117440512
dd V178-top
dd V179-top
dd r_illegal-top+83886080
dd V180-top+117440512
dd V188-top+117440512
dd V190-top+117440512
dd V198-top+117440512
dd V1A0-top+117440512
dd V1A8-top+117440512
dd V1B0-top+117440512
dd V1B8-top
dd V1B9-top
dd r_illegal-top+83886080
dd V1C0-top+117440512
dd V1C8-top+117440512
dd V1D0-top+117440512
dd V1D8-top+117440512
dd V1E0-top+117440512
dd V1E8-top+117440512
dd V1F0-top+117440512
dd V1F8-top
dd V1F9-top
dd V1FA-top
dd V1FB-top
dd V1FC-top
dd r_illegal-top+33554432
dd V200-top+117440512
dd r_illegal-top+117440512
dd V210-top+117440512
dd V218-top+117440512
dd V220-top+117440512
dd V228-top+117440512
dd V230-top+117440512
dd V238-top
dd V239-top
dd V23A-top
dd V23B-top
dd V23C-top
dd r_illegal-top+33554432
dd V240-top+117440512
dd V248-top+117440512
dd V250-top+117440512
dd V258-top+117440512
dd V260-top+117440512
dd V268-top+117440512
dd V270-top+117440512
dd V278-top
dd V279-top
dd V27A-top
dd V27B-top
dd V27C-top
dd r_illegal-top+33554432
dd V280-top+117440512
dd V288-top+117440512
dd V290-top+117440512
dd V298-top+117440512
dd V2A0-top+117440512
dd V2A8-top+117440512
dd V2B0-top+117440512
dd V2B8-top
dd V2B9-top
dd V2BA-top
dd V2BB-top
dd V2BC-top
dd r_illegal-top+33554432
dd V2C0-top+117440512
dd V2C8-top+117440512
dd V2D0-top+117440512
dd V2D8-top+117440512
dd V2E0-top+117440512
dd V2E8-top+117440512
dd V2F0-top+117440512
dd V2F8-top
dd V2F9-top
dd V2FA-top
dd V2FB-top
dd V2FC-top
dd r_illegal-top+33554432
dd V300-top+117440512
dd V308-top+117440512
dd V310-top+117440512
dd V318-top+117440512
dd V320-top+117440512
dd V328-top+117440512
dd V330-top+117440512
dd V338-top
dd V339-top
dd r_illegal-top+83886080
dd V340-top+117440512
dd V348-top+117440512
dd V350-top+117440512
dd V358-top+117440512
dd V360-top+117440512
dd V368-top+117440512
dd V370-top+117440512
dd V378-top
dd V379-top
dd r_illegal-top+83886080
dd V380-top+117440512
dd V388-top+117440512
dd V390-top+117440512
dd V398-top+117440512
dd V3A0-top+117440512
dd V3A8-top+117440512
dd V3B0-top+117440512
dd V3B8-top
dd V3B9-top
dd r_illegal-top+83886080
dd V3C0-top+117440512
dd V3C8-top+117440512
dd V3D0-top+117440512
dd V3D8-top+117440512
dd V3E0-top+117440512
dd V3E8-top+117440512
dd V3F0-top+117440512
dd V3F8-top
dd V3F9-top
dd V3FA-top
dd V3FB-top
dd V3FC-top
dd r_illegal-top+33554432
dd V400-top+117440512
dd r_illegal-top+117440512
dd V410-top+117440512
dd V418-top+117440512
dd V420-top+117440512
dd V428-top+117440512
dd V430-top+117440512
dd V438-top
dd V439-top
dd V43A-top
dd V43B-top
dd V43C-top
dd r_illegal-top+33554432
dd V440-top+117440512
dd V448-top+117440512
dd V450-top+117440512
dd V458-top+117440512
dd V460-top+117440512
dd V468-top+117440512
dd V470-top+117440512
dd V478-top
dd V479-top
dd V47A-top
dd V47B-top
dd V47C-top
dd r_illegal-top+33554432
dd V480-top+117440512
dd V488-top+117440512
dd V490-top+117440512
dd V498-top+117440512
dd V4A0-top+117440512
dd V4A8-top+117440512
dd V4B0-top+117440512
dd V4B8-top
dd V4B9-top
dd V4BA-top
dd V4BB-top
dd V4BC-top
dd r_illegal-top+33554432
dd V4C0-top+117440512
dd V4C8-top+117440512
dd V4D0-top+117440512
dd V4D8-top+117440512
dd V4E0-top+117440512
dd V4E8-top+117440512
dd V4F0-top+117440512
dd V4F8-top
dd V4F9-top
dd V4FA-top
dd V4FB-top
dd V4FC-top
dd r_illegal-top+33554432
dd V500-top+117440512
dd V508-top+117440512
dd V510-top+117440512
dd V518-top+117440512
dd V520-top+117440512
dd V528-top+117440512
dd V530-top+117440512
dd V538-top
dd V539-top
dd r_illegal-top+83886080
dd V540-top+117440512
dd V548-top+117440512
dd V550-top+117440512
dd V558-top+117440512
dd V560-top+117440512
dd V568-top+117440512
dd V570-top+117440512
dd V578-top
dd V579-top
dd r_illegal-top+83886080
dd V580-top+117440512
dd V588-top+117440512
dd V590-top+117440512
dd V598-top+117440512
dd V5A0-top+117440512
dd V5A8-top+117440512
dd V5B0-top+117440512
dd V5B8-top
dd V5B9-top
dd r_illegal-top+83886080
dd V5C0-top+117440512
dd V5C8-top+117440512
dd V5D0-top+117440512
dd V5D8-top+117440512
dd V5E0-top+117440512
dd V5E8-top+117440512
dd V5F0-top+117440512
dd V5F8-top
dd V5F9-top
dd V5FA-top
dd V5FB-top
dd V5FC-top
dd r_illegal-top+33554432
dd V600-top+117440512
dd r_illegal-top+117440512
dd V610-top+117440512
dd V618-top+117440512
dd V620-top+117440512
dd V628-top+117440512
dd V630-top+117440512
dd V638-top
dd V639-top
dd V63A-top
dd V63B-top
dd V63C-top
dd r_illegal-top+33554432
dd V640-top+117440512
dd V648-top+117440512
dd V650-top+117440512
dd V658-top+117440512
dd V660-top+117440512
dd V668-top+117440512
dd V670-top+117440512
dd V678-top
dd V679-top
dd V67A-top
dd V67B-top
dd V67C-top
dd r_illegal-top+33554432
dd V680-top+117440512
dd V688-top+117440512
dd V690-top+117440512
dd V698-top+117440512
dd V6A0-top+117440512
dd V6A8-top+117440512
dd V6B0-top+117440512
dd V6B8-top
dd V6B9-top
dd V6BA-top
dd V6BB-top
dd V6BC-top
dd r_illegal-top+33554432
dd V6C0-top+117440512
dd V6C8-top+117440512
dd V6D0-top+117440512
dd V6D8-top+117440512
dd V6E0-top+117440512
dd V6E8-top+117440512
dd V6F0-top+117440512
dd V6F8-top
dd V6F9-top
dd V6FA-top
dd V6FB-top
dd V6FC-top
dd r_illegal-top+33554432
dd V700-top+117440512
dd V708-top+117440512
dd V710-top+117440512
dd V718-top+117440512
dd V720-top+117440512
dd V728-top+117440512
dd V730-top+117440512
dd V738-top
dd V739-top
dd r_illegal-top+83886080
dd V740-top+117440512
dd V748-top+117440512
dd V750-top+117440512
dd V758-top+117440512
dd V760-top+117440512
dd V768-top+117440512
dd V770-top+117440512
dd V778-top
dd V779-top
dd r_illegal-top+83886080
dd V780-top+117440512
dd V788-top+117440512
dd V790-top+117440512
dd V798-top+117440512
dd V7A0-top+117440512
dd V7A8-top+117440512
dd V7B0-top+117440512
dd V7B8-top
dd V7B9-top
dd r_illegal-top+83886080
dd V7C0-top+117440512
dd V7C8-top+117440512
dd V7D0-top+117440512
dd V7D8-top+117440512
dd V7E0-top+117440512
dd V7E8-top+117440512
dd V7F0-top+117440512
dd V7F8-top
dd V7F9-top
dd V7FA-top
dd V7FB-top
dd V7FC-top
dd r_illegal-top+33554432
dd V800-top+117440512
dd r_illegal-top+117440512
dd V810-top+117440512
dd V818-top+117440512
dd V820-top+117440512
dd V828-top+117440512
dd V830-top+117440512
dd V838-top
dd V839-top
dd V83A-top
dd V83B-top
dd V83C-top
dd r_illegal-top+33554432
dd V840-top+117440512
dd V848-top+117440512
dd V850-top+117440512
dd V858-top+117440512
dd V860-top+117440512
dd V868-top+117440512
dd V870-top+117440512
dd V878-top
dd V879-top
dd V87A-top
dd V87B-top
dd V87C-top
dd r_illegal-top+33554432
dd V880-top+117440512
dd V888-top+117440512
dd V890-top+117440512
dd V898-top+117440512
dd V8A0-top+117440512
dd V8A8-top+117440512
dd V8B0-top+117440512
dd V8B8-top
dd V8B9-top
dd V8BA-top
dd V8BB-top
dd V8BC-top
dd r_illegal-top+33554432
dd V8C0-top+117440512
dd V8C8-top+117440512
dd V8D0-top+117440512
dd V8D8-top+117440512
dd V8E0-top+117440512
dd V8E8-top+117440512
dd V8F0-top+117440512
dd V8F8-top
dd V8F9-top
dd V8FA-top
dd V8FB-top
dd V8FC-top
dd r_illegal-top+33554432
dd V900-top+117440512
dd V908-top+117440512
dd V910-top+117440512
dd V918-top+117440512
dd V920-top+117440512
dd V928-top+117440512
dd V930-top+117440512
dd V938-top
dd V939-top
dd r_illegal-top+83886080
dd V940-top+117440512
dd V948-top+117440512
dd V950-top+117440512
dd V958-top+117440512
dd V960-top+117440512
dd V968-top+117440512
dd V970-top+117440512
dd V978-top
dd V979-top
dd r_illegal-top+83886080
dd V980-top+117440512
dd V988-top+117440512
dd V990-top+117440512
dd V998-top+117440512
dd V9A0-top+117440512
dd V9A8-top+117440512
dd V9B0-top+117440512
dd V9B8-top
dd V9B9-top
dd r_illegal-top+83886080
dd V9C0-top+117440512
dd V9C8-top+117440512
dd V9D0-top+117440512
dd V9D8-top+117440512
dd V9E0-top+117440512
dd V9E8-top+117440512
dd V9F0-top+117440512
dd V9F8-top
dd V9F9-top
dd V9FA-top
dd V9FB-top
dd V9FC-top
dd r_illegal-top+33554432
dd VA00-top+117440512
dd r_illegal-top+117440512
dd VA10-top+117440512
dd VA18-top+117440512
dd VA20-top+117440512
dd VA28-top+117440512
dd VA30-top+117440512
dd VA38-top
dd VA39-top
dd VA3A-top
dd VA3B-top
dd VA3C-top
dd r_illegal-top+33554432
dd VA40-top+117440512
dd VA48-top+117440512
dd VA50-top+117440512
dd VA58-top+117440512
dd VA60-top+117440512
dd VA68-top+117440512
dd VA70-top+117440512
dd VA78-top
dd VA79-top
dd VA7A-top
dd VA7B-top
dd VA7C-top
dd r_illegal-top+33554432
dd VA80-top+117440512
dd VA88-top+117440512
dd VA90-top+117440512
dd VA98-top+117440512
dd VAA0-top+117440512
dd VAA8-top+117440512
dd VAB0-top+117440512
dd VAB8-top
dd VAB9-top
dd VABA-top
dd VABB-top
dd VABC-top
dd r_illegal-top+33554432
dd VAC0-top+117440512
dd VAC8-top+117440512
dd VAD0-top+117440512
dd VAD8-top+117440512
dd VAE0-top+117440512
dd VAE8-top+117440512
dd VAF0-top+117440512
dd VAF8-top
dd VAF9-top
dd VAFA-top
dd VAFB-top
dd VAFC-top
dd r_illegal-top+33554432
dd VB00-top+117440512
dd VB08-top+117440512
dd VB10-top+117440512
dd VB18-top+117440512
dd VB20-top+117440512
dd VB28-top+117440512
dd VB30-top+117440512
dd VB38-top
dd VB39-top
dd r_illegal-top+83886080
dd VB40-top+117440512
dd VB48-top+117440512
dd VB50-top+117440512
dd VB58-top+117440512
dd VB60-top+117440512
dd VB68-top+117440512
dd VB70-top+117440512
dd VB78-top
dd VB79-top
dd r_illegal-top+83886080
dd VB80-top+117440512
dd VB88-top+117440512
dd VB90-top+117440512
dd VB98-top+117440512
dd VBA0-top+117440512
dd VBA8-top+117440512
dd VBB0-top+117440512
dd VBB8-top
dd VBB9-top
dd r_illegal-top+83886080
dd VBC0-top+117440512
dd VBC8-top+117440512
dd VBD0-top+117440512
dd VBD8-top+117440512
dd VBE0-top+117440512
dd VBE8-top+117440512
dd VBF0-top+117440512
dd VBF8-top
dd VBF9-top
dd VBFA-top
dd VBFB-top
dd VBFC-top
dd r_illegal-top+33554432
dd VC00-top+117440512
dd r_illegal-top+117440512
dd VC10-top+117440512
dd VC18-top+117440512
dd VC20-top+117440512
dd VC28-top+117440512
dd VC30-top+117440512
dd VC38-top
dd VC39-top
dd VC3A-top
dd VC3B-top
dd VC3C-top
dd r_illegal-top+33554432
dd VC40-top+117440512
dd VC48-top+117440512
dd VC50-top+117440512
dd VC58-top+117440512
dd VC60-top+117440512
dd VC68-top+117440512
dd VC70-top+117440512
dd VC78-top
dd VC79-top
dd VC7A-top
dd VC7B-top
dd VC7C-top
dd r_illegal-top+33554432
dd VC80-top+117440512
dd VC88-top+117440512
dd VC90-top+117440512
dd VC98-top+117440512
dd VCA0-top+117440512
dd VCA8-top+117440512
dd VCB0-top+117440512
dd VCB8-top
dd VCB9-top
dd VCBA-top
dd VCBB-top
dd VCBC-top
dd r_illegal-top+33554432
dd VCC0-top+117440512
dd VCC8-top+117440512
dd VCD0-top+117440512
dd VCD8-top+117440512
dd VCE0-top+117440512
dd VCE8-top+117440512
dd VCF0-top+117440512
dd VCF8-top
dd VCF9-top
dd VCFA-top
dd VCFB-top
dd VCFC-top
dd r_illegal-top+33554432
dd VD00-top+117440512
dd VD08-top+117440512
dd VD10-top+117440512
dd VD18-top+117440512
dd VD20-top+117440512
dd VD28-top+117440512
dd VD30-top+117440512
dd VD38-top
dd VD39-top
dd r_illegal-top+83886080
dd VD40-top+117440512
dd VD48-top+117440512
dd VD50-top+117440512
dd VD58-top+117440512
dd VD60-top+117440512
dd VD68-top+117440512
dd VD70-top+117440512
dd VD78-top
dd VD79-top
dd r_illegal-top+83886080
dd VD80-top+117440512
dd VD88-top+117440512
dd VD90-top+117440512
dd VD98-top+117440512
dd VDA0-top+117440512
dd VDA8-top+117440512
dd VDB0-top+117440512
dd VDB8-top
dd VDB9-top
dd r_illegal-top+83886080
dd VDC0-top+117440512
dd VDC8-top+117440512
dd VDD0-top+117440512
dd VDD8-top+117440512
dd VDE0-top+117440512
dd VDE8-top+117440512
dd VDF0-top+117440512
dd VDF8-top
dd VDF9-top
dd VDFA-top
dd VDFB-top
dd VDFC-top
dd r_illegal-top+33554432
dd VE00-top+117440512
dd r_illegal-top+117440512
dd VE10-top+117440512
dd VE18-top+117440512
dd VE20-top+117440512
dd VE28-top+117440512
dd VE30-top+117440512
dd VE38-top
dd VE39-top
dd VE3A-top
dd VE3B-top
dd VE3C-top
dd r_illegal-top+33554432
dd VE40-top+117440512
dd VE48-top+117440512
dd VE50-top+117440512
dd VE58-top+117440512
dd VE60-top+117440512
dd VE68-top+117440512
dd VE70-top+117440512
dd VE78-top
dd VE79-top
dd VE7A-top
dd VE7B-top
dd VE7C-top
dd r_illegal-top+33554432
dd VE80-top+117440512
dd VE88-top+117440512
dd VE90-top+117440512
dd VE98-top+117440512
dd VEA0-top+117440512
dd VEA8-top+117440512
dd VEB0-top+117440512
dd VEB8-top
dd VEB9-top
dd VEBA-top
dd VEBB-top
dd VEBC-top
dd r_illegal-top+33554432
dd VEC0-top+117440512
dd VEC8-top+117440512
dd VED0-top+117440512
dd VED8-top+117440512
dd VEE0-top+117440512
dd VEE8-top+117440512
dd VEF0-top+117440512
dd VEF8-top
dd VEF9-top
dd VEFA-top
dd VEFB-top
dd VEFC-top
dd r_illegal-top+33554432
dd VF00-top+117440512
dd VF08-top+117440512
dd VF10-top+117440512
dd VF18-top+117440512
dd VF20-top+117440512
dd VF28-top+117440512
dd VF30-top+117440512
dd VF38-top
dd VF39-top
dd r_illegal-top+83886080
dd VF40-top+117440512
dd VF48-top+117440512
dd VF50-top+117440512
dd VF58-top+117440512
dd VF60-top+117440512
dd VF68-top+117440512
dd VF70-top+117440512
dd VF78-top
dd VF79-top
dd r_illegal-top+83886080
dd VF80-top+117440512
dd VF88-top+117440512
dd VF90-top+117440512
dd VF98-top+117440512
dd VFA0-top+117440512
dd VFA8-top+117440512
dd VFB0-top+117440512
dd VFB8-top
dd VFB9-top
dd r_illegal-top+83886080
dd VFC0-top+117440512
dd VFC8-top+117440512
dd VFD0-top+117440512
dd VFD8-top+117440512
dd VFE0-top+117440512
dd VFE8-top+117440512
dd VFF0-top+117440512
dd VFF8-top
dd VFF9-top
dd VFFA-top
dd VFFB-top
dd VFFC-top
dd r_illegal-top+33554432
dd W000-top+117440512
dd r_illegal-top+117440512
dd W010-top+117440512
dd W018-top+117440512
dd W020-top+117440512
dd W028-top+117440512
dd W030-top+117440512
dd W038-top
dd W039-top
dd W03A-top
dd W03B-top
dd W03C-top
dd r_illegal-top+33554432
dd W040-top+117440512
dd r_illegal-top+117440512
dd W050-top+117440512
dd W058-top+117440512
dd W060-top+117440512
dd W068-top+117440512
dd W070-top+117440512
dd W078-top
dd W079-top
dd W07A-top
dd W07B-top
dd W07C-top
dd r_illegal-top+33554432
dd W080-top+117440512
dd r_illegal-top+117440512
dd W090-top+117440512
dd W098-top+117440512
dd W0A0-top+117440512
dd W0A8-top+117440512
dd W0B0-top+117440512
dd W0B8-top
dd W0B9-top
dd W0BA-top
dd W0BB-top
dd W0BC-top
dd r_illegal-top+33554432
dd W0C0-top+117440512
dd r_illegal-top+117440512
dd W0D0-top+117440512
dd W0D8-top+117440512
dd W0E0-top+117440512
dd W0E8-top+117440512
dd W0F0-top+117440512
dd W0F8-top
dd W0F9-top
dd W0FA-top
dd W0FB-top
dd W0FC-top
dd r_illegal-top+33554432
dd W100-top+117440512
dd W108-top+117440512
dd W110-top+117440512
dd W118-top+117440512
dd W120-top+117440512
dd W128-top+117440512
dd W130-top+117440512
dd W138-top
dd W139-top
dd r_illegal-top+83886080
dd W140-top+117440512
dd W148-top+117440512
dd W150-top+117440512
dd W158-top+117440512
dd W160-top+117440512
dd W168-top+117440512
dd W170-top+117440512
dd W178-top
dd W179-top
dd r_illegal-top+218103808
dd W188-top+117440512
dd W190-top+117440512
dd W198-top+117440512
dd W1A0-top+117440512
dd W1A8-top+117440512
dd W1B0-top+117440512
dd W1B8-top
dd W1B9-top
dd r_illegal-top+83886080
dd W1C0-top+117440512
dd r_illegal-top+117440512
dd W1D0-top+117440512
dd W1D8-top+117440512
dd W1E0-top+117440512
dd W1E8-top+117440512
dd W1F0-top+117440512
dd W1F8-top
dd W1F9-top
dd W1FA-top
dd W1FB-top
dd W1FC-top
dd r_illegal-top+33554432
dd W200-top+117440512
dd r_illegal-top+117440512
dd W210-top+117440512
dd W218-top+117440512
dd W220-top+117440512
dd W228-top+117440512
dd W230-top+117440512
dd W238-top
dd W239-top
dd W23A-top
dd W23B-top
dd W23C-top
dd r_illegal-top+33554432
dd W240-top+117440512
dd r_illegal-top+117440512
dd W250-top+117440512
dd W258-top+117440512
dd W260-top+117440512
dd W268-top+117440512
dd W270-top+117440512
dd W278-top
dd W279-top
dd W27A-top
dd W27B-top
dd W27C-top
dd r_illegal-top+33554432
dd W280-top+117440512
dd r_illegal-top+117440512
dd W290-top+117440512
dd W298-top+117440512
dd W2A0-top+117440512
dd W2A8-top+117440512
dd W2B0-top+117440512
dd W2B8-top
dd W2B9-top
dd W2BA-top
dd W2BB-top
dd W2BC-top
dd r_illegal-top+33554432
dd W2C0-top+117440512
dd r_illegal-top+117440512
dd W2D0-top+117440512
dd W2D8-top+117440512
dd W2E0-top+117440512
dd W2E8-top+117440512
dd W2F0-top+117440512
dd W2F8-top
dd W2F9-top
dd W2FA-top
dd W2FB-top
dd W2FC-top
dd r_illegal-top+33554432
dd W300-top+117440512
dd W308-top+117440512
dd W310-top+117440512
dd W318-top+117440512
dd W320-top+117440512
dd W328-top+117440512
dd W330-top+117440512
dd W338-top
dd W339-top
dd r_illegal-top+83886080
dd W340-top+117440512
dd W348-top+117440512
dd W350-top+117440512
dd W358-top+117440512
dd W360-top+117440512
dd W368-top+117440512
dd W370-top+117440512
dd W378-top
dd W379-top
dd r_illegal-top+218103808
dd W388-top+117440512
dd W390-top+117440512
dd W398-top+117440512
dd W3A0-top+117440512
dd W3A8-top+117440512
dd W3B0-top+117440512
dd W3B8-top
dd W3B9-top
dd r_illegal-top+83886080
dd W3C0-top+117440512
dd r_illegal-top+117440512
dd W3D0-top+117440512
dd W3D8-top+117440512
dd W3E0-top+117440512
dd W3E8-top+117440512
dd W3F0-top+117440512
dd W3F8-top
dd W3F9-top
dd W3FA-top
dd W3FB-top
dd W3FC-top
dd r_illegal-top+33554432
dd W400-top+117440512
dd r_illegal-top+117440512
dd W410-top+117440512
dd W418-top+117440512
dd W420-top+117440512
dd W428-top+117440512
dd W430-top+117440512
dd W438-top
dd W439-top
dd W43A-top
dd W43B-top
dd W43C-top
dd r_illegal-top+33554432
dd W440-top+117440512
dd r_illegal-top+117440512
dd W450-top+117440512
dd W458-top+117440512
dd W460-top+117440512
dd W468-top+117440512
dd W470-top+117440512
dd W478-top
dd W479-top
dd W47A-top
dd W47B-top
dd W47C-top
dd r_illegal-top+33554432
dd W480-top+117440512
dd r_illegal-top+117440512
dd W490-top+117440512
dd W498-top+117440512
dd W4A0-top+117440512
dd W4A8-top+117440512
dd W4B0-top+117440512
dd W4B8-top
dd W4B9-top
dd W4BA-top
dd W4BB-top
dd W4BC-top
dd r_illegal-top+33554432
dd W4C0-top+117440512
dd r_illegal-top+117440512
dd W4D0-top+117440512
dd W4D8-top+117440512
dd W4E0-top+117440512
dd W4E8-top+117440512
dd W4F0-top+117440512
dd W4F8-top
dd W4F9-top
dd W4FA-top
dd W4FB-top
dd W4FC-top
dd r_illegal-top+33554432
dd W500-top+117440512
dd W508-top+117440512
dd W510-top+117440512
dd W518-top+117440512
dd W520-top+117440512
dd W528-top+117440512
dd W530-top+117440512
dd W538-top
dd W539-top
dd r_illegal-top+83886080
dd W540-top+117440512
dd W548-top+117440512
dd W550-top+117440512
dd W558-top+117440512
dd W560-top+117440512
dd W568-top+117440512
dd W570-top+117440512
dd W578-top
dd W579-top
dd r_illegal-top+218103808
dd W588-top+117440512
dd W590-top+117440512
dd W598-top+117440512
dd W5A0-top+117440512
dd W5A8-top+117440512
dd W5B0-top+117440512
dd W5B8-top
dd W5B9-top
dd r_illegal-top+83886080
dd W5C0-top+117440512
dd r_illegal-top+117440512
dd W5D0-top+117440512
dd W5D8-top+117440512
dd W5E0-top+117440512
dd W5E8-top+117440512
dd W5F0-top+117440512
dd W5F8-top
dd W5F9-top
dd W5FA-top
dd W5FB-top
dd W5FC-top
dd r_illegal-top+33554432
dd W600-top+117440512
dd r_illegal-top+117440512
dd W610-top+117440512
dd W618-top+117440512
dd W620-top+117440512
dd W628-top+117440512
dd W630-top+117440512
dd W638-top
dd W639-top
dd W63A-top
dd W63B-top
dd W63C-top
dd r_illegal-top+33554432
dd W640-top+117440512
dd r_illegal-top+117440512
dd W650-top+117440512
dd W658-top+117440512
dd W660-top+117440512
dd W668-top+117440512
dd W670-top+117440512
dd W678-top
dd W679-top
dd W67A-top
dd W67B-top
dd W67C-top
dd r_illegal-top+33554432
dd W680-top+117440512
dd r_illegal-top+117440512
dd W690-top+117440512
dd W698-top+117440512
dd W6A0-top+117440512
dd W6A8-top+117440512
dd W6B0-top+117440512
dd W6B8-top
dd W6B9-top
dd W6BA-top
dd W6BB-top
dd W6BC-top
dd r_illegal-top+33554432
dd W6C0-top+117440512
dd r_illegal-top+117440512
dd W6D0-top+117440512
dd W6D8-top+117440512
dd W6E0-top+117440512
dd W6E8-top+117440512
dd W6F0-top+117440512
dd W6F8-top
dd W6F9-top
dd W6FA-top
dd W6FB-top
dd W6FC-top
dd r_illegal-top+33554432
dd W700-top+117440512
dd W708-top+117440512
dd W710-top+117440512
dd W718-top+117440512
dd W720-top+117440512
dd W728-top+117440512
dd W730-top+117440512
dd W738-top
dd W739-top
dd r_illegal-top+83886080
dd W740-top+117440512
dd W748-top+117440512
dd W750-top+117440512
dd W758-top+117440512
dd W760-top+117440512
dd W768-top+117440512
dd W770-top+117440512
dd W778-top
dd W779-top
dd r_illegal-top+218103808
dd W788-top+117440512
dd W790-top+117440512
dd W798-top+117440512
dd W7A0-top+117440512
dd W7A8-top+117440512
dd W7B0-top+117440512
dd W7B8-top
dd W7B9-top
dd r_illegal-top+83886080
dd W7C0-top+117440512
dd r_illegal-top+117440512
dd W7D0-top+117440512
dd W7D8-top+117440512
dd W7E0-top+117440512
dd W7E8-top+117440512
dd W7F0-top+117440512
dd W7F8-top
dd W7F9-top
dd W7FA-top
dd W7FB-top
dd W7FC-top
dd r_illegal-top+33554432
dd W800-top+117440512
dd r_illegal-top+117440512
dd W810-top+117440512
dd W818-top+117440512
dd W820-top+117440512
dd W828-top+117440512
dd W830-top+117440512
dd W838-top
dd W839-top
dd W83A-top
dd W83B-top
dd W83C-top
dd r_illegal-top+33554432
dd W840-top+117440512
dd r_illegal-top+117440512
dd W850-top+117440512
dd W858-top+117440512
dd W860-top+117440512
dd W868-top+117440512
dd W870-top+117440512
dd W878-top
dd W879-top
dd W87A-top
dd W87B-top
dd W87C-top
dd r_illegal-top+33554432
dd W880-top+117440512
dd r_illegal-top+117440512
dd W890-top+117440512
dd W898-top+117440512
dd W8A0-top+117440512
dd W8A8-top+117440512
dd W8B0-top+117440512
dd W8B8-top
dd W8B9-top
dd W8BA-top
dd W8BB-top
dd W8BC-top
dd r_illegal-top+33554432
dd W8C0-top+117440512
dd r_illegal-top+117440512
dd W8D0-top+117440512
dd W8D8-top+117440512
dd W8E0-top+117440512
dd W8E8-top+117440512
dd W8F0-top+117440512
dd W8F8-top
dd W8F9-top
dd W8FA-top
dd W8FB-top
dd W8FC-top
dd r_illegal-top+33554432
dd W900-top+117440512
dd W908-top+117440512
dd W910-top+117440512
dd W918-top+117440512
dd W920-top+117440512
dd W928-top+117440512
dd W930-top+117440512
dd W938-top
dd W939-top
dd r_illegal-top+83886080
dd W940-top+117440512
dd W948-top+117440512
dd W950-top+117440512
dd W958-top+117440512
dd W960-top+117440512
dd W968-top+117440512
dd W970-top+117440512
dd W978-top
dd W979-top
dd r_illegal-top+218103808
dd W988-top+117440512
dd W990-top+117440512
dd W998-top+117440512
dd W9A0-top+117440512
dd W9A8-top+117440512
dd W9B0-top+117440512
dd W9B8-top
dd W9B9-top
dd r_illegal-top+83886080
dd W9C0-top+117440512
dd r_illegal-top+117440512
dd W9D0-top+117440512
dd W9D8-top+117440512
dd W9E0-top+117440512
dd W9E8-top+117440512
dd W9F0-top+117440512
dd W9F8-top
dd W9F9-top
dd W9FA-top
dd W9FB-top
dd W9FC-top
dd r_illegal-top+33554432
dd WA00-top+117440512
dd r_illegal-top+117440512
dd WA10-top+117440512
dd WA18-top+117440512
dd WA20-top+117440512
dd WA28-top+117440512
dd WA30-top+117440512
dd WA38-top
dd WA39-top
dd WA3A-top
dd WA3B-top
dd WA3C-top
dd r_illegal-top+33554432
dd WA40-top+117440512
dd r_illegal-top+117440512
dd WA50-top+117440512
dd WA58-top+117440512
dd WA60-top+117440512
dd WA68-top+117440512
dd WA70-top+117440512
dd WA78-top
dd WA79-top
dd WA7A-top
dd WA7B-top
dd WA7C-top
dd r_illegal-top+33554432
dd WA80-top+117440512
dd r_illegal-top+117440512
dd WA90-top+117440512
dd WA98-top+117440512
dd WAA0-top+117440512
dd WAA8-top+117440512
dd WAB0-top+117440512
dd WAB8-top
dd WAB9-top
dd WABA-top
dd WABB-top
dd WABC-top
dd r_illegal-top+33554432
dd WAC0-top+117440512
dd r_illegal-top+117440512
dd WAD0-top+117440512
dd WAD8-top+117440512
dd WAE0-top+117440512
dd WAE8-top+117440512
dd WAF0-top+117440512
dd WAF8-top
dd WAF9-top
dd WAFA-top
dd WAFB-top
dd WAFC-top
dd r_illegal-top+33554432
dd WB00-top+117440512
dd WB08-top+117440512
dd WB10-top+117440512
dd WB18-top+117440512
dd WB20-top+117440512
dd WB28-top+117440512
dd WB30-top+117440512
dd WB38-top
dd WB39-top
dd r_illegal-top+83886080
dd WB40-top+117440512
dd WB48-top+117440512
dd WB50-top+117440512
dd WB58-top+117440512
dd WB60-top+117440512
dd WB68-top+117440512
dd WB70-top+117440512
dd WB78-top
dd WB79-top
dd r_illegal-top+218103808
dd WB88-top+117440512
dd WB90-top+117440512
dd WB98-top+117440512
dd WBA0-top+117440512
dd WBA8-top+117440512
dd WBB0-top+117440512
dd WBB8-top
dd WBB9-top
dd r_illegal-top+83886080
dd WBC0-top+117440512
dd r_illegal-top+117440512
dd WBD0-top+117440512
dd WBD8-top+117440512
dd WBE0-top+117440512
dd WBE8-top+117440512
dd WBF0-top+117440512
dd WBF8-top
dd WBF9-top
dd WBFA-top
dd WBFB-top
dd WBFC-top
dd r_illegal-top+33554432
dd WC00-top+117440512
dd r_illegal-top+117440512
dd WC10-top+117440512
dd WC18-top+117440512
dd WC20-top+117440512
dd WC28-top+117440512
dd WC30-top+117440512
dd WC38-top
dd WC39-top
dd WC3A-top
dd WC3B-top
dd WC3C-top
dd r_illegal-top+33554432
dd WC40-top+117440512
dd r_illegal-top+117440512
dd WC50-top+117440512
dd WC58-top+117440512
dd WC60-top+117440512
dd WC68-top+117440512
dd WC70-top+117440512
dd WC78-top
dd WC79-top
dd WC7A-top
dd WC7B-top
dd WC7C-top
dd r_illegal-top+33554432
dd WC80-top+117440512
dd r_illegal-top+117440512
dd WC90-top+117440512
dd WC98-top+117440512
dd WCA0-top+117440512
dd WCA8-top+117440512
dd WCB0-top+117440512
dd WCB8-top
dd WCB9-top
dd WCBA-top
dd WCBB-top
dd WCBC-top
dd r_illegal-top+33554432
dd WCC0-top+117440512
dd r_illegal-top+117440512
dd WCD0-top+117440512
dd WCD8-top+117440512
dd WCE0-top+117440512
dd WCE8-top+117440512
dd WCF0-top+117440512
dd WCF8-top
dd WCF9-top
dd WCFA-top
dd WCFB-top
dd WCFC-top
dd r_illegal-top+33554432
dd WD00-top+117440512
dd WD08-top+117440512
dd WD10-top+117440512
dd WD18-top+117440512
dd WD20-top+117440512
dd WD28-top+117440512
dd WD30-top+117440512
dd WD38-top
dd WD39-top
dd r_illegal-top+83886080
dd WD40-top+117440512
dd WD48-top+117440512
dd WD50-top+117440512
dd WD58-top+117440512
dd WD60-top+117440512
dd WD68-top+117440512
dd WD70-top+117440512
dd WD78-top
dd WD79-top
dd r_illegal-top+218103808
dd WD88-top+117440512
dd WD90-top+117440512
dd WD98-top+117440512
dd WDA0-top+117440512
dd WDA8-top+117440512
dd WDB0-top+117440512
dd WDB8-top
dd WDB9-top
dd r_illegal-top+83886080
dd WDC0-top+117440512
dd r_illegal-top+117440512
dd WDD0-top+117440512
dd WDD8-top+117440512
dd WDE0-top+117440512
dd WDE8-top+117440512
dd WDF0-top+117440512
dd WDF8-top
dd WDF9-top
dd WDFA-top
dd WDFB-top
dd WDFC-top
dd r_illegal-top+33554432
dd WE00-top+117440512
dd r_illegal-top+117440512
dd WE10-top+117440512
dd WE18-top+117440512
dd WE20-top+117440512
dd WE28-top+117440512
dd WE30-top+117440512
dd WE38-top
dd WE39-top
dd WE3A-top
dd WE3B-top
dd WE3C-top
dd r_illegal-top+33554432
dd WE40-top+117440512
dd r_illegal-top+117440512
dd WE50-top+117440512
dd WE58-top+117440512
dd WE60-top+117440512
dd WE68-top+117440512
dd WE70-top+117440512
dd WE78-top
dd WE79-top
dd WE7A-top
dd WE7B-top
dd WE7C-top
dd r_illegal-top+33554432
dd WE80-top+117440512
dd r_illegal-top+117440512
dd WE90-top+117440512
dd WE98-top+117440512
dd WEA0-top+117440512
dd WEA8-top+117440512
dd WEB0-top+117440512
dd WEB8-top
dd WEB9-top
dd WEBA-top
dd WEBB-top
dd WEBC-top
dd r_illegal-top+33554432
dd WEC0-top+117440512
dd r_illegal-top+117440512
dd WED0-top+117440512
dd WED8-top+117440512
dd WEE0-top+117440512
dd WEE8-top+117440512
dd WEF0-top+117440512
dd WEF8-top
dd WEF9-top
dd WEFA-top
dd WEFB-top
dd WEFC-top
dd r_illegal-top+33554432
dd WF00-top+117440512
dd WF08-top+117440512
dd WF10-top+117440512
dd WF18-top+117440512
dd WF20-top+117440512
dd WF28-top+117440512
dd WF30-top+117440512
dd WF38-top
dd WF39-top
dd r_illegal-top+83886080
dd WF40-top+117440512
dd WF48-top+117440512
dd WF50-top+117440512
dd WF58-top+117440512
dd WF60-top+117440512
dd WF68-top+117440512
dd WF70-top+117440512
dd WF78-top
dd WF79-top
dd r_illegal-top+218103808
dd WF88-top+117440512
dd WF90-top+117440512
dd WF98-top+117440512
dd WFA0-top+117440512
dd WFA8-top+117440512
dd WFB0-top+117440512
dd WFB8-top
dd WFB9-top
dd r_illegal-top+83886080
dd WFC0-top+117440512
dd r_illegal-top+117440512
dd WFD0-top+117440512
dd WFD8-top+117440512
dd WFE0-top+117440512
dd WFE8-top+117440512
dd WFF0-top+117440512
dd WFF8-top
dd WFF9-top
dd WFFA-top
dd WFFB-top
dd WFFC-top
dd r_illegal-top+33554432
dd X000-top+117440512
dd r_illegal-top+117440512
dd X010-top+117440512
dd X018-top+117440512
dd X020-top+117440512
dd X028-top+117440512
dd X030-top+117440512
dd X038-top
dd X039-top
dd X03A-top
dd X03B-top
dd X03C-top
dd r_illegal-top+33554432
dd X040-top+117440512
dd X048-top+117440512
dd X050-top+117440512
dd X058-top+117440512
dd X060-top+117440512
dd X068-top+117440512
dd X070-top+117440512
dd X078-top
dd X079-top
dd X07A-top
dd X07B-top
dd X07C-top
dd r_illegal-top+33554432
dd X080-top+117440512
dd X088-top+117440512
dd X090-top+117440512
dd X098-top+117440512
dd X0A0-top+117440512
dd X0A8-top+117440512
dd X0B0-top+117440512
dd X0B8-top
dd X0B9-top
dd X0BA-top
dd X0BB-top
dd X0BC-top
dd r_illegal-top+33554432
dd X0C0-top+117440512
dd X0C8-top+117440512
dd X0D0-top+117440512
dd X0D8-top+117440512
dd X0E0-top+117440512
dd X0E8-top+117440512
dd X0F0-top+117440512
dd X0F8-top
dd X0F9-top
dd X0FA-top
dd X0FB-top
dd X0FC-top
dd r_illegal-top+33554432
dd X100-top+117440512
dd X108-top+117440512
dd X110-top+117440512
dd X118-top+117440512
dd X120-top+117440512
dd X128-top+117440512
dd X130-top+117440512
dd X138-top
dd X139-top
dd r_illegal-top+83886080
dd X140-top+117440512
dd X148-top+117440512
dd X150-top+117440512
dd X158-top+117440512
dd X160-top+117440512
dd X168-top+117440512
dd X170-top+117440512
dd X178-top
dd X179-top
dd r_illegal-top+83886080
dd X180-top+117440512
dd X188-top+117440512
dd X190-top+117440512
dd X198-top+117440512
dd X1A0-top+117440512
dd X1A8-top+117440512
dd X1B0-top+117440512
dd X1B8-top
dd X1B9-top
dd r_illegal-top+83886080
dd X1C0-top+117440512
dd X1C8-top+117440512
dd X1D0-top+117440512
dd X1D8-top+117440512
dd X1E0-top+117440512
dd X1E8-top+117440512
dd X1F0-top+117440512
dd X1F8-top
dd X1F9-top
dd X1FA-top
dd X1FB-top
dd X1FC-top
dd r_illegal-top+33554432
dd X200-top+117440512
dd r_illegal-top+117440512
dd X210-top+117440512
dd X218-top+117440512
dd X220-top+117440512
dd X228-top+117440512
dd X230-top+117440512
dd X238-top
dd X239-top
dd X23A-top
dd X23B-top
dd X23C-top
dd r_illegal-top+33554432
dd X240-top+117440512
dd X248-top+117440512
dd X250-top+117440512
dd X258-top+117440512
dd X260-top+117440512
dd X268-top+117440512
dd X270-top+117440512
dd X278-top
dd X279-top
dd X27A-top
dd X27B-top
dd X27C-top
dd r_illegal-top+33554432
dd X280-top+117440512
dd X288-top+117440512
dd X290-top+117440512
dd X298-top+117440512
dd X2A0-top+117440512
dd X2A8-top+117440512
dd X2B0-top+117440512
dd X2B8-top
dd X2B9-top
dd X2BA-top
dd X2BB-top
dd X2BC-top
dd r_illegal-top+33554432
dd X2C0-top+117440512
dd X2C8-top+117440512
dd X2D0-top+117440512
dd X2D8-top+117440512
dd X2E0-top+117440512
dd X2E8-top+117440512
dd X2F0-top+117440512
dd X2F8-top
dd X2F9-top
dd X2FA-top
dd X2FB-top
dd X2FC-top
dd r_illegal-top+33554432
dd X300-top+117440512
dd X308-top+117440512
dd X310-top+117440512
dd X318-top+117440512
dd X320-top+117440512
dd X328-top+117440512
dd X330-top+117440512
dd X338-top
dd X339-top
dd r_illegal-top+83886080
dd X340-top+117440512
dd X348-top+117440512
dd X350-top+117440512
dd X358-top+117440512
dd X360-top+117440512
dd X368-top+117440512
dd X370-top+117440512
dd X378-top
dd X379-top
dd r_illegal-top+83886080
dd X380-top+117440512
dd X388-top+117440512
dd X390-top+117440512
dd X398-top+117440512
dd X3A0-top+117440512
dd X3A8-top+117440512
dd X3B0-top+117440512
dd X3B8-top
dd X3B9-top
dd r_illegal-top+83886080
dd X3C0-top+117440512
dd X3C8-top+117440512
dd X3D0-top+117440512
dd X3D8-top+117440512
dd X3E0-top+117440512
dd X3E8-top+117440512
dd X3F0-top+117440512
dd X3F8-top
dd X3F9-top
dd X3FA-top
dd X3FB-top
dd X3FC-top
dd r_illegal-top+33554432
dd X400-top+117440512
dd r_illegal-top+117440512
dd X410-top+117440512
dd X418-top+117440512
dd X420-top+117440512
dd X428-top+117440512
dd X430-top+117440512
dd X438-top
dd X439-top
dd X43A-top
dd X43B-top
dd X43C-top
dd r_illegal-top+33554432
dd X440-top+117440512
dd X448-top+117440512
dd X450-top+117440512
dd X458-top+117440512
dd X460-top+117440512
dd X468-top+117440512
dd X470-top+117440512
dd X478-top
dd X479-top
dd X47A-top
dd X47B-top
dd X47C-top
dd r_illegal-top+33554432
dd X480-top+117440512
dd X488-top+117440512
dd X490-top+117440512
dd X498-top+117440512
dd X4A0-top+117440512
dd X4A8-top+117440512
dd X4B0-top+117440512
dd X4B8-top
dd X4B9-top
dd X4BA-top
dd X4BB-top
dd X4BC-top
dd r_illegal-top+33554432
dd X4C0-top+117440512
dd X4C8-top+117440512
dd X4D0-top+117440512
dd X4D8-top+117440512
dd X4E0-top+117440512
dd X4E8-top+117440512
dd X4F0-top+117440512
dd X4F8-top
dd X4F9-top
dd X4FA-top
dd X4FB-top
dd X4FC-top
dd r_illegal-top+33554432
dd X500-top+117440512
dd X508-top+117440512
dd X510-top+117440512
dd X518-top+117440512
dd X520-top+117440512
dd X528-top+117440512
dd X530-top+117440512
dd X538-top
dd X539-top
dd r_illegal-top+83886080
dd X540-top+117440512
dd X548-top+117440512
dd X550-top+117440512
dd X558-top+117440512
dd X560-top+117440512
dd X568-top+117440512
dd X570-top+117440512
dd X578-top
dd X579-top
dd r_illegal-top+83886080
dd X580-top+117440512
dd X588-top+117440512
dd X590-top+117440512
dd X598-top+117440512
dd X5A0-top+117440512
dd X5A8-top+117440512
dd X5B0-top+117440512
dd X5B8-top
dd X5B9-top
dd r_illegal-top+83886080
dd X5C0-top+117440512
dd X5C8-top+117440512
dd X5D0-top+117440512
dd X5D8-top+117440512
dd X5E0-top+117440512
dd X5E8-top+117440512
dd X5F0-top+117440512
dd X5F8-top
dd X5F9-top
dd X5FA-top
dd X5FB-top
dd X5FC-top
dd r_illegal-top+33554432
dd X600-top+117440512
dd r_illegal-top+117440512
dd X610-top+117440512
dd X618-top+117440512
dd X620-top+117440512
dd X628-top+117440512
dd X630-top+117440512
dd X638-top
dd X639-top
dd X63A-top
dd X63B-top
dd X63C-top
dd r_illegal-top+33554432
dd X640-top+117440512
dd X648-top+117440512
dd X650-top+117440512
dd X658-top+117440512
dd X660-top+117440512
dd X668-top+117440512
dd X670-top+117440512
dd X678-top
dd X679-top
dd X67A-top
dd X67B-top
dd X67C-top
dd r_illegal-top+33554432
dd X680-top+117440512
dd X688-top+117440512
dd X690-top+117440512
dd X698-top+117440512
dd X6A0-top+117440512
dd X6A8-top+117440512
dd X6B0-top+117440512
dd X6B8-top
dd X6B9-top
dd X6BA-top
dd X6BB-top
dd X6BC-top
dd r_illegal-top+33554432
dd X6C0-top+117440512
dd X6C8-top+117440512
dd X6D0-top+117440512
dd X6D8-top+117440512
dd X6E0-top+117440512
dd X6E8-top+117440512
dd X6F0-top+117440512
dd X6F8-top
dd X6F9-top
dd X6FA-top
dd X6FB-top
dd X6FC-top
dd r_illegal-top+33554432
dd X700-top+117440512
dd X708-top+117440512
dd X710-top+117440512
dd X718-top+117440512
dd X720-top+117440512
dd X728-top+117440512
dd X730-top+117440512
dd X738-top
dd X739-top
dd r_illegal-top+83886080
dd X740-top+117440512
dd X748-top+117440512
dd X750-top+117440512
dd X758-top+117440512
dd X760-top+117440512
dd X768-top+117440512
dd X770-top+117440512
dd X778-top
dd X779-top
dd r_illegal-top+83886080
dd X780-top+117440512
dd X788-top+117440512
dd X790-top+117440512
dd X798-top+117440512
dd X7A0-top+117440512
dd X7A8-top+117440512
dd X7B0-top+117440512
dd X7B8-top
dd X7B9-top
dd r_illegal-top+83886080
dd X7C0-top+117440512
dd X7C8-top+117440512
dd X7D0-top+117440512
dd X7D8-top+117440512
dd X7E0-top+117440512
dd X7E8-top+117440512
dd X7F0-top+117440512
dd X7F8-top
dd X7F9-top
dd X7FA-top
dd X7FB-top
dd X7FC-top
dd r_illegal-top+33554432
dd X800-top+117440512
dd r_illegal-top+117440512
dd X810-top+117440512
dd X818-top+117440512
dd X820-top+117440512
dd X828-top+117440512
dd X830-top+117440512
dd X838-top
dd X839-top
dd X83A-top
dd X83B-top
dd X83C-top
dd r_illegal-top+33554432
dd X840-top+117440512
dd X848-top+117440512
dd X850-top+117440512
dd X858-top+117440512
dd X860-top+117440512
dd X868-top+117440512
dd X870-top+117440512
dd X878-top
dd X879-top
dd X87A-top
dd X87B-top
dd X87C-top
dd r_illegal-top+33554432
dd X880-top+117440512
dd X888-top+117440512
dd X890-top+117440512
dd X898-top+117440512
dd X8A0-top+117440512
dd X8A8-top+117440512
dd X8B0-top+117440512
dd X8B8-top
dd X8B9-top
dd X8BA-top
dd X8BB-top
dd X8BC-top
dd r_illegal-top+33554432
dd X8C0-top+117440512
dd X8C8-top+117440512
dd X8D0-top+117440512
dd X8D8-top+117440512
dd X8E0-top+117440512
dd X8E8-top+117440512
dd X8F0-top+117440512
dd X8F8-top
dd X8F9-top
dd X8FA-top
dd X8FB-top
dd X8FC-top
dd r_illegal-top+33554432
dd X900-top+117440512
dd X908-top+117440512
dd X910-top+117440512
dd X918-top+117440512
dd X920-top+117440512
dd X928-top+117440512
dd X930-top+117440512
dd X938-top
dd X939-top
dd r_illegal-top+83886080
dd X940-top+117440512
dd X948-top+117440512
dd X950-top+117440512
dd X958-top+117440512
dd X960-top+117440512
dd X968-top+117440512
dd X970-top+117440512
dd X978-top
dd X979-top
dd r_illegal-top+83886080
dd X980-top+117440512
dd X988-top+117440512
dd X990-top+117440512
dd X998-top+117440512
dd X9A0-top+117440512
dd X9A8-top+117440512
dd X9B0-top+117440512
dd X9B8-top
dd X9B9-top
dd r_illegal-top+83886080
dd X9C0-top+117440512
dd X9C8-top+117440512
dd X9D0-top+117440512
dd X9D8-top+117440512
dd X9E0-top+117440512
dd X9E8-top+117440512
dd X9F0-top+117440512
dd X9F8-top
dd X9F9-top
dd X9FA-top
dd X9FB-top
dd X9FC-top
dd r_illegal-top+33554432
dd XA00-top+117440512
dd r_illegal-top+117440512
dd XA10-top+117440512
dd XA18-top+117440512
dd XA20-top+117440512
dd XA28-top+117440512
dd XA30-top+117440512
dd XA38-top
dd XA39-top
dd XA3A-top
dd XA3B-top
dd XA3C-top
dd r_illegal-top+33554432
dd XA40-top+117440512
dd XA48-top+117440512
dd XA50-top+117440512
dd XA58-top+117440512
dd XA60-top+117440512
dd XA68-top+117440512
dd XA70-top+117440512
dd XA78-top
dd XA79-top
dd XA7A-top
dd XA7B-top
dd XA7C-top
dd r_illegal-top+33554432
dd XA80-top+117440512
dd XA88-top+117440512
dd XA90-top+117440512
dd XA98-top+117440512
dd XAA0-top+117440512
dd XAA8-top+117440512
dd XAB0-top+117440512
dd XAB8-top
dd XAB9-top
dd XABA-top
dd XABB-top
dd XABC-top
dd r_illegal-top+33554432
dd XAC0-top+117440512
dd XAC8-top+117440512
dd XAD0-top+117440512
dd XAD8-top+117440512
dd XAE0-top+117440512
dd XAE8-top+117440512
dd XAF0-top+117440512
dd XAF8-top
dd XAF9-top
dd XAFA-top
dd XAFB-top
dd XAFC-top
dd r_illegal-top+33554432
dd XB00-top+117440512
dd XB08-top+117440512
dd XB10-top+117440512
dd XB18-top+117440512
dd XB20-top+117440512
dd XB28-top+117440512
dd XB30-top+117440512
dd XB38-top
dd XB39-top
dd r_illegal-top+83886080
dd XB40-top+117440512
dd XB48-top+117440512
dd XB50-top+117440512
dd XB58-top+117440512
dd XB60-top+117440512
dd XB68-top+117440512
dd XB70-top+117440512
dd XB78-top
dd XB79-top
dd r_illegal-top+83886080
dd XB80-top+117440512
dd XB88-top+117440512
dd XB90-top+117440512
dd XB98-top+117440512
dd XBA0-top+117440512
dd XBA8-top+117440512
dd XBB0-top+117440512
dd XBB8-top
dd XBB9-top
dd r_illegal-top+83886080
dd XBC0-top+117440512
dd XBC8-top+117440512
dd XBD0-top+117440512
dd XBD8-top+117440512
dd XBE0-top+117440512
dd XBE8-top+117440512
dd XBF0-top+117440512
dd XBF8-top
dd XBF9-top
dd XBFA-top
dd XBFB-top
dd XBFC-top
dd r_illegal-top+33554432
dd XC00-top+117440512
dd r_illegal-top+117440512
dd XC10-top+117440512
dd XC18-top+117440512
dd XC20-top+117440512
dd XC28-top+117440512
dd XC30-top+117440512
dd XC38-top
dd XC39-top
dd XC3A-top
dd XC3B-top
dd XC3C-top
dd r_illegal-top+33554432
dd XC40-top+117440512
dd XC48-top+117440512
dd XC50-top+117440512
dd XC58-top+117440512
dd XC60-top+117440512
dd XC68-top+117440512
dd XC70-top+117440512
dd XC78-top
dd XC79-top
dd XC7A-top
dd XC7B-top
dd XC7C-top
dd r_illegal-top+33554432
dd XC80-top+117440512
dd XC88-top+117440512
dd XC90-top+117440512
dd XC98-top+117440512
dd XCA0-top+117440512
dd XCA8-top+117440512
dd XCB0-top+117440512
dd XCB8-top
dd XCB9-top
dd XCBA-top
dd XCBB-top
dd XCBC-top
dd r_illegal-top+33554432
dd XCC0-top+117440512
dd XCC8-top+117440512
dd XCD0-top+117440512
dd XCD8-top+117440512
dd XCE0-top+117440512
dd XCE8-top+117440512
dd XCF0-top+117440512
dd XCF8-top
dd XCF9-top
dd XCFA-top
dd XCFB-top
dd XCFC-top
dd r_illegal-top+33554432
dd XD00-top+117440512
dd XD08-top+117440512
dd XD10-top+117440512
dd XD18-top+117440512
dd XD20-top+117440512
dd XD28-top+117440512
dd XD30-top+117440512
dd XD38-top
dd XD39-top
dd r_illegal-top+83886080
dd XD40-top+117440512
dd XD48-top+117440512
dd XD50-top+117440512
dd XD58-top+117440512
dd XD60-top+117440512
dd XD68-top+117440512
dd XD70-top+117440512
dd XD78-top
dd XD79-top
dd r_illegal-top+83886080
dd XD80-top+117440512
dd XD88-top+117440512
dd XD90-top+117440512
dd XD98-top+117440512
dd XDA0-top+117440512
dd XDA8-top+117440512
dd XDB0-top+117440512
dd XDB8-top
dd XDB9-top
dd r_illegal-top+83886080
dd XDC0-top+117440512
dd XDC8-top+117440512
dd XDD0-top+117440512
dd XDD8-top+117440512
dd XDE0-top+117440512
dd XDE8-top+117440512
dd XDF0-top+117440512
dd XDF8-top
dd XDF9-top
dd XDFA-top
dd XDFB-top
dd XDFC-top
dd r_illegal-top+33554432
dd XE00-top+117440512
dd r_illegal-top+117440512
dd XE10-top+117440512
dd XE18-top+117440512
dd XE20-top+117440512
dd XE28-top+117440512
dd XE30-top+117440512
dd XE38-top
dd XE39-top
dd XE3A-top
dd XE3B-top
dd XE3C-top
dd r_illegal-top+33554432
dd XE40-top+117440512
dd XE48-top+117440512
dd XE50-top+117440512
dd XE58-top+117440512
dd XE60-top+117440512
dd XE68-top+117440512
dd XE70-top+117440512
dd XE78-top
dd XE79-top
dd XE7A-top
dd XE7B-top
dd XE7C-top
dd r_illegal-top+33554432
dd XE80-top+117440512
dd XE88-top+117440512
dd XE90-top+117440512
dd XE98-top+117440512
dd XEA0-top+117440512
dd XEA8-top+117440512
dd XEB0-top+117440512
dd XEB8-top
dd XEB9-top
dd XEBA-top
dd XEBB-top
dd XEBC-top
dd r_illegal-top+33554432
dd XEC0-top+117440512
dd XEC8-top+117440512
dd XED0-top+117440512
dd XED8-top+117440512
dd XEE0-top+117440512
dd XEE8-top+117440512
dd XEF0-top+117440512
dd XEF8-top
dd XEF9-top
dd XEFA-top
dd XEFB-top
dd XEFC-top
dd r_illegal-top+33554432
dd XF00-top+117440512
dd XF08-top+117440512
dd XF10-top+117440512
dd XF18-top+117440512
dd XF20-top+117440512
dd XF28-top+117440512
dd XF30-top+117440512
dd XF38-top
dd XF39-top
dd r_illegal-top+83886080
dd XF40-top+117440512
dd XF48-top+117440512
dd XF50-top+117440512
dd XF58-top+117440512
dd XF60-top+117440512
dd XF68-top+117440512
dd XF70-top+117440512
dd XF78-top
dd XF79-top
dd r_illegal-top+83886080
dd XF80-top+117440512
dd XF88-top+117440512
dd XF90-top+117440512
dd XF98-top+117440512
dd XFA0-top+117440512
dd XFA8-top+117440512
dd XFB0-top+117440512
dd XFB8-top
dd XFB9-top
dd r_illegal-top+83886080
dd XFC0-top+117440512
dd XFC8-top+117440512
dd XFD0-top+117440512
dd XFD8-top+117440512
dd XFE0-top+117440512
dd XFE8-top+117440512
dd XFF0-top+117440512
dd XFF8-top
dd XFF9-top
dd XFFA-top
dd XFFB-top
dd XFFC-top
dd r_illegal-top+33554432
dd Y000-top+117440512
dd Y008-top+117440512
dd Y010-top+117440512
dd Y018-top+117440512
dd Y020-top+117440512
dd Y028-top+117440512
dd Y030-top+117440512
dd Y038-top+117440512
dd Y040-top+117440512
dd Y048-top+117440512
dd Y050-top+117440512
dd Y058-top+117440512
dd Y060-top+117440512
dd Y068-top+117440512
dd Y070-top+117440512
dd Y078-top+117440512
dd Y080-top+117440512
dd Y088-top+117440512
dd Y090-top+117440512
dd Y098-top+117440512
dd Y0A0-top+117440512
dd Y0A8-top+117440512
dd Y0B0-top+117440512
dd Y0B8-top+117440512
dd r_illegal-top+251658240
dd Y0D0-top+117440512
dd Y0D8-top+117440512
dd Y0E0-top+117440512
dd Y0E8-top+117440512
dd Y0F0-top+117440512
dd Y0F8-top
dd Y0F9-top
dd r_illegal-top+83886080
dd Y100-top+117440512
dd Y108-top+117440512
dd Y110-top+117440512
dd Y118-top+117440512
dd Y120-top+117440512
dd Y128-top+117440512
dd Y130-top+117440512
dd Y138-top+117440512
dd Y140-top+117440512
dd Y148-top+117440512
dd Y150-top+117440512
dd Y158-top+117440512
dd Y160-top+117440512
dd Y168-top+117440512
dd Y170-top+117440512
dd Y178-top+117440512
dd Y180-top+117440512
dd Y188-top+117440512
dd Y190-top+117440512
dd Y198-top+117440512
dd Y1A0-top+117440512
dd Y1A8-top+117440512
dd Y1B0-top+117440512
dd Y1B8-top+117440512
dd r_illegal-top+251658240
dd Y1D0-top+117440512
dd Y1D8-top+117440512
dd Y1E0-top+117440512
dd Y1E8-top+117440512
dd Y1F0-top+117440512
dd Y1F8-top
dd Y1F9-top
dd r_illegal-top+83886080
dd Y200-top+117440512
dd Y208-top+117440512
dd Y210-top+117440512
dd Y218-top+117440512
dd Y220-top+117440512
dd Y228-top+117440512
dd Y230-top+117440512
dd Y238-top+117440512
dd Y240-top+117440512
dd Y248-top+117440512
dd Y250-top+117440512
dd Y258-top+117440512
dd Y260-top+117440512
dd Y268-top+117440512
dd Y270-top+117440512
dd Y278-top+117440512
dd Y280-top+117440512
dd Y288-top+117440512
dd Y290-top+117440512
dd Y298-top+117440512
dd Y2A0-top+117440512
dd Y2A8-top+117440512
dd Y2B0-top+117440512
dd Y2B8-top+117440512
dd r_illegal-top+251658240
dd Y2D0-top+117440512
dd Y2D8-top+117440512
dd Y2E0-top+117440512
dd Y2E8-top+117440512
dd Y2F0-top+117440512
dd Y2F8-top
dd Y2F9-top
dd r_illegal-top+83886080
dd Y300-top+117440512
dd Y308-top+117440512
dd Y310-top+117440512
dd Y318-top+117440512
dd Y320-top+117440512
dd Y328-top+117440512
dd Y330-top+117440512
dd Y338-top+117440512
dd Y340-top+117440512
dd Y348-top+117440512
dd Y350-top+117440512
dd Y358-top+117440512
dd Y360-top+117440512
dd Y368-top+117440512
dd Y370-top+117440512
dd Y378-top+117440512
dd Y380-top+117440512
dd Y388-top+117440512
dd Y390-top+117440512
dd Y398-top+117440512
dd Y3A0-top+117440512
dd Y3A8-top+117440512
dd Y3B0-top+117440512
dd Y3B8-top+117440512
dd r_illegal-top+251658240
dd Y3D0-top+117440512
dd Y3D8-top+117440512
dd Y3E0-top+117440512
dd Y3E8-top+117440512
dd Y3F0-top+117440512
dd Y3F8-top
dd Y3F9-top
dd r_illegal-top+83886080
dd Y400-top+117440512
dd Y408-top+117440512
dd Y410-top+117440512
dd Y418-top+117440512
dd Y420-top+117440512
dd Y428-top+117440512
dd Y430-top+117440512
dd Y438-top+117440512
dd Y440-top+117440512
dd Y448-top+117440512
dd Y450-top+117440512
dd Y458-top+117440512
dd Y460-top+117440512
dd Y468-top+117440512
dd Y470-top+117440512
dd Y478-top+117440512
dd Y480-top+117440512
dd Y488-top+117440512
dd Y490-top+117440512
dd Y498-top+117440512
dd Y4A0-top+117440512
dd Y4A8-top+117440512
dd Y4B0-top+117440512
dd Y4B8-top+117440512
dd r_illegal-top+251658240
dd Y4D0-top+117440512
dd Y4D8-top+117440512
dd Y4E0-top+117440512
dd Y4E8-top+117440512
dd Y4F0-top+117440512
dd Y4F8-top
dd Y4F9-top
dd r_illegal-top+83886080
dd Y500-top+117440512
dd Y508-top+117440512
dd Y510-top+117440512
dd Y518-top+117440512
dd Y520-top+117440512
dd Y528-top+117440512
dd Y530-top+117440512
dd Y538-top+117440512
dd Y540-top+117440512
dd Y548-top+117440512
dd Y550-top+117440512
dd Y558-top+117440512
dd Y560-top+117440512
dd Y568-top+117440512
dd Y570-top+117440512
dd Y578-top+117440512
dd Y580-top+117440512
dd Y588-top+117440512
dd Y590-top+117440512
dd Y598-top+117440512
dd Y5A0-top+117440512
dd Y5A8-top+117440512
dd Y5B0-top+117440512
dd Y5B8-top+117440512
dd r_illegal-top+251658240
dd Y5D0-top+117440512
dd Y5D8-top+117440512
dd Y5E0-top+117440512
dd Y5E8-top+117440512
dd Y5F0-top+117440512
dd Y5F8-top
dd Y5F9-top
dd r_illegal-top+83886080
dd Y600-top+117440512
dd Y608-top+117440512
dd Y610-top+117440512
dd Y618-top+117440512
dd Y620-top+117440512
dd Y628-top+117440512
dd Y630-top+117440512
dd Y638-top+117440512
dd Y640-top+117440512
dd Y648-top+117440512
dd Y650-top+117440512
dd Y658-top+117440512
dd Y660-top+117440512
dd Y668-top+117440512
dd Y670-top+117440512
dd Y678-top+117440512
dd Y680-top+117440512
dd Y688-top+117440512
dd Y690-top+117440512
dd Y698-top+117440512
dd Y6A0-top+117440512
dd Y6A8-top+117440512
dd Y6B0-top+117440512
dd Y6B8-top+117440512
dd r_illegal-top+251658240
dd Y6D0-top+117440512
dd Y6D8-top+117440512
dd Y6E0-top+117440512
dd Y6E8-top+117440512
dd Y6F0-top+117440512
dd Y6F8-top
dd Y6F9-top
dd r_illegal-top+83886080
dd Y700-top+117440512
dd Y708-top+117440512
dd Y710-top+117440512
dd Y718-top+117440512
dd Y720-top+117440512
dd Y728-top+117440512
dd Y730-top+117440512
dd Y738-top+117440512
dd Y740-top+117440512
dd Y748-top+117440512
dd Y750-top+117440512
dd Y758-top+117440512
dd Y760-top+117440512
dd Y768-top+117440512
dd Y770-top+117440512
dd Y778-top+117440512
dd Y780-top+117440512
dd Y788-top+117440512
dd Y790-top+117440512
dd Y798-top+117440512
dd Y7A0-top+117440512
dd Y7A8-top+117440512
dd Y7B0-top+117440512
dd Y7B8-top+117440512
dd r_illegal-top+251658240
dd Y7D0-top+117440512
dd Y7D8-top+117440512
dd Y7E0-top+117440512
dd Y7E8-top+117440512
dd Y7F0-top+117440512
dd Y7F8-top
dd Y7F9-top
dd r_illegal-top+83886080
dd Y800-top+117440512
dd Y808-top+117440512
dd Y810-top+117440512
dd Y818-top+117440512
dd Y820-top+117440512
dd Y828-top+117440512
dd Y830-top+117440512
dd Y838-top+117440512
dd Y840-top+117440512
dd Y848-top+117440512
dd Y850-top+117440512
dd Y858-top+117440512
dd Y860-top+117440512
dd Y868-top+117440512
dd Y870-top+117440512
dd Y878-top+117440512
dd Y880-top+117440512
dd Y888-top+117440512
dd Y890-top+117440512
dd Y898-top+117440512
dd Y8A0-top+117440512
dd Y8A8-top+117440512
dd Y8B0-top+117440512
dd Y8B8-top+117440512
dd r_illegal-top+1056964608
dd Y900-top+117440512
dd Y908-top+117440512
dd Y910-top+117440512
dd Y918-top+117440512
dd Y920-top+117440512
dd Y928-top+117440512
dd Y930-top+117440512
dd Y938-top+117440512
dd Y940-top+117440512
dd Y948-top+117440512
dd Y950-top+117440512
dd Y958-top+117440512
dd Y960-top+117440512
dd Y968-top+117440512
dd Y970-top+117440512
dd Y978-top+117440512
dd Y980-top+117440512
dd Y988-top+117440512
dd Y990-top+117440512
dd Y998-top+117440512
dd Y9A0-top+117440512
dd Y9A8-top+117440512
dd Y9B0-top+117440512
dd Y9B8-top+117440512
dd r_illegal-top+1056964608
dd YA00-top+117440512
dd YA08-top+117440512
dd YA10-top+117440512
dd YA18-top+117440512
dd YA20-top+117440512
dd YA28-top+117440512
dd YA30-top+117440512
dd YA38-top+117440512
dd YA40-top+117440512
dd YA48-top+117440512
dd YA50-top+117440512
dd YA58-top+117440512
dd YA60-top+117440512
dd YA68-top+117440512
dd YA70-top+117440512
dd YA78-top+117440512
dd YA80-top+117440512
dd YA88-top+117440512
dd YA90-top+117440512
dd YA98-top+117440512
dd YAA0-top+117440512
dd YAA8-top+117440512
dd YAB0-top+117440512
dd YAB8-top+117440512
dd r_illegal-top+1056964608
dd YB00-top+117440512
dd YB08-top+117440512
dd YB10-top+117440512
dd YB18-top+117440512
dd YB20-top+117440512
dd YB28-top+117440512
dd YB30-top+117440512
dd YB38-top+117440512
dd YB40-top+117440512
dd YB48-top+117440512
dd YB50-top+117440512
dd YB58-top+117440512
dd YB60-top+117440512
dd YB68-top+117440512
dd YB70-top+117440512
dd YB78-top+117440512
dd YB80-top+117440512
dd YB88-top+117440512
dd YB90-top+117440512
dd YB98-top+117440512
dd YBA0-top+117440512
dd YBA8-top+117440512
dd YBB0-top+117440512
dd YBB8-top+117440512
dd r_illegal-top+1056964608
dd YC00-top+117440512
dd YC08-top+117440512
dd YC10-top+117440512
dd YC18-top+117440512
dd YC20-top+117440512
dd YC28-top+117440512
dd YC30-top+117440512
dd YC38-top+117440512
dd YC40-top+117440512
dd YC48-top+117440512
dd YC50-top+117440512
dd YC58-top+117440512
dd YC60-top+117440512
dd YC68-top+117440512
dd YC70-top+117440512
dd YC78-top+117440512
dd YC80-top+117440512
dd YC88-top+117440512
dd YC90-top+117440512
dd YC98-top+117440512
dd YCA0-top+117440512
dd YCA8-top+117440512
dd YCB0-top+117440512
dd YCB8-top+117440512
dd r_illegal-top+1056964608
dd YD00-top+117440512
dd YD08-top+117440512
dd YD10-top+117440512
dd YD18-top+117440512
dd YD20-top+117440512
dd YD28-top+117440512
dd YD30-top+117440512
dd YD38-top+117440512
dd YD40-top+117440512
dd YD48-top+117440512
dd YD50-top+117440512
dd YD58-top+117440512
dd YD60-top+117440512
dd YD68-top+117440512
dd YD70-top+117440512
dd YD78-top+117440512
dd YD80-top+117440512
dd YD88-top+117440512
dd YD90-top+117440512
dd YD98-top+117440512
dd YDA0-top+117440512
dd YDA8-top+117440512
dd YDB0-top+117440512
dd YDB8-top+117440512
dd r_illegal-top+1056964608
dd YE00-top+117440512
dd YE08-top+117440512
dd YE10-top+117440512
dd YE18-top+117440512
dd YE20-top+117440512
dd YE28-top+117440512
dd YE30-top+117440512
dd YE38-top+117440512
dd YE40-top+117440512
dd YE48-top+117440512
dd YE50-top+117440512
dd YE58-top+117440512
dd YE60-top+117440512
dd YE68-top+117440512
dd YE70-top+117440512
dd YE78-top+117440512
dd YE80-top+117440512
dd YE88-top+117440512
dd YE90-top+117440512
dd YE98-top+117440512
dd YEA0-top+117440512
dd YEA8-top+117440512
dd YEB0-top+117440512
dd YEB8-top+117440512
dd r_illegal-top+1056964608
dd YF00-top+117440512
dd YF08-top+117440512
dd YF10-top+117440512
dd YF18-top+117440512
dd YF20-top+117440512
dd YF28-top+117440512
dd YF30-top+117440512
dd YF38-top+117440512
dd YF40-top+117440512
dd YF48-top+117440512
dd YF50-top+117440512
dd YF58-top+117440512
dd YF60-top+117440512
dd YF68-top+117440512
dd YF70-top+117440512
dd YF78-top+117440512
dd YF80-top+117440512
dd YF88-top+117440512
dd YF90-top+117440512
dd YF98-top+117440512
dd YFA0-top+117440512
dd YFA8-top+117440512
dd YFB0-top+117440512
dd YFB8-top+117440512
dd r_illegal-top+1056964608
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
dd Z000-top+4278190080
times ($$-$)&3 db 0
